HSMWorks 2023 Help

Welcome to the HSMWorks 2023 Help

HSMWorks is a fully integrated CAD/CAM system which allows effective generation of high quality 2D and 3D milling toolpaths for high speed machining.

This product comes as an add-in for SolidWorks. This document primarily describes the CAM functionality of the product, while the CAD part is documented in the SolidWorks User's Guide.

To get started with HSMWorks, please read the getting started section, and/or have a look at one of the example files.

Contents

  • What's New - List of improvements over previous versions.
  • About HSMWorks™ - Read more about HSMWorks. This is the information found in the HSMWorks brochures and website.
  • System Requirements
  • Installation
  • Getting Started - General instructions for how to get started with HSMWorks.
  • Tutorials - Step by step instructions for learning HSMWorks.

    • Tutorial 1 - 2D Machining
    • Tutorial 2 - High-Speed 3D Machining
    • Tutorial 3 - 3+2 Machining
    • Tutorial 4 - Advanced 3D Machining
    • Tutorial 5 - More 2D Machining
    • Turning Tutorial - Stub Axle

  • Reference - In-depth descriptions of all HSMWorks features, strategies, parameters etc.

Support

For general support on using HSMWorks, please contact your Autodesk HSM reseller.

You can find the list of HSMWorks resellers and their contact information on this Autodesk HSM forum post.

If you come across a problem or bug in the software, please submit a report to the support team using the Contact Support option from the CAM menu.

Copyright

Copyright © 2012-2022 Autodesk, Inc. All Rights Reserved.
Copyright © 2008-2012 by HSMWorks ApS.

HSMWorks, HSMXpress, Distributed CAM, Adaptive Clearing, and CAM Mania are trademarks of Autodesk, Inc.

SolidWorks is a registered trademark of Dassault Systèmes SolidWorks Corp.

Portions of this software © MachineWorks Ltd. 1990-2018. All rights reserved. MachineWorks is a registered trademark of MachineWorks Ltd.

Mozilla/SpiderMonkey: The software has been included under the MPL 1.1 license (see www.mozilla.org/MPL). Copyright © 1998 Netscape Communications Corporation. All Rights Reserved. Copyright © 1998-2004 by Contributors to the Mozilla codebase. All Rights Reserved.

Python 2.4: Copyright © 2001, 2002, 2003, 2004 Python Software Foundation; All Rights Reserved.

XySSL 0.9: Copyright © 2006-2008, Christophe Devine. All Rights Reserved.

All other trademarks are the property of their respective owners.

What's New

Generated on February 22, 2022 at 11:48 for HSMWorks 2023

Copyright © 2012-2022 Autodesk, Inc. All Rights Reserved.
Copyright © 2008-2012 by HSMWorks ApS. | Email: cam.support@autodesk.com


What's New

  • HSMWorks 2019
  • HSMWorks 2018
  • HSMWorks 2017
  • HSMWorks 2016
  • HSMWorks 2015 R1
  • HSMWorks 2014 R3
  • HSMWorks 2013 R4
  • HSMWorks 2012 R5

HSMWorks 2019


HSMWorks 2019

New Features

Added Both-Ways Adaptive Clearing (#6890)

Added support for 2D Adaptive Clearing (#7768)

Added Tool Orientation to Probing (#9410)

Added support for tapered walls in 2D Adaptive (#9201)

Added API method to get objects in a job (#9320)

Added API method to identify whether an object is a pattern (#9321)

Added support for setting stock for HSMWorks API (#8723)

Changes

Fixed compensation in control/wear for turning ID machining. (#7495)

Fixed issue where duplicating an operation within a job causes operation to be unnecessarily marked dirty. (#9462)

Fixed wrong multi-axis handling for feed optimization. (#9509)

Changed guided deep drilling to use retract feedrate (#9310)

Fixed issue where tool is not always taken to limit when rewind is required (#9559)

Fixed out of memory error when using nested patterns with the Excel Setup Sheet (#3115)

Fixed issue where rest machining does not calculate when preceded by a manual NC operation in turning operations (#9499)

Toolpath

Fixed bad ordering issue when using both ways for Adaptive Clearing. (#9580)

Fixed fragmentation of circular cutting passes and missing potential missing cut passes for turning when using rest machining. (#9529)

Fixed wrong toolpath issue when using negative radial stock to leave for turning. (#9667)

Fixed issue where the same cutting pass could be repeated when using rest machining for turning. (#9537)

Improved rest machining quality for Turning Profile/Grooving. (#8385)

Fixed potential issue where Turning Profile could ignore an area of the given part. (#9574)

Fixed wrong ordering issue for 2D Contour. (#9415)

Fixed wrong toolpath issue for Turning Grooving. (#9489)

Fixed potential generation failure for Adaptive Clearing. (#9361)

Fixed potential generation failure for Adaptive Clearing. (#9483)

Fixed issue where lead would hit stock for Turning Grooving. (#9394)

Fixed issue where cutting feedrate would be used instead of lead/in/out feedrate for certain linking moves for Adaptive Clearing. (#8845)

Fixed missing compensation in control when using back trimming of cutting passes for 2D Contour. (#9391)

Fixed preserve order when using roughing passes for 2D Contour/Pocket. (#9290)

Fixed potential lead-out issue when using back cutting (Sandvik PrimeTurning) for Turning Profile. (#9073)

Fixed issue where Adaptive Clearing was not using plunge feedrate. (#8708)

Improved lead-in for finishing passes by extending beyond the safe distance for 2D Contour. This will avoid skipped passes in additional cases. (#9260)

Improved linking for Adaptive Clearing to avoid stay further away from stock when moving down outside of stock. (#9066)

Fixed issue where the minimum cutting radius setting affected 2D Contour toolpaths when it shouldn't (#8598)

Post Library

Added support for subprograms for Robodrill post.

Added post for Messer plasma.

Updated retract and coolant handling for DATRON MCR posts.

Added support for left-handed tapping and a self-reversing tapping head for Tormach PathPilot post.

Improved tailstock handling for Okuma LB3000 post.

Patterned operations can now be output using XYZ mode for HAAS mill-turn posts.

Fixed various issues for different machine types for Techno CNC Router post.

Fixed incremental Z output for Biesse CIX post.

Fixed retract handling for Bridgeport DX-32 post.

Fixed handling of machine orientation when using subprograms for posts.

Fixed retract handling for DATRON posts.

Fixed tailstock support for mill-turn posts.

Fixed tailstock support for Okuma LB3000 mill-turn posts.

Fixed tailstock support for HAAS mill-turn posts.

Updated G187 for HAAS posts.

Updated tool call handling for Grbl post.

General improvements for DATRON next post.

Improved retract and coolant handling for Siemens 802D post.

Improved retract and coolant handling for posts.

Updated work plane handling for posts.

HSMWorks 2018


HSMWorks 2018

General

Added support for anonymous data collection on use of HSMWorks/HSMXpress. This can be enabled/disabled under Preferences. The data collected will help us ensure we are focusing on the most relevant features of the product.

HSMXpress no longer requires a license to run. Just install and you will be up and running.

Only Windows 64-bit is supported from HSMWorks 2018 and forward.

Toolpath Generation

Added support for Tool Orientation for Turning Face strategy.

Added support for new setting to control radial and axial grooving for Turning Profile.

Post Processor

Added example for testing stock transfer cycles for post processing to allow you to test/dial in posts more easily.

Updated and fixed many issues for our factory posts. To see to full list of posts visit https://cam.autodesk.com/posts/.

HSMWorks 2019 HSMWorks 2017


HSMWorks 2017

General

Added support for SolidWorks 2017.

We have now switched fully to the standalone Autodesk licensing and you can now run both HSMWorks and Inventor HSM using the same issued license for Autodesk HSM.

Toolpath Generation

Post Processor

HSMWorks 2018 HSMWorks 2016


HSMWorks 2016

General

Added support for SolidWorks 2016.

Toolpath Generation

Post Processor

HSMWorks 2017 HSMWorks 2015 R1


HSMWorks 2015 R1

General

Added support for SolidWorks 2015.

Toolpath Generation

Post Processor

HSMWorks 2016 HSMWorks 2014 R3


HSMWorks 2014 R3

General

Added support for SolidWorks 2014.

SolidWorks 2014 introduces support for stick font (OLF SimpleSansOC). This is now supported in HSMWorks 2014 which allows easier and associative engraving.

HSMWorks 2014 introduces support for API for automating toolpath generating and post processing. The HSMWorks API allows programmers in Visual Basic .NET, C#, and C++ to create add-ins for SolidWorks which also talk/interact with HSMWorks. The API relevant files can be found under "API" in the HSMWorks installation folder.

Improved tool library for turning.

Improved preview performance for remaining stock for turning.

Updated machine simulation with support for new machine types. A new post processing step has been introduced for more realistic machine simulation. Ambient Occlusion is now automatically turned off during machine animation. Added support for enabling and disabling RealView, Shadows, and Ambient Occlusion from the right-click menu during simulation. Improved visualization and descriptions for machine simulation when the toolpath cannot be machined on the selected machine without retracts/rewinds.

A new spun profile feature has been added. This feature allow you to convert any mill/turn part into a 2D sketch which can then be used for turning. The feature is both very fast and can handle complex parts.

Added support for selecting non-planar closed curves as height reference.

Added compensation offset column in the tool library.

Added parameters to calculate ramp surface speed and ramp feed per tooth in the Feeds & Speeds tab.

The movement type for the toolpath is now shown in simulation.

Toolpath Generation

Toolpath generation has been improved so it is around 10-20% faster on average.

Adaptive Clearing has been improved so it supports multi core/CPU even better. Depending on the settings the toolpath generation time can be several time faster now.

Chip thinning feature has been added to the Face strategy.

Added 'Fail on collision' shaft/holder support for adaptive, pocket, and horizontal.

New feature to reduce feed for turning parting.

New feature to sideways grooving for turning profile grooving. Added support for reduced feed for "downwards" roughing passes for turning profile grooving. Added support for partial stepdown pattern grooving for turning profile grooving.

Added holder support for turning.

Various improvements for turning.

Post Processor

Extended API for machine configuration and shaft and holder.

Updated Japanese translations. Updated Portuguese translations. Updated German translations. Updated Polish translations. Updated Czech translations.

HSMWorks 2015 R1 HSMWorks 2013 R4


HSMWorks 2013 R4

General

Added support for machine simulation.

Machine simulation.

You can find more information about Machine simulation here.

Added machine configuration.

Machine configuration dialog.

You can find more information about Machine configuration here.

Added support for preserve order for trace milling.

Added support for sideways tilt for swarf.

Added drag and drop in operation manager.

Moving an operation to a different position in the operation manager.

The black line indicate the position where the operation will be moved to.

You can find more information about drag and drop here.

Support duplicating jobs and folders.

Added colors in operation manger for identify special operations.

Green indicate that the operation is optional.

Grey indicate that the operation is suppressed.

The machine axes are now presented in the operation manager and when editing operations when a machine has been defined.

Added Order by Step option for 2D contour/pocket.

When enabled, each roughing and finishing step is machined to the full depth before moving to the next step.

Order by Step disabled | Order by Step enabled

Added sample turning tool library.

Added support for flat area detection for ramp strategy.

Added support for negative pass extension for Trace.

Added cutting mode for flow and multi-axis contour.

Stock volume removal for the operation is now written for the entire patterns instead of per pattern instance.

Re-organized "New Operation" menu when right-clicking in the operation manager.

Improved detection of model changes which should result in fewer toolpath invalidations.

Improved linking for turning profiling.

Updated post processor dialog.

Tool Library automatically remembers the last open library, instead of going to the operation tool.

Added guided deep drilling (gun drilling) cycle.

Significantly faster stock simulation when using fast mode.

Improved multi-core/CPU support for stock simulation for increased performance.

Added support for using form mill for additional strategies. Toolpath will be calculated as for a flat end-mill.

Added explicit support for axial stock to leave for turning parting and facing. In previous releases you would use the confinement stock offsets to get the desired stock to leave.

Added support for HSMWorks/HSMXpress interoperability.

The Height tab for drilling operations now shows the height planes.

Improved height system for drilling operations to support better relative heights. For operations saved with previous versions, the relative clearance and retract heights will be set during loading to absolute values.

Added support for overlap for turning grooving when using up/down machining.

Added pull away from stock before retract feature for turning profiling. This is now the default behavior.

Added control of separate home positioning at beginning and end of toolpath for turning.

Added support for disabling the clearing of the leftover stock of the roughing passes for turning profile grooving.

Added new option under preferences to control drag and drop behavior for the operation manager.

Round insert with no holder defined will now allow 90deg grooving by default for turning profiling.

Toolpath Generation

Added support for plunge outside stock to avoid long stay down moves for 2D/3D pocket.

Improved linking for turning profile.

Improved performance for swarf.

Improved linking for rest pocket.

Improved linking for turning when tilting.

Improved passes at shallow areas for ramp strategy.

Improved linking for pocket with rest machining to allow plunge outside stock.

Automatically extend linear lead in so it starts outside stock boundaries for 2D contour.

Updated the presented tool description in the operation manager.

Improved stay down linking motion for 2D pocket.

Improved support for lift height for stay down move for 2D pocket.

Major update of linking for pocket to reduce machining time significantly for specific rest machining parts.

Updated ordering by depth for trace.

Updated generic HAAS post.

Improved lead-in for plunge for pocket.

Improved linking for pocket.

Updated Japanese translations. Updated Portuguese translations. Updated German translations. Updated Polish translations. Updated Czech translations.

HSMWorks 2014 R3 HSMWorks 2012 R5


HSMWorks 2012 R5

The HSMWorks 2012 R5 release includes a major update for turning with many new featurs. This release also adds undercutting support for milling using lollipop, slot and dovetail tools. Multi-CPU/core is still supported when using undercutting which ensures very fast toolpath generation. Below is a list of most new features. For the complete list of changes see the changes on the download page.

User Interface

Improved performance of operation manager when creating or loading many operations.

Improved visualization performance for parts with huge toolpath.

Added simple machining time calcuator available from the right-click menu on the toolpath subitem in the operation manager. You can also open the dialog using Ctrl+T when the operation is selected.

Machining Time dialog.

You can find more information about Machining Time here.

Added support for Edit Expression dialog available from the right-click menu of settings. You can also hit F2 to open the dialog when the setting has focus.

Edit Expression menu.

Added new stock colorization mode for climb/conventional milling for show stock in simulation.

Stock colorization showing climb and conventional milling as red and blue, respectively.

You can find more information about stock colorization in simulation under Show Stock.

Added support for showing work offset in operation manager for jobs.

Work offset information in operation manager.

The work offset is not shown by default. You can enable this under Preferences -> Operation Manager -> Show job work offset and spindle option.

Added new options for Manual NC.

Type list of the Manual NC operations.

Added new settings under preferences for controlling the presented inline information in the operation manager.

The operation manager options in the Preferences dialog.

Please refer to Operation Manager Inline Information for more information.

Improved handling for incompatible tools when using create derived operation and creating new operations.

Removed boundary and geometry subitems in the operation manager.

Added support for "Model & Orientation" for WCS in the job. Similar to "Stock & Orientation" but the WCS origin will be associative to the model rather than the stock.

WCS origin selection.

Read more about WCS setup in Job Setup and Job WCS from Model & Orientation.

Added machining time per operation when simulating.

The Statistics group contains information about
the total machining time for the selected operation(s).

Added support for operation origin information in the status bar when navigating in the operation manager.

Operation origin information.

Added support for showing posts by specified mill and turn capabilities when posting.

Drop-down list for showing specified post processor configurations.

Added additional operation information during simulation.

Tool Library

Added support for custom sized turning and boring inserts.

Custom sized boring insert.

Extended center drill tool definition.

Added tool renumbering dialog.

Tool Renumbering dialog.

You can find more information on renumbering tools here.

Added support for excluding tools from tool renumbering.

Excluding tools from renumbering.

You can find more information on renumbering tools here.

Added support for removing all unused tools from a document from the tool library.

Removing unused tools.

Please reffer to Removing Unused Tools for more information.

Milling

Improved entry position handling for 2D contour when using sharp corner mode.

Added support for entry positions for Trace.

Entry position for Trace strategy.

Added support for minimum retracts for adaptive clearing.

Minimum Retraction policy for Adaptive Clearing strategy.

Added support for circular milling strategy similar to bore and thread.

Added support for minimum cutting radius for 2D contour/pocket.

Minimum Cutting Radius for 2D Contour strategy.

Added support for forcing even stepdowns for 2D contour/pocket.

Added new ramp machining strategy intended for finishing steep areas where it is important that the tool is always engaged.

New ramp strategy for 3D milling.

Added support for undercutting for pocket, horizontal, and contour. Lollipop, slot, and dovetail tools are supported.

Turning

Added support for pass direction for turning profiling.

Pass direction selection field.

Added support for back side facing for turning.

Turning face strategy on the backside of the part.

Added thread fade out setting for thread turning. When disabled the thread will end with a radial lead out.

45deg fade out for turning thread.

This setting is not available when "Use cycle" is enabled, in which case the CNC control is responsible for the thread lead out.

Added new chamfer turning strategy for chamfering corners.

The turning chamfer strategy is used for chamfering sharp corners that have not been chamfered in the design.

Chamfering sharp corners.

Added support for tool orientation for turning profile and profile grooving.

Tool orientation for turning profile.

Added support for specifying side and tip alignment for the single grooving strategy.

Groove side and tip alignment parameters.

Added support for live toolpath preview for single grooving strategy.

The toolpath preview is updated when a parameter is modified in the Feature Manager.

Tool is now shown in red when editing a turning operation and the tool is not compatible with the machining strategy.

Tool is red when tool type or tool orientation is not compatible with the operation.

Added support for setting threading length from the front side for turning using "Apply back from front" setting under confinement.

Thread is 10mm length from the front side.

Added support for taper threading for turning.

Turning stock preview is now also shown for threading operations.

Stock preview (orange line) in turning thread strategy.

Added support for live toolpath preview for turning threading.

Added support for live toolpath preview for turning facing and parting.

Turning threading has been modified such that cylindrical and conical faces are required for threading. Use confinement to extend machining beyond the faces.

Updated stock transfer cycle support for turning.

HSMWorks 2013 R4 About HSMWorks™


About HSMWorks

  • HSMWorks Overview
  • 2D Machining Strategies
  • 3D Machining Strategies
  • Multi-Axis Strategies
  • Turning Strategies
  • Additional Features
  • System Requirements

The Integrated CAM Solution for SolidWorks

HSMWorks is designed from the ground up to work inside SolidWorks®, providing a logical extension of the parametric SolidWorks assembly environment into the CAM world. Experienced SolidWorks users will feel right at home working with HSMWorks and will be able to create high-quality toolpaths within minutes. New users will benefit from the unmatched 2D and 3D CAD capabilities of SolidWorks mechanical design solutions and quickly extend any knowledge gained to the CAM process, resulting in improved design quality and reduced product development time.

HSMWorks provides effective generation of high quality 2D, 3D, 3+2, as well as 4 & 5 axis simultaneous milling toolpaths, and turning toolpaths. Finishing isn't everything, significant amount of time is spent removing material before you can get to finishing. So the world's best constant engagement roughing toolpath strategy is included as standard in the form of Adaptive Clearing.

The HSMWorks interface is designed for SolidWorks users and machinists alike. If you know SolidWorks, getting to know HSMWorks will be easy and straight forward. Machinists will be glad to know that HSMWorks toolpaths take advantage of cutting edge technology.

The HSMWorks interface is designed for SolidWorks users and machinists alike. If you know SolidWorks, getting to know HSMWorks will be easy and straight forward. Machinists will be glad to know that HSMWorks toolpath take advantage of cutting edge technology.

HSMWorks 2012 R5 HSMWorks Overview


HSMWorks Overview

HSMWorks is the perfect choice for:

  • Customers looking for an easy to learn CAD/CAM system.
  • Machine shops that need the latest in toolpath technology.
  • SolidWorks users that want to leverage their existing SolidWorks experience and investment.

The True SolidWorks Experience

HSMWorks is designed from the ground up to work inside SolidWorks®, providing a logical extension of the parametric SolidWorks assembly environment into the CAM world. Experienced SolidWorks users will feel right at home working with HSMWorks and will be able to create high-quality toolpaths within minutes. New users will benefit from the unmatched 2D and 3D CAD capabilities of SolidWorks mechanical design solutions and quickly extend any knowledge gained to the CAM process, resulting in improved design quality and reduced product development time.

Best in Class Toolpaths

In HSMWorks we have worked toward generating the smoothest toolpaths possible, resulting in reduced machining time, improved surface quality, less tool wear, and extended machine tool life.

HSMWorks features new and innovative toolpath strategies, like Adaptive Clearing™ which typically reduces the roughing time by 40% or more and increases the tool life by as much as a factor of 10 when cutting hard materials.

HSMWorks includes all the conventional machining strategies familiar to most CAM users, including parallel, contour, pocket, pencil, and more. HSMWorks takes these strategies one step further by generating smooth linking moves, resulting in reduced machining time and increased machine tool life.

Reduced machining time, improved surface quality and less tool wear with high-quality toolpaths.

Full Associativity

Defining machining geometry and parameters is done by selecting entities directly from the SolidWorks model, resulting in full associativity between the SolidWorks model and your programmed machining operations. Any changes to the model are automatically reflected in the toolpath, facilitating late design changes by reducing both the design time and the risk of introducing errors.

From Solidworks 2017 onwards, third-party CAD data can benefit from a similar level of association between the model and machining operations, via the use of Solidworks' 3D Interconnect technology.

Machine Assemblies

HSMWorks supports machining directly on both parts and assemblies, eliminating the need to split up complex designs. The machining data can be stored directly in the SolidWorks part, or assembly file for maximum ease of use. The second approach allows the machinist to work on third party designs leaving the original files untouched while still retaining full associativity. If an updated part or assembly file is received, HSMWorks will automatically detect the changes made to the geometry and update the toolpath accordingly.

HSMWorks supports machining directly on both parts and assemblies.

Modern Architecture

HSMWorks utilizes modern processing technologies, including native 64-bit support, resulting in superior performance when working on large or complex designs. The advanced HSMWorks task manager allows users to continue working inside SolidWorks while the toolpath is calculated in the background, utilizing multiple processors, multiple cores and hyper-threading technology. Essentially, the more processors and cores you can give it, the more it will use.

  • Multi-core support
  • Multi-processor (SMP) support
  • Hyper-Threading support
  • 64-bit support

Multi-processor/multi-core support allows HSMWorks to generate multiple toolpaths at the same time and speed up the generation of a single toolpath, all while continuing to use the software to program the next toolpath.

2D Machining Strategies


2D Machining Strategies

In HSMWorks, a 2D machining strategy is not so much one that generates toolpath co-ordinates in only 2 axes, but one that relies on the geometry you select to generate the toolpath. This collection of toolpaths are in fact a mixture of 2.5 axis and 3-axis toolpaths.

2D Adaptive Clearing and 2D Pocket are the primary roughing toolpaths, however, Pocket is often used for finishing the floor and walls of a pocket in a single toolpath after roughing has been completed. Since most of these toolpaths don't use the 3D model to generate the toolpath, it's possible is will gouge the model. For example, with a 2D Contour, if you don't set which site of the edge you want to machine correctly, that area of the part will be cut either too large, or too small by the diameter of the tool.

Drilling and Hole Making

HSMWorks includes a powerful tool for generating drilling, counter boring and tapping operations called Drilling. There are options to optimize operations to minimize tool travel and overall cycle time, or to reduce numerical code blocks. Both standard and customized cycles are supported for all point-to-point operations, including spot-drilling, deep drilling with chip break, and other canned cycles available on a range of CNC machines. With the Drill Wizard, holes of similar types can be selected quickly and assigned appropriate cutting conditions including tools, feeds, and speeds.

2D Contour

With 2D Contour you can easily machine smooth and sharp edges. Separate lead-in and lead-out can be generated with or without tool compensation. Choose multiple roughing and finishing passes and multiple depth cuts for any contour. Open and closed contours can be machined without creating additional geometry, and sharp motion can be eliminated with corner smoothing.

2D Pocket

The 2D Pocket toolpath is used for machining open and closed regions, both with and without islands. The toolpath starts at the center of closed pockets and works its way outward. The entry can be selected anywhere on the model and includes possibilities for plunge, ramp, profile ramp, or pre-drilled entry positions. 2D Pocket supports machining of constant taper walls when Multiple depths is enabled in the Passes tab. Typically you would use 3D Pocket Clearing or a 3D surfacing toolpath in this scenario, but there are cases where the geometry compliments the use of this manual taper angle approach.

Face

The Face strategy is designed for quick part facing to prepare the raw stock for further machining, but can also be used for clearing flat areas in general. There are quite a few settings in this toolpath which allow you to optimise your face machining for tool life and reduced process time, or to suit the material being cut. Check out settings in the Passes tab like Use chip thinning, Direction, From other side and Both sides.

2D Adaptive Clearing

The 2D Adaptive Clearing strategy creates a roughing/clearing toolpath for open and closed regions, both with and without islands. This strategy avoids over engaging the tool by constantly adjusting its cutting path relative to the remaining stock. The generated toolpath ensures that the cutting conditions remain constant with a stable load on the tool. As a result, the feedrate can be increased significantly, reducing the machining time by 40% or more, in addition to improved surface quality and less tool wear.

Circular

Use Circular for cutting cylindrical or tapered bores and bosses. Each pass maintains a constant Z height before moving to the next Z level, meaning this is a 2.5 axis toolpath. The heights and depths are automatically derived from the selected cylindrical geometry, so that varying geometry can be machined in a single operation.

Bore

Use Bore for cutting cylindrical or tapered bores and bosses by selecting the model geometry directly. It follows a continuous helical path, so the tool is moving in 3-axis simultaneously. The heights and depths are automatically derived from the selected geometry, so that varying geometry can be machined in a single operation.

Trace

The Trace strategy is suited to contouring toolpaths that vary along the Z axis. Toolpath compensation is available to compensate to the left or right of the machined contour. Although it's a 3-axis toolpath, Trace uses the HSMWorks 2D CAM kernel, so it only uses the edge selections you give it. As a result, it will gouge your model if the model itself violates the swept volume of the tool, as it moves along the path you have selected.

It's a very useful toolpath for engraving simple lettering onto your parts, such as part numbering. Or for a quick and dirty 3D chamfer on shallow geometry. Another great use case is highlighted in the image above; you may need to cut a 3D but vertical wall, with 2D contour you run out of flute length on your tool, whereas Trace will start at a lower Z depth and transition to a deeper one along the selected edge.

Slot

The Slot strategy cuts a slot by following the centreline of any selected slots. You can select one or more entry positions, which lets you specify the end of the slot in which to start. There are a few different methods available for reaching the bottom of the slot. Open slots are also supported.

Thread

The Thread strategy, when used with single or multi point thread mills, can cut threads into cylindrical or tapered bores and bosses. The heights and depths are automatically derived from the selected geometry so that varying threads can be machined in a single operation.

The selected geometry can be modelled at either the major or minor thread diameter. If needed, you can use the Pitch diameter offset parameter on the Passes tab to offset the toolpath in or out to suit the required thread depth.

'Hybrid' Machining Strategies

The following strategies are essentially a hybrid of 2D and 3D toolpaths. They rely on your 2D edge input, and will only generate based on selections in the XY plane, but at multiple Z levels. However, they use the model to limit themselves, so they generate with respect to the 3D model. The other 2D toolpaths described in this article are only aware of the edge selections you provide it with. The best comparison is chamfering with 2D Contour vs 2D Engrave, the latter will avoid the 3D model above and below your edge selection, whereas with 2D Contour it will crash the tool into the same areas of the 3D model.

2D Chamfer

2D Chamfer creates a process of putting a bevelled edge on the part model. Even if the part doesn't have a Chamfer modelled on its edges, sometimes 2D Chamfer is used to remove the sharp edges of a part, commonly referred to as deburring.

Affectionately called 'Magic Chamfer', this toolpath uses the HSMWorks 3D CAM kernel to generate the toolpath. Even though its inputs are edges, it trims the toolpath against model geometry above and below the selected edges. Traditionally you would have had to calculate the 'trim' distance to shorten the toolpath so it didn't gouge your model. 2D Chamfer makes it a joy to make sure your parts are fully deburred straight off your CNC machine.

Engrave

Engrave generates a toolpath which machines between contours, creating V-shaped chamfered walls. Using a chamfer mill, Engrave is ideal for engraving text, symbols or decorative shapes on a flat plane. To avoid gouging your model and create sharpe internal corners, HSMWorks will pull the tool up in the Z to get into tight corners.

HSMWorks Overview 3D Machining Strategies


3D Machining Strategies

In HSMWorks, a 3D machining strategy is not so much one that generates toolpath co-ordinates in all 3 dimensions, but one that uses the 3D model to generate the toolpath.

Adaptive Clearing and Pocket Clearing are the primary roughing toolpaths, however, in some cases Pocket Clearing can also be used for finishing. Conversely, there are times when it's beneficial to use a 3D surfacing toolpath as a semi roughing strategy, since it will leave consistent stock in areas of the model relative to the final surfacing toolpath. This can result in more even tool load while finishing, leaving a better finish.

Roughing

Adaptive Clearing

Adaptive Clearing is an innovative high-speed roughing strategy which offers significant improvements compared to conventional roughing strategies, including decreases in machining time and tool wear. The strategy avoids full-width cuts by progressively shaving material off the remaining stock with the full length of the flute. The generated toolpath ensures that the cutting conditions remain constant with a stable load on the tool. As a result, you are able to take complete advantage of radial chip thinning and increase the feedrate significantly, reducing the machining time by 40% or more.

For a great overview of how effective Adaptive Clearing can be, take 5 minutes to watch this video of Adaptive Clearing being tested at Autodesk Pier 9 in San Francisco.

Pocket

Pocket Clearing is the conventional 3D roughing strategy for clearing large quantities of material effectively in situations where Adaptive Clearing isn't appropriate. Typically, you would only use this approach in soft materials where spiking tool load in the corners isn't an issue. There are some cases with large diameter insert tooling where this approach results in a lower overall run time than it would be with Adaptive Clearing, at the expensive of increased tool wear.

The part is cleared layer by layer with smooth offset contours, maintaining climb milling throughout the operation. To avoid plunging, the tool ramps down along a helical path between levels. To maintain a high feedrate, and thereby reduce machining time, the tool motion is smoothed with arcs through the corners to eliminate sharp directional changes. In the Passes tab, look for settings like Corner Deviation and Minimum Cutting Radius to control this area of the toolpath.

Finishing

Parallel

The Parallel toolpath is one of the most widely used finishing strategies. The passes are parallel in the XY-plane and follow the surface in the Z-direction. Parallel passes are best suited for shallow areas and down-milling, where the tool moves from high to low surfaces to minimize tool deflection. To automatically focus machining on shallow areas, the angle between tool tip and surface can be limited.

Contour

The Contour toolpath is well-suited to finishing steep walls with constant stepdown. If a slope range is specified, the steeper areas can be machined, leaving shallow areas for more appropriate strategies. For example, a slope range of 30 to 90 degrees will contour the steepest parts while leaving areas under 30 degrees to more appropriate finishing strategies.

Contour can often be used for semi-finishing toolpaths around steep model geometry.

Ramp

Ramp is a strategy which maintains constant tool contact with the stock by ramping down in a spiral. This is ideal for steep finishes where the Contour strategy would not be suitable.

This ensures that the tool is engaged at all times which can be important for certain materials, such as ceramics.

Horizontal Clearing

The Horizontal Clearing strategy automatically detects all the flat areas of the part and clears them with an offsetting path. If the flat area is shelved above the surrounding areas, the cutter moves beyond to clean the edges. By setting an optional maximum stepdown, horizontal faces can be machined in stages, making this strategy suitable for both semi-finishing and finishing.

Pencil

The Pencil strategy creates toolpaths along internal corners and fillets with small radii, removing material that no other tool can reach. Whether using single or multiple passes, the pencil strategy is ideal for cleaning up after other finishing strategies.

In some cases, it's possible to drive your tool along 'square' internal edges using the Bitangency Angle, found in the Passes tab. This can be handy when you want the tool to create the geometry of the final part, instead of your CAD system generating a fillet that would require surfacing, or which may terminate in an awkward way.

Pencil can also be used in similar scenarios to Scallop, when Limit number of stepovers is disabled in the Passes tab. The toolpath will collapse in a different way to Scallop, meaning the degenerate areas of the toolpath may be in a less critical area of your part.

Scallop/Constant Stepover

The Scallop strategy creates passes that are at a constant distance from one another by offsetting inward along the surface from the boundary. It essentially offsets the toolpath between surface normals, making it a 'true' 3D toolpath, instead of offsetting based on stepdowns in the Z axis, or stepovers in the XY plane. The passes will follow sloping and vertical walls to maintain constant stepover. For much of the surface it will result in a constant cusp height, however, in some areas the toolpath 'collapses' resulting larger cusps between each pass.

Although this strategy can be used to finish an entire part, it is often used for rest machining, following a combination of contour and parallel passes. As with other finishing strategies, machining can be limited by a contact angle range amongst various other containment methods found in the geometry tab.

Spiral

The Spiral strategy creates a spiral toolpath from a given center point, generating a toolpath which does not lift off the surface as it machines within a given boundary. Ideally suited for use on round shallow areas using tool contact angles up to 40 degrees in conjunction with contour passes for the more vertical faces. The center point of the spiral is automatically located at the sketch?s center point, or can be selected manually. This strategy also supports limiting the tool?s contact angle.

Morphed Spiral

The Morphed Spiral strategy is very similar to the Spiral strategy. However, a Morphed Spiral operation generates the spiral from the selected boundary as opposed to a Spiral operation which trims the generated passes to the machining boundary. This means that Morphed Spiral can be used for additional surfaces for which Spiral is not appropriate. It can also be very useful when machining free-form/organic surfaces. Although the Scallop strategy is often used for these types of surfaces, both the sharp corners and the linking transitions between the generated passes can result in visible marks. The Morphed Spiral strategy generally provides a much smoother toolpath by avoiding these issues.

Radial

Like Spiral, the Radial toolpath also starts from a center point, providing you with the ability to surface certain types of shallow geometry more evenly with less retracts. The center point of the radial toolpath is automatically located at the center point of the models' bounding box, or can be selected manually. In addition to the normal containment tools, Spiral adds the option to stop short of the center, where radial passes become dense.

Project

Project is a finishing strategy that allows you to machine along contours with the center of the tool. The provided contours are always projected onto the surface and so do not have to be on the actual surface. Project is commonly used for engraving text or symbols on a surface. The tool is moved in to the surface by either entering an axial offset or a negative stock to leave value. generates a toolpath along the contour of a surface, making it a suitable strategy for engraving symbols.

Morph

Morph is a strategy used to machine shallow areas between selected contours with a consistent cutting direction for smooth finishes. You can either select the model edges, or sketch profiles that are completely disassociated from the geometry to be machined. HSMWorks will then continually adjust the stepover and path to morph between the two contours as smoothly as possible within the given constraints. This toolpath is excellent at accentuating the geometry of smooth & shallow part geometry. If your part has quite a lot of steep geometry, then you should consider using Flow.

Flow

Flow is a strategy which machines along the ISO parametric directions of surfaces. It's an excellent toolpath when applied to high quality model faces, unlike the other 3D toolpaths, Flow doesn't convert the model into an STL file to generate the toolpath. As a result, it's highly dependent on the underlying 'wireframe' of the model face, meaning if the geometry is great, the toolpath nearly always is, whereas if it's poor, the toolpath is often less than desirable. And excellent day to day use case for Flow, is finish surfacing fillet radiuses on your model since it's another 'true' 3D toolpath in the sense than the stepovers are relative to the surface normal, instead of the Z axis or XY planes.

Flow also supports 4 & 5 axis simultaneous machining allowing you to have some influence over the angle of the tool as you surface your model.

Blend (Beta)

Blend is like a combination between Morph and Flow. You can define drive curves on the edge of the model, as well as select the model faces you want to drive the toolpath. Blend is less dependent on the ISO curves of the underlying geometry so you don't have to select the U or V direction of each face you want to toolpath. Blend also supports 4 & 5 axis in a currently limited way.

2D Machining Strategies Multi-Axis Strategies


Multi-Axis Strategies

3+2 Machining

All 2D and 3D strategies support 3+2 Machining (5-axis positioning) by rotating the part and/or the head of the machine tool through a combination of A, B, or C axis motions. To create a 3+2 operation, you need only select a work plane for the operation, easily achieved via the same user interface elements you use to setup your Job, but under a section called Tool Orientation' on the Geometry tab. From there you apply toolpaths to your model just like you are used to in 3-axis mode and HSMWorks will take care of the rest. It doesn't get any easier. Tooling and holder gouge protection is supported for all strategies that normally support them.

Flow

Flow is a strategy which machines along the ISO parametric directions of surfaces. In addition to being a standard 3D 3-axis toolpath, Flow can be switched into multi-axis mode, the tool machines normal to the surface by default. However, additional lead/lag and sideways tilt can be applied to control the contact point on the tool.

Swarf

Swarf only machines using the side of the tool by utilizing simultaneous 4 or 5-axis motion. This strategy supports both machining from contours only and from surfaces. When machining from contours only, you are required to manually synchronize the contours. Swarf supports several different cutting modes that control how to machine down the sides. 4-axis locking is supported for Swarf via the Tool Orientation controls on the Geometry tab.

Multi-Axis Contour

Multi-Axis Contour is used to machine 3D curves that lie on the face of the model. These can be actual edges from the models faces, or 3D curves that have been projected onto the face of a model. HSMWorks will create a toolpath that follows the selected curve/edge, while keeping normal/perpendicular to the surface of the model. Additional options will allow you to tilt the tool forwards or sideways. While you can compensate Left or Right of the selected curve, normally you would machine directly on Center of the curve. 4-axis locking is supported for Multi-Axis Contour via the ool Orientation controls on the Geometry tab.

3D Machining Strategies Turning Strategies


Turning Strategies

Milling machines work by moving a spinning tool over a stationary part. Lathes work by spinning the part and moving the tool, making them ideal for round parts like shafts, pins and pulleys.

Milling vs. Turning

There are many different configurations of CNC lathes. Some have two spindles, some two tool turrets, and some even integrate milling or grinding in the same machine. There is also variation between similar machines. Horsepower, the size of stock that can be gripped, and how tools are held vary greatly between lathes.

This set of toolpaths are 2D in nature, and apply to the model's section through the Job's XZ plane. If you are turning a part that also has milled features, the odds are high that you will need to generate a select a spun profile as a model override in the Geometry tab of each toolpath.

In HSMWorks the toolpaths are named based on the type of tool required when using them. Which means you can still generate grooving style toolpaths (cutting along the X-axis) with a profiling tool and profiling style toolpaths (cutting along the Z-axis) with a grooving tool.

Turning Profile

The Turning Profile strategy is used for both roughing and finishing the part, using a variety of turning tools used for profiling.

This toolpath can be used for Outside Profiling and Inside Profiling (Boring). You also have complete control of the cut direction and tool orientation. It's possible to limit the toolpath area by using Geometry - Confinement boundaries.

0, 45, & 90-degree Pass Direction values.

Turning Profile Groove

The Turning Profile Groove strategy is used for both roughing and finishing of the part using groove tools.

Control the direction with the Orientation setting in the tool definition

The Grooving Pattern setting on the Passes tab reveals quite a lot of additional functionality so this toolpath. Including sideways grooving (combine with the Both Ways' Direction''' setting) and peck grooving.

Turning Thread

The Thread strategy is used for turning OD, ID, cylindrical and conical threads. The CNC control must have built-in support for synchronizing the spindle and feed.

Turning Face

Turning Face roughs and finishes the front face of the part. Multiple passes can be added to allow for irregular length billets being loaded into the jaws.

Turning Single Groove

Turning Single Groove is used for radial grooves at selected positions only. It will create a groove equal to the width of the insert. This can for instance be used to make a groove on the backside of a thread before turning the thread itself. It's like 2D Contour in milling, in the sense that it is driven by the edge you select, rather than automatically finding the profile from the model.

Turning Chamfer

Turning Chamfer is used to cut chamfers into the part when none were modelled. So, it's useful for deburring square edges.

Turning Part

Turning Part is used at the end of the job to cut the finished part from the stock, freeing it from the spindle to drop into a parts catcher, or as part of the process for transferring the component to the sub spindle.

Turning Secondary Spindle Chuck

The Turning Secondary Spindle Chuck strategy is intended for automatic stock transfer between the two spindles. No toolpath is associated with this strategy. The post is responsible for outputting the desired NC code based on the values and settings selected in this strategy.

Turning Secondary Spindle Return

The Turning Secondary Spindle Return strategy is intended for automatic stock transfer between the two spindles. No toolpath is associated with this strategy. The post is responsible for outputting the desired NC code based on the values and settings selected in this strategy.

Multi-Axis Strategies Additional Features


Additional Features

Simulation

After generating a toolpath, you can inspect the result with the integrated simulatio n tool. When the simulation is generated and the play button is pressed, the tool motion is shown. The many controls include simulation speed and direction, visibility of tool, shaft and tool holder as well as color-coded rapid, lead, and cutting moves.

Use the advanced analysis tool to measure distances or dynamically view information about tools, feed/speed rates, estimated machining time, and more. Full 3+2 machining is supported, and multiple toolpaths can be inspected in a single operation.

After generating a toolpath, you can inspect the result with the integrated simulation tool.

Stock Simulation

The integrated stock simulation allows you to see the actual stock being removed from the chosen stock model, and automatically checks for shaft and fixture collisions. The resulting solid model can be inspected by colouring the surface according to the tool that cut it, and the model can then be sliced to inspect different sections of the model.

The part comparison feature displays areas with remaining stock in blue and gouge areas in red 3+2 machining is supported, and multiple toolpaths can be verified in a single operation.

The integrated stock simulation allows you to see the actual stock being removed from a solid block of material.

Post Processing

No CAM system is complete without a post processor to convert the generated toolpath into a format understood by the CNC machine control. HSMWorks uses a flexible post processor based on the JavaScript programming language to perform this critical task, enabling near-instant conversion of toolpaths to numeric code. HSMWorks comes with a variety of generic post processor configurations. Each post can be altered to fit your machine's requirements.

Generic post processors include Fanuc, Heidenhain, Haas, Hurco, Mazak, MillPlus, Okuma, Siemens, Yasnak, and many more. The Autodesk Post web page has a growing selection of posts available for use.

Post processor dialog, launched from within HSMWorks .

If any of our generic posts need to be customised to suit your machine or workflow, or we don't have a post specific to your machine, you have the following options:

  • Use the post processor support forum to ask questions and learn how to develop the post yourself
  • Add an idea to the Autodesk HSM Post Ideastation, detailing your machine and what's needed for a post
  • Engage with an Autodesk Reseller to get a customised post for your machine

All generic HSMWorks posts are unlocked and written using standard Javascript

Autodesk HSM Edit

HSMWorks comes packaged with Autodesk HSM Edit, a program for inspecting and manually editing NC program files. Autodesk HSM Edit provides a number of CNC code specific functions including line numbering/renumbering, XYZ range finder and file compare. Autodesk HSM Edit features a DNC link for reliable RS-232 communications with a variety of CNC controls.

Turning Strategies System Requirements


System Requirements

HSMWorks is compatible with SolidWorks 2017-2022, and its requirements match the version of SolidWorks you use.

The system requirements for your version of SolidWorks can be found here.

In addition to the SolidWorks system requirements, the following requirements and recommendations apply to HSMWorks specifically.

Software

  • Solidworks 2017 64-bit (x64) or newer
  • Windows 7, Windows 8.1, or Windows 10. 64-bit (x64) versions are required.
  • Internet Explorer 11

Hardware

  • Minimum of 8GB of RAM, 16GB or more is preferred for complex parts.
  • See this page for a list of supported video cards for SolidWorks.
  • An Intel or AMD CPU processor with SSE2 support.
  • Dual/Quad/Hex/Octo core CPUs will be utilized when calculating toolpaths. Basically the more cores, and the higher the clock speed, the faster your toolpaths will generate. HSMWorks is built to use as much as it can get.
  • A mouse with 3 or more buttons and a scroll wheel is required.
  • Internet access is required to download the software, for license activation and periodic validation.

HSMWorks can also utilize up to 36 physical processing and 72 hyperthreaded cores, distributed across multiple machines.

HSMWorks Add-In is available for customers who already have SolidWorks, and functions as an add-in for any existing Solidworks 2017 or newer installation.

HSMWorks, HSMXpress, Distributed CAM, Adaptive Clearing, and CAM Mania are trademarks of Autodesk, Inc. SolidWorks is a registered trademark of Dassault Systèmes SolidWorks Corp.

Additional Features Installation


Installation

Before installing HSMWorks please verify that the hardware and software requirements are met by your system.

Installing HSMWorks for SolidWorks

  • After downloading your installer from the Autodesk Desktop App or your Autodesk Account.
  • Login to Windows as an administrator or Power User.
  • Close any running instances of SolidWorks.
  • Install HSMWorks by running HSMWorks2023-NNNN.exe.
  • Follow the on-screen instructions.
  • Start SolidWorks again.

The HSMWorks add-in should now be loaded automatically whenever SolidWorks is started. If you do not see the CAM menu, you can load the HSMWorks Add-In

  • Anti-Virus/Security Package Compatibility
  • Exporting and Importing HSMWorks Settings and Defaults

System Requirements Anti-Virus/Security Package Compatibility


Anti-Virus/Security Package Compatibility

Modern anti-virus and security packages work by integrating with the operating system at a very low level, so that they can intercept malicious activities from any potential threat.

An inherent problem with this approach is that it can affect the performance of the system. How much or how little depends on the specific anti-virus program in question and may vary from version to version.

Also, some packages may restrict the actions of an application (such as HSMWorks) and prevent correct installation or operation.

So before reporting an installation or performance problem, please try to disable your security package temporarily and see if the problem disappears. In some cases disabling the package may not be enough and uninstalling the package will be necessary.

Exporting and Importing HSMWorks Settings and Defaults


Exporting and Importing HSMWorks Settings and Defaults

When changing an option or default in HSMWorks or SolidWorks the changes are stored in the Windows Registry.

The Windows Registry is a central facility in Windows and ensures that multiple users of the same PC can have different settings, and also that common settings can be easily deployed when performing network installations.

It is also possible to manually export and import settings and move these between PC's, using Windows' Registry Editor.

To start the Registry Editor, choose Run from the Windows Start menu and type regedit:

Starting the Registry Editor.

The Registry Editor.

Be very careful when using the Registry Editor to ONLY edit the parts of the registry that you are sure can be safely edited. Accidentally changing, moving or deleting other parts of the registry can easily cause other applications or Windows itself to stop functioning properly.

The registry contains 5 different areas, but it is normally only the HKEY_CURRENT_USER area that is safe to edit.

For HSMWorks, all user settings are stored in: HKEY_CURRENT_USER\Software\HSMWorks

Each product has it's own sub area, e.g. HSMWorks, HSMWorks Distributed CAM Services, HSMWorks License Manager.

The HSMWorks user settings.

To make a backup of all the settings you can right-click a node in the tree and choose Export:

Exporting a backup of the HSMWorks add-in settings.

The Export function will save a file with the extension .REG which is a text file that can be edited with any standard text editor (such as Notepad).

The exported .REG file can be imported again on the same PC or on another PC by simply double-clicking on the .REG file.

The exported .REG file can also be used in conjunction with a network installation to provide defaults on all the installations.

It is generally safe to delete the keys in the HKEY_CURRENT_USER\Software\HSMWorks area, as that will simply reset the settings to the installation defaults.

When exporting settings for use on a different PC, it may be beneficial to hand edit the exported .REG file in a text editor and remove any settings that are not relevant on other PC's.

Anti-Virus/Security Package Compatibility Getting Started


Getting Started

When you start SolidWorks for the first time after having installed HSMWorks, the only thing you will notice is that there is now a CAM submenu under the Tools menu. This is the HSMWorks main menu which lets you access the main HSMWorks features.

HSMWorks main menu.

To start using HSMWorks you need to create a new part or assembly, or load an existing file of any of the types supported by SolidWorks (which include ParaSolid, IGES, STEP, and others).

With a file loaded, the CAM Manager tab [image] will appear on the feature manager, and the CAM command manager tab [image] will also be present.

The extra feature manager tab is referred to as the Operation Manager. It allows you to view and modify all machining related data in the current part or assembly.

To create your first machining operation, select any of the toolpath strategies from either the toolbar, the CAM menu, or by right-clicking in the operation manager. The desired toolpath you will want depends on the type of part and the specific geometry to be machined. For a description of the individual strategies please refer to the Reference section. In this example we will start off with a 2D Pocket strategy [image], which can be used to remove the interior cavity of the part.

All toolpath operations are defined by a property page with a set of tabs, each containing parameters controlling different aspects of the toolpath. HSMWorks will provide default values for all parameters to the best of its abilities. The bare minimum for a new toolpath is selecting a tool and the geometry to machine.

Start by selecting a tool on the Tool tab, for now just choose an existing tool from a library by expanding the library tree, selecting a tool, and pressing the Select button. Alternatively, create a new tool by pressing the New Mill Tool or New Turn Tool buttons, editing the parameters, and then pressing the Select button.

Next you need to select some geometry. For the 2D pocket strategy, you must select one or more closed contours. You can select directly from the model by clicking on edges, faces, surfaces etc., but you can also use any 2D sketch directly. If the feature you want to select is not visible, you can select it from the feature manager which is available in the top-left corner of the model viewport.

When selecting 2D geometry, the contours are projected onto a plane parallel to the tool orientation. If the projection looks incorrect, you can change the tool orientation by clicking on the "Tool Orientation" group and selecting a different plane.

If you have selected a tool and the machining geometry, pressing OK will close the property manager, and generate the toolpath.

Toolpath generation can be tracked with the HSMWorks Task Manager. This shows the progress of any ongoing toolpath calculation. This manager can run in the background so that you can continue working while the regeneration completes. Normally 2D milling and turning toolpaths will generate in a matter of seconds, but some 3D milling strategies can take a considerable time to calculate, depending on the geometry and tolerances. If you have hidden the Task Manager dialog, you can show it again by pressing the Task Manager icon on the CAM toolbar.

Having successfully generated a toolpath, you can see a preview of the toolpath drawn on top of the SolidWorks model simply by selecting the corresponding operation in the operation manager.

Simulation

To simulate the toolpath, you have the option of using either simulation or stock simulation. To invoke Simulation, select one or more operations (more operations can be selected by holding the CTRL key while clicking with the mouse), and press the Simulation icon [image] on the CAM toolbar.

Simulation.

Stock Simulation

To invoke the stock simulation, select one or more operations, and press the Stock Simulation icon [image] on the CAM toolbar. Stock can be colorized to indicate areas where too much stock remains or too much has been removed. Additional functionality such as detecting holder collisions and comparing the stock to the model are also available.

Stock simulation.

Post Processing

The application ships with a number of generic customizable post-processors, with more available in the Autodesk Post Library. Processed machine code can be generated by selecting one or more operations and selecting Post Process from either the right-click menu, the CAM menu or the CAM toolbar. After selecting a post, a variety of parameters can be set from within the Post Process dialog.

Post processing dialog.

General

Toolpath Preview

You can change the way the toolpath is shown in the SolidWorks view using the options found in the "View" menu on the CAM ribbon tab. To preview the toolpath, just select it with a single left click in the CAM manager tab.

Multi-selection

Multi-selection of items in the operation manager is supported using the SHIFT and CTRL keys. Consecutive items can be selected by clicking the first, then clicking the last while holding SHIFT. Non-consecutive items can be selected by holding CTRL with each click.

Log Messages

If an operation in the operation manager is overlaid with a red cross, it indicates that the operation could not be generated successfully. To see a description of the problem or error, right-click the operation and select Show Log. This is also true if the operation displays an orange warning check mark.

Associativity

When you define operations in HSMWorks Add-In, all relationships to the model are associative. Thus, if you change your model you will not have to redefine any parameters and selections again - they will persist across model changes and rebuilds. You will, however, need to regenerate your operation whenever a part of the model on which a toolpath depends is modified.

When a modification of the model triggers invalidation of a toolpath, the regeneration symbol (a red cross) will be overlaid on the corresponding operation and toolpath nodes in the operation manager. If you attempt to simulate or post process an invalidated toolpath, you will be warned that it requires regeneration.

You can regenerate all your operations either at once with Generate Toolpath (All) from the context menu of the Job folder node in the Operation Manager, or individually with Generate Toolpath... from the context menu of a single operation's node. Choosing "Generate Toolpath" from the CAM menu will regenerate all operations that require regeneration.

Use Assemblies

The machining operations created in a part or assembly are stored with the SolidWorks file itself - including the generated toolpaths. This data will remain within the file even if it is edited on a system that does not have the HSMWorks add-in installed. To remove the HSMWorks-specific data from a part or assembly file, simply delete all operations and jobs, then save the file.

You will notice that the toolpath data from machining operations can cause the size of your files to grow considerably. If you wish to send the file by e-mail or similar, you may want to clear extraneous toolpath data from the file before sending it. Simply right-click the operation(s) and choose Clear Toolpath before saving the document. The toolpaths can then be regenerated by the receiver from the file's defined operations. The SolidWorks file can also be compressed to reduce its size significantly.

If you do not wish to add HSMWorks-specific data to your design model, you can create a separate assembly for the HSMWorks data and insert the parts you want to machine as assembly components, which leaves the component part files unaffected by the HSMWorks add-in - the machining data and toolpaths will reside only in the assembly file, along with any extra reference geometry such as coordinate systems, workholding fixtures, and machine components, you may want to use to help define your operations.

Metric or Imperial Units

The add-in supports input in either inches or millimeters for parameters. By default, the unit for the parameters matches that of the SolidWorks document. The tool parameters are specified in the units of the tool geometry.

3+2 Machining

By default, new operations are created using the Work Coordinate System of the current job. If the default WCS is incorrect, you can alter it on the Job Setup page. To change the tool orientation of a single operation only, open the Geometry tab for the operation, and change the settings in the Tool Orientation group.

A tool orientation can be specified as one of the following:

  • Use Origin & Orientation
  • Use Coordinate System

Axis and plane based options:

  • Use Z-Axis and X-Axis
  • Use Z-Axis and Y-Axis
  • Use X-Axis and Y-Axis

For most common cases, using one of the Axis & Plane options is the easiest way to define the tool orientation,s ince they allow definition of tool orientation entirely from part geometry.

For cases where a suitable face/plane and point/vertex does not exist, you need to construct this geometry first using either SolidWorks' Sketches, Planes, or Coordinate System features. The latter two options are available from the Insert, Reference Geometry menu.

Whenever an operation is selected, a coordinate system is drawn on top of the model to indicate the tool orientation. The coordinate system is placed at the origin of the tool orientation. The red, green, and blue arrow correspond to the X, Y, and Z-axis respectively.

Tool Orientation preview.

Boundaries

You can restrict every 3D machining operation to one or more areas by specifying boundaries. The default boundary used is a bounding box of the machined parts' geometry. You can select silhouette curves of the part geometry, or a selection such as a chain of edges to confine the area of machining. Boundaries can be nested, but should not intersect themselves or other boundaries.

3D Rest Machining

The most efficient roughing is achieved by following the work of a large tool with a smaller tool in the areas that have not yet been cleared by the previous operation.

To achieve this, for 3D toolpaths HSMWorks uses a stock model of the remaining material to avoid air-cutting. The stock model can be generated from a previous operation or supplied by you. In some cases, such as when working with large parts, it might be required to go through several rest roughing stages, each stage using a smaller tool than the previous operations. There is no restriction on the number of rest roughing stages.

2D Rest Machining

For the clearing of rest material with a smaller tool, use a 2D machining strategy. The area to be machined is defined by the tool diameter and the machining strategy used in the previous operation.

Exporting and Importing HSMWorks Settings and Defaults Example Files


Example Files

A HSMWorks installation includes several example files. These files are located in the "examples" folder in the installation folder - typically this folder is:

C:\Program Files\HSMWorks\examples

Tutorials


Tutorials

  • Tutorial 1 - 2D Machining
  • Tutorial 2 - High-Speed 3D Machining
  • Tutorial 3 - 3+2 Machining
  • Tutorial 4 - Advanced 3D Machining
  • Tutorial 5 - More 2D Machining
  • Turning Tutorial - Stub Axle

The HSMWorks Tutorials have been designed to be viewed side-by-side with the main SolidWorks/HSMWorks user interface, such that you can follow each step simultaneously in both the tutorial and the user interface.

The easiest way to show the tutorials next to the main window, is to use the HSMWorks Tutorials menu, which will automatically resize the windows to suitable sizes.

Opening the HSMWorks Tutorials.

If you, however, already have the HSMWorks Help open, you can also hide the contents pane by clicking the Hide button:

Hiding the contents pane.

The intended tutorial setup.

Example Files Tutorial 1 - 2D Machining


Tutorial 1 - 2D Machining

In this tutorial you will learn how to machine the part above through the following steps:

  • Facing
  • Contouring
  • Pocket Machining
  • Counterboring
  • Drilling
  • Tapping
  • Post Processing

Before proceeding, please open the part Tutorial1.SLDPRT into HSMWorks, by choosing [image] Open from the File menu, and then browsing to the file.

The files used in this manual can be found in the examples folder in the folder where HSMWorks is installed.

Typically, this is something like C:\Program Files\HSMWorks\examples\

Facing


Facing

To clear the top face of our stock and ensure that it is completely horizontal, we will begin with a facing operation.

  • Click [image] Face on the CAM toolbar or select it form the CAM, Toolpaths menu.

This creates a new operation and opens the Property Manager where you can edit the individual parameters controlling the toolpath, as well as selecting the actual geometry to machine.

The property page is divided into number of groups, and in this tutorial we will go through each one by one changing the necessary settings in each group as we go along.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #1 - Ø50mm face
  • Press

Geometry

By default, the Face strategy automatically detects the contour of the stock, which is shown as an orange outline on the part.

Automatically detected Stock Contours.

In this example the default stock and stock contours will work fine, and we don't need to specify the stock contours manually.

Passes

Face

The parameters in this group controls how the actual facing toolpath is laid out.

When you selected the 50mm tool, the [image] Stepover and [image] Pass Extension parameter were automatically updated to reflect the new tool diameter. We will leave the parameters at their defaults, except the pass extension, which we can increase.

  • Change Pass Extension:
    Pass Extension 5mm

Start Calculation

  • Click green tick at the top of the property manager. This will automatically start calculation of the toolpath.

The toolpath will now be calculated and a preview will be shown in the model view:

By default the cutting parts of a toolpath are colored in blue, lead moves in green and rapid moves in yellow. The start and end of the toolpath are indicated by a red and a green triangle respectively.

Contouring


Contouring

Next, we will run a contouring toolpath along the outside of the part.

  • Click [image] 2D Contour on the CAM toolbar or select it from the CAM, Toolpaths menu, under 2D Milling.

Tool

  • Press

This opens the Tool Library where you can select from existing tools in a library or define a new tool.

Tool definitions can be saved in a library or just for the part you work on.

In this example we will save the tools in the part only. You can always copy the tools to a library at a later time, if you wish to re-use them.

Add a new tool with default dimensions:

  • Press

We can use the default tool type and dimensions (a 10mm flat mill) for this tutorial, but we will increase the flute length be able to cut the entire height of the part (22mm):

  • Click the Cutter tab
  • Change Flute Length to 25mm.

If you decide to execute this toolpath on a machine tool, ensure that the tool number corresponds with the tool position in your tool changer on the machine tool, ie. that on position 6 you have a 10mm flat end mill cutter.

  • Press the OK button to create your new tool.
  • Press the Select button to select the tool for your operation and close the tool dialog.

Feed & Speed Group

In the Feed & Speed group, change the following parameters:

  • Spindle Speed:
    Spindle Speed 3000rpm
  • Cutting Feedrate:
    Cutting Feedrate 800mm/min

If you decide to execute this toolpath on a machine tool, you will also need to set the feed & speed parameters according to the material you are using, and the capabilities of your tool and machine.

Geometry

Here we select the geometry we want to machine. We want to run the tool around the outside edge of the part.

  • Select the edges to be machined. Move the mouse over the bottom front edge, it will be highlighted, then click on it. Depending on the side of the edge you click you can determine the direction of the contour. By clicking closer to the desired start of an edge you can determine the direction of the contour. For climb milling click close to the bottom right side of the edge.

You can reverse the direction of a selected edge either by de-selecting it and clicking near the opposite end, or alternatively by pressing [image] in the property manager.

After you finished your geometry selections, the graphics window should look like this:

Heights

When activating the Heights tab, a preview of the heights will be shown:

Preview of heights:
The top yellow plane represents the clearance height.
The second yellow plane represents the retract height.
The green plane represents the feed height.
The top blue plane is the top.
The second blue plane is the bottom.

To make sure that the tool gets all the way through the stock, we can lower the bottom height by 1 mm.

  • Bottom:
    Bottom -1.0mm

Note that the preview plane moves.

Start calculation

  • Click green tick at the top of the property manager.

The toolpath will now be calculated and shown in the graphic area.

Notice that in the operation manager a new job has been created automatically. This is automatically done when creating a new operation before a job has been created. A job defines a number of settings used in all the operations contained within the job. For example the WCS can be changed in the Job.

Continue to Pocket Machining...

Facing Pocket Machining


Pocket Machining

We want to machine the pocket with the central circular boss on the top surface of the part.

  • Click [image] 2D Pocket on the CAM toolbar or select it from the CAM, Toolpaths menu, under 2D Milling.

Tool

By default the last tool used will be selected. Ensure that the tool #2 - Ø10mm flat is selected.

Geometry

Here we select the contours of the pocket we want to clear.

  • Click anywhere on the face at the bottom of the pocket.

Selecting faces for 2D geometry automatically uses all edges of the face for the contours. If two adjacent faces are selected, the edges they share are, however, not included in the selection.

Heights

By default, the 2D Pocket operation machines from the top of stock to the level of the selected contours. This is exactly what we need in this operation so there is no need to change any heights.

Passes

This group controls how the 2D pocket toolpath will be calculated. We want to use this pocket toolpath to clear out the pocket. To do this we want to generate the toolpath in a number of Z levels, starting from the top of the stock and going down in steps of 2 mm to the bottom of the pocket.

  • Enable Multiple Depths:
    Multiple Depths
  • Change Maximum Roughing Stepdown:
    Maximum Roughing Stepdown 2.0mm
  • Change Finishing Stepdowns:
    Finishing Stepdowns 1

We do not want to leave any stock in this operation, and since this is a roughing operation, the default is to leave stock.

  • Disable Stock To Leave:
    Stock To Leave

Start calculation

  • Click green tick at the top of the property manager.

The toolpath will now be calculated and shown in the graphic area.

Contouring Counterboring


Counterboring

The next step is to machine the two counterbores at the top left and right corners of the part.

  • Click [image] Bore on the CAM toolbar or select it from the CAM, Toolpaths menu, under 2D Milling.

Tool

By default the last tool used will be selected. Ensure that the tool #2 - Ø10mm flat is selected.

Geometry

Here we select the cilindrical faces of the two holes with the widest diameter at the top corners of the part.

  • Zoom in, and click anywhere on the cilindrical surface of the upper big hole.

  • Do the same to select the other hole in the opposite corner.

Passes

Here we can control how the helix toolpath will be calculated.

Bore

  • Change Pitch:
    Pitch 2.0mm

Start calculation

  • Click green tick at the top of the property manager.

The toolpath will now be calculated and shown in the graphic area.

Pocket Machining Drilling


Drilling

Now we want to drill the two holes at the top left and right corners of our work piece.

  • Click [image] Drill on the CAM toolbar or select it from the CAM, Toolpaths menu.

Tool

Change the default tool:

  • Press [image] to open the Tool Library.
  • Click

This will create a tool with default dimensions and cutting data. The default is a 10mm flat mill. We will use most of the defaults, but change some of the cutting parameters a bit:

  • Click the Cutter tab.
  • Change Type to Drill by selecting it from the drop down.
  • Change Diameter to 5mm.
  • Press the OK button to create your new tool.
  • Press the Select button to select the tool for your operation and close the tool dialog.

Geometry

  • Zoom in, and select one the cylindrical faces of the two holes at the top corners of the part.

Notice that as you select the cylindrical face, the status bar will show the diameter and height of the selected face. This is helpful if you don't know in advance the size of the tool needed.

  • Enable Select Same Diameter:
    Select Same Diameter

Heights

  • Enable Drill Tip Through Bottom:
    Drill Tip Through Bottom
  • Change Break-Through Depth:
    Break-Through Depth 1mm

Passes

  • Select Chip breaking - partial retract from the Cycle Type drop down.

Start calculation

  • Click green tick at the top of the property manager.

Counterboring Tapping


Tapping

This tapping operation only differs in the type of cycle from the previous drilling operation; tapping will be done for the same geometry. To save all the work of entering this data, we will just copy the existing drilling toolpath and create the tapping toolpath by editing this copy.

  • Right-click on the operation [image] Drill1.
  • Choose Duplicate from the context menu.
  • Right-click on the new operation.
  • Choose Rename.
  • Enter a new name, such as "Tapping M6".

Next we have to edit the tool and parameters.

  • Right-click on on the operation [image] Tapping M6.
  • Choose Edit from the context menu.

Tool

To create and select a new tapping tool:

  • Press [image] to open the Tool Library.
  • Click

On the General tab:

  • Change Number to 8.

On the Cutter tab:

  • Change Tool type to Tap (Right Hand).
  • Change Diameter to 6mm.
  • Change Flute length to 15mm.

On the Feed & Speed tab:

  • Change Spindle speed to 400rpm.
  • Press the OK button to create your new tool.
  • Press the Select button to select the tool for your operation and close the tool dialog.

If you want to run this toolpath on your machine tool, you may also need to set the Pitch parameter on the Cutter tab, as well as adjust the feed and speed parameters. You should always look up the correct values in your tool manufacturer catalog.

Passes

Now, make this a tapping cycle instead of a drilling cycle:

  • In the group Cycle select Tapping.

Start calculation

Click green tick at the top of the property manager. The resulting toolpath will look like this:

You have now finished all operations in this tutorial.

Drilling Post Processing


Post Processing

It is good practice before you start the post processing to regenerate all toolpaths and then simulate the toolpaths. This way you can spot any errors in the toolpaths and rectify them.

We are ready to post process all toolpaths in order to make the NC-code which can be used by the machine tool.

  • Right-click on [image] Job in the operation manager.
  • Select [image] Post Process (All).
  • From the pull down Post processor configuration select heidenhain.cps - Generic Heidenhain
  • Select an output folder of your choice.
  • Start the post processor by clicking Post. By default the post processed file will be loaded into HSMWorks Edit.

You can also post process individual operations by invoking the post processor through a right-click on the operation, and selecting Post Process from the context menu.

Congratulations! You have completed this tutorial.

Tapping Tutorial 2 - High-Speed 3D Machining


Tutorial 2 - High-Speed 3D Machining

In this tutorial you will learn how to machine the part above on a high speed machine tool through the following steps:

  • Creating a Tool Library
  • Roughing: Adaptive Clearing
  • Rest Roughing: Pocket
  • Contour Machining
  • Scallop Machining
  • Scallop
  • Horizontal
  • Pencil Milling
  • Collapsed Pencil
  • Post Processing

Before proceeding, open the part Tutorial2.SLDPRT into HSMWorks.

The files used in this manual can be found in the examples folder in the folder where HSMWorks is installed. Typically, this is something like C:\Program Files\HSMWorks\examples\

Post Processing Creating a Tool Library


Creating a Tool Library

In this tutorial, we will start of by creating a tool library containing all the tools we will be using first.

First, open the tool library:

  • Choose [image] Tool Library from the CAM toolbar or the CAM menu.

The tool library allows you to select from existing tools in a library as well as define new tools. Tool definitions can be saved in a library or just for the part you work on.

Next, create a new library called Tutorial2:

  • In the tool library dialog, select [image] My Libraries
  • Click
  • Name the new library Tutorial2. Press Enter to accept the new name

This creates a new library file in My Libraries subfolder of your My Documents folder.

You can locate the library file by right-clicking on the library and pressing [image] Open in Windows Explorer.

Now, add each of the following tools by pressing [image], and then changing the type and the parameters specified below. All other parameters should be left at their defaults.

Number | Type | Diameter (mm) | Corner radius (mm) | Flute length (mm) | Body length (mm) | Spindle Speed (rpm) | Cutting feedrate (mm/min)
10 | Bull-nose Mill | 20 | 1 | 25 | default | 16,000 | 9,500
13 | Bull-nose Mill | 6 | 1 | default | 45 | 30,000 | 6,000
20 | Ball Mill | 10 | n/a | default | default | 30,000 | 1,800
21 | Ball Mill | 6 | n/a | 15 | 45 | 30,000 | 6,000

When you are done setting up the tools, press [image] to return to HSMWorks. The library will be saved automatically.

Roughing: Adaptive Clearing


Roughing: Adaptive Clearing

For roughing the part, we will first use an adaptive clearing strategy to remove the majority of the excess material.

  • Click the strategy Adaptive Clearing [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

  • Press
  • From the library Tutorial2 that we created before, select tool #10 - Ø20R1mm bullnose
  • Press

Geometry

By default, the Adaptive Clearing strategy will remove all possible material from the stock and to the model.

By default the stock is a rectangular box slightly larger than the part, and the model is set to be the solid body in the part. Both stock and model are defined in the Job which is added automatically.

The geometry tab allows you to override the default model and confinement settings, as well as the tool orientation.

In this example the default stock, model and tool orientation will work and we do not need to change anything.

Heights

The default heights are set to relate to the geometry such that the entire depth of the part is machined.

In this operation we will only machine down to the flat area of the part, omitting the rectangular base of the part.

  • For Bottom choose From Selection.
  • For the Bottom Reference select one of the vertices along the bottom face:

Passes

Adaptive Clearing

  • Change Maximum Roughing Stepdown:
    Maximum Roughing Stepdown 25mm
  • Change Fine Stepdown:
    Fine Stepdown 2.5mm
    (automatically updated)
  • Enable Machine Shallow Areas:
    Machine Shallow Areas
  • Change Maximum Shallow Stepover:
    Maximum Shallow Stepover 1mm
  • Enable Flat Area Detection:
    Flat Area Detection

Stock to Leave

  • Set Radial (Wall) Stock To Leave:
    Radial (Wall) Stock To Leave 0.3mm

Note that the axial stock to leave is automatically updated to reflect the radial stock to leave.

Start calculation

Click green tick at the top of the property manager. This will start generation of the toolpath.

Whenever a toolpath is being generated, you can continue to work by pressing the Hide button on the Task Manager dialog.

When the Task Manager is hidden, toolpath calculation will continue in the background, and you can see progress directly in the operation manager.

Note also that for most of the strategies, it is possible to see a preview of the toolpath as it's being generated. This can be valuable to help you see early on if something is wrong so you can abort the task and go back and change the parameters.

You can bring the dialog back by selecting [image] Task Manager from the CAM toolbar or menu.

You can either abort a task by pressing the Abort button in the task manager, or by choosing Abort Generation when right-clicking on the operation in the operation manager.

When the toolpath generation is complete, the resulting toolpath should look like this:

Verification

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Creating a Tool Library Rest Roughing: Pocket


Rest Roughing: Pocket

There are some areas where the 20mm tool did not fit. We will remove more of the remaining material there with a pocket rest milling operation.

  • Click the strategy Pocket Clearing [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

  • Select tool #13 - Ø6R1mm bullnose from the Tutorial2 library.

Geometry

Rest Machining

We only want to remove the material the previous operation did not remove.

  • Enable Rest Machining:
    Rest Machining

Passes

Pocket Clearing

Use these settings:

  • Set Corner Deviation:
    Corner Deviation 1.0mm
  • Set Maximum Roughing Stepdown:
    Maximum Roughing Stepdown 2.0mm

Stock to Leave

We use the same settings as in the previous operation Adaptive1.

  • Set Radial (Wall) Stock To Leave:
    Radial (Wall) Stock To Leave 0.3mm

Linking

For this tutorial, we use the Shortest Path retraction policy. This gives the shortest possible rapid movement paths, but can only be used on high speed enabled machines where rapid motion is interpolated as linear moves. Should you wish to machine the tutorial part on your machine, you may have to change this setting to suit your machine and control.

Start calculation

Click green tick at the top of the property manager. The resulting toolpath should look like this:

Verification

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Roughing: Adaptive Clearing Contour Machining


We now have between 0.2mm and 0.4mm material left on the part (0.3mm stock to leave plus/minus 0.1mm tolerance). We will use several semi-finish operations to reduce this material. In the following part of the tutorial you will learn how to set up these toolpaths:

Contour Machining

We will create a contour operation to handle the steep areas of the part.

  • Click the strategy Contour [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

  • Select tool #20 - Ø10mm ball from the Tutorial2 library.

Geometry

Machining Boundary

  • Select Tool Center on Boundary from the Tool Containment drop down.

We want to confine the machining to steep areas with this operation. This can be achieved by limiting the Slope range.

Slope

  • Enable Slope:
    Slope
  • Change From Slope Angle:
    From Slope Angle 60deg
  • Change To Slope Angle:
    To Slope Angle 90deg

All other settings remain default.

Passes

Contour

Use these settings:

  • Set Tolerance:
    Tolerance:
    0.02mm
  • Set Maximum Stepdown:
    Maximum Stepdown 1mm
  • Enable Order By Depth:
    Order By Depth

Stock to Leave

  • Enable Stock To Leave:
    Stock To Leave

We can use the default values of 0.1mm for this operation.

Linking

Linking

  • Select Minimum Retraction as the Retraction Policy
  • Change Maximum Stay-Down Distance:
    Maximum Stay-Down Distance 10mm

All other settings remain default.

Leads & Transitions

Use these settings:

  • Change Ramping Angle (deg):
    Ramping Angle (deg) 10deg

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath should look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Rest Roughing: Pocket Scallop Machining


Scallop Machining

Next we will create a constant scallop toolpath on the shallow areas of the boss.

  • Click the strategy Scallop [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

The previous tool #20 - Ø10mm ball should still be selected. We will leave all settings in this group unchanged.

Geometry

Confinement

We want to confine the machining to shallow areas with this operation. This can be achieved by limiting the Slope range.

  • Enable Slope:
    Slope
  • Change From Slope Angle:
    From Slope Angle 0deg
  • Change To Slope Angle:
    To Slope Angle 65deg

Machining from 0 degrees (horizontal) to 65 degrees from horizontal ensures that there is no excess material in the transition zone between this operation and the previous operation on steep areas, and that the tool starts in areas that are already machined.

Check Surfaces

The set slope angle will also include the flat face at the bottom of the part, but we finish this later with 0 stock to leave using a horizontal finishing strategy.

To avoid machining the flat bottom of the part we can select it as a check surface:

  • Enable Check Surfaces:
    Check Surfaces
  • In the Check surface selection field, select the flat face at the bottom of the part:

Passes

Scallop

Use these settings:

  • Set Tolerance:
    Tolerance:
    0.02mm
  • Set Stepover:
    Stepover 1mm

Stock to Leave

  • Enable Stock To Leave:
    Stock To Leave

Again, we can use the default values of 0.1mm.

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Contour Machining Scallop


We now have 0.1 mm left on most of the part. There is a little more on top of the base surfaces, inside the 4 mm fillets and on the lower part of the fillet at the base surfaces. We will now finish the part in these steps:

Scallop

  • Click the strategy Scallop [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

Select tool #21 - Ø6mm ball from the library Tutorial2.

Geometry

In the previous operations we limited the slope range to confine machining to steep areas. In this operation we want to machine the entire part in one go to get a consistent amount of stock left.

In this operation we will only machine down to the flat area of the part, omitting the rectangular base of the part.

Passes

Scallop Finishing

Use these settings:

  • Set Tolerance:
    Tolerance:
    0.02mm
  • Set Stepover:
    Stepover 1mm
  • Choose Inside -> Out for the Inside/Outside option.

Stock to Leave

Use these settings:

  • Enable Stock To Leave:
    Stock To Leave
  • Set Radial (Wall) Stock To Leave:
    Radial (Wall) Stock To Leave 0.05mm
  • Set Axial (Floor) Stock To Leave:
    Axial (Floor) Stock To Leave 0.05mm
    (updated automatically)

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Scallop Machining Horizontal


Horizontal

We will now clear the base surfaces where they are perfectly horizontal.

  • Click the strategy Horizontal [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

Select tool #13 - Ø6R1mm bullnose from the document tool table.

Heights

By default, the horizontal finishing strategy will also machine across the top of the part and the small flat areas on the ridges of the part.

In this operation we are only concerned about the bottom flat face, and thus we can limit the depth range that is to be machined.

  • For Top choose From Selection.
  • For the Top Reference select one of the vertices above the bottom fillet:

Passes

Horizontal

Use these settings:

  • Set Tolerance:
    Tolerance:
    0.02mm
  • Set Smoothing Deviation:
    Smoothing Deviation 1mm

Stock to Leave

By default the amount of stock to leave is 0. In this operation we will machine down to the final shape of the part, without any stock allowance.

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Scallop Pencil Milling


Pencil Milling

We are using a 6 mm ball mill for finishing toolpaths. The fillets between base and boss are 4mm radius. We will use parallel pencil passes to machine the fillets.

  • Click the strategy [image] Pencil on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

Select tool #21 - Ø6mm ball from the document tool table.

Passes

Pencil

Use these settings:

  • Set Overthickness:
    Overthickness 1.2mm
  • Set Number Of Stepovers:
    Number Of Stepovers 5
  • Set Stepover:
    Stepover 0.3mm

Overthickness is used by HSMWorks to generate pencil passes where they would not exist for the specified tool. Here the tool radius of 3mm is smaller than the fillet radius of 4mm. With Overthickness set to 1.2mm, HSMWorks will generate the pencil passes for a larger tool radius, and uses them to guide the smaller tool into the fillets.

Stock to Leave

Use these settings:

  • Enable Stock To Leave:
    Stock To Leave
  • Set Radial (Wall) Stock To Leave:
    Radial (Wall) Stock To Leave 0.05mm
  • Set Axial (Floor) Stock To Leave:
    Axial (Floor) Stock To Leave 0.05mm
    (updated automatically)

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Horizontal Collapsed Pencil


Collapsed Pencil

For the last finishing operation, we will use a collapsed pencil finishing toolpath over the entire part except the base surface. We can copy the previous operation, and then edit the parameters.

  • Right-click on the last operation, Pencil1.
  • Select Copy from the context menu.
  • Right-click again.
  • Select Paste from the context menu. A copied operation Copy of Pencil1 is added to the bottom of the toolpath list.
  • Rename the copied toolpath: select and press F2. Type the new name Parallel pencil.
  • To open the Property manager right-click Parallel pencil and select Edit from the context menu. You will see the following groups:

Tool

The selected tool should still be #21 - Ø6mm ball.

Geometry

Confinement

We will confine the toolpath to the area of the boss.

  • In the pull down menu Machining Boundary switch from Silhouette to Selection.
  • Disable Tangent Propagation:
    Tangent Propagation
  • Select an edge on the inner boundary as shown here:

Boundary selection

  • Set Additional Offset:
    Additional Offset 1.0mm

Passes

Pencil

  • Disable Limit Number Of Stepovers:
    Limit Number Of Stepovers
  • Set Stepover:
    Stepover 0.7mm

Stock to Leave

  • Disable Stock To Leave:
    Stock To Leave

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

That finishes this tutorial's toolpaths; you should now have these operations in the operation manager:

Pencil Milling Post Processing


Post Processing

We are ready to post process all toolpaths in order to make the NC-code which can be used by the machine tool.

  • Right-click on [image] Job in the operation manager.
  • Select [image] Post Process (All).
  • Choose the desired post processor configuration, program file name and location.
  • When you have finished editing your settings click on Post to generate the CNC program file. By default HSMWorks Edit will open and you can view and simulate the program code, and transfer it to the machine control.

Congratulations! You have completed this tutorial.

Collapsed Pencil Tutorial 3 - 3+2 Machining


Tutorial 3 - 3+2 Machining

In this tutorial you will learn how to set up 3+2 Machining toolpaths.

  • Job Setup
  • Adaptive Machining, Pocket
  • Pocket Clearing

Before proceeding, open the part Tutorial3.SLDASM into HSMWorks.

The files used in this manual can be found in the examples folder in the folder where HSMWorks is installed. Typically, this is something like C:\Program Files\HSMWorks\examples\

We will assume that the stock we start from is already roughed to a shape that only requires the machining of the two pockets using 3+2 toolpaths. The file for this tutorial is an assembly and contains the final component as well as the stock shape we start from.

Post Processing Job Setup


Job Setup

We begin with setting up common job parameters.

  • Open the operation manager by clicking
  • Right-mouse click on Tutorial3 Operation(s) and select [image] New Job....
  • In the group Stock, change the Stock Mode from Automatic to From Solid.
  • Next, select the component Tutorial3Stock<1> as the stock by either:
    • In the model window, right-click on the model.
    • Choose Select Other.
    • From the list, select Tutorial3Stock<1>.

    or:

    • In the model window click the [image] in front of [image] Tutorial3 to expand the Assembly tree.
    • Select the Tutorial3Stock<1> component feature.

    Your selection should look like this:

  • In the group Model, right-click in the selection field and choose Clear Selections.
  • Next, select the component Tutorial3<1> as the surfaces by either:
    • In the model window, click on the model.

    or:

    • In the model window click the [image] in front of [image] Tutorial3 to expand the Assembly tree.
    • Select the Tutorial3<1> component feature.
  • Click green tick at the top of the property manager.
Adaptive Machining, Pocket


Adaptive Machining, Pocket

We will use an Adaptive Clearing toolpath to clear the oval shaped pocket:

  • Click the strategy Adaptive Clearing [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #12 - Ø8R1mm bullnose
  • Press

Geometry

Tool Orientation

  • Enable Tool Orientation:
    Tool Orientation
  • Select Use Coordinate System
  • From the tree view in the model window, expand the node Tutorial3<1>.
  • Select Coordinate System1.

Machining Boundary

  • For the machining boundary, select Selection.
  • In the graphics window, click on the outer oval edge of the pocket to select it.
  • Select Tool Center on Boundary from the Tool Containment drop down.

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Job Setup Pocket Clearing


Pocket Clearing

We will use a Pocket Clearing toolpath to clear the cross shaped pocket on the adjacent face to the oval pocket.

  • Click the strategy Pocket Clearing [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #4 - Ø5mm flat
  • Press

Geometry

Tool Orientation

When adding a new operation, the tool orientation from the previous (or selected) operation is automatically used, so Tool Orientation is already enabled, and the Coordinate System1 feature is already selected.

  • Click the [image] selection field to make it active.
  • From the tree view in the model window, expand the node Tutorial3<1>.
  • Select Coordinate System2.

Machining Boundary

  • For the machining boundary, select Selection.
  • In the graphics window, click on the outer edge of the cross shaped pocket to select the circumference of the pocket automatically.

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Congratulations! You have completed this tutorial.

Adaptive Machining, Pocket Tutorial 4 - Advanced 3D Machining


Tutorial 4 - Advanced 3D Machining

In this tutorial we will learn how to machine a 3D part using the following steps:

  • Create a Machining Assembly
  • Create a Coordinate System
  • Job Settings
  • Facing
  • Outside Contouring (2D)
  • Adaptive Clearing
  • Adaptive Clearing Rest Machining
  • Horizontal
  • Contour Finishing
  • Parallel
  • Pencil 1
  • Pencil 2
  • Pencil 3
  • Post Processing

Before proceeding, open the part Tutorial4.SLDPRT into HSMWorks.

The files used in this manual can be found in the examples folder in the folder where HSMWorks is installed. Typically, this is something like C:\Program Files\HSMWorks\examples\

Pocket Clearing Create a Machining Assembly


Create a Machining Assembly

Before proceeding we will make a new machining assembly to keep the machining operations and toolpaths in.

  • From the File menu choose [image] Make Assembly from Part. This will create a new assembly file, and preselect the already opened part document as the component to insert.
  • Click green tick at the top of the property manager.
  • Rotate the part with the Z-axis (blue) upwards so it corresponds better to the placement on the machine:

  • Save the new assembly as Tutorial4.SLDASM in the examples folder, next to the part file, or choose a name and location of your own choice.

When saving the assembly you may receive a message that referenced models have been modified:

    The following models referenced in this document have been modified. They will be saved when the document is saved.

You receive this message if using a newer version than the one the tutorial part was created with, and you can safely select Save All.

It is almost always better to save machining operations and toolpaths as an assembly. This helps maintain associativity with the model by alerting you of any changes when the assembly is opened.

For more information see Machining Assemblies.

Create a Coordinate System


Create a Coordinate System

First you have to create the coordinate system specific for the following operations.

  • From the Insert menu select Reference Geometry [image] [image] Coordinate System.
  • In the model window click the [image] in front of [image] Tutorial4 to unfold the feature tree.
  • In the feature tree, locate Sketch1 on the Extrude1 feature in the Tutorial4 component.

  • Right click Sketch1 and choose [image] Show.
  • Select the point on the sketch as is shown below. This will make it the Origin of your coordinate system.

Notice that the coordinate system is now drawn at this position and the point is selected in the Origin field on the property page.

Depending on your machine set up, you can change the location of the origin and the direction of the axes by selecting different entities here. For example, if the X and Y axes don't have a the correct direction you can select a line of the sketch for X axis and another for the Y axis. It is also possible to select any plane or planar face which gives the axis perpendicular to that face or plane.

  • Click green tick at the top of the property manager.
Create a Machining Assembly Job Settings


Job Settings

  • Go to the HSMWorks operations manager by clicking on the Machining Operations tab:
  • Right click on [image] Tutorial4 Operation(s) and select [image] New Job.

Set the Work Coordinate System (WCS)

When creating a new job, the default WCS can often be used.

The default WCS depends on the the design of the assembly or part. In this case HSMWorks detects that a single coordinate system exists and uses that for the default WCS.

In the following section, we show how to manually select a coordinate system for the WCS even though the default could be used. This allows you to change the WCS if you are not happy with the default selection, or if you have created more than one coordinate system feature.

  • Scroll down to the group Work Coordinate System (WCS).
  • In the drop down menu Tool Orientation Selection, make sure that Use Coordinate System is chosen.
  • Make sure that the [image] WCS origin field is active by clicking on it.
  • In the model window click the [image] in front of [image] Tutorial4 to expand the Assembly tree.
  • Make sure that the Coordinate System1 feature is selected:

Define the Stock

Defining the stock on a simple example like this is not strictly necessary since by default HSMWorks uses an Automatic stock as the bounding box of the model.

Defining the stock to match that actually used on the machine does, however, make the stock simulation more accurate.

On machining assemblies with multiple parts and/or fixtures in the assembly, this exercise will prove important.

  • Scroll up to the group Stock.
  • From the Stock Definition drop down menu select Automatic.
  • From the Stock Offset Mode drop down select Add Stock to Sides and Top-Bottom.
  • Set the values Stock side offset to 0mm and Stock top offset and Stock bottom offset to 1mm.

Define the Model Surfaces

Again, the defaults can be used, but we perform the selection manually to show how to correctly define surfaces in an assembly with more than one component.

  • Scroll up to the group Model.
  • Click the selection field to set the selection focus.
  • Click anywhere on the model in graphics window to select the part as the machining surfaces.

  • Click green tick at the top of the property manager.
Create a Coordinate System Facing


Facing

To clear the top face of our stock and ensure that it is completely horizontal, we will begin with a facing operation.

  • Click [image] Face on the CAM toolbar or select it form the CAM, Toolpaths menu.

This creates a new operation and opens the Property Manager where you can edit the individual parameters controlling the toolpath, as well as selecting the actual geometry to machine.

The property page is divided into number of groups, and in this tutorial we will go through each one by one changing the necessary settings in each group as we go along.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #1 - Ø50mm flat
  • Press

Geometry

For the facing operation we can use the Sketch1 feature that we made visible when creating the coordinate system.

  • From the feature tree, locate Sketch1 like we did when creating the coordinate system feature.
  • Click Sketch1 to select it as the facing geometry.

We are now done using the sketch, and can hide it to avoid unnecessary items shown on our model.

  • Right click Sketch1 and choose [image] Hide.

Passes

Face

The parameters in this group controls how the actual facing toolpath is laid out.

When you selected the 50mm tool, the [image] Stepover and [image] Pass Extension parameter were automatically updated to reflect the new tool diameter. We will leave the parameters at their defaults, except the pass extension, which we can increase.

  • Change Pass Extension:
    Pass Extension 5mm

Start Calculation

  • Click green tick at the top of the property manager. This will automatically start calculation of the toolpath.

The toolpath will now be calculated and a preview will be shown in the model view:

Job Settings Outside Contouring (2D)


Outside Contouring (2D)

We want to run a contouring toolpath along the outer edges of the part to create the rounded corners and to finish the walls properly.

  • Click [image] 2D Contour on the CAM toolbar or select it from the CAM, Toolpaths menu.

Tool

By default, newly created operations use the same tool as the previous operation. In this case, we get the tool from the facing operation selected. This is not useful for this operation, so we will select a different tool instead.

  • Press
  • From the library Tutorial under Sample Libraries, select tool #2 - Ø16mm flat
  • Press

Geometry

Here we select the geometry we want to machine. We want to run the tool around the outside edge of the part.

  • Select the edges to be machined. Move the mouse over the bottom front edge, it will be highlighted, then click on it. Depending on the side of the edge you click you can determine the direction of the contour. By clicking closer to the desired start of an edge you can determine the direction of the contour. For climb milling click close to the bottom right side of the edge. After you finished your geometry selections, the graphics window should look like this:

Heights

Since our job stock is set to have 1mm Z offset, we need the contouring toolpath to go below the height of the selected geometry.

  • Change Bottom:
    Bottom -2.0mm

Passes

2D Contour

To machine the contour in steps of 10mm, set these parameters:

  • Enable Multiple Depths:
    Multiple Depths
  • Change Maximum Roughing Stepdown:
    Maximum Roughing Stepdown 10.0mm

To avoid leaving marks at every step, we can do a single finishing pass at the final depth by setting these parameters:

  • Enable Roughing Passes:
    Roughing Passes
  • Enable Finish Only At Final Depth:
    Finish Only At Final Depth

Start calculation

  • Click green tick at the top of the property manager.

The toolpath will now be calculated and shown in the graphic area.

Continue to Adaptive Clearing...

Facing Adaptive Clearing


Adaptive Clearing

In this tutorial, we will use the Adaptive Clearing strategy to rough out the bulk of material.

Adaptive Clearing is a modern HSM (High Speed Machining) strategy designed for roughing on modern machines capable of running complex NC files at high speeds.

The defining parameters in Adaptive Clearing is the Optimal Load and the Stepdown, but whereas traditional roughing strategies requires you to set the load (or stepover) and stepdown for the worst case scenario, Adaptive Clearing allows you to use the recommended maximum values provided by your tool vendor. This is possible since the specified Maximum Load is guaranteed not to be exceeded.

The Maximum Load is the Optimal Load + the Load Deviation.

  • Click [image] Adaptive Clearing on the CAM toolbar or select it form the CAM, Toolpaths menu.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #11 - Ø10R1mm bullnose
  • Press

Geometry

Rest Machining

By default, the adaptive clearing strategy does rest machining from the job stock.

In this tutorial, we have already removed some of the stock with the previous operations, so to avoid having the adaptive clearing strategy remove the same material, we need to specify that rest machining should take the previous operations into account.

  • Select From Previous Operation(s) from the Rest Material Source drop down

Other settings in this group we will leave unchanged.

Passes

Adaptive Clearing

The parameters in this group control the for Adaptive Clearing passes.

In this tutorial we will use the default parameters. Generally, however, you will have to look up the values for the stepdown and load parameters in your tool catalog.

Stock to Leave

The Stock to leave parameter control the amount of material to leave in the radial (in the XY-plane) and axial (along the Z-axis) directions. The default values of 0.5mm are suitable in this example, so we will leave them unchanged.

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Click green tick to exit the Stock Simulation.

If you want to see the entire model during the stock simulation right click on the screen and select Fit to window in the bottom of menu. You can also switch to various views to se the final part from exactly directions.

Once the verification is complete, you can do a comparison with the stock by using the stock compare feature.

Press [image] to compare the model and stock. This will color the verified part depending on the amount of material left.

The color in comparison depends on the amount of material left.
Grey indicate that there is no stock left while blue indicate that there is more stock left.

You can measure the exact amount of stock left by moving your mouse over the model and watching the Distance display update in the Stock group on the property page.

Additionally, the Comparison group lets you control the number of steps in calculated in the comparison, as well of the size of the steps. The default is 100 steps of 0.01 mm. This means that the coloring is done beween 0.0 and 1.0 mm stock in 100 steps.

The comparison clearly shows that there are a number of areas that our 10mm tool cannot reach. In the next step we will rough these areas using rest machining.

Outside Contouring (2D) Adaptive Clearing Rest Machining


Adaptive Clearing Rest Machining

To rough out the remaining stock where the 16 mm tool could not fit, we will remove the rest material using the Adaptive Clearing with a smaller tool.

We will start by making a copy of the previously created operation.

  • Right click on the [image] Adaptive1 operation
  • Choose Duplicate
  • Right click on the newly created operation and select Rename from the context menu.

Alternatively, you can use F2 key to rename.

  • Change the name to Adaptive2-Rest.
  • Right click on the new operation
  • Choose Edit

This will open the property page for the new operation. Notice that all parameter values are the same as the Adaptive Clearing operation created before.

In many cases creating a copy (using Cut and Paste, or the Duplicate option) is faster than creating a new operation since you often use similar parameter settings in successive operations.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #14 - Ø5R0.5mm bullnose
  • Press

Passes

Adaptive Clearing

  • Change Optimal Load:
    Optimal Load 1.0mm
  • Change Maximum Roughing Stepdown:
    Maximum Roughing Stepdown 5mm
  • Change Fine Stepdown:
    Fine Stepdown 1mm

Stock to Leave

  • Change Radial (Wall) Stock To Leave:
    Radial (Wall) Stock To Leave 0.3mm
  • Change Axial (Floor) Stock To Leave:
    Axial (Floor) Stock To Leave 0.3mm
    (Automatically updated)

Start Calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Verification

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape. Press [image] to compare the model and stock. This will color the verified part depending on the amount of material left.

Click green tick to exit the Stock Simulation.

There is now primarily material left in the narrow slots on the part.

Adaptive Clearing Horizontal


Horizontal

In next operation we will use Horizontal strategy to finish the horizontal parts of the part.

  • Click [image] Horizontal on the HSMWorks toolbar or select it from the CAM, Toolpaths menu.

Tool

The 5mm bull nose tool used in the adaptive rest operation can be used for clearing the small horizontal areas left on the part, and using this will save a tool change.

Heights

  • From the Top drop-down, select From Model Top
  • Set Top:
    Top -1mm

When you set the Top value to 1mm under the top plane of the part, the tool will machine only inside cavities of the part and not on the upper surface.

Alternatively we could have included the top surfaces in the check surface selection.

Passes

The Adaptive Clearing operations have left a maximum of 0.3mm (Stock to leave) + 1.0mm (fine stepdown) + 0.1mm (tolerance) = 1.4mm. This is a little too much for the tool to remove in one pass, so we will do it in 3 x 0.4 mm passes instead.

  • Enable Axial Offset Passes:
    Axial Offset Passes
  • Change Maximum Roughing Stepdown:
    Maximum Roughing Stepdown 0.4mm
  • Change Number Of Stepdowns:
    Number Of Stepdowns 3

Linking

  • Change Retraction policy to Minimum Retraction.

Start Calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Adaptive Clearing Rest Machining Contour Finishing


Contour Finishing

In this operation we will use the 3D contour finishing strategy to finish the steep areas of the part.

  • Click [image] Contour on the CAM toolbar or selected it from the HSMWorks Toolpaths menu.

Tool

For this operation we will need a 6mm ball end mill. Again, we select this from the Tutorial sample library.

  • Press
  • From the library Tutorial under Sample Libraries, select tool #21 - Ø6mm ball
  • Press

Geometry

Machining Boundary

  • Change Tool Containment to Tool Center on Boundary.
  • Change Additional Offset:
    Additional Offset 1.0mm

Slope

  • Enable Slope:
    Slope
  • Change From Slope Angle:
    From Slope Angle 30deg

Passes

Contour

In this group change only the following settings:

  • Change Maximum Stepdown:
    Maximum Stepdown 0.3mm
  • Disable Flat Area Detection:
    Flat Area Detection

Linking

Linking

  • Change Retraction policy to Minimum Retraction.
  • Change Safe Distance:
    Safe Distance 5mm
  • Change Maximum Stay-Down Distance:
    Maximum Stay-Down Distance 8mm

Start Calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Horizontal Parallel


Parallel

In this operation we will use the parallel finishing strategy to machine the part .

  • Click [image] Parallel on the CAM toolbar or select it from the CAM, Toolpaths menu.

Tool

The previous tool #21 - Ø6mm ball should still be selected.

Geometry

Slope

The contour operation have covered the slope range from 30 to 90 degrees. Thus, if we specify that this parallel operation should machine from 0 to 35 degrees this gives us a 5 degree overlap between the two operation.

  • Enable Slope:
    Slope
  • Change To Slope Angle:
    To Slope Angle 35deg

Check Surfaces

We want to finish the shallow areas of the part. Specifically those under 30 degrees not reached by the contour finishing operation. But since we have already finished the flat areas, we want to prevent the tool from touching these flat surfaces. For this purpose we can use check surfaces.

  • Enable Check Surfaces:
    Check Surfaces
  • In the Check surface selection field, select all of the flat faces:

Heights

  • Set Top:
    Top -1mm

When you set the Top value to 1mm under the top plane of the part, the tool will machine only inside cavities of the part and not on the upper surface.

Alternatively we could have included the top surfaces in the check surface selection.

Passes

Parallel Finishing

  • Change Stepover:
    Stepover 0.2mm
  • Change Pass Direction:
    Pass Direction 45deg

Linking

  • Change Retraction policy to Minimum Retraction.
  • Change Safe Distance:
    Safe Distance 6mm

Leads & Transitions

  • Change Transition method to Straight line.

Start Calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Verification

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape. Press [image] to compare the model and stock. This will color the verified part depending on the amount of material left.

Click green tick to exit the Stock Simulation.

From the comparison we can see that we have now finished most areas of the part, but that we are still missing material in the smaller fillets.

Contour Finishing Pencil 1


Pencil 1

To remove the material in the smaller fillets we can use the Pencil finishing strategy.

The Pencil strategy is a special finishing strategy which detects inner corner edges on the surface and creates a toolpath here. This method is particularly effective for finishing small radius fillets.

  • Click [image] Pencil on the HSMWorks Toolbar or select it from the CAM, Toolpaths menu.

Tool

By looking at the comparison in the previous step, we could see that the maximum amount of material left is about 1.4mm.

Also, by investigating the model, we find that we have some fillets with a radius of 1.0mm and some smaller ones of 0.5mm.

In this pencil operation we will remove most of the material not reachable by the previous tools by using a 3mm ball mill.

  • Press
  • From the library Tutorial under Sample Libraries, select tool #22 - Ø3mm ball
  • Press

Passes

Pencil

  • Change Number Of Stepovers:
    Number Of Stepovers 12
  • Change Stepover:
    Stepover 0.14

Start Calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Parallel Pencil 2


Pencil 2

Since the 3mm tool does not remove all the material in the R1.0mm and R0.5mm fillets we will create a second pencil operation with a 2mm ball mill to handle the 1mm fillets.

  • Click [image] Pencil on the HSMWorks Toolbar or select it from the CAM, Toolpaths menu.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #23 - Ø2mm ball
  • Press

Passes

Pencil

  • Change Number Of Stepovers:
    Number Of Stepovers 11
  • Change Stepover:
    Stepover 0.08mm

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Verification

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape. Press [image] to compare the model and stock. This will color the verified part depending on the amount of material left.

Click green tick to exit the Stock Simulation.

By zooming in on the comparison we see that we have are still missing a bit of material in the fillets with radius 0.5mm.

Pencil 1 Pencil 3


Pencil 3

Since the 2mm tool does not remove all the material in the R0.5mm fillets we will create a third pencil operation with a 1mm ball mill to handle the 0.5mm fillets.

  • Click [image] Pencil on the HSMWorks Toolbar or select it from the CAM, Toolpaths menu.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #24 - Ø1mm ball
  • Press

Passes

Pencil

  • Change Number Of Stepovers:
    Number Of Stepovers 15
  • Change Stepover:
    Stepover 0.05mm

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Verification

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape. Press [image] to compare the model and stock. This will color the verified part depending on the amount of material left.

Click green tick to exit the Stock Simulation.

We have essentially finished our part to within the tolerance specified in the various operations, and the only stock that is remaining is that between the stepovers of the various toolpaths.

If we want an even better finish, you can edit the operations and use a higher tolerance and smaller steps in the toolpath.

Pencil 2 Post Processing


Post Processing

We are now ready to post process the toolpaths in order to make the NC-code which can be used by the machine tool.

  • Right click on [image] Job in the operation manager.
  • Select [image] Post process (All).
  • From the pull down Post processor configuration select heidenhain.cps Generic Heidenhain.
  • Select an output folder of your choice.
  • Start the post processor by clicking [image] button.

By default the post processed file will be opened in Autodesk HSM Edit which allows you to inspect the generated NC-code as well as transferring it to your machine.

Congratulations! You have completed this tutorial.

Pencil 3 Tutorial 5 - More 2D Machining


Tutorial 5 - More 2D Machining

In this tutorial we will learn how to machine a 2.5D part using the following steps:

  • Create a Machining Assembly
  • Sketch the Stock
  • Create a Coordinate System
  • Job Settings
  • 2D Contour
  • Pocket Machining
  • Drilling
  • Tapping
  • Drilling 2
  • Circular Pocket Machining
  • Counter Sinking
  • Chamfering
  • Post Processing

Before proceeding, open the part Tutorial5.SLDPRT into HSMWorks.

The files used in this manual can be found in the examples folder in the folder where HSMWorks is installed. Typically, this is something like C:\Program Files\HSMWorks\examples\

Post Processing Create a Machining Assembly


Create a Machining Assembly

Before proceeding we will make a new machining assembly to keep the machining operations and toolpaths in.

  • From the File menu choose [image] Make Assembly from Part. This will create a new assembly file, and preselect the already opened part document as the component to insert.
  • Click green tick at the top of the property manager.
  • Save the new assembly as Tutorial5.SLDASM in the examples folder, next to the part file, or choose a name and location of your own choice.

When saving the assembly you may receive a message that referenced models have been modified:

    The following models referenced in this document have been modified. They will be saved when the document is saved.

You receive this message if using a newer version than the one the tutorial part was created with, and you can safely select Save All.

It is almost always better to save machining operations and toolpaths as an assembly. This helps maintain associativity with the model by alerting you of any changes when the assembly is opened.

For more information see Machining Assemblies.

Sketch the Stock


Sketch the Stock

Since we need an entity to place our origin on, and because having the stock defined makes the stock simulation more accurate, we will set up the stock for this part.

When you have a part without any geometry at the machining origin, or if there are no planes in the machining direction, you may need to construct helper geometry to be used from HSMWorks.

This part, for example, we want to machine from a rectangular block of aluminum which is slightly larger than the part, and for easier setup we want keep the tool orientation origin at the corner of the stock piece.

There are two ways to set up a stock in an assembly:

  • Create a separate model representing your stock. See Tutorial 3 - 3+2 Machining for an example of this.
  • Create a 2D sketch of the stock silhouette. This works well if your stock is simple - like a block or a cylinder.

Create a rectangular sketch, representing a block of stock measuring 154mm by 44mm (ie. slightly larger than the extends of the part):

  • Select the flat face on the top of the model:

  • Start a new Sketch on this face by clicking [image], available from the Insert menu or the Sketch toolbar
  • Change the view to Normal To.
    Press Ctrl+8 or choose from the View toolbar:
  • Click [image] to start sketching a rectangle.
  • Sketch a rectangle enclosing the entire model, like this:

  • Using the [image] Smart Dimension tool, add dimensions to the stock sketch, like this:

  • Optional: Add extra dimensions between the sketch and the part, to fixate it:

  • Now, finish the sketch by clicking [image] in the upper right corner of the graphics window.
Create a Machining Assembly Create a Coordinate System


Create a Coordinate System

  • From the Insert menu select Reference Geometry [image] [image] Coordinate System.
  • Select the point in the lower left corner of your sketch. This will make it the Origin of your coordinate system. Notice that the coordinate system is now drawn at this position, and that the point is selected in the Origin field on the property page.

  • Optional: Select the lower line in the sketch. This will make it the X axis.
  • Optional: Select the left line in the sketch as well. This will make it the Y axis.
  • Click green tick at the top of the property manager.
Sketch the Stock Job Settings


Job Settings

  • Go to the HSMWorks operations manager by clicking on the Machining Operations tab:
  • Right click on [image] Tutorial5 Operation(s) of the operation tree and select [image] New Job.

Set the Work Coordinate System (WCS)

  • Scroll down to the group Work Coordinate System (WCS).
  • Make sure that Use Coordinate System is chosen in the Tool Orientation Selection box.
  • Make sure the [image] WCS selection field is highlighted.
  • In the model window click the [image] in front of [image] Tutorial5 to unfold the Assembly tree.
  • Select Coordinate System1:

Define the Stock

Defining the stock on a simple example like this is not strictly necessary, but it does make the stock simulation more accurate.

On machining assemblies with multiple parts and/or fixtures in the assembly, this exercise will prove important.

  • Scroll up to the group Stock.
  • From the drop down, change Automatic to From Extruded Sketch.
  • Select [image] Sketch1 from the feature tree.
    Alternatively select the sketch directly on the model by clicking on one of the lines.
  • In the [image] Offset Z field, enter 1mm.
  • In the [image] Height field, enter 36mm.

Define the Model Surfaces

As for the stock, defining the machining surfaces are not strictly necessary. Again, we do it here as an exercise for more complicated setups.

  • Scroll up to the group Model.
  • Click the selection field to set the selection focus.
  • Click the model in the model view window, to select the part as the machining surfaces:

Click green tick at the top of the property manager.

Create a Coordinate System 2D Contour


2D Contour

First of all we want to machine the outer planes of the part. We want to run the tool along the outer edges of the part.

  • Click [image] 2D Contour on the CAM toolbar or select it from the CAM, Toolpaths menu.

This creates a new operation, and opens the Property Manager where you can edit the individual parameters controlling the toolpath, as well as selecting the actual geometry to machine.

The property page is divided into a number of groups, and in this tutorial we will go through each one by one, changing the necessary settings in each group as we go along.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #3 - Ø10mm flat
  • Press

Geometry

Geometry

We want to machine around the outside outline of the part. To do this, select a chain of edges from the model:

  • Click the [image] Geometry selection field
  • Select the bottom front edge on the model:

  • If the direction arrow does not appear as shown, change the direction by clicking

Notice that HSMWorks automatically creates a chain around the part. This is because Tangent propagation and Propagate along Z are enabled by default.

Depending on which end of the edge you click you can determine the direction of the contour. By clicking closer to the desired start of an edge you can determine the direction of the contour. For climb milling click close to the bottom right side of the edge.

For more information see Selecting Chains.

We can machine the indent around the top of the part in the same operation:

  • Zoom in on the top right corner of the part
  • Select the edge inside the indent:

Heights

By default, the heights for the 2D Contour operation is set so the bottom of the toolpath is at the level of the selected contours, and the remaining heights depend on the stock and model geometry.

If you look from the side of the part (press Ctrl+6), it should look like this:

These defaults are fine in this example, and we do not need to change them.

Start Calculation

  • Click green tick at the top of the property manager. This will automatically start calculation of the toolpath.

The toolpath will now be calculated and a preview will be shown in the model view:

Job Settings Pocket Machining


Pocket Machining

As the next operation we want to machine the internal pocket of the part. In this operation we will use the 2D Pocket strategy with a 10mm bull nosed tool with a 1mm corner radius.

  • Click [image] 2D Pocket on the CAM toolbar or select it from the CAM, Toolpaths menu.

Tool

In this operation we will use a tool with a corner radius of 1mm to match the fillet radius at the bottom of the pocket.

  • Press
  • From the library Tutorial under Sample Libraries, select tool #11 - Ø10R1mm bullnose
  • Press

Geometry

Geometry

In this group we select the contour of pocket we want to clear.

  • Make sure that both Tangent propagation and Propagate along Z are enabled for simpler chain selection
  • Select one of the edges at the top of the pocket

The selection should now look like this:

Heights

The parameters in this group control the different height where toolpath is generated.

In this example, we want the 2D Pocket operation to machine down to the bottom of the inside cut.

  • For Bottom choose From Selection.
  • For the Bottom Reference select one of the vertices along the bottom face:

Passes

2D Pocket

This group controls how the 2D pocket toolpath will be calculated. We want to use this pocket toolpath to clear out the pocket. To do this we want to generate the toolpath in a number of z levels, starting from the top of the stock and going down in steps of 2mm to the bottom of the pocket. The depth of pocket is 25mm.

Change the following parameter values, and leave all others at their default:

  • Set Maximum Stepover:
    Maximum Stepover 5.0mm
  • Enable Multiple Depths:
    Multiple Depths
  • Set Maximum Roughing Stepdown:
    Maximum Roughing Stepdown 5.0mm
  • Set Finishing Stepdowns:
    Finishing Stepdowns 2

Stock to Leave

We want to leave some stock on the sides, as we will need to finish the fillets with a smaller tool later on anyway.

The bottom, however can be finished by the pocket, and we should remove the vertical stock to leave:

  • Set Axial (Floor) Stock To Leave:
    Axial (Floor) Stock To Leave 0.0mm

Linking

Assuming that this part is made of a soft material, where we can do full width cuts, we can avoid some ramping by allowing the tool to stay down inside the pocket:

  • Enable Keep Tool Down:
    Keep Tool Down
  • Change Maximum Stay-Down Distance:
    Maximum Stay-Down Distance 250mm

Leads & Transitions

We will leave all settings in this group unchanged. We will use a helix ramp for plunge to material with the default settings from the program.

Start Calculation

  • Click green tick at the top of the property manager.

The toolpath will now be calculated and shown in the graphic area. The toolpath should look like in the picture below:

2D Contour Drilling


Drilling

There are four holes in the part. One is clear and three are with thread. First, we will drill the three holes with a 4.3mm drill.

  • Click [image] Drill on the CAM toolbar or select it from the CAM, Toolpaths menu.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #34 - Ø4.3mm drill
  • Press

Geometry

Select the cylinder of one of the three 4mm holes

  • Check Select same diameter

Notice that the two other 4mm holes are selected.

If Select same diameter is disabled (grayed out), you have most likely selected the edge of the cylinder instead of the face. You need to select cylindrical faces to use this feature.

When selecting faces instead of edges, it has the added benefit that the depth of each hole is automatically determined from the height of the cylinder.

Depending on the selection, you may want to enable Optimize order. The optimization reorders the holes in order to make the linking distance as short as possible.

If you check Order by depth, this will keep holes with the same depth and plane together. This may reduce the number of cycles in the output, but may not result in the shortest toolpath, even if Optimize order is enabled.

Heights

This group controls the heights of each hole, and the heights used when moving between the holes.

Because of the chamfer on the holes, the cylinders start a bit lower, and we will adjust for this by making the top start from the top of stock instead:

  • For [image] Top select From Stock Top

Having selected cylinders for our holes, all heights are relative to the top of the cylinder, and the depth is relative to the bottom.

This allows us to avoid entering the depths of the holes manually. If we had selected edges (which do not have a height), we would have to enter the depth manually.

Passes

Cycle

In this group select type of the cycle Chip breaking - partial retract.

  • Change Pecking Depth:
    Pecking Depth 2.5mm

Start calculation

  • Click green tick at the top of the property manager.

This will calculate the toolpath, which should look like this:

Drilling toolpaths are often best seen on a wireframe model.

Select [image] Wireframe from the View, Display menu or the View toolbar to change to wireframe mode.

Pocket Machining Tapping


Tapping

This tapping operation only differs in the type of cycle from the previous drilling operation; tapping will be done for the same geometry. To save all the work of entering this data, we will just copy the existing drilling toolpath and create the tapping toolpath by editing this copy.

  • Right-click on the toolpath Drill1, select Duplicate
    This creates a copy of the operation below the original one.
  • Right-click on the new operation (Copy of Drill1)
  • Choose Rename
  • Type the new name, e.g. Tapping M5

Now we have to change the parameters and settings of the operation:

  • Right-click on Tapping M5
  • Select Edit from the context menu

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #43 - Ø5x1mm right tap
  • Press

Heights

Now, to avoid breaking the tap, we need to reduce the depth so it is less than the drilled depth:

  • Change Bottom:
    Bottom 2.0mm

This will reduce the depth by 2mm.

Passes

Cycle

Now, to change the drilling cycle to a tapping cycle:

  • Go to the Cycle group
  • From the Cycle type dropdown, to Tapping

All other setting in the groups can be left unchanged.

Start calculation

  • Click green tick at the top of the property manager.

The toolpath will now be calculated and shown in the graphic area.

Drilling Drilling 2


Drilling 2

Next, we need to drill the single 4.5mm hole.

  • Click [image] Drill on the CAM toolbar or select it from the CAM, Toolpaths menu.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #33 - Ø4.5mm drill
  • Press

Geometry

Holes

Select the lower cylinder of the last hole

Heights

Because of the counter sink on this hole, the cylinder start a bit lower, and we will adjust for this by making the top start from the top of stock instead:

  • For [image] Top select From Stock Top

Passes

Cycle

In this group select type of the cycle Chip breaking - partial retract.

All other setting in the groups can be left unchanged.

Start calculation

  • Click green tick at the top of the property manager.

The toolpath will now be calculated and shown in the graphic area.

Tapping Circular Pocket Machining


Circular Pocket Machining

To machine the counter boring on the single 4.5mm hole, we will use a the 2D pocket strategy with a 4mm flat end tool.

  • Click [image] 2D Pocket on the CAM toolbar or select it from the CAM, Toolpaths menu.

Tool

For this pocket we need a flat tool with a diameter less than 4.5mm so we can plunge into the pre-drilled hole.

  • Press
  • From the library Tutorial under Sample Libraries, select tool #5 - Ø4mm flat
  • Press

Geometry

In this group we select the contour of pocket we want to clear.

  • Select the edge at the bottom of the counter-sink:

Passes

2D Pocket

Change the following parameter values, and leave all others at their default:

  • Set Maximum Stepover:
    Maximum Stepover 0.5mm

Stock to Leave

  • Disable Stock To Leave:
    Stock To Leave

Linking

Leads & Transitions

To make sure that we plunge at the center of the hole, we will disable the lead-in:

  • Disable Lead-In (Entry):
    Lead-In (Entry)

And to get a smoother exit can adjust the lead-out a bit:

  • Set Horizontal Lead-Out Radius:
    Horizontal Lead-Out Radius 1.0mm
  • Set Linear Lead-Out Distance:
    Linear Lead-Out Distance 0.0mm

Since we have already drilled at this position, we can make the tool plunge into the drill hole:

  • For Ramping select Plunge

Start Calculation

  • Click green tick at the top of the property manager.

The toolpath should look like in the picture below:

Drilling 2 Counter Sinking


Counter Sinking

Three of the drill holes have small counter sinks. We can machine all three in a single Drill operation by using a Counter Sink tool.

  • Click [image] Drill on the CAM toolbar or select it from the CAM, Toolpaths menu.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #60 - Ø10mm 90deg counter sink
  • Press

Geometry

  • Check Select same diameter
  • Select the counter sink faces of the two first holes:

The counter sink face of the third hole should be automatically selected since it is identical to the second.

Start Calculation

  • Click green tick at the top of the property manager.

The toolpath should look like in the picture below:

Circular Pocket Machining Chamfering


Chamfering

To machine the chamfer along the outside edge we can use the 2D Contour strategy with a chamfer mill.

  • Click [image] 2D Contour on the CAM toolbar or select it from the CAM, Toolpaths menu.

Tool

  • Press
  • From the library Tutorial under Sample Libraries, select tool #50 - Ø10mm 45deg chamfer
  • Press

Geometry

In this model, the chamfer already exists as a part of the model, which means that we have two edges to choose from as the geometry. One at the top of the chamfer and one of the bottom. HSMWorks allows either to be used, but in most cases choosing the bottom one allows for the easiest setting of parameters. In both cases, however, HSMWorks will automatically calculate the correct horizontal offset, and you only have to enter the additional vertical tip offset.

  • Select the edge at the bottom of the counter-sink:

Passes

2D Contour

When choosing a Chamfer Mill as the tool, the Chamfer option was automatically enabled, thereby showing the chamfering parameters Chamfer Width and Chamfer Tip Offset.

Since we have chosen an edge on an actual chamfer feature in the model we don't have to set the Chamfer Width, but we do need to set the Chamfer Tip Offset so that the tool tip is not coincident with the lower edge of the chamfer:

  • Set Chamfer Tip Offset:
    Chamfer Tip Offset 0.25mm

Start Calculation

  • Click green tick at the top of the property manager.

The toolpath should look like in the picture below:

This completes the toolpaths for this part and you can now simulate and post-process the result.

Counter Sinking Post Processing


Post Processing

We are ready to post process all toolpaths in order to make the NC-code which can be used by the machine tool.

  • Right-click on [image] Job in the operation manager.
  • Select [image] Post Process (All).
  • From the pull down Post processor configuration select heidenhain.cps - Generic Heidenhain
  • Select an output folder of your choice.
  • Start the post processor by clicking Post. By default the post processed file will be loaded into HSMWorks Edit.

By default the post processed file will be opened in Autodesk HSM Edit which allows you to inpect the generated NC-code as well as transferring it to your machine.

Congratulations! You have completed this tutorial.

Chamfering Turning Tutorial - Stub Axle


Turning Tutorial - Stub Axle

In this tutorial you will learn how to machine the turning part above using the following steps:

  • Job Setup
  • Facing
  • Turning Profile
  • Profile Grooving
  • Cylindrical Thread
  • Cutting Off the Part

Before proceeding, open the part StubAxle.SLDASM into HSMWorks.

The files used in this manual can be found in the examples folder in the folder where HSMWorks is installed. Typically, this is something like C:\Program Files\HSMWorks\examples\

The file for this tutorial is an assembly and contains the final component as well as the stock shape we start from.

Post Processing Job Setup


Job Setup

We begin with setting up common job parameters.

  • Open the HSMWorks operation manager by clicking [image].
  • Right-click on StubAxle Operation(s) and select [image] New Job....

Job

  • Select Turning or Mill/Turn for the Job type under the Job group.

Stock

  • In the group Stock, change the Stock Definition from Automatic to From Solid.
  • Next, select the component Stock^StubAxle<1> as the stock by either:
    • In the model window, right-click on the model.
    • Choose Select Other.
    • From the list, select Stock^StubAxle<1>.

    or:

    • In the model window click the [image] in front of [image] StubAxle to expand the Assembly tree.
    • Select the Stock^StubAxle<1> component feature.

    Your selection should look like this:

Model

  • In the group Model, right-click in the selection field and choose Clear Selections.
  • Next, select the component StubAxle<1> as the surfaces by either:
    • In the model window, click on the model.

    or:

    • In the model window click the [image] in front of [image] StubAxle to expand the Assembly tree.
    • Select the StubAxle<1> component feature.

Work Coordinate System (WCS)

  • Select Use Model & Orientation for the Tool Orientation Selection.
  • Click on the WCS Orientation box and select Front Plane in the Assembly tree to define the location of the work coordinates. Ensure Top Center is selected as WCS Origin.
  • Change Home Position to 5mm to ensure all movements start out of the stock limits.
  • Click green tick at the top of the property manager.
Facing


Facing

We will use the Turning Face strategy to mechanice the front side of the stock:

  • Click the strategy Turning Face [image] on the CAM toolbar. This creates a new operation and opens the Property Manager where you can edit the individual parameters controlling the toolpath, as well as selecting the actual geometry to machine.

The property page is divided into number of groups, and in this tutorial we will go through each one by one changing the necessary settings in each group as we go along.

Tool

  • Press

This opens the Tool Library where you can select from existing tools in a library or define a new tool.

Add a new tool with default dimensions:

  • Press
  • In the Insert tab, select a 80deg Diamond - Shape C - as insert for general turning. Leave the rest of the parameters by default (Name should be CNMT09T308)
  • In the Holder tab, select a -5deg side (both) holder - Style L - for general turning. Leave the rest of the parameters by default.
  • Press the OK button to create your new tool.
  • Press [image] to select the tool for your operation and close the tool dialog.

Geometry

By default, the facing operation machines the whole front side of the stock. This is exactly what we need in this operation so there is no need to define any confinement or model.

Radii

When activating the Radii tab, a preview of the radius limits will be shown:

Preview of the radius limits for the facing operation.

Leave the default values.

Passes

The parameters in this group controls how the actual facing toolpath is laid out.

  • Enable Multiple Passes:
    Multiple Passes
  • Set Number Of Stepovers:
    Number Of Stepovers 2

Start Calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Job Setup Turning Profile


Turning Profile

The next operation will be machining the profile of the part to remove most of the excess material. To do this, we will use the Turning Profile strategy with the same tool used in the previous operation.

  • Click the strategy Turning Profile [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

The previous tool #1 - CNMT09T308 should still be selected. We will leave all settings in this group unchanged.

Geometry

We want to machine a bit further than the backside of the part, to clean the cutting-off area and the fillet. A confinement has to be defined to extend the operation over the part limits.

  • Enable the Confinement group.
  • Set Backside Stock Offset:
    Backside Stock Offset 5mm

Passes

Turning Profile

The parameters in this group controls how the actual profile toolpath is laid out.

  • Disable Allow Grooving:
    Allow Grooving
  • Enable Roughing Passes:
    Roughing Passes
  • Set Maximum Roughing Stepdown:
    Maximum Roughing Stepdown 2mm
  • Enable Finishing Passes:
    Finishing Passes
  • Set Maximum Stepover:
    Maximum Stepover 0.5mm

Start Calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Facing Profile Grooving


Profile Grooving

Next we need to machine the central groove and to clean the corners/angles since the previous operation left material in these areas due to the corner radius of the insert used. It is possible to do that in one single operation using the Turning Profile Groove strategy to remove the excess material.

  • Click the strategy Turning Profile Groove [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

  • Press [image] to open the Tool Library.
  • Press [image] to add a new tool.
  • In the Insert tab, select Grooving in the Type drop-down list. Select a Square Shape for the tool tip and enter the following values:
    • Groove width = 2.5mm
    • Width = 2.2mm
    • Corner radius = 0.25mm

    Leave the rest of the values by deafult.

  • In the Holder tab, increase the Cutting width up to 50mm (we are going to use the same tool for the parting operation).
  • Press the OK button to create your new tool.
  • Press [image] to select the tool for your operation and close the tool dialog.

Geometry

We only want to remove the material the previous operation did not remove.

  • Enable Rest Machining:
    Rest Machining

Passes

Turning Profile Groove

This group controls how the grooving toolpath will be calculated.

  • Enable Roughing Passes:
    Roughing Passes
  • Set Maximum Roughing Stepdown:
    Maximum Roughing Stepdown 1mm
  • Enable Finishing Passes:
    Finishing Passes
  • Set Maximum Stepover:
    Maximum Stepover 0.2mm

Start Calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Turning Profile Cylindrical Thread


Cylindrical Thread

The next operation will be to machine an external thread (M20x2.5) in the front part of the stub axle. We will use the Turning Thread strategy to generate the toolpath for the threading operation.

  • Click the strategy Turning Thread [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

  • Press

This opens the Tool Library where you can select from existing tools in a library or define a new tool.

Add a new tool for the threading operation:

  • Press
  • In the Insert tab, select Threading in the Type drop-down list. Select ISO Triangular Full Profile as Shape for the insert. Set the Thread pitch to 2.5mm (M20x2.5). Leave the rest of the values by default.
  • In the Holder tab, select a Straight Threading holder with the default values.
  • Press the OK button to create your new tool.
  • Press [image] to select the tool for your operation and close the tool dialog.

Geometry

Threads

Select the area of the part where the thread operation will be performed.

Confinement

The thread do not cover the whole selected area, so we have to define a confinement for the operation.

  • Enable the Confinement group.
  • Set Frontside Stock Offset:
    Frontside Stock Offset 2mm
  • Set Backside Stock Offset:
    Backside Stock Offset -5mm

Passes

Turning Thread

Use these settings:

  • Ensure Thread Type is set to Right handed.
  • Set Thread Depth:
    Thread Depth 2mm
  • Set Number Of Stepdowns:
    Number Of Stepdowns 8
  • Verify that the tool thread pitch is set in the field Thread Pitch:
    Thread Pitch 2.5mm
  • The thread does not end in a groove, so ensure the option Fade Thread End is enabled to fade out the thread at the end.

Start Calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

Disable the option Toolpath Occlusion in the View menu to see the threading toolpath going through the stock.

Profile Grooving Cutting Off the Part


Cutting Off the Part

The last operation will be cut off the part. We will use the same tool as for the grooving operation.

  • Click the strategy Turning Part [image] on the CAM toolbar. This opens the Property Manager and you will see the following groups.

Tool

  • Press
  • Select tool #2 - turning grooving used with the Turning Profile Groove1 operation.
  • Press

Start calculation

  • Click green tick at the top of the property manager. The resulting toolpath will look like this:

To verify the toolpath use the stock simulation, right click on the Job node in the Operation Manager and select Stock Simulation (All). Press the Start button [image] and watch the stock simulation up to the final stock shape.

Stock Simulation

Click green tick to exit the Stock Simulation.

Congratulations! You have completed this tutorial.

Cylindrical Thread Reference


Reference

  • Drilling
  • Probing
  • 2D Milling
  • 3D Milling
  • Multi-Axis Milling
  • Turning
  • Common Milling Features
  • Common Turning Features
  • SolidWorks Customization and Integration
  • Job Setup
  • Licensing
  • Manual NC
  • Operation Manager
  • Pattern
  • PC Performance
  • Post Processing
  • NC Editor
  • Preferences
  • Setup Sheet
  • Simulation
  • Machine Simulation
  • Machine Configuration
  • Stock Simulation
  • Support
  • Distributed CAM™
  • Task Manager
  • Templates
  • Tool Library
  • Toolpath Analysis
  • Toolpath Trimming
  • Translation
  • Utilities
  • All Parameters

Cutting Off the Part Drilling


Drilling

  • Drill
  • Drill Wizard

Drill


Drill

  • Hole Selection
  • Drill Heights 'From Hole Top' and 'From Hole Bottom'
  • Automatic Drill Depth for Conical Faces
  • Merge Drill Hole Segments
  • Drilling Order by Depth

The drilling operation gives access to a whole range of drilling, tapping and hole making operations. These include:

  • Drilling - G81 style drilling with rapid out.
  • Counter boring - G82 style drilling with dwell at bottom and rapid out.
  • Chip breaking - Chip breaking with pecking and partial retracts between pecks.
  • Deep drilling - Deep drilling with pecking and full retract between pecks.
  • Break through drilling - Allows for reduced feed & speed before breaking through the hole.
  • Guided deep drilling - Adds positioning specific feeds & speeds to allow programming of proper entry into the hole when using Gun drills.
  • Tapping - Tapping (G84/G74). Synchronous spindle speed and feed.
  • Left tapping - Typically this cycle needs to be setup in your post processor and could be configured for use with floating tapping heads.
  • Right tapping - Typically this cycle needs to be setup in your post processor and could be configured for use with floating tapping heads.
  • Tapping with chip breaking - Tapping with chip breaking.
  • Reaming - Reaming (G85 style) with feed out.
  • Boring - Boring with dwell at bottom and feed out.
  • Stop boring - Boring (G86 style) with spindle stop at the bottom and rapid out.
  • Fine boring - Fine boring with shift away from the hole side.
  • Back-boring - Boring from the back.
  • Circular pocket milling - Circular pocket milling.
  • Bore milling - Bore milling.
  • Thread milling - Thread milling.
  • Probe - Can be used to pass a point through to your post processor for a custom probing cycle.

The input geometry for these cycles can be selected directly from the features of a part geometry and in line with other 2D operations. The input geometry can also be selected from sketch features, such as arc center points.

When working with solid models, the easiest way to use the drill feature is to select the cylindrical faces of the holes to drill directly. This will automatically set the correct stock height and depth for each hole, and allows having holes in different planes and different depths in a single drill feature.

Note also that when drilling from cylindrical faces, the "Select same diameter" option is available, and allows easy, - automatic - selection of similar holes.

Tool

Tool info:

The live tool status of the currently selected tool is displayed here. This is relevant when programming mill / turn machines.

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Additional Parameters:

The following parameters will appear if you have selected a non-drill type tool.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Geometry

Hole Selection

Valid selections in this input box are, cylindrical or conical faces, circular edges or sketch points. For more information on how to perform selections with this input box, please refer to the hole selection page.

Select Same Diameter

Check this to automatically select all holes with the same diameter as the hole currently selected in the selection box.

Example: To drill a single 6mm / 1/4" hole and all 12mm / 1/2" holes, first select the 6mm / 1/4" hole, then select one of the 12mm / 1/2" holes, and then check the Select same diameter option.

Using this option is associative to the model, so if additional holes with the same diameter are added later, regenerating the operation automatically includes the added holes in the drilling cycle.

Comparison Tolerance

Used when comparing if two entities are the same, e.g. if two holes have the same diameter.

Advanced parameter. Only shown when advanced mode is enabled

Auto-Merge Hole Segments

Check to merge multiple hole segments. When enable all hole segments are included to determine the starting height for drilling.

Example: If a hole was Spot Drilled or Counter Bored first, you may want to start drilling from a clearance above that machined area. Enabling Auto-Merge will start the drilling from above the highest hole segment.

Left: Auto-Merge Disabled - Right: Auto-Merge Enabled
Blue line indicates the starting height for drilling.

Order By Depth

For holes with multiple Z start heights.

Changes the order from the highest to lowest, or lowest to highest. Unchecked, the order will start with the holes at the highest Z level and progressively move down. Check to reverse the order.

When Unchecked First hole is at the highest Z. | When Checked First hole is at the lowest Z.

Optimize Order

When checked the path between holes is optimized for the shortest distance to reduce cycle time.

Order Inside-Out

Check to change the order of the toolpath to start at the inner most position of the part. Unchecked and the toolpath will start from an outside edge and work it's way across the part.

When Checked
First hole is at the inner most location.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse X-Axis

Selecting this checkbox will flip the current coordinate system's X axis 180 degrees.

Reverse Y-Axis

Selecting this checkbox will flip the current coordinate system's Y axis 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Hole Bottom: incremental offset from the Hole Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Feed Height: incremental offset from Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Hole Bottom: incremental offset from the Hole Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Feed height:

Feed height mode

Feed height mode set the height that the tool rapids to before changing to the feed/plunge rate to enter the part. Feed height mode should be set above the Top. Drilling operation will use this height as the initial feed height and the retract peck height. Feed height mode is used together with the subsequent offset to establish the height.

Feed Height
  • Disabled:
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Hole Bottom: incremental offset from the Hole Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Feed height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Feed height offset

Feed height offset is applied and is relative to the Feed height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Hole Bottom: incremental offset from the Hole Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.
  • To Chamfer Width: drills just deep enough to make the Chamfer Width match the specified chamfer width for the selected tool.
  • To Chamfer Diameter: drills just deep enough to make the Chamfer Diameter match the specified chamfer diameter for the selected tool.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Drill Tip Through Bottom

When Enabled the tool tip will drill past the bottom of the hole. It positions the lip of the drill to the full diameter at the bottom of the hole.

Depth is to the Tip - Depth is to the Lip.
Left Side: Unchecked - Right Side: Checked

Note: When drilling through the bottom of the part, be aware of the fixture or material below the part.

Break-Through Depth:

Break-Through Depth

Specifies how far the lip of the tool drills past the bottom of the hole, to ensure a clean cut through the part. This must be a positive value.

Left: Break Through 0.0 - Right: Break Through 0.06

Note: When drilling through the bottom of the part, be aware of the fixture or material below the part.

Passes

Cycle Type

Selecting the type of drilling cycle changes which parameters can be used for the drilling operation. Shown with the common industry G-Code.

  • Drilling: Feed to Depth & Rapid Out - For holes with depths of less than 3x the tool diameter. (G81)
  • Counterboring: Feed to Depth, Dwell, Rapid Out - A dwell is used to improve the bottom finish of a hole. (G82)
  • Chip breaking: Uses multiple pecks that periodically retracting the tool to break the chips and/or allow coolant to enter the hole. For holes with depths more than three times the tool diameter. (G73)
  • Deep drilling: Similar to Chip breaking, but retracts completely out of the hole to clear chips and/or flood the hole with coolant. Also known as Peck drilling. (G83)
  • Break through: Allows for reduced feed and speed before breaking through a hole.
  • Guided deep drilling: A gun drill has a single cutting edge. Guide pads burnish the hole to produces a straight, deep hole with a precision diameter.
  • Tapping: Taps right or left handed threads depending on the selected tool.
  • Left tapping: Feed to Depth, Reverse the spindle, Feed Out - Rotates counterclockwise as it enters the hole to cut a thread. (G74)
  • Right tapping: Feed to Depth, Reverse the spindle, Feed Out - Rotates clockwise as it enters the hole to cut a thread. (G84)
  • Tapping with chip breaking: Feeds in and out multiple times, going deeper each time, until it reaches the final depth.
  • Reaming: Feed to Depth and immediately Feed Out upon reaching the final depth. (G85)
  • Boring: Feed to Depth, Dwell, Feed Out. (G86)
  • Stop boring: Feed to Depth, Stop the spindle, Rapid Out. (G87)
  • Fine boring: Feed to Depth, Stop the spindle, Shift from the wall, Rapid Out. (G76)
  • Back-boring: Boring from the back of an existing hole. (G77)
  • Circular pocket milling: This can be used to call a custom cycle for circular pocketing.
  • Bore milling: This can be used to call a custom cycle for helical bore milling.
  • Thread milling: This can be used to call a custom cycle for helical thread milling.
  • Probe: Used to call a probe tool macro from the machine. Requires a custom post processors. See the advanced Probing function, under the Setup pull down.

Parameters common across cycles

Pecking Depth

Sets the depth for the first peck move, which plunges in and out of the material to clear and break chips.

Pecking Depth Reduction

The amount by which the pecking depth is reduced per peck.

Minimum Pecking Depth

The minimum allowed pecking depth.

Accumulated Pecking Depth

Specifies the pecking depth which forces a full retract.

Chip Break Distance

With a chip breaking operation, the drill withdraws a specified distance after advancing into the hole to prevent the binding of chips.

Break Through Distance

The starting distance above the bottom to switch to the break through feeds & speed.

Dwelling Period

Dwelling time in seconds.

Specifying a dwell time halts all axis movement for a specified time while the spindle continues revolving at the specified rpm. This can be used to ensure that chips are cleared before retracting from a hole, and will typically improve the finish of a hole.

Typically a dwelling time between 1/4 second and 1 second is sufficient.

Example: To dwell for 1/4 second, specify 0.25 or 1/4 in this field.

When post processing a drill cycle, the dwell time is specified as one of the drill cycle parameters (typically P), and in most cases it is output in milliseconds (ms).

250ms dwell time in G82

When posting using expanded cycles, the dwell time is output as a regular dwell command (G4).

To calculate the minimum dwell time that will ensure at least one complete revolution, use a value of 60 divided by the spindle speed.

Example: At 350 RPM the minimum dwell time should be 60 / 350 = 0.171s which could be rounded to 0.2s.

Notice: If the operator is running the program with a speed override, then the spindle speed is slower, but the dwell time is constant. To ensure one complete revolution when using a speed override of eg. 50%, the dwell time must be doubled.

Dwell Before Retract

Enables dwelling before pecking retracts to thin out chips. This can increase tool lift significantly depending on the material being machined.

Break Through Drilling Cycle

Break Through Feedrate

Feedrate used during break through.

Break Through Spindle Speed

Spindle speed used during break through.

Guided Deep Drilling Cycle

Starting Depth

This value is relative to the top of the selected hole (including any merged segments). The normal programmed feeds & speeds will commence from this position.

Positioning Feedrate

This feedrate is used from the Feed Height until the drill reaches the specified Starting Depth. At which point the feedrate specified on the Tool tab will commence.

Stop Spindle

Enabling this stops the spindle during positioning. The spindle is then started once the tool reaches the Starting Depth.

Note: You may need your post processor to be modified for this to work correctly for your machine.

Positioning Spindle Speed

This spindle speed is used until the drill reaches the specified Starting Depth. At which point the spindle speed specified on the Tool tab will commence.

Dwell Depth

Boring Cycles

Boring Shift

Sets the distance that a boring bar tool moves away from the wall of the toolpath before approaching or retracting to prevent gouging. This option only applies to bore bar drill cycles.

Boring Shift applied for back boring cycle scenario

Spindle Shift Orientation

The spindle orientation to use when shifting during boring. Note that not all CNC controls have full support for controlling the spindle orientation.

Back Boring Distance

Manually enter the length of the undercut bore. This will determine the distance the boring bar moves up from the bottom of the selected hole, before shifting back by the Boring Shift value to retract out of the hole.

Consider the "flute length" of your boring bar when setting this value

Circular, Bore & Thread Milling

Threading

Right handed | Left handed

Incremental Depth

The depth of cut per pass.

Pitch

Specifies the distance per 360° step as the tool feeds to depth.
For straight walls this value is generally larger, than with tapered walls.
A finer Pitch on a Tapered wall creates a smoother surface finish.

Depth Per. Revolution

Diameter

Because this toolpath will output a cycle at the selected hole center point coordinates, it ignores the diameter of the selected hole. Instead you must manually enter the diameter of the hole you would like to machine with your tool. The benefit of this approach, if your post processor & CNC controller supports it, is the machine operator can change the diameter variable in the canned cycle at the machine control.

Use Multiple Steps

Specifies that multiple radial stepovers should be taken.

Without Use multiple steps | With Use multiple steps

Number Of Steps

Specifies the number of radial steps.

3 Radial Steps

Stepover

The radial distance between each step over.

Direction

This setting determines the side of the toolpath from which the tool center is offset. Choose between Left (climb milling) sideways compensation or Right (conventional milling) sideways compensation.

Climb Milling | Conventional Milling

Climb Vs. Conventional Milling

Climb milling can be thought of as the cutter rolling along the surface that it is cutting. This generally gives a better finish in most metals, but requires good machine rigidity. Using this method, chips start at maximum thickness and get thinner towards the end of the cut, meaning more heat in the chip and less in the part.

With conventional milling, the cutter is rotating away from the surface it is cutting. This method is more commonly used with manual or less rigid machines. It does have some advantages, and can even give a better finish when machining certain materials including some woods.

Repeat Pass

This setting has no impact on your toolpath,
unless it is supported by a canned cycle in your post processor.

Hole Selection

Generated on February 22, 2022 at 11:48 for HSMWorks 2023

Copyright © 2012-2022 Autodesk, Inc. All Rights Reserved.
Copyright © 2008-2012 by HSMWorks ApS. | Email: cam.support@autodesk.com


Hole Selection

Selecting Cylindrical Faces

HSMWorks allows selecting cylindrical faces where an axis or plane is required. This can be quite helpful when selecting drill hole geometry.

For example, the easiest way to use the drill feature is to select the cylindrical faces of the holes to drill directly. This will automatically set the correct stock height and depth for each hole and allows having holes in different planes and different depths in a single drill feature. Additionally, this enables the "Select same diameter" option, which makes it easy to select many similar holes. Please note; the "Select same diameter" check box state is a property of each individual hole object selection in the hole selection input box.

Selecting hole geometry from a single cylindrical face.

When defining a tool view from an angle where no planar surface or plane feature is available, you can select a cylindrical face as the tool view orientation. This will use the axis of the hole for the tool view Z-axis.

Setting a tool view from a cylindrical face.

In most cases, a conical face can be used in place of a cylindrical face.

Selecting Sketch Points for Drilling

In HSMWorks it is possible to create 2D machining operations directly from 2D drawings/sketches. This can be useful if you have imported geometry from a drawing file and do not wish to convert it to 3D to machine it.

For drilling, you can machine anything that is selectable as a point. You can select the points individually by clicking on the model from within the Drill property page:

Selecting individual points as drill geometry.

Alternatively, you can add SolidWorks Sketch Points to a new sketch to use as your geometry. Creating a SolidWorks sketch for groups of elements like points makes it easier to refer to these elements when you wish to use them in another operation:

A sketch containing 6 Point entities.

This sketch can then be selected directly as the geometry in the Drill property page:

Selecting a sketch as drill geometry.

Selection Order

If you need absolute control over the order your holes are drilled, this can be achieved by selecting each hole object individually, be that faces, edges or points, then using the up & down arrows to the left of the input box to re-order them to your liking.

Original Hole face selection order

Hole face selection order after selecting the last
hole and clicking the up arrow.

Drill Heights 'From Hole Top' and 'From Hole Bottom'


Drill Heights 'From Hole Top' and 'From Hole Bottom'

When you create a new Drill operation, the default heights for Top and Bottom are "From Hole Top" and "From Hole Bottom", respectively. With this default, the entire depth of the selected face(s) is machined - or, if "Auto-merge hole segments" is enabled, the entire depth of the selected hole(s).

In some cases, you may need to drill only a part of the depth of the hole. For these situations, you can select "From Hole Top" for the Bottom height, in effect giving you the option to drill a certain depth from the top of every hole.

The following screenshots show a few possible combinations of the drill height settings.

Bottom "From Hole Bottom".
Auto-merge hole segments is enabled.

Bottom "From Hole Top", with -1mm offset applied.
This will drill down 1mm from the top edge of the hole,
effective if you are spot drilling a selection of holes.

Spot drilling multiple hole sizes and depths in one operation.

Hole Selection Automatic Drill Depth for Conical Faces


Automatic Drill Depth for Conical Faces

HSMWorks provides a unique way to drill conical faces such as countersinks. When you select a conical face, the drill depth is automatically adjusted so that the tool tip touches the end of the conical face:

Assuming that the tools tip angle matches the angle of the face, the face will be machined to the exact finish.

90˚ tool / 90˚ face | 60˚ tool / 90˚ face | 118˚ tool / 90˚ face

If you only wish to drill to the bottom of the face you can select the edge instead, or you can set the depth manually.

If you don't have a modelled countersink, you can select the cylindrical face, then use the To Chamfer Width or To Chamfer Diameter options in the Bottom Mode drop-down on the Heights tab.

Drill Heights 'From Hole Top' and 'From Hole Bottom' Merge Drill Hole Segments


Merge Drill Hole Segments

When drilling a hole with multiple segments, HSMWorks by default only drills the depth of the selected segment(s):

Drilling a single hole segment.

However, aside from selecting all faces manually, you can enable the "Auto-merge hole segments" to have neighboring segments included automatically:

Auto-merge hole segments.

Automatic Drill Depth for Conical Faces Drilling Order by Depth


Drilling Order by Depth

Within a single Drill operation, the individual holes are sorted according to whether the two options "Order by depth" and "Optimize order" are enabled. Without either option, the holes are sorted in the sequence that they were selected.

The Order by depth option allows you to group the holes that have their tops at the same depth together. On most machine controls, this reduces the amount of cycles that are output. In addition, it may sometimes be beneficial to finish one level of holes before moving to another.

Order by Depth disabled. | Order by Depth enabled.

The figures above show a simple part with holes in three planes. In both cases, "Optimize Order" is enabled.

Merge Drill Hole Segments Drill Wizard


Drill Wizard

Tool

Geometry

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse X-Axis

Selecting this checkbox will flip the current coordinate system's X axis 180 degrees.

Reverse Y-Axis

Selecting this checkbox will flip the current coordinate system's Y axis 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Tool orientation mode:

Tool Orientation Mode

  • 3 + 2 axis - This mode will allow the Drill Wizard to hunt for holes in all orientations and automatically set a custom Tool orientation for each hole.
  • Tool orientation only - Whereas this mode will only find holes inline with the currently active tool orientation. This may be the setup Z, or a specified Tool orientation set within the Drill Wizard Geometry tab.

Limit Angle

Minimum Angle

The smallest angle (from the tool orientation Z-axis) of the holes to machine.

Maximum Angle

The largest angle (from the tool orientation Z-axis) of the holes to machine.

Limit Diameter

Minimum Diameter

The diameter of the smallest holes to machine.

Maximum Diameter

The diameter of the largest holes to machine.

Include Drilled Holes

When enabled all blind holes with conical termination are detected.

Include Bored Holes

When enabled all blind holes with flat termination are detected.

Include Through Holes

When enabled all holes which are open at both ends are detected.

Minimize Tool Axis Changes

Minimize Tool Changes

Minimize Distance

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Feed height:

Feed height mode

Feed height mode set the height that the tool rapids to before changing to the feed/plunge rate to enter the part. Feed height mode should be set above the Top. Drilling operation will use this height as the initial feed height and the retract peck height. Feed height mode is used together with the subsequent offset to establish the height.

Feed Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Feed height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Feed height offset

Feed height offset is applied and is relative to the Feed height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Drilling Order by Depth Probing


Probing

Probing is a machine process to establish a zero point on the part and it can also be used to do part inspection. You can probe the part model or the stock body. After selecting the feature or point to be probed, you will need to determine the appropriate Probing Cycle to use from the Probe Type drop-down box. Once a valid type has been selected, the graphics area will immediately display a toolpath.

HSMWorks Probing will only work if you have probing functionality on your machine and your postprocessor has been modified to output the cycles in your NC program.

Model Probing

X/Y/Z Single Surface

X single surface probe | Z single surface probe

This mode is used to measure the X, Y, or Z coordinate of a single face. Select a top face or wall to perform this probing.

X/Y Pocket

X pocket probe

This mode is used to measure the distance between two internal walls. Select two opposite internal walls to perform this probing. There is an additional option, X/Y Pocket With Island, for internal walls separated by an island.

X/Y Web

Y web probe

This mode is used to measure the distance between two external walls. Select two opposite external walls to perform this probing.

X/Y Single Surface Angle

Y single surface angle probe

This mode is used to measure the angle of a single wall. Select one wall to perform this probing.

Internal Corner

This mode is used to measure the angle of an internal corner. Select two perpendicular walls to perform this probing.

Outer Corner

Outer corner probe

This mode is used to measure the angle of an outer corner. Select two perpendicular walls to perform this probing.

Circular Bore

Circular bore probe

This mode is used to measure the diameter of a bore hole. Select an inside diameter face to perform this probing. There is an additional option, Circular Bore With Island, for bores with internal islands.

Circular Boss

Circular bore probe

This mode is used to measure the diameter of a bore hole. Select an inside diameter face to perform this probing.

Rectangular Pocket

This mode is used to measure the X and Y dimensions of a rectangular hole. Select four internal walls to perform this probing. There is an additional option, Rectangular Pocket With Island, for pockets with internal islands.

Rectangular Boss

This mode is used to measure the X and Y dimensions of a rectangular extrusion. Select four external walls to perform this probing.

Stock Probing

This mode will use the yellow translucent stock from your Job definition. However, if you have used the 'from solid' option to define your stock, switch the Probe Mode back to Model and use the model selection methods to probe your custom stock model.

Tool

Lead-In Feedrate

Feed used when leading in to a cutting move.

Geometry

Probe Mode

You can select faces from the part Model or the Stock.
Face selection options will change based on your choice.
Some examples are shown below:

Model Corner 2 Face Selection | Stock Center Top Face Selection
Model Boss Cylinder Face Selection | Stock Boss Top Face Selection

Note: If you're using a model for your stock definition, then you need to choose Model and not Stock in this drop-down menu.

Probe Type

Shows the available Probe Cycles based on your selection.
Probe Mode and your Face selection determines the type of probing that can be performed.

  • X/Y/Z Single Surface - Measure the X, Y, or Z coordinate of a wall.
  • X/Y Pocket - Measure the distance between two internal walls.
  • X/Y Pocket With Island - Measure the distance between two internal walls with an island between them.
  • X/Y Web - Measure the distance between two external walls.
  • X/Y Single Surface Angle - Measure the angle of a surface with reference to the X or Y axis.
  • Internal Corner - Measure the angle between two internal perpendicular walls.
  • Outer Corner - Measure the angle between two external perpendicular walls.
  • Circular Bore - Measure the diameter of the inside of a circular bore hole.
  • Circular Bore With Island - Measure the diameter of the inside of a circular bore hole with an island.
  • Circular Boss - Measure the diameter of the outside of a circular boss.
  • Rectangular Pocket - Measure the X and Y dimensions of a rectangular hole.
  • Rectangular Pocket With Island - Measure the X and Y dimensions of a rectangular hole with an island.
  • Rectangular Boss - Measure the X and Y dimensions of a rectangular extrusion.

Direction

Which way to probe along the selected axis.

Clearance

The distance the probe is to stay clear of the feature before probing.

Overtravel

The distance the probe is allowed to move beyond the expected strike point.

Tool Orientation

Override the tool orientation defined in the setup.

Works with all 2D and 3D operations to control 3 + 2 Axis programming.

Tool Orientation enabled | Tool Orientation disabled

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Reverse X-Axis

Selecting this checkbox will flip the current coordinate system's X axis 180 degrees.

Reverse Y-Axis

Selecting this checkbox will flip the current coordinate system's Y axis 180 degrees.

Origin

The Origin drop-down menu offers the following options for locating the triad origin:

Setup WCS origin - Uses the workpiece coordinate system (WCS) origin of the current setup for the tool origin.
Model origin - Uses the coordinate system (WCS) origin of the current part for the tool origin.
Selected point - Select a vertex or an edge for the triad origin.

Heights

Clearance height:

Height

The height position is the first height the probe rapids to on its way to the start of the probing and the point it returns to after the process is finished.

Probe Clearance Height Reference
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance Height Offset

The Clearance height offset is an adjustment to the relative position specified in the above drop-down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Drill Wizard 2D Milling


2D Milling

  • Facing
  • 2D Adaptive Clearing
  • 2D Pocket
  • 2D Contour
  • Slot
  • Thread
  • Circular
  • Bore
  • Trace

Probing Facing


Facing

The facing strategy is designed for quick part facing to prepare the raw stock for further machining, but can also be used for clearing flat areas in general.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Chaining Tolerance

Used when chaining a boundary or contour. Any gaps closer than the chaining tolerance are automatically merged.

Advanced parameter. Only shown when advanced mode is enabled

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Feed height:

Feed height mode

Feed height mode set the height that the tool rapids to before changing to the feed/plunge rate to enter the part. Feed height mode should be set above the Top. Drilling operation will use this height as the initial feed height and the retract peck height. Feed height mode is used together with the subsequent offset to establish the height.

Feed Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Feed height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Feed height offset

Feed height offset is applied and is relative to the Feed height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Stepover

Specifies horizontal stepover between passes.

Horizontal Stepover

By default, this value is 95% of the cutter diameter less the tool corner radius.

Pass Direction

Specifies the direction of the milling passes.

Pass Direction @ 0 degrees | Pass Direction @ 45 degrees

Pass Extension

Distance to extend the passes beyond the machining boundary.

Pass Extension

Stock Offset

Specifies the distance to offset the stock contour outwards.

Stock Offset

Multiple Depths

Specifies that multiple depths should be taken.

With Multiple Depth cuts | Without Multiple Depth cuts

NOTE: Adaptive clearing strategies allow for much more aggressive depth cuts than legacy 2D pockets.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Finishing Step

Specifies that a finishing step should be taken

Finishing Step

Finishing Stepdown

The size of each stepdown in the finishing passes.

Finishing Stepdown

Finish Feedrate

Feedrate used for the final finishing pass.

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

From Other Side

Specifies that the toolpath starts on the other side of the part.

Unselected | Selected

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Linking

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Keep Tool Down

When enabled, the strategy avoids retracting when the distance to the next area is below the specified stay-down distance.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead-In (Entry)

Enable to generate a lead-in.

Lead-In

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead-Out (Exit)

Enable to generate a lead-out.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Stock Boundary used by Default


Stock Boundary used by Default

The Face strategy automatically uses the extent of the job stock as the machining area.

The selected stock. | The default stock boundary.

By default the facing is done in the Z-level at the top of the model. This is, however, easily changed by using Bottom on the Heights tab.

Setting the facing Z-level by setting the Bottom to From Selection
and picking a point on the model

To set the machining area manually, simply enable the Stock Contours option on the Geometry tab and define the contours as usual.

Default Face geometry. | Manual Face geometry.
Stock Offset


Stock Offset

The Face strategy allows you to specify an additional offset for the automatic or manual stock contours by means of the Stock Offset setting.

The Stock Offset setting.

The selected or automatic stock contours are offset outwards by the amount specified.

Automatic stock with Stock Offset set to 0mm.

Automatic stock with Stock Offset set to 10mm.

Stock Boundary used by Default Climb and Converntional Milling


Climb and Converntional Milling

The Direction and From other side settings give you full control over how the facing toolpath should be laid out and in which corner of stock the toolpath should start.

The following table shows the resulting toolpaths for each combination of these options.

Climb milling. | Climb milling from the other side.
Conventional milling. | Conventional milling from the other side.
Both ways milling. | Both ways milling from other side.

The passes do not extend completely to one side because the last pass ensures that all stock has been fully removed by the tool.

Stock Offset 2D Adaptive Clearing


2D Adaptive Clearing

This creates an adaptive clearing toolpath from chained contours rather than surfaces or solids. It is possible to define a taper angle for the walls.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machine Cavities

Enable to machine on the inside of the selected closed contours.

Disable to machine on the outside of the selected closed contours.

Open contours may only be specified when this option is enabled.

Machine Cavities Enabled | Machine Cavities Disabled

Chaining Tolerance

Used when chaining a boundary or contour. Any gaps closer than the chaining tolerance are automatically merged.

Advanced parameter. Only shown when advanced mode is enabled

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Optimal Load

Specifies the amount of engagement the adaptive strategies should maintain.

NOTE: Legacy clearing toolpaths produce uneven cutter engagement throughout the clearing operation. Using an Adaptive Clearing strategy results in 40% faster material removal rates because larger depth cuts can be taken with full confidence that the cutter will never see spikes in tool engagement that would break cutters.

High Speed Clearing Toolpath | Legacy Clearing Toolpath

Minimum Cutting Radius

With Minimum Cutting Radius Set

With Minimum Cutting Radius Set - Sharp corners in the toolpath are avoided minimizing chatter in finished parts.

Without Minimum Cutting Radius Set

Without Minimum Cutting Radius Set - The toolpath attempts to remove material anywhere the selected tool can reach. This produces sharp corners in the tool path that often leads to chatter in the machined part.

NOTE: Setting this parameter leaves more material in internal corners, requiring subsequent rest machining operations with a smaller tool.

Multiple Depths

Specifies that multiple depths should be taken.

With Multiple Depth cuts | Without Multiple Depth cuts

NOTE: Adaptive clearing strategies allow for much more aggressive depth cuts than legacy 2D pockets.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Fine Stepdown

Specifies the fine stepdown for intermediate steps. These steps are upwards in the direction of the tool axis.

Wall Taper Angle

Specifies the taper angle of the walls.

Defining a slope angle can be used to machine features with a 2D strategy that would have otherwise required a 3D strategy.

NOTE: - The slope angle is NOT driven by model geometry, so it is possible that an error entering the slope angle can affect the finished machined part.

Slope Angle @ 0 deg | Slope Angle @ 45 deg

Geometry Selection

Bottom Selection | Top Selection

NOTE: When using a slope angle with the Adaptive Clearing strategy, geometry must be selected at the top of the pocket.

Round Walls

Enable to round the extruded walls.

Use Slot Clearing

Enable this setting to start pocket clearing with a slot along its middle, before continuing with a spiral motion towards the pocket wall.

This feature can be used to reduce linking motion at corners for some pockets.

Enabled | Disabled

Slot Clearing Width

The width of the initial clearing slot along the middle of the pocket before continuing with a spiral motion towards the pocket wall.

Slot Clearing Width

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lift Height

Specifies the lift distance during repositioning moves.

Lift Height 0 | Lift Height .1 in

No-Engagement Feedrate

Specifies the feedrate used for movements where the tool is not in engagement on the material, but is also not retracted.

Lead in/out:

Horizontal Lead-In/Out Radius

Creates an arc in the XY cutting plane for blending onto the part. The radius for horizontal lead moves.

Horizontal Lead Radius

Vertical Lead-In/Out Radius

Creates an arc in the vertical plane for blending down onto the part. The radius for vertical lead moves.

Vertical Lead-In/Out Radius

Ramping:

Ramp Type

Specfies how the cutter moves down for each depth cut.

Plunge Outside Stock

Predrill | Plunge

To use the Predrill option, Predrill location(s) must be defined.

Zig-Zag | Profile

Notice the smooth transitions on the Zig-Zag ramp type.

Smooth Profile | Helix

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Helical Ramp Diameter

The maximum diameter to use for a helical entry into the cavity.

An optimal value causes the tool to overlap it's center, while still creating the maximum helical bore for the entry into the cavity. The goal is for good chip evacuation. If the value is bigger than the diameter of the tool it can leave a boss standing in the center of the helix.

Value of 1.8 x the Dia. | Value of 0.8 x the Dia.

The system will determine the best location for the entry helix, unless and Entry Position is selected. (Entry Positions shown below). The complete area will always be cleared, regardless of the diameter. Note: The area width should be Tool Dia + Ramp Dia + Stock, or the helical entry will fail.

Minimum Ramp Diameter

The smallest Helix Ramp Diameter that is acceptable.

This value should always be smaller than the Helix Ramp Diameter, so the system can calculate a range that fits the available pocket or channel. Smaller diameters can reduce the chip evacuation, create jerking machine motion and can cause tool breakage.

Helical Ramp 0.100in - Min. Ramp 0.060in

Climb and Converntional Milling Machining Open Pockets with 2D Adaptive Clearing


Machining Open Pockets with 2D Adaptive Clearing

In HSMWorks, the best way to machine an open 2D Pocket is to use the 2D Adaptive Clearing strategy.

Initially, the 2D Adaptive works similarly to the 2D Pocket, and selecting one or more closed contours allows you to machine these as ordinary pocket. If, however, you also select a Stock Contour enclosing the selected contour(s), the 2D Adaptive will machine everything from the stock contour to the selected contour(s), starting from the outside in.

To machine an open 2D pocket using the 2D adaptive strategy, follow these steps:

  • Create a new 2D Adaptive operation by choosing 2D Adaptive from the HSMWorks menu or toolbar.
  • Select the stock contour:

Selecting the stock contour.

  • Select the contour with the open pocket:

Selecting the contour with the open pocket.

  • Disable Machine Cavities.
  • Adjust the linking heights so that they match the geometry. Make sure that the top of stock is above the depth of cut.
  • Press OK to generate the toolpath

The toolpath should now look something like this:

2D Adaptive toolpath for an open pocket.

Facing with 2D Adaptive Clearing


Facing with 2D Adaptive Clearing

In HSMWorks, you can perform facing operation using 2D Adaptive Clearing.

  • Select the stock contour for the facing operation:

Selecting the stock contour.

  • Disable Machine cavities under the Model group:

The resulting toolpath should be something like this:

2D Adaptive toolpath for a facing operation.

Machining Open Pockets with 2D Adaptive Clearing 2D Pocket


2D Pocket

This creates a pocket toolpath from chained contours rather than surfaces or solids. It is possible to define a taper angle for the walls, pre-drilling and entry positions can also be selected.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Feed height:

Feed height mode

Feed height mode set the height that the tool rapids to before changing to the feed/plunge rate to enter the part. Feed height mode should be set above the Top. Drilling operation will use this height as the initial feed height and the retract peck height. Feed height mode is used together with the subsequent offset to establish the height.

Feed Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Feed height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Feed height offset

Feed height offset is applied and is relative to the Feed height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Note that control compensation (including Wear and Inverse wear) is only done on finishing passes.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Minimum Cutting Radius

With Minimum Cutting Radius Set

With Minimum Cutting Radius Set - Sharp corners in the toolpath are avoided minimizing chatter in finished parts.

Without Minimum Cutting Radius Set

Without Minimum Cutting Radius Set - The toolpath attempts to remove material anywhere the selected tool can reach. This produces sharp corners in the tool path that often leads to chatter in the machined part.

NOTE: Setting this parameter leaves more material in internal corners, requiring subsequent rest machining operations with a smaller tool.

Passes:

Maximum Stepover

Specifies the maximum horizontal stepover between passes.

NOTE: This is NOT the same as optimal load settings with adaptive clearing paths. With legacy 2D roughing, the tool still sees full cutter engagement when transitioning from one pass to the next.

Adaptive Clearing | Legacy 2D Clearing

Allow Stepover Cusps

When programming flat faces with a tool that has a radius in the corner, a cusp (or scallop) can be produced between stepovers.

By default, the Maximum Stepover value is overridden to insure that no stepover cusps are produced.

Allow Stepover Cusps Disabled | Allow Stepover Cusps Enabled

Above - Pocket machined with a 3/8" bullnose end mill @ .25" Maximum Stepover.

Smoothing Deviation

The maximum amount of smoothing applied to the roughing passes. Use this parameter to avoid sharp corners in the toolpath.

Finishing Smoothing Deviation

The maximum amount of smoothing applied to the finishing passes. Use this parameter to avoid sharp corners in the toolpath. Setting this parameter leaves more stock than requested at the contour corners.

Finishing Passes

With Finishing Passes | Without Finishing Passes

Enable to perform finishing passes using the side of the tool.

NOTE: This option is typically used when roughing and finishing is being done with the same tool.

Number Of Finishing Passes

Specifies the number of finishing passes.

Shown with three finishing passes

Stepover

Specifies the maximum stepover for each cut, when taking multiple finishing passes.

Finishing Stepover
The amount to cut per pass.

Leads On All Finishing Passes

Forces a full lead in and out on every finishing pass.

Enabled | Disabled

NOTE: Lead parameters are set on the Linking tab of the Operations dialog box.

Finishing Overlap

The finishing overlap is the distance that the tool passes beyond the entry point before leading out.

Specifying a Finishing Overlap ensures that the material at the entry point is properly cleared.

No finishing overlap | 0.25" finishing overlap

NOTE: The finishing overlap follows the selected contour, so it is safe to specify a large overlap.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Finish Feedrate

Feedrate used for the final finishing pass.

Compensation Radius Allowance

This parameter specifies a range of tool diameters that can be safely used, instead of only the tool selected for the operation.

The allowed range of tool radii start from the selected tool radius and goes up to the selected tool radius, plus the given allowance.

Fragment Extension Distance

Multiple Depths

Specifies that multiple depths should be taken.

With Multiple Depth cuts | Without Multiple Depth cuts

NOTE: Adaptive clearing strategies allow for much more aggressive depth cuts than legacy 2D pockets.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Finishing Stepdowns

The number of finishing passes using the bottom of the tool.

Shown with three Finishing Passes

Finishing Stepdown

The size of each stepdown in the finishing passes.

Finishing Stepdown

Wall Taper Angle

Specifies the taper angle of the walls.

Defining a slope angle can be used to machine features with a 2D strategy that would have otherwise required a 3D strategy.

NOTE: - The slope angle is NOT driven by model geometry, so it is possible that an error entering the slope angle can affect the finished machined part.

Slope Angle @ 0 deg | Slope Angle @ 45 deg

Geometry Selection

Bottom Selection | Top Selection

NOTE: When using a slope angle with the Adaptive Clearing strategy, geometry must be selected at the top of the pocket.

Finish Only At Final Depth

Perform finishing passes only at the final depth to avoid leaving marks on the walls.

Disabled | Enabled

Use Even Stepdowns

Enable to create equal distances between machining passes.

Example: Suppose you are machining a profile with a depth of 23 mm and a maximum stepdown = 10 mm.

With Use even stepdowns enabled - you get three passes with the first value at -7.666 mm, the second at 15.3333 mm, and the third at -23 mm.

With Use even stepdowns disabled - again you get three passes, the first at -10 mm, the second at -20 mm, and the third at -23 mm.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Order By Step

When enabled, each roughing and finishing step is machined to the full depth before moving to the next step.

Disabled | Enabled

Preserve Order

When Selected, the chains/features are machined in the order they were selected.
When unselected, the program optimizes the cut order.

Both Ways

Specifies that the operation uses both Climb and Conventional milling to machine open profiles.

Unselected | Selected

NOTE: This option only controls how muliple depth cuts are taken on a single open contour. It does not optimize the cut direction for multiple open contours.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Keep Tool Down

When enabled, the strategy avoids retracting when the distance to the next area is below the specified stay-down distance.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lift Height

Specifies the lift distance during repositioning moves.

Lift Height 0 | Lift Height .1 in

Lead-In (Entry)

Enable to generate a lead-in.

Lead-In

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Lead-In Sweep Angle

Specifies the sweep of the lead-in arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Linear Lead-In Length

Specifies the length of the linear lead-in move for which to activate radius compensation in the controller.

Linear Lead-In Length

Perpendicular

Replaces tangential extensions of lead-in/lead-out arcs with a move perpendicular to the arc.

Shown with Perpendicular Entry/Exit

Example A bore that has lead arcs that are as large as possible (the larger the arc the less chance of dwell mark), and where a tangent linear lead is not possible because it would extend into the side of the bore.

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead-Out (Exit)

Enable to generate a lead-out.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Lead-Out Sweep Angle

Specifies the sweep of the lead-out arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Linear Lead-Out Distance

Specifies the length of the linear Lead-Out move for which to deactivate radius compensation in the controller.

Linear Lead-Out Distance

Perpendicular

Replaces tangential extensions of lead-in/lead-out arcs with a move perpendicular to the arc.

Shown with Perpendicular entry/exit

Example A bore that has lead arcs that are as large as possible (the larger the arc the less chance of dwell mark), and where a tangent linear lead is not possible because it would extend into the side of the bore.

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Ramping:

Ramp Type

Specfies how the cutter moves down for each depth cut.

Plunge Outside Stock

Predrill | Plunge

To use the Predrill option, Predrill location(s) must be defined.

Zig-Zag | Profile

Notice the smooth transitions on the Zig-Zag ramp type.

Smooth Profile | Helix

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Maximum Ramp Stepdown

Specifies the maximum stepdown per revolution on the ramping profile. This parameter allows the tool load to be constrained when doing full-width cuts during ramping.

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Ramp Radial Clearance

Specifies the minimum distance to the contour for the lead-in helix.

Helical Ramp Diameter

The maximum diameter to use for a helical entry into the cavity.

An optimal value causes the tool to overlap it's center, while still creating the maximum helical bore for the entry into the cavity. The goal is for good chip evacuation. If the value is bigger than the diameter of the tool it can leave a boss standing in the center of the helix.

Value of 1.8 x the Dia. | Value of 0.8 x the Dia.

The system will determine the best location for the entry helix, unless and Entry Position is selected. (Entry Positions shown below). The complete area will always be cleared, regardless of the diameter. Note: The area width should be Tool Dia + Ramp Dia + Stock, or the helical entry will fail.

Minimum Ramp Diameter

The smallest Helix Ramp Diameter that is acceptable.

This value should always be smaller than the Helix Ramp Diameter, so the system can calculate a range that fits the available pocket or channel. Smaller diameters can reduce the chip evacuation, create jerking machine motion and can cause tool breakage.

Helical Ramp 0.100in - Min. Ramp 0.060in

Facing with 2D Adaptive Clearing Circular Pocketing


Circular Pocketing

In HSMWorks, you do not need to choose a special strategy for machining circular pockets. Instead, the 2D Pocket strategy automatically detects circular geometry and creates an optimal high-speed spiral toolpath.

To machine circular pockets, simply create a 2D Pocket operation and choose a circular edge, sketch segment or face.

A 2D pocket operation on a circular pocket.
The toolpath is done as a spiral using 180 degree arcs.

The same 2D pocket operation on a non-circular pocket.

Rest Machining


Rest Machining

To rest rough a 2D Pocket, enable the Rest Machining check box on the geometry tab, and enter the tool diameter and the tool corner radius that was used previously on the geometry.

So if, for example, you start roughing with a 20mm tool that does not fit in all areas of a given pocket, then make another 2D Pocket operation with a smaller tool, and specify 20mm for the Rest Material Tool Diameter parameter.

Enabling Rest Machining on a 2D Pocket operation.

The resulting toolpaths:

2D Pocket with 20mm tool.

2D Pocket with 10mm tool and Rest Machining enabled.

Circular Pocketing 2D Contour


2D Contour

In 2D contouring you can choose input geometry from 2D sketches or by selecting faces from a part geometry. The strategy then works on the edges of the selected faces. The edges are projected to the tool plane. Please note that this strategy, like all 2D operations, is not gouge protected and the tool can gouge any surfaces or solids. It is your responsibility to ensure that the resulting toolpath is producing the desired result.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Tangential Extension Distance

Used on open contours to extend the beginning and end of the selected chain or multiple chains. This creates a tangent linear extension based on the angle of the start and endpoints. This is an extension of the selected geometry.

No Extension | 12mm Extension

If the extension distance causes an overlap of a single chain, the intersection will be trimmed into a closed boundary.

Shown with Multiple Finish Passes set to 2 | Single pass Long extension

Tangential Extension has options for creating a different length on each end of the chain.

Note: You can use the Stock Contours option to force the toolpath past the defined Stock or a selected boundary. Great for irregular shapes. For an additional extenstion to the toolpath, go to the Passes Tab and use the Tangential Fragment Extension Distance.

Separate Tangential End Extension

Select this option to enter a different end extension length value.

16mm Start Extension
5mm End Extension

Tangential End Extension Distance

Specifies the distance to extend the end position.

16mm Start Extension
5mm End Extension

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Feed height:

Feed height mode

Feed height mode set the height that the tool rapids to before changing to the feed/plunge rate to enter the part. Feed height mode should be set above the Top. Drilling operation will use this height as the initial feed height and the retract peck height. Feed height mode is used together with the subsequent offset to establish the height.

Feed Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Feed height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Feed height offset

Feed height offset is applied and is relative to the Feed height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Note that control compensation (including Wear and Inverse wear) is only done on finishing passes.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Minimum Cutting Radius

With Minimum Cutting Radius Set

With Minimum Cutting Radius Set - Sharp corners in the toolpath are avoided minimizing chatter in finished parts.

Without Minimum Cutting Radius Set

Without Minimum Cutting Radius Set - The toolpath attempts to remove material anywhere the selected tool can reach. This produces sharp corners in the tool path that often leads to chatter in the machined part.

NOTE: Setting this parameter leaves more material in internal corners, requiring subsequent rest machining operations with a smaller tool.

Finishing Smoothing Deviation

The maximum amount of smoothing applied to the finishing passes. Use this parameter to avoid sharp corners in the toolpath. Setting this parameter leaves more stock than requested at the contour corners.

Multiple Finishing Passes

Enable to perform multiple finishing passes.

Number Of Finishing Passes

Specifies the number of finishing passes.

Shown with three finishing passes

Stepover

Specifies the maximum stepover for each cut, when taking multiple finishing passes.

Finishing Stepover
The amount to cut per pass.

Leads On All Finishing Passes

Forces a full lead in and out on every finishing pass.

Enabled | Disabled

NOTE: Lead parameters are set on the Linking tab of the Operations dialog box.

Finishing Overlap

The finishing overlap is the distance that the tool passes beyond the entry point before leading out.

Specifying a Finishing Overlap ensures that the material at the entry point is properly cleared.

No finishing overlap | 0.25" finishing overlap

NOTE: The finishing overlap follows the selected contour, so it is safe to specify a large overlap.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Finish Feedrate

Feedrate used for the final finishing pass.

Lead End Distance

Specifies the distance the leadout feed rate begins before the end of the selected geometry.

@ 0 in | @ .5 in

NOTE: This option is used when you desire to change the feedrate prior to breaking through at the end of the cut.

Compensation Radius Allowance

This parameter specifies a range of tool diameters that can be safely used, instead of only the tool selected for the operation.

The allowed range of tool radii start from the selected tool radius and goes up to the selected tool radius, plus the given allowance.

Make Sharp Corners

Specifies that sharp corners must be forced.

Caution: Using a smaller tool on the machine can cause a gouge when using this feature.

Outer Corner Mode

When machining outer corners, it may be necessary to avoid rolling around the corner in order to leave the corner perfectly sharp. The Outer corner mode setting lets you machine outer corners in three different ways.

Roll around corner - Keeps contact with the corner throughout the motion.

Keep sharp corner - Continues the toolpath to a single point corner, losing contact with the material temporarily.

Keep sharp corner with loop - Similar to Keep sharp corner, but also performs a horizontal lead-out and lead-in at the corner.

Roughing Passes

Can be used to take multiple cuts around the selected profile. This activates additional parameters for controlling the Stepover and Number of cuts.

Roughing Passes disabled | Roughing Passes enabled with a 3mm Maximum Stepover

Maximum Stepover

Specifies the maximum stepover for each cut.

Maximum Stepover
The amount to cut per pass.

Smoothing Deviation

The maximum amount of smoothing applied to the roughing passes. Use this parameter to avoid sharp corners in the toolpath.

Number Of Stepovers

The number of roughing steps.

Fragment Extension Distance

Tangential Fragment Extension Distance

Used on open contours to extend the beginning and end of the calculated toolpath. This creates a tangent linear extension based on the angle of the start and endpoints. This extension can be used in combination with the Geometry - Tangential Extension Distance.

No Extension | 12mm Extension

Overlaping extensions of a single chain, will not be trimmed.

Shown with Multiple Finish Passes set to 2 | Single pass Long extension

Note: You can use the Stock Contours option to force the toolpath past the defined Stock or a selected boundary. Great for irregular shapes. If you need a different extension for each end of the cut, you can use Geometry Tab - Tangential Extension Distance.

Multiple Depths

Specifies that multiple depths should be taken.

With Multiple Depth cuts | Without Multiple Depth cuts

NOTE: Adaptive clearing strategies allow for much more aggressive depth cuts than legacy 2D pockets.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Finishing Stepdowns

The number of finishing passes using the bottom of the tool.

Shown with three Finishing Passes

Finishing Stepdown

The size of each stepdown in the finishing passes.

Finishing Stepdown

Wall Taper Angle

Specifies the taper angle of the walls.

Defining a slope angle can be used to machine features with a 2D strategy that would have otherwise required a 3D strategy.

NOTE: - The slope angle is NOT driven by model geometry, so it is possible that an error entering the slope angle can affect the finished machined part.

Slope Angle @ 0 deg | Slope Angle @ 45 deg

Geometry Selection

Bottom Selection | Top Selection

NOTE: When using a slope angle with the Adaptive Clearing strategy, geometry must be selected at the top of the pocket.

Finish Only At Final Depth

Perform finishing passes only at the final depth to avoid leaving marks on the walls.

Disabled | Enabled

Use Even Stepdowns

Enable to create equal distances between machining passes.

Example: Suppose you are machining a profile with a depth of 23 mm and a maximum stepdown = 10 mm.

With Use even stepdowns enabled - you get three passes with the first value at -7.666 mm, the second at 15.3333 mm, and the third at -23 mm.

With Use even stepdowns disabled - again you get three passes, the first at -10 mm, the second at -20 mm, and the third at -23 mm.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Chamfer

Specifies that the contouring operation will be used to create a chamfer.

Geometry Selection Tips:

Sharp Corners | Chamfered Edges

Sharp Corners - Select the sharp corner and define the size of the chamfer using the Chamfer Width Setting.

Chamfered Edges - Select the bottom edge of the chamfer. The chamfer width is calculated automatically.

Important: All edges selected must be either the bottom edge of a chamfered face or unchamfered edges. If both edge types are selected, then the edges that already have the chamfers modeled end up with chamfers that are twice the size they should be.

Chamfer Width

The (additional) width of the chamfer.

For edges that are not already chamfered, this is the final width of the chamfer.

For chamfered edges, this is an additional offset; similar to using negative radial stock to leave.

Chamfer Tip Offset

This is added to the toolpath depth, while keeping the tool in contact with the selected edge by adjusting the toolpath radial offset.

Chamfer Tip Offset
Tool Tip Clearance Extension

NOTE: Allows you to cut past the bottom of the Chamfer edge. Keeps you from cutting with the bottom tool edge.

Chamfer Width

Chamfer Depth

Use Thin Wall

When milling part features with wall thicknesses comparable to sheet metal stock, or even thinner, the stock is subjected to the forces generated by metal removal. This can result in the delicate structure of thin walls moving relative to the tool, making it difficult to maintain dimensional accuracy and impart the specified surface finish.

This option can be used to reduce the vibration and chatter by ensuring that both sides of a thinwall are machined at the same time.

Thin Wall Width

The width of walls that should be considered thin walls.

Any wall with this width or thinner is machined on both sides at the same time to reduce vibration and chatter.

Order By Islands

Specifies the order in which depth cuts are taken when there are multiple profiles.

Disabled | Enabled

Disabled - Depth cuts are ordered by depth.

Enabled - Depth cuts are ordered by profile.

NOTE: Ordering cuts by island minimizes the number of rapid moves.

Order By Step

When enabled, each roughing and finishing step is machined to the full depth before moving to the next step.

Disabled | Enabled

Preserve Order

When Selected, the chains/features are machined in the order they were selected.
When unselected, the program optimizes the cut order.

Both Ways

Specifies that the operation uses both Climb and Conventional milling to machine open profiles.

Unselected | Selected

NOTE: This option only controls how muliple depth cuts are taken on a single open contour. It does not optimize the cut direction for multiple open contours.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Keep Tool Down

When enabled, the strategy avoids retracting when the distance to the next area is below the specified stay-down distance.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lift Height

Specifies the lift distance during repositioning moves.

Lift Height 0 | Lift Height .1 in

Lead-In (Entry)

Enable to generate a lead-in.

Lead-In

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Lead-In Sweep Angle

Specifies the sweep of the lead-in arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Linear Lead-In Length

Specifies the length of the linear lead-in move for which to activate radius compensation in the controller.

Linear Lead-In Length

Perpendicular

Replaces tangential extensions of lead-in/lead-out arcs with a move perpendicular to the arc.

Shown with Perpendicular Entry/Exit

Example A bore that has lead arcs that are as large as possible (the larger the arc the less chance of dwell mark), and where a tangent linear lead is not possible because it would extend into the side of the bore.

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead-Out (Exit)

Enable to generate a lead-out.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Lead-Out Sweep Angle

Specifies the sweep of the lead-out arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Linear Lead-Out Distance

Specifies the length of the linear Lead-Out move for which to deactivate radius compensation in the controller.

Linear Lead-Out Distance

Perpendicular

Replaces tangential extensions of lead-in/lead-out arcs with a move perpendicular to the arc.

Shown with Perpendicular entry/exit

Example A bore that has lead arcs that are as large as possible (the larger the arc the less chance of dwell mark), and where a tangent linear lead is not possible because it would extend into the side of the bore.

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Ramp

Enable ramps.

Shown with a 15 degree Ramp angle

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Maximum Ramp Stepdown

Specifies the maximum stepdown per revolution on the ramping profile. This parameter allows the tool load to be constrained when doing full-width cuts during ramping.

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Helical Ramp Diameter

The maximum diameter to use for a helical entry into the cavity.

An optimal value causes the tool to overlap it's center, while still creating the maximum helical bore for the entry into the cavity. The goal is for good chip evacuation. If the value is bigger than the diameter of the tool it can leave a boss standing in the center of the helix.

Value of 1.8 x the Dia. | Value of 0.8 x the Dia.

The system will determine the best location for the entry helix, unless and Entry Position is selected. (Entry Positions shown below). The complete area will always be cleared, regardless of the diameter. Note: The area width should be Tool Dia + Ramp Dia + Stock, or the helical entry will fail.

Minimum Ramp Diameter

The smallest Helix Ramp Diameter that is acceptable.

This value should always be smaller than the Helix Ramp Diameter, so the system can calculate a range that fits the available pocket or channel. Smaller diameters can reduce the chip evacuation, create jerking machine motion and can cause tool breakage.

Helical Ramp 0.100in - Min. Ramp 0.060in

Rest Machining 2D Chamfering


2D Chamfering

There are two ways to use the HSMWorks chamfering feature, depending on whether the CAD model already has the chamfering as a feature or not.

CAD model with no chamfering. | CAD model with chamfering feature.

In both cases, you can use the 2D Contour strategy to chamfer the model.

First, define and select a chamfer mill tool. This will automatically enable the Chamfer option in the 2D Contour parameter group under the Passes tab:

Chamfer parameters.

Chamfer Width

The (additional) width of the chamfer.

For edges that are not already chamfered, this is the final width of the chamfer.

For chamfered edges, this is an additional offset; similar to using negative radial stock to leave.

Chamfer Tip Offset

This is added to the toolpath depth, while keeping the tool in contact with the selected edge by adjusting the toolpath radial offset.

Chamfer Tip Offset
Tool Tip Clearance Extension

NOTE: Allows you to cut past the bottom of the Chamfer edge. Keeps you from cutting with the bottom tool edge.

With these two parameters we can handle both types of CAD models.

In the case where the edges are not chamfered we set the width to the wanted amount, and then adjust the tip offset depending on the size of the tool.

If the model has already been chamfered, the easiest way is to select the lower edge of the chamfer. This will put the tool chamfer corner at this position and we only need to adjust the tip offset if we want to go some distance below the lower edge.

Chamfering with ball and bull-nose tool is also supported.

Chamfering with Ball/Bull End Mills


Chamfering with Ball/Bull End Mills

HSMWorks supports chamfering with ball end mills and bull end mills. This may be useful in cases where you are already using a ball or bull end mill in a part and wish to chamfer off sharp edges but save a tool change to an ordinary chamfering tool. With small chamfer sizes, the difference between flat chamfer using a chamfering tool and the slightly rounded chamfer may be negligible.

To create the chamfering, simply create a 2D Contour operation and make sure that a ball/bull end mill tool is selected.

Chamfer parameters for a ball mill tool.

In the following part, the spherical indent is created using a ball end mill, and afterwards the 90 degree edges are chamfered using the same tool.

Example using a ball end mill for chamfering.

2D Chamfering Compensation Radius Allowance


Compensation Radius Allowance

The control compensation feature available for the 2D contour strategy is used to make the CNC control do the actual cutter offset calculations.

This feature provides more flexibility in production since the CNC operator is free to choose between different sizes of tools. However, since most CNC control have limited NC block look ahead capabilities and usually fail if the contour curvature exceeds the curvature of the used tool; the CAM software is required to make sure that these problems cannot occur for arbitrary selected geometry.

Due to the limited NC block look ahead the CNC control has no way to ensure that the compensated cutter locations won't gouge another section of the original contour.

HSMWorks solves these problems by introducing the Compensation Radius Allowance setting.

This parameter in effect specifies a range of tool diameters which can be safely used instead of only the tool selected for the operation. The allowed range of tool radii start from the selected tool radius and goes up to the selected tool radius plus the given allowance.

Please note that sharp corners in the selected geometry will be rounded by this allowance. Therefore, the parameter should not be set higher than necessary. The rounding is, however, not always undesired since the machine can maintain a higher feed at these corners.

This parameter will give slightly different results compared to other CAM systems for simple examples but it also guarantees that the CNC control can run the generated toolpath for arbitrarily complex geometry.

2D Contour from sketch with control compensation. Red path is with no compensation radius allowance.
Green path is with a small compensation radius allowance. Blue path is with a large compensation radius allowance.

Chamfering with Ball/Bull End Mills Extending the Contours


Extending the Contours

When selecting geometry for the 2D Contour strategy you may want to start the toolpath further away from the model than what you can directly select on the geometry.

The following screenshot shows an example without any extensions.

2D Contour toolpath without any extensions.

You have 3 options for extending the geometry:

Create a Sketch

Draw a sketch with the geometry extended as needed and select the sketch as the geometry for the 2D Contour. This is the most flexible option, as it gives complete control of the shape of the extensions and allows you to have different shapes and lengths of each extension, or even merge some of the fragments as shown in the following example.

2D Contour toolpath using a Sketch to control the toolpath.

Make Leads Tangential

Change the lead-in and lead-out settings to use a 0 degree sweep. This will drop the horizontal lead in arc, and do only a linear lead, tangentially to the cutting pass. The vertical arc is retained.

2D Contour toolpath with 15mm linear lead length and 0deg sweep angle.

Use Tangential Extension

The Tangential Extension Distance setting provides a result similar to long linear leads, but allows you to retain the complete lead-in, including the horizontal arc, and the sweep angle.

In addition, this feature provides enhanced collision checking, which can be relevant especially when using multiple roughing passes.

The Tangential Extension Distance setting.

Tangential Extension Distance set to 15mm.

The Separate tangential end extension option lets you to separate tangential start and end extension for 2D contours. You can define a different extension distance for using at the end of an open contour checking this option and entering a value for the Tangential End Extension Distance parameter.

Tangential Extension Distance set to 15mm for the beginning and 5mm for the end of the open contour.

Compensation Radius Allowance Finishing Overlap


Finishing Overlap

2D Contour toolpaths may in some cases leave a visible mark due to tool deflection at the entry point since the tool normally enters and exits the contour at the same point. You can use the Finishing Overlap setting to avoid the problem.

The Finishing Overlap.

The finishing overlap parameter specifies the distance that the tool will pass beyond the entry point before leading out. This ensures that the material at the entry point is properly cleared.

Without finishing overlap. | With finishing overlap set to 5mm.
Extending the Contours Manually Ordering Contours


Manually Ordering Contours

When machining multiple contours in a single 2D Contour operation, the order in which the contours are machined is determined automatically. This works well for complex examples but in some cases the ordering might not be as desired.

To manually control the ordering, select the individual contours in the order they should be machined and enable the Preserve Order setting on the Passes tab.

Manually selected contours.

Preserve order option.

Resulting toolpath:

"Preserve order" disabled. | "Preserve order" enabled.
Finishing Overlap Radius Compensation


Radius Compensation

You can change the type of compensation performed from the Compensation Type drop down in the 2D Contour property page:

Changing the compensation type.

When HSMWorks shows a preview of the toolpath it is always the calculated (e.g. uncompensated) toolpath that is shown. The simulation and verification modes show the compensated toolpath as it would be run by the CNC machine.

In Computer

Tool compensation is calculated automatically by HSMWorks, based on the selected tool diameter. The post processed output will contain the compensated path directly, instead of G41/G42 codes.

Preview. | Simulation.

In Control

Tool compensation is not calculated but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.

Preview. | Simulation.

Wear

Works as if In Computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.

Preview. | Simulation.

Inverse Wear

Works just like the Wear option except that the wear adjustment is entered as a positive number.

Off

No radius compensation is performed and the tool center simply follows the selected geometry.

Preview. | Simulation.

Control compensation (including wear and inverse wear) is only applied for finishing passes.

Manually Ordering Contours Ramping with Compensation


Ramping with Compensation

When using both compensation in control (G41/G42) and ramping for 2D contour, the ramp toolpath will also use compensation in control.

Toolpath preview before compensation is applied. | The cutter motion when compensation is applied.
Radius Compensation Sharp Outer Corners


Sharp Outer Corners

When machining outer corners, it may be necessary to avoid rolling around the corner in order to leave the corner perfectly sharp.

2D Contour can machine outer corners in three different ways, controlled by the Outer Corner Mode setting:

Roll around corner Keeps contact with the corner throughout the motion. | Keep sharp corner Continues the toolpath to a single point corner, loosing contact with the material temporarily. | Keep sharp corner with loop Like Keep sharp corner, but also performs a horizontal lead-out and lead in at the corner.
Ramping with Compensation Slot


Slot

The slot strategy is used for milling slots by selecting the edges of the slots. The alternative is to use 2D Contour with "Off" compensation to machine the slots. However, often no geometry is available along the center of the slot which makes it more convenient to use the Slot strategy.

Geometry selection for slot operation.

Toolpath generated for the selected geometry.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Feed height:

Feed height mode

Feed height mode set the height that the tool rapids to before changing to the feed/plunge rate to enter the part. Feed height mode should be set above the Top. Drilling operation will use this height as the initial feed height and the retract peck height. Feed height mode is used together with the subsequent offset to establish the height.

Feed Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Feed height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Feed height offset

Feed height offset is applied and is relative to the Feed height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Tangential Fragment Extension Distance

Used on open contours to extend the beginning and end of the calculated toolpath. This creates a tangent linear extension based on the angle of the start and endpoints. This extension can be used in combination with the Geometry - Tangential Extension Distance.

No Extension | 12mm Extension

Overlaping extensions of a single chain, will not be trimmed.

Shown with Multiple Finish Passes set to 2 | Single pass Long extension

Note: You can use the Stock Contours option to force the toolpath past the defined Stock or a selected boundary. Great for irregular shapes. If you need a different extension for each end of the cut, you can use Geometry Tab - Tangential Extension Distance.

Multiple Depths

Specifies that multiple depths should be taken.

With Multiple Depth cuts | Without Multiple Depth cuts

NOTE: Adaptive clearing strategies allow for much more aggressive depth cuts than legacy 2D pockets.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Backoff Distance

Specifies the distance to back off from the stock before retracting.

Preserve Order

When Selected, the chains/features are machined in the order they were selected.
When unselected, the program optimizes the cut order.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Ramping:

Ramp Type

Specfies how the cutter moves down for each depth cut.

Plunge Outside Stock

Predrill | Plunge

To use the Predrill option, Predrill location(s) must be defined.

Zig-Zag | Profile

Notice the smooth transitions on the Zig-Zag ramp type.

Smooth Profile | Helix

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Maximum Ramp Stepdown

Specifies the maximum stepdown per revolution on the ramping profile. This parameter allows the tool load to be constrained when doing full-width cuts during ramping.

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Sharp Outer Corners Slot Entry Position


Slot Entry Position

The Slot strategy allows selecting one or more entry positions, which lets you specify which end of the slot to plunge into. This is useful if you have pre-drilled holes in your slots.

Multiple slots with no entry positions specified.

The selected entry positions.

The resulting toolpath plunges at the specifies entry positions.

HSMWorks interprets entry positions as indications for where the tool should start. HSMWorks will try to choose a starting position that is as close as possible to the nearest of all the specified entry positions.

The looseness of the entry positions normally yields the desired results, when you select explicit entry positions as in the example above, but at the same time allows for greater ease and flexibility in specifying the entry positions. As such, the following entry position selections will give exactly the same toolpath as the selection above:

Selecting just two entry positions like this causes HSMWorks to start
all the slot toolpaths at the ends closest to the entry positions.

Thread


Thread

Thread is used for thread milling cylindrical pockets and islands. The heights and depths are automatically derived from the selected geometry which allows you to machine varying threads in a single operation.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Pitch Diameter Offset

The difference between the Major and Minor thread diameters.

The difference between the Major "D" and the Minor "d" diameters.
This is the thread depth and the value is always positive.

NOTE: Required if the hole is drawn to the Minor size,
or if the Boss/Cylinder is drawn to the Major size.

Threading Hand

Create a Right or Left handed thread direction.

Thread Pitch

The distance between threads.

The distance traversed for 1 complete thread.
1/Threads Per Inch (TPI) or or the actual pitch for metric threads.

Multiple Passes

Enable to enter a value for multiple depth cuts when Thread Milling.

Multiple Passes
Uses Multiple cuts to achieve the full thread milling depth

Number Of Stepovers

The number of cutting steps.

Uses Multiple cuts to achieve the full thread milling depth.
This illustration shows 2 Stepovers.

Stepover

Specifies the stepover amount between passes.

The amount per each cut, when Multiple passes is activated.

Do Multiple Threads

Enable to enter the number of threads.

Number Of Threads

Specifies the number of threads.

Compensation type:

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Note that control compensation (including Wear and Inverse wear) is only done on finishing passes.

Direction:

Direction

Lets you specify whether the program should climb or conventional mill the thread.

Conventional Milling | Climb Milling

Other Considerations. The cut direction, the type of hole (OD or ID) and the threading hand direction (left or right) have an effect on where the thread milling starts. It's possible to cut from top to bottom or bottom to top, depending on these settings.
Examples:
A right hand thread on an OD (boss), with a climb cut will mill from the top to the bottom.
A right hand thread on an ID (hole), with a climb cut will mill from the bottom to the top.

Use the Climb or Conventional Direction parameter to control Top to Bottom or Bottom to Top cut direction.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Linking

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Use Helical Leads

Enable to use helical lead in/out movements instead of circular lead in/out movements.

Horizontal Lead-In/Out Radius

Creates an arc in the XY cutting plane for blending onto the part. The radius for horizontal lead moves.

Horizontal Lead Radius

Linear Lead Length

Specifies the length of the linear leads.

Vertical Lead-In/Out Radius

Creates an arc in the vertical plane for blending down onto the part. The radius for vertical lead moves.

Vertical Lead-In/Out Radius

Lead To Center

Specifies that the lead in/out movement should be into the center of the geometry.

Slot Entry Position Circular


Circular

The Circular strategy is used for milling cylindrical pockets and islands. The heights and depths are automatically derived from the selected cylindrical geometry which allows you to machine varying geometry in a single operation.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Multiple Passes

Enable to enter a stepover value.

Number Of Stepovers

The number of roughing steps.

Stepover

Specifies horizontal stepover between passes.

Horizontal Stepover

By default, this value is 95% of the cutter diameter less the tool corner radius.

Compensation type:

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Note that control compensation (including Wear and Inverse wear) is only done on finishing passes.

Multiple Depths

Specifies that multiple depths should be taken.

With Multiple Depth cuts | Without Multiple Depth cuts

NOTE: Adaptive clearing strategies allow for much more aggressive depth cuts than legacy 2D pockets.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Use Even Stepdowns

Enable to create equal distances between machining passes.

Example: Suppose you are machining a profile with a depth of 23 mm and a maximum stepdown = 10 mm.

With Use even stepdowns enabled - you get three passes with the first value at -7.666 mm, the second at 15.3333 mm, and the third at -23 mm.

With Use even stepdowns disabled - again you get three passes, the first at -10 mm, the second at -20 mm, and the third at -23 mm.

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Linking

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Horizontal Lead-In/Out Radius

Creates an arc in the XY cutting plane for blending onto the part. The radius for horizontal lead moves.

Horizontal Lead Radius

Linear Lead Length

Specifies the length of the linear leads.

Vertical Lead-In/Out Radius

Creates an arc in the vertical plane for blending down onto the part. The radius for vertical lead moves.

Vertical Lead-In/Out Radius

Lead To Center

Specifies that the lead in/out movement should be into the center of the geometry.

Thread Bore


Bore

Bore allows you to bore mill cylindrical pockets and islands by selecting the cylindrical geometry directly. The heights and depths are automatically derived from the selected geometry which allows you to machine varying geometry in a single operation.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Pitch

Specifies the distance per 360° step as the tool feeds to depth.
For straight walls this value is generally larger, than with tapered walls.
A finer Pitch on a Tapered wall creates a smoother surface finish.

Depth Per. Revolution

Multiple Passes

Enable to enter a stepover value.

Number Of Stepovers

The number of roughing steps.

Stepover

Specifies horizontal stepover between passes.

Horizontal Stepover

By default, this value is 95% of the cutter diameter less the tool corner radius.

Finishing Passes

With Finishing Passes | Without Finishing Passes

Enable to perform finishing passes using the side of the tool.

NOTE: This option is typically used when roughing and finishing is being done with the same tool.

Stepover

Specifies the maximum stepover for each cut, when taking multiple finishing passes.

Finishing Stepover
The amount to cut per pass.

Compensation type:

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Linking

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Horizontal Lead-In/Out Radius

Creates an arc in the XY cutting plane for blending onto the part. The radius for horizontal lead moves.

Horizontal Lead Radius

Linear Lead Length

Specifies the length of the linear leads.

Vertical Lead-In/Out Radius

Creates an arc in the vertical plane for blending down onto the part. The radius for vertical lead moves.

Vertical Lead-In/Out Radius

Lead To Center

Specifies that the lead in/out movement should be into the center of the geometry.

Circular Trace


Trace

Trace allows you to machine along contours with varying Z and with/without left and right compensation. When using left and right compensation you might experience disconencted passes at corners due to sudden changes in Z.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Chaining Tolerance

Used when chaining a boundary or contour. Any gaps closer than the chaining tolerance are automatically merged.

Advanced parameter. Only shown when advanced mode is enabled

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Feed height:

Feed height mode

Feed height mode set the height that the tool rapids to before changing to the feed/plunge rate to enter the part. Feed height mode should be set above the Top. Drilling operation will use this height as the initial feed height and the retract peck height. Feed height mode is used together with the subsequent offset to establish the height.

Feed Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Feed height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Feed height offset

Feed height offset is applied and is relative to the Feed height mode selection in the above pull down list.

Passes

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Compensation direction:

Sideways Compensation

This setting determines the side of the toopath from which the tool center is offset. Choose between Left (climb milling) sideways compensation or Right (conventional milling) sideways compensation.

Climb Milling | Conventional Milling

Climb vs. Conventional Milling

Climb milling can be thought of as the cutter rolling along the surface that it is cutting. This generally gives a better finish in most metals, but requires good machine rigidity. Using this method, chips start at maximum thickness and get thinner towards the end of the cut, meaning more heat in the chip and less in the part.

With conventional milling, the cutter is rotating away from the surface it is cutting. This method is more commonly used with manual or less rigid machines. It does have some advantages, and can even give a better finish when machining certain materials including some woods.

Maximum Angle (deg)

Specifies the maximum plunge angle for the passes.

Axial Offset

Specifies an axial offset value for the toolpath for the chosen contour.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Pass Extension

Distance to extend the passes beyond the machining boundary.

Pass Extension

Axial Offset Passes

Enable to do multiple depth cuts.

Disabled | Three Axial Offset Passes

Illustrated with 3D Parallel

Axial offset passes are used to create multiple incremental Z offset passes in many of the 3D finishing strategies.

Axial offset passes work much like multiple finishing stepdowns in the 2D operations and are useful for removing a fixed amount of stock using several passes.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Number Of Stepdowns

Specifies the desired number of stepdowns.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Up/down milling:

Up/Down Milling

Use this option to break each pass into segments so that each piece is machined using either downward or upward moves only. This is useful when using insert cutters that are restricted to a specific cutting direction.

'''Don't Care''' | Down Milling

Up/Down Shallow Angle

Both Ways

Specifies that the operation uses both Climb and Conventional milling to machine open profiles.

Unselected | Selected

NOTE: This option only controls how muliple depth cuts are taken on a single open contour. It does not optimize the cut direction for multiple open contours.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Keep Tool Down

When enabled, the strategy avoids retracting when the distance to the next area is below the specified stay-down distance.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead-In (Entry)

Enable to generate a lead-in.

Lead-In

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead-Out (Exit)

Enable to generate a lead-out.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Bore Trace with Side Compensation


Trace with Side Compensation

Trace allows you to compensate the tool to the left and right of the selected contours.

Compensation direction.

This works like the compensation direction parameter available on the 2D Contour and Multi-Axis contour strategies, and offsets to the left or right of the selected geometry, while still obeying the changes in Z.

Large-scale Trace profiling.

Undercutting with a slot mill and Trace.

3D Milling


3D Milling

  • Adaptive Clearing™
  • Pocket Clearing
  • Horizontal Clearing/Finishing
  • Contour Finishing
  • Ramp Finishing
  • Parallel Finishing
  • Scallop Finishing
  • Pencil
  • Radial Finishing
  • Spiral Finishing
  • Projection
  • Morphing
  • Flow

Trace with Side Compensation Adaptive Clearing™


Adaptive Clearing

Adaptive Clearing is the new roughing strategy available for clearing large quantities of material effectively. It is unique in that it guarantees a maximum tool load at all stages of the machining cycle, and makes it possible to cut deep and with the flank of the tool without risk of breakage.

The strategy first makes a series of constant Z-layers through the part, and then clears them in stages from the bottom upwards.

Because it can cut so deeply, the first step down at each stage should be the effective cutting length of the tool. Then clearing of the intermediate layers proceeds into the shallower layers to maximize the efficiency of the tool use.

This strategy is extremely effective for machining cores because it uses the shape of the original stock to maximum effect when machining from the outside inwards towards the finished shape of the part.

Adaptive Clearing can also be used to great effect for rest machining where a previous larger tool has removed the majority of the material, but a smaller tool is necessary for accessing the finer details. When a previous toolpath is selected, this strategy takes account of the state of the stock after the selected machining operations and limits itself to the yet unmachined areas.

Retract levels in an Adaptive Clearing toolpath. The numbers indicate the order in which the Z levels are machined.

Guidelines for Cutting Conditions

Steel:

The depth of a cut can be the same as the tool's flute length, up to 20% of the tool diameter can be used for sideways step.

Hardened steel:

The depth of cut can be up to the tool's flute length, and sideways step should be limited to 5% of the tool diameter.

Aluminum:

The depth of cut is recommended to be 1.5 to 2 times the tool diameter (but can be up to the flute length), a sideways step of 30% of the tool diameter is recommended, and up to 50% of the tool diameter is in some circumstances achievable.

These values are for cutters suited for roughing. Multi flute cutters should only be set to half or less of the above sideways steps.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Optimal Load

Specifies the amount of engagement the adaptive strategies should maintain.

NOTE: Legacy clearing toolpaths produce uneven cutter engagement throughout the clearing operation. Using an Adaptive Clearing strategy results in 40% faster material removal rates because larger depth cuts can be taken with full confidence that the cutter will never see spikes in tool engagement that would break cutters.

High Speed Clearing Toolpath | Legacy Clearing Toolpath

Minimum Cutting Radius

With Minimum Cutting Radius Set

With Minimum Cutting Radius Set - Sharp corners in the toolpath are avoided minimizing chatter in finished parts.

Without Minimum Cutting Radius Set

Without Minimum Cutting Radius Set - The toolpath attempts to remove material anywhere the selected tool can reach. This produces sharp corners in the tool path that often leads to chatter in the machined part.

NOTE: Setting this parameter leaves more material in internal corners, requiring subsequent rest machining operations with a smaller tool.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Fine Stepdown

Specifies the fine stepdown for intermediate steps. These steps are upwards in the direction of the tool axis.

Machine Shallow Areas

Specifies that extra Z-level passes should be taken in shallow areas to remove excessive cusps.

Disabled | Enabled

Illustrated with 3D Contour

Minimum Shallow Stepdown

This parameter controls the minimum allowed stepdown between the extra Z-levels. It takes precedence over the Maximum Shallow Stepover.

Maximum Shallow Stepover

This parameter controls the stepover used to detect areas where extra Z-levels should be inserted. If the normal stepdown results in a stepover of more than this value, extra levels are inserted until the stepover or the minimum stepdown is reached.

Flat Area Detection

If enabled, the strategy attempts to detect the heights of flat areas and peaks, and machine at these levels.

If disabled, the strategy machines at exactly the specified stepdowns.

Important: Enabling this feature may increase calculation time considerably.

Machine Cavities

If enabled, the strategy will ramp into pockets and machine these.

If disabled, the strategy will only machine from the outside-in, and leave pockets unmachined.

Use Slot Clearing

Enable this setting to start pocket clearing with a slot along its middle, before continuing with a spiral motion towards the pocket wall.

This feature can be used to reduce linking motion at corners for some pockets.

Enabled | Disabled

Slot Clearing Width

The width of the initial clearing slot along the middle of the pocket before continuing with a spiral motion towards the pocket wall.

Slot Clearing Width

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lift Height

Specifies the lift distance during repositioning moves.

Lift Height 0 | Lift Height .1 in

No-Engagement Feedrate

Specifies the feedrate used for movements where the tool is not in engagement on the material, but is also not retracted.

Lead in/out:

Horizontal Lead-In/Out Radius

Creates an arc in the XY cutting plane for blending onto the part. The radius for horizontal lead moves.

Horizontal Lead Radius

Vertical Lead-In/Out Radius

Creates an arc in the vertical plane for blending down onto the part. The radius for vertical lead moves.

Vertical Lead-In/Out Radius

Ramping:

Ramp Type

Specfies how the cutter moves down for each depth cut.

Plunge Outside Stock

Predrill | Plunge

To use the Predrill option, Predrill location(s) must be defined.

Zig-Zag | Profile

Notice the smooth transitions on the Zig-Zag ramp type.

Smooth Profile | Helix

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Helical Ramp Diameter

The maximum diameter to use for a helical entry into the cavity.

An optimal value causes the tool to overlap it's center, while still creating the maximum helical bore for the entry into the cavity. The goal is for good chip evacuation. If the value is bigger than the diameter of the tool it can leave a boss standing in the center of the helix.

Value of 1.8 x the Dia. | Value of 0.8 x the Dia.

The system will determine the best location for the entry helix, unless and Entry Position is selected. (Entry Positions shown below). The complete area will always be cleared, regardless of the diameter. Note: The area width should be Tool Dia + Ramp Dia + Stock, or the helical entry will fail.

Minimum Ramp Diameter

The smallest Helix Ramp Diameter that is acceptable.

This value should always be smaller than the Helix Ramp Diameter, so the system can calculate a range that fits the available pocket or channel. Smaller diameters can reduce the chip evacuation, create jerking machine motion and can cause tool breakage.

Helical Ramp 0.100in - Min. Ramp 0.060in

Conventional and Climb Milling


Conventional and Climb Milling

You can select between conventional milling and climb milling for the Adaptive Clearing strategy with climb milling being the default.

The cutting passes for the adaptive clearing strategy are directly dependent on the selected direction of the cuts. This means that changing the direction will force recalculation of the entire toolpath as opposed to only require relinking of the already calculated passes. Re-linking is supported for the other milling strategies when changing milling direction.

Adaptive Clearing using climb milling. | Adaptive Clearing using conventional milling.
Machining Irregular Stock


Machining Irregular Stock

Adaptive Clearing supports stock definitions of any shape.

Irregular stock.

  • In SolidWorks, create the stock as a separate solid body.

Stock as a separate solid body.

  • In HSMWorks, Edit the job and select the created stock.

    .

Select the previously created stock solid body as the Stock.

  • Open the Adaptive Clearing parameters and set the machining boundary to None.

No machining boundary.

  • Set Rest Machining to From Job Stock.

Rest machining from stock.

Set all other machining parameters and then choose Ok to calculate toolpath.

The generated toolpath for irregular stock.

Conventional and Climb Milling Shallow Areas


Shallow Areas

Shallow area machining detects shallow areas on the model and inserts additional stepdowns to provide a better finish of the shallow areas.

The shallow area settings.

When enabled, the shallow area machining is controlled by two parameters:

Minimum Shallow Stepdown

This parameter controls the minimum allowed stepdown between the extra Z-levels. It takes precedence over the Maximum Shallow Stepover.

Maximum Shallow Stepover

This parameter controls the stepover used to detect areas where extra Z-levels should be inserted. If the normal stepdown results in a stepover of more than this value, extra levels are inserted until the stepover or the minimum stepdown is reached.

Adaptive with Machine Shallow Areas diabled.

Adaptive with Machine Shallow Areas enabled.

Machining Irregular Stock Use Slot Clearing


Use Slot Clearing

Adaptive Clearing will by default clear the levels starting from the stock that remain immediately after ramping/plunging down. This will give a typical spiral pattern for pockets. This approach can result in more linking motion than desired at the corners of the pockets.

You can avoid this by enabling the Use Slot Clearing setting. When enabled, a pocket will be cleared using a slot along its middle before continuing with spiral motion towards the pocket wall.

Use Slot Clearing Disabled. | Use Slot Clearing Enabled.

The width of the initial clearing slot is controlled by the Slot Clearing Width setting as shown below.

Slot Clearing Width.

Shallow Areas Pocket Clearing


Pocket Clearing

Pocket Clearing is one of two roughing strategies available for clearing large quantities of material effectively. The strategy first makes a series of constant Z layers through the part, and then clears each one in stages from the middle to the edge of the horizontal area along offset passes. As with any implementation of this strategy, cutting along the full width of the tool is possible depending on the shape of the part.

This strategy is suitable for high speed machining because all transitional moves are smoothed to a minimum radius of curvature, and the slices can be made as shallow as necessary to limit the tool load. The only place where a tight cornering motion is necessary is on the final pass in each level where the tool is following the shape of the part and would otherwise leave an excessive amount of material.

The transition between layers is along a helix or ramping motion at a predefined slope angle for tools that are not capable of plunging.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Corner Deviation

The maximum corner deviation. Use this parameter to avoid sharp corners in the toolpath.

Minimum Cutting Radius

With Minimum Cutting Radius Set

With Minimum Cutting Radius Set - Sharp corners in the toolpath are avoided minimizing chatter in finished parts.

Without Minimum Cutting Radius Set

Without Minimum Cutting Radius Set - The toolpath attempts to remove material anywhere the selected tool can reach. This produces sharp corners in the tool path that often leads to chatter in the machined part.

NOTE: Setting this parameter leaves more material in internal corners, requiring subsequent rest machining operations with a smaller tool.

Manual Stepover

Enable to set the stepover manually.

Maximum Stepover

Specifies the maximum stepover for each cut.

Maximum Stepover
The amount to cut per pass.

Minimum Stepover

Specifies the minimum stepover.

Allow Stepover Cusps

When programming flat faces with a tool that has a radius in the corner, a cusp (or scallop) can be produced between stepovers.

By default, the Maximum Stepover value is overridden to insure that no stepover cusps are produced.

Allow Stepover Cusps Disabled | Allow Stepover Cusps Enabled

Above - Pocket machined with a 3/8" bullnose end mill @ .25" Maximum Stepover.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Machine Shallow Areas

Specifies that extra Z-level passes should be taken in shallow areas to remove excessive cusps.

Disabled | Enabled

Illustrated with 3D Contour

Minimum Shallow Stepdown

This parameter controls the minimum allowed stepdown between the extra Z-levels. It takes precedence over the Maximum Shallow Stepover.

Maximum Shallow Stepover

This parameter controls the stepover used to detect areas where extra Z-levels should be inserted. If the normal stepdown results in a stepover of more than this value, extra levels are inserted until the stepover or the minimum stepdown is reached.

Flat Area Detection

If enabled, the strategy attempts to detect the heights of flat areas and peaks, and machine at these levels.

If disabled, the strategy machines at exactly the specified stepdowns.

Important: Enabling this feature may increase calculation time considerably.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Minimum Diameter

Minimum Fragment Length

Fragment Extension Distance

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lift Height

Specifies the lift distance during repositioning moves.

Lift Height 0 | Lift Height .1 in

Lead in (entry):

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Ramping:

Ramp Type

Specfies how the cutter moves down for each depth cut.

Plunge Outside Stock

Predrill | Plunge

To use the Predrill option, Predrill location(s) must be defined.

Zig-Zag | Profile

Notice the smooth transitions on the Zig-Zag ramp type.

Smooth Profile | Helix

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Maximum Ramp Stepdown

Specifies the maximum stepdown per revolution on the ramping profile. This parameter allows the tool load to be constrained when doing full-width cuts during ramping.

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Ramp Radial Clearance

Specifies the minimum distance to the contour for the lead-in helix.

Helical Ramp Diameter

The maximum diameter to use for a helical entry into the cavity.

An optimal value causes the tool to overlap it's center, while still creating the maximum helical bore for the entry into the cavity. The goal is for good chip evacuation. If the value is bigger than the diameter of the tool it can leave a boss standing in the center of the helix.

Value of 1.8 x the Dia. | Value of 0.8 x the Dia.

The system will determine the best location for the entry helix, unless and Entry Position is selected. (Entry Positions shown below). The complete area will always be cleared, regardless of the diameter. Note: The area width should be Tool Dia + Ramp Dia + Stock, or the helical entry will fail.

Minimum Ramp Diameter

The smallest Helix Ramp Diameter that is acceptable.

This value should always be smaller than the Helix Ramp Diameter, so the system can calculate a range that fits the available pocket or channel. Smaller diameters can reduce the chip evacuation, create jerking machine motion and can cause tool breakage.

Helical Ramp 0.100in - Min. Ramp 0.060in

Use Slot Clearing Core Roughing


Core Roughing

Pocket Clearing can be used for both closed (cavity) and open (core) pockets. By default, Pocket Clearing will operate in closed pocket mode. You can enable open pocket mode either setting the machining boundary to None or selecting a Stock Contour.

In open pocket mode the machining will start from the outside of the stock whenever possible.

Setting Machining Boundary to None.

The following images show a comparison of the two modes, as well as an Adaptive Clearing toolpath with similar settings.

The example part with the stock shown in yellow.

Traditional closed pocket mode. Machining Boundary is set to Bounding Box.

Open pocket mode. Machining Boundary set to None.

Adaptive Clearing toolpath.

Shallow Passes


Shallow Passes

The shallow passes feature for pocket is used to avoid big cusps/steps in the steap areas. When using a fixed maximum stepdown each Z-level will be fully machined. However, when shallow passes are enabled the shallow Z-levels will only machine the stock that remains after cutting the lower passes. The major stepdowns will always be fully machined and the order of the passes is still top to bottom.

This approach ensures that the tool is fully utilized in the depth of the cut when possible and machining time is reduced by not wasting time cutting stock that can be cut by passes below without exceeding the capabilities of the tool.

Pocket toolpath with shallow passes seen from the side.

The picture above shows a pocket toolpath that machines around a core with 2 shallow Z-levels (next to the red dot). The orange dot indicates one of the major steps. In the picture the shallow passes do not clear the entire Z-level since they do not extend beyond the boundary of the part like the major steps.

Core Roughing Horizontal Clearing/Finishing


Horizontal Clearing/Finishing

The Horizontal strategy is applicable for roughing and finishing operations. It automatically detects all the flat areas of the part and clears them with an offsetting path in the same way as the Pocket Clearing strategy.

When the flat area is shelved above the surrounding areas, the cutter moves beyond the flat areas to clean the edges.

There is an option to cut down to the horizontal face in stages, which means this strategy is a combination of both roughing and finishing strategies.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Smoothing Deviation

The maximum amount of smoothing applied to the roughing passes. Use this parameter to avoid sharp corners in the toolpath.

Minimum Cutting Radius

With Minimum Cutting Radius Set

With Minimum Cutting Radius Set - Sharp corners in the toolpath are avoided minimizing chatter in finished parts.

Without Minimum Cutting Radius Set

Without Minimum Cutting Radius Set - The toolpath attempts to remove material anywhere the selected tool can reach. This produces sharp corners in the tool path that often leads to chatter in the machined part.

NOTE: Setting this parameter leaves more material in internal corners, requiring subsequent rest machining operations with a smaller tool.

Manual Stepover

Enable to set the stepover manually.

Maximum Stepover

Specifies the maximum stepover for each cut.

Maximum Stepover
The amount to cut per pass.

Minimum Stepover

Specifies the minimum stepover.

Allow Stepover Cusps

When programming flat faces with a tool that has a radius in the corner, a cusp (or scallop) can be produced between stepovers.

By default, the Maximum Stepover value is overridden to insure that no stepover cusps are produced.

Allow Stepover Cusps Disabled | Allow Stepover Cusps Enabled

Above - Pocket machined with a 3/8" bullnose end mill @ .25" Maximum Stepover.

Axial Offset Passes

Enable to do multiple depth cuts.

Disabled | Three Axial Offset Passes

Illustrated with 3D Parallel

Axial offset passes are used to create multiple incremental Z offset passes in many of the 3D finishing strategies.

Axial offset passes work much like multiple finishing stepdowns in the 2D operations and are useful for removing a fixed amount of stock using several passes.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Number Of Stepdowns

Specifies the desired number of stepdowns.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lift Height

Specifies the lift distance during repositioning moves.

Lift Height 0 | Lift Height .1 in

Lead in (entry):

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Ramping:

Ramp Type

Specfies how the cutter moves down for each depth cut.

Plunge Outside Stock

Predrill | Plunge

To use the Predrill option, Predrill location(s) must be defined.

Zig-Zag | Profile

Notice the smooth transitions on the Zig-Zag ramp type.

Smooth Profile | Helix

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Maximum Ramp Stepdown

Specifies the maximum stepdown per revolution on the ramping profile. This parameter allows the tool load to be constrained when doing full-width cuts during ramping.

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Ramp Radial Clearance

Specifies the minimum distance to the contour for the lead-in helix.

Helical Ramp Diameter

The maximum diameter to use for a helical entry into the cavity.

An optimal value causes the tool to overlap it's center, while still creating the maximum helical bore for the entry into the cavity. The goal is for good chip evacuation. If the value is bigger than the diameter of the tool it can leave a boss standing in the center of the helix.

Value of 1.8 x the Dia. | Value of 0.8 x the Dia.

The system will determine the best location for the entry helix, unless and Entry Position is selected. (Entry Positions shown below). The complete area will always be cleared, regardless of the diameter. Note: The area width should be Tool Dia + Ramp Dia + Stock, or the helical entry will fail.

Minimum Ramp Diameter

The smallest Helix Ramp Diameter that is acceptable.

This value should always be smaller than the Helix Ramp Diameter, so the system can calculate a range that fits the available pocket or channel. Smaller diameters can reduce the chip evacuation, create jerking machine motion and can cause tool breakage.

Helical Ramp 0.100in - Min. Ramp 0.060in

Allow Plunging Outside Stock

Instead of machining the material inside the contour of a selected area, enabling this parameter allows you to remove the material outside the selected contour by picking an additional stock contour.

Disable this parameter to force ramping in stock.

Predrill Positions

Select points where holes have been drilled to provide clearance for the cutter to enter the material.

Entry Positions

Select geometry near the location where you want the tool to enter.

Shallow Passes Contour Finishing


Contour Finishing

The Contour Finishing strategy creates toolpaths with constant Z height along the contours of the part. The Z steps are apart in Z by the step down parameter.

Contour finishing is most effective when machining steep areas of the part. As with all finishing strategies, the machining can be limited by a tool contact angle and you can use this method to restrict contour finishing passes to steep areas.

The cutting paths can be smoothed in corners by a horizontal maximum deviation rather than a fixed radius. This means that sharp corners tend to have very small smoothing radii in them, because a bigger arc would deviate too far from the corner. This method represents a compromise between the requirements of high speed machining, and the need to respect the specified tolerance.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Avoid/Touch Surface Clearance

Clearance distance from the selected surfaces.

Touch Check Surfaces

This setting inverts the meaning for check surfaces. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Check Surfaces | Disabled | Enabled

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Minimum Cutting Radius

With Minimum Cutting Radius Set

With Minimum Cutting Radius Set - Sharp corners in the toolpath are avoided minimizing chatter in finished parts.

Without Minimum Cutting Radius Set

Without Minimum Cutting Radius Set - The toolpath attempts to remove material anywhere the selected tool can reach. This produces sharp corners in the tool path that often leads to chatter in the machined part.

NOTE: Setting this parameter leaves more material in internal corners, requiring subsequent rest machining operations with a smaller tool.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Maximum Stepdown

Specifies the maximum stepdown between Z-levels.

Cusp Height

Cusp Height is the theoretical surface finish produced by successive toolpaths left by the radius of the cutter. A smaller tool diameter or a larger stepover produces a larger cusp height.

Cusp Height

Machine Shallow Areas

Specifies that extra Z-level passes should be taken in shallow areas to remove excessive cusps.

Disabled | Enabled

Illustrated with 3D Contour

Minimum Shallow Stepdown

This parameter controls the minimum allowed stepdown between the extra Z-levels. It takes precedence over the Maximum Shallow Stepover.

Maximum Shallow Stepover

This parameter controls the stepover used to detect areas where extra Z-levels should be inserted. If the normal stepdown results in a stepover of more than this value, extra levels are inserted until the stepover or the minimum stepdown is reached.

Flat Area Detection

If enabled, the strategy attempts to detect the heights of flat areas and peaks, and machine at these levels.

If disabled, the strategy machines at exactly the specified stepdowns.

Important: Enabling this feature may increase calculation time considerably.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Order Bottom-Up

Contour passes are usually ordered from top to bottom. Enable this check box to specify that passes should be ordered bottom-up (bottom to top).

Ordering is done so that the passes with the smallest Z-level tool orientation are done first in one operation for multiple contours. This method is very useful for machining fragile materials like graphite.

Use Thin Wall

When milling part features with wall thicknesses comparable to sheet metal stock, or even thinner, the stock is subjected to the forces generated by metal removal. This can result in the delicate structure of thin walls moving relative to the tool, making it difficult to maintain dimensional accuracy and impart the specified surface finish.

This option can be used to reduce the vibration and chatter by ensuring that both sides of a thinwall are machined at the same time.

Thin Wall Width

The width of walls that should be considered thin walls.

Any wall with this width or thinner is machined on both sides at the same time to reduce vibration and chatter.

Order By Islands

Specifies the order in which depth cuts are taken when there are multiple profiles.

Disabled | Enabled

Disabled - Depth cuts are ordered by depth.

Enabled - Depth cuts are ordered by profile.

NOTE: Ordering cuts by island minimizes the number of rapid moves.

Direction:

Direction

Specifies the way the machining is done.

  • Climb milling
  • Conventional milling

Minimum Diameter

Minimum Fragment Length

Fragment Extension Distance

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead-In (Entry)

Enable to generate a lead-in.

Lead-In

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Lead-In Sweep Angle

Specifies the sweep of the lead-in arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead-Out (Exit)

Enable to generate a lead-out.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Lead-Out Sweep Angle

Specifies the sweep of the lead-out arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Ramping:

Ramp Type

Specfies how the cutter moves down for each depth cut.

Plunge Outside Stock

Predrill | Plunge

To use the Predrill option, Predrill location(s) must be defined.

Zig-Zag | Profile

Notice the smooth transitions on the Zig-Zag ramp type.

Smooth Profile | Helix

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Maximum Ramp Stepdown

Specifies the maximum stepdown per revolution on the ramping profile. This parameter allows the tool load to be constrained when doing full-width cuts during ramping.

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Helical Ramp Diameter

The maximum diameter to use for a helical entry into the cavity.

An optimal value causes the tool to overlap it's center, while still creating the maximum helical bore for the entry into the cavity. The goal is for good chip evacuation. If the value is bigger than the diameter of the tool it can leave a boss standing in the center of the helix.

Value of 1.8 x the Dia. | Value of 0.8 x the Dia.

The system will determine the best location for the entry helix, unless and Entry Position is selected. (Entry Positions shown below). The complete area will always be cleared, regardless of the diameter. Note: The area width should be Tool Dia + Ramp Dia + Stock, or the helical entry will fail.

Smooth Ramps

When enabled, ramps are started and ended tangentially in all three axes.

Ramping is done without discontinuities in the first order derivative so that smooth curves are used instead of the usual kinks in the path.

Horizontal Clearing/Finishing Thin Wall Machining


Thin Wall Machining

HSMWorks include special support for machining thin walls with the contour finishing strategy.

On a part with thin walls, running the contour finishing with default settings will create a toolpath which is ordered by area. In the case of a thin walled pocket, this can cause the wall to break when machining one side completely before the other side.

The problem can be avoided by enabling the order by depth option, which will finish an entire Z-level before moving to the next.

Order by Area (default). | Order by Depth.

In parts with both thin walls and thicker walls, ordering by depth can unfortunately cause some extra linking. In HSMWorks, however, you can instead use the "Use Thin Wall" option instead which allows you to control when the toolpath should be ordered by depth instead of by area.

For example, on the part shown above, there are three upstands with wall of 2mm, 4mm and 6mm. If we set the Thin Wall Width to 3mm this will cause the toolpath on the upstand with 2mm walls to be machined by depth, while the two other upstands will be machined by area:

Use thin wall with thin wall width of 3mm.

Ramp Finishing


Ramp Finishing

Ramp is a finishing strategy intended for steep areas similar to the Contour strategy. However, the ramp strategy will as the name indicates ramp down walls rather than machine with constant Z as is the case for Contour. This ensures that the tool is engaged at all time which can be imporant for certain materials like ceramics.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Minimum Cutting Radius

With Minimum Cutting Radius Set

With Minimum Cutting Radius Set - Sharp corners in the toolpath are avoided minimizing chatter in finished parts.

Without Minimum Cutting Radius Set

Without Minimum Cutting Radius Set - The toolpath attempts to remove material anywhere the selected tool can reach. This produces sharp corners in the tool path that often leads to chatter in the machined part.

NOTE: Setting this parameter leaves more material in internal corners, requiring subsequent rest machining operations with a smaller tool.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead in (entry):

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Ramping:

Ramp Type

Specfies how the cutter moves down for each depth cut.

Plunge Outside Stock

Predrill | Plunge

To use the Predrill option, Predrill location(s) must be defined.

Zig-Zag | Profile

Notice the smooth transitions on the Zig-Zag ramp type.

Smooth Profile | Helix

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Maximum Ramp Stepdown

Specifies the maximum stepdown per revolution on the ramping profile. This parameter allows the tool load to be constrained when doing full-width cuts during ramping.

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Helical Ramp Diameter

The maximum diameter to use for a helical entry into the cavity.

An optimal value causes the tool to overlap it's center, while still creating the maximum helical bore for the entry into the cavity. The goal is for good chip evacuation. If the value is bigger than the diameter of the tool it can leave a boss standing in the center of the helix.

Value of 1.8 x the Dia. | Value of 0.8 x the Dia.

The system will determine the best location for the entry helix, unless and Entry Position is selected. (Entry Positions shown below). The complete area will always be cleared, regardless of the diameter. Note: The area width should be Tool Dia + Ramp Dia + Stock, or the helical entry will fail.

Thin Wall Machining Parallel Finishing


Parallel Finishing

Parallel Finishing is one of the most widely used finishing strategies. The passes are parallel in the XY-plane and follow the surface in the Z-direction. You can choose the angle as well as the stepover in the horizontal direction. The passes can be linked in a zigzag pattern, unidirectional, or split in down or up milling sections. Parallel finishing passes are best suited for shallow areas and can be confined to machine only up to a given contact angle. Moreover, an option to split passes into downward machining areas can be an advantage when using insert tools which require pressure on the inserts for best performance.

By selecting the down milling option, tool deflection can be minimized when machining complex surfaces.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Avoid/Touch Surface Clearance

Clearance distance from the selected surfaces.

Touch Check Surfaces

This setting inverts the meaning for check surfaces. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Check Surfaces | Disabled | Enabled

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Stepover

Specifies horizontal stepover between passes.

Horizontal Stepover

By default, this value is 95% of the cutter diameter less the tool corner radius.

Cusp Height

Cusp Height is the theoretical surface finish produced by successive toolpaths left by the radius of the cutter. A smaller tool diameter or a larger stepover produces a larger cusp height.

Cusp Height

Machine Steep Areas

Specifies extra passes will be added where the surface is steep perpendicular to the machining direction. This is important for plastic injection molds where the cutting direction needs to be consistent to avoid marks on the parts.

Disabled | Enabled

Minimum Steep Stepover

Defines the minimum stepover that is used when Machine Steep Areas is enabled, regardless of the stepdown amount.

Maximum Steep Stepdown

Defines the maximum steep stepdown value.

Pass Direction

Specifies the direction of the milling passes.

Pass Direction @ 0 degrees | Pass Direction @ 45 degrees

Add Perpendicular Passes

This setting adds a set of passes perpendicular to the specified machining direction to reduce machining cusps.

Disabled | Enabled

Machine Straight On

Avoids machining along the steep areas by automatically choosing the best direction for the parallel passes.

Axial Offset Passes

Enable to do multiple depth cuts.

Disabled | Three Axial Offset Passes

Illustrated with 3D Parallel

Axial offset passes are used to create multiple incremental Z offset passes in many of the 3D finishing strategies.

Axial offset passes work much like multiple finishing stepdowns in the 2D operations and are useful for removing a fixed amount of stock using several passes.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Number Of Stepdowns

Specifies the desired number of stepdowns.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Up/down milling:

Up/Down Milling

Use this option to break each pass into segments so that each piece is machined using either downward or upward moves only. This is useful when using insert cutters that are restricted to a specific cutting direction.

'''Don't Care''' | Down Milling

Up/Down Shallow Angle

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Minimum Fragment Length

Fragment Extension Distance

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead in (entry):

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Ramp Finishing Machine Straight On


Machine Straight On

Parallel generally produces high quality toolpath for shallow areas. If the part contains steep areas you will get low quality finish when machining along the steep areas rather than machining across them. The Parallel strategy provides a Machine Straight On setting that avoids machining along the steep areas by automatically choosing the best direction for the parallel passes.

The Machine Straight On setting.

When this option is selected two parallel operations are generated, one along the specified Pass Direction and one that is perpendicular (rotated 90 degrees). The two directions are then trimmed such that for any given area only the direction that will machine across the sloped area remain.

Example of using Machine Straight On.

Scallop Finishing


Scallop Finishing

The Scallop Finishing strategy, sometimes also called Constant Stepover Finishing creates passes that are at a constant distance from one another by offsetting them inwards along the surface. The passes will follow sloping and vertical walls to maintain the stepover.

Although scallop finishing can be used to finish an entire part, it is most commonly used to machine rest areas of a work piece, following a combination of contour and parallel passes.

Like with all other finishing strategies, machining can also be confined to a contact angle range.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

Machine Areas Using Boundaries

When enabled, passes are generated from the confinement boundaries defined by all confinement features (machining boundaries, slope, heights, etc.). When disabled, passes are generated from the machining boundaries resulting in passes normally not following the surface.

Boundary Overlap

When using slope confinement and/or rest machining for a Scallop operation, you can enable the Machine Areas Using Boundaries check box to start offsetting the toolpath from the boundaries created by the slope and/or rest material detection.

You can specify a boundary overlap so that the boundary of the detected slope range or rest area is extended by the specified overlap amount.

Area Smoothing

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Avoid/Touch Surface Clearance

Clearance distance from the selected surfaces.

Touch Check Surfaces

This setting inverts the meaning for check surfaces. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Check Surfaces | Disabled | Enabled

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Stepover

Specifies horizontal stepover between passes.

Horizontal Stepover

By default, this value is 95% of the cutter diameter less the tool corner radius.

Cusp Height

Cusp Height is the theoretical surface finish produced by successive toolpaths left by the radius of the cutter. A smaller tool diameter or a larger stepover produces a larger cusp height.

Cusp Height

Limit Number Of Stepovers

When disabled, the number of steps is unlimited, and the result is a collapsed pencil finish of the entire surface.

Number Of Stepovers

The number of roughing steps.

Up/down milling:

Up/Down Milling

Use this option to break each pass into segments so that each piece is machined using either downward or upward moves only. This is useful when using insert cutters that are restricted to a specific cutting direction.

'''Don't Care''' | Down Milling

Up/Down Shallow Angle

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Inside/Outside:

Inside/Outside Direction

Specifies if the toolpath moves inside-out or outside-in. Selecting the Don't care option minimizes the ordering by distance.

Outside -> in | Inside -> out

Minimum Fragment Length

Fragment Extension Distance

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead in (entry):

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Machine Straight On Boundary Overlap


Boundary Overlap

When using slope confinement and/or rest maching for Scallop, you can use the Machine areas using boundaries to start offsetting the toolpath from the boundaries created by the slope and/or rest material detection.

In this scenario you can choose to specify a boundary overlap so the boundary of the detected slope range or rest area is extended by the specified overlap amount.

The Boundary Overlap setting.

Scallop toolpath with slope angle from 0 to 45 degrees:

Left: Boundary overlap = 1mm - Right: No boundary overlap.

Pencil


Pencil

The Pencil strategy creates toolpaths along internal corners and fillets with radii smaller or equal to the tool corner radius. By applying an overthickness it is also possible to calculate pencil paths along fillets that have a larger radius than the tool corner radius.

The controlling parameter for this operation is the bitangency angle. The system will run the tool along all the paths where it would be making two simultaneous contacts with the part with more than this angle in difference.

The overthickness enables you to detect a set of pencil passes for a tool larger than the one you specify, and project the passes into the surface. This makes it possible to find paths along a corner fillet where the radius is slightly greater than the corner radius of the tool.

Within the same operation this strategy can calculate additional offsets with a constant distance along the surface to each side of the pencil passes.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Avoid/Touch Surface Clearance

Clearance distance from the selected surfaces.

Touch Check Surfaces

This setting inverts the meaning for check surfaces. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Check Surfaces | Disabled | Enabled

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Bitangency Angle

An angle in degrees, that is used to determine the number of passes along a wall or fold.

An angle representing the contact points for the tool.

Cutter paths are created along all the contact areas where it would make two simultaneous contacts with the part, at more than this angular difference.

Overthickness

Additional thickness which is applied to the tool to detect passes.

The amount between the actual part radius and the actual tool radius.

Limit Number Of Stepovers

When disabled, the number of steps is unlimited, and the result is a collapsed pencil finish of the entire surface.

Number Of Stepovers

The number of roughing steps.

Stepover

Specifies horizontal stepover between passes.

Horizontal Stepover

By default, this value is 95% of the cutter diameter less the tool corner radius.

Cusp Height

Cusp Height is the theoretical surface finish produced by successive toolpaths left by the radius of the cutter. A smaller tool diameter or a larger stepover produces a larger cusp height.

Cusp Height

Up/down milling:

Up/Down Milling

Use this option to break each pass into segments so that each piece is machined using either downward or upward moves only. This is useful when using insert cutters that are restricted to a specific cutting direction.

'''Don't Care''' | Down Milling

Up/Down Shallow Angle

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Inside/Outside:

Inside/Outside Direction

Specifies if the toolpath moves inside-out or outside-in. Selecting the Don't care option minimizes the ordering by distance.

Outside -> in | Inside -> out

Minimum Fragment Length

Fragment Extension Distance

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead in (entry):

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Boundary Overlap Bitangency Angle


Bitangency Angle

The defining parameter for the Pencil operation is the bitangency angle. HSMWorks will run the tool along all paths where it would be making two simultaneous contacts with the part with more than this angle in difference.

Illustration of different bitangency angles.

The bitangency angle parameter is usually used to limit how small the edges detected by the pencil strategy may be.

In the following example, a 20 mm ball end tool is used on a part with three rounded "stairs" of different sizes, and the bitangency angle parameter can be used to control which edges are machined.

Pencil toolpath with bitangency angle = 15˚.

Pencil toolpath with bitangency angle = 70˚.

Pencil Overthickness


Pencil Overthickness

The overthickness setting enables you to detect pencil passes for your specified tool by first calculating the passes with a thickened tool and then projecting the specified tool between the bitangent points of the larger tool onto the surfaces. This makes it possible to find paths along a corner fillet where the radius is slightly greater than the tool radius.

a) The ideal position of a small tool on a larger fillet only has one contact point and will not be detected.

b) With overthickness, a larger tool is used for calculation and gives two contact points.

c) The resulting tool position which is determined by projecting the tool onto the surface at the halfway between the small and overthickened tool.

Example: If you have a fillet with a radius of 5mm that you want to machine with a tool with a corner radius of 4.5mm (e.g. a 9mm ball tool), you can set the overthickness parameter to 0.5 mm. This will calculate the toolpaths as if you had been using a 10mm ball tool, but adjust the toolpath so it can be machined with the 9mm tool.

Using overthickness introduces an offsetting error as seen by the difference between the ideal position in figure a) and the actually calculated position in figure c). This error is proportional to the overthickness size. For this reason, you generally want to keep the overthickness value as small as possible.

Bitangency Angle Radial Finishing


Radial Finishing

This creates passes along the radii of an arc, similar to the spokes of a wheel, which are projected down on the surfaces.

The passes are limited by an inner and outer radius (the inner radius can be zero), and can also be limited by a start and end angle.

The passes can be linked in a zigzag pattern between the outer and inner radius, going from inside out or from outside in, or they can be split automatically to result down or up milling passes.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Avoid/Touch Surface Clearance

Clearance distance from the selected surfaces.

Touch Check Surfaces

This setting inverts the meaning for check surfaces. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Check Surfaces | Disabled | Enabled

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Angular Step

The angular step in degrees between radial passes.

Cusp Height

Cusp Height is the theoretical surface finish produced by successive toolpaths left by the radius of the cutter. A smaller tool diameter or a larger stepover produces a larger cusp height.

Cusp Height

Angle From

The Radial starting angle in degrees measured from the X axis as viewed from the WCS.

From Angle

Angle To

The Radial ending angle in degrees measured from the X axis as viewed from the WCS.

To Angle

Inner Limit

Sets the minimum inner radius.

No inner Radius | Inner Radius

Illustrated with 3D Spiral

Outer Limit

Sets the maximum outer radius.

No outer Radius | Outer Radius

Illustrated with 3D Spiral

Axial Offset Passes

Enable to do multiple depth cuts.

Disabled | Three Axial Offset Passes

Illustrated with 3D Parallel

Axial offset passes are used to create multiple incremental Z offset passes in many of the 3D finishing strategies.

Axial offset passes work much like multiple finishing stepdowns in the 2D operations and are useful for removing a fixed amount of stock using several passes.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Number Of Stepdowns

Specifies the desired number of stepdowns.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Up/down milling:

Up/Down Milling

Use this option to break each pass into segments so that each piece is machined using either downward or upward moves only. This is useful when using insert cutters that are restricted to a specific cutting direction.

'''Don't Care''' | Down Milling

Up/Down Shallow Angle

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Inside/Outside:

Inside/Outside Direction

Specifies if the toolpath moves inside-out or outside-in. Selecting the Don't care option minimizes the ordering by distance.

Outside -> in | Inside -> out

Minimum Fragment Length

Fragment Extension Distance

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead in (entry):

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Pencil Overthickness Spiral Finishing


Spiral Finishing

This creates a spiral path, which is projected down on the surfaces.

This is most useful in round, relatively flat areas.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Avoid/Touch Surface Clearance

Clearance distance from the selected surfaces.

Touch Check Surfaces

This setting inverts the meaning for check surfaces. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Check Surfaces | Disabled | Enabled

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Stepover

Specifies horizontal stepover between passes.

Horizontal Stepover

By default, this value is 95% of the cutter diameter less the tool corner radius.

Cusp Height

Cusp Height is the theoretical surface finish produced by successive toolpaths left by the radius of the cutter. A smaller tool diameter or a larger stepover produces a larger cusp height.

Cusp Height

Clockwise

Specifies that the spiral is clockwise.

Spiral mode:

Spiral Mode

Spiral | Spiral with circles | Concentric circles

Spiral creates a path that spirals out from the center point until it reaches the containment boundary or max radius.

Spiral with circles adds a circular toolpath at the minimum radius and at the maximum radius. The circular toolpath is only added if the minimum radius is larger than 0 and the maximum radius is smaller than the radius of the containment boundary.

Concentric circles produces concentric circle paths that are linked. The resulting paths form a circular pattern rather than a spiral pattern.

Morphed spiral spirals from a shape that is not round.

Inner Limit

Sets the minimum inner radius.

No inner Radius | Inner Radius

Illustrated with 3D Spiral

Outer Limit

Sets the maximum outer radius.

No outer Radius | Outer Radius

Illustrated with 3D Spiral

Axial Offset Passes

Enable to do multiple depth cuts.

Disabled | Three Axial Offset Passes

Illustrated with 3D Parallel

Axial offset passes are used to create multiple incremental Z offset passes in many of the 3D finishing strategies.

Axial offset passes work much like multiple finishing stepdowns in the 2D operations and are useful for removing a fixed amount of stock using several passes.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Number Of Stepdowns

Specifies the desired number of stepdowns.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Up/down milling:

Up/Down Milling

Use this option to break each pass into segments so that each piece is machined using either downward or upward moves only. This is useful when using insert cutters that are restricted to a specific cutting direction.

'''Don't Care''' | Down Milling

Up/Down Shallow Angle

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Inside/Outside:

Inside/Outside Direction

Specifies if the toolpath moves inside-out or outside-in. Selecting the Don't care option minimizes the ordering by distance.

Outside -> in | Inside -> out

Minimum Fragment Length

Fragment Extension Distance

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead in (entry):

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Radial Finishing Spiral Finishing Modes


Spiral Finishing Modes

The Spiral strategy offers several different modes of operation. The mode is selected from the Spiral Mode drop down located on the Passes tab:

Selecting spiral mode.

The first two modes, Spiral and Spiral With Circles, produce similar results, with the exception that Spiral With Circles creates an extra circular pass at the inner and outer radii.

The last mode, Concentric Circles, produce a pattern of concentric circles which are then linked and thus does not actually produce a spiral but rather a circular pattern as shown below.

Spiral (default). | Spiral with circles. | Concentric circles.
Projection


Projection

Projection is a finishing strategy which allows you to machine along contours with the center of the tool. The provided contours are always projected onto the surface and hence do not have to be on the surface. Projection is commonly used for engraving text or symbols on the the surface. By default the tip of the tool will follow along the surface. The tool is moved into the surface by either entering an axial offset or a negative stock to leave.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Chaining Tolerance

Used when chaining a boundary or contour. Any gaps closer than the chaining tolerance are automatically merged.

Advanced parameter. Only shown when advanced mode is enabled

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Avoid/Touch Surface Clearance

Clearance distance from the selected surfaces.

Touch Check Surfaces

This setting inverts the meaning for check surfaces. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Check Surfaces | Disabled | Enabled

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Axial Offset

Specifies an axial offset value for the toolpath for the chosen contour.

Axial Offset Passes

Enable to do multiple depth cuts.

Disabled | Three Axial Offset Passes

Illustrated with 3D Parallel

Axial offset passes are used to create multiple incremental Z offset passes in many of the 3D finishing strategies.

Axial offset passes work much like multiple finishing stepdowns in the 2D operations and are useful for removing a fixed amount of stock using several passes.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Number Of Stepdowns

Specifies the desired number of stepdowns.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Up/down milling:

Up/Down Milling

Use this option to break each pass into segments so that each piece is machined using either downward or upward moves only. This is useful when using insert cutters that are restricted to a specific cutting direction.

'''Don't Care''' | Down Milling

Up/Down Shallow Angle

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Minimum Fragment Length

Fragment Extension Distance

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead in (entry):

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Spiral Finishing Modes Morphing


Morphing

Morph is a finishing strategy for machining shallow areas between selected contours with a consistent cutting direction.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Chaining Tolerance

Used when chaining a boundary or contour. Any gaps closer than the chaining tolerance are automatically merged.

Advanced parameter. Only shown when advanced mode is enabled

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Silhouette Aperture

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest material file:

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest material adjustment:

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Avoid/Touch Surface Clearance

Clearance distance from the selected surfaces.

Touch Check Surfaces

This setting inverts the meaning for check surfaces. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Check Surfaces | Disabled | Enabled

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Use Stepover

Enable to enter a Maximum Stepover value.

Maximum Stepover

Specifies the maximum stepover for each cut.

Maximum Stepover
The amount to cut per pass.

Number Of Stepovers

The number of roughing steps.

Number Of Offset Stepovers

Contour Offset

This value is used to offset the center of the tool from the generated toolpath by a specified distance.

Morph mode:

Morph Mode

Simple - Linear interpolation between points.

Closest - End-point-to-end-point.

Automatic - Automatic morph between points.

Pass Extension

Distance to extend the passes beyond the machining boundary.

Pass Extension

Axial Offset Passes

Enable to do multiple depth cuts.

Disabled | Three Axial Offset Passes

Illustrated with 3D Parallel

Axial offset passes are used to create multiple incremental Z offset passes in many of the 3D finishing strategies.

Axial offset passes work much like multiple finishing stepdowns in the 2D operations and are useful for removing a fixed amount of stock using several passes.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Number Of Stepdowns

Specifies the desired number of stepdowns.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Up/down milling:

Up/Down Milling

Use this option to break each pass into segments so that each piece is machined using either downward or upward moves only. This is useful when using insert cutters that are restricted to a specific cutting direction.

'''Don't Care''' | Down Milling

Up/Down Shallow Angle

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Minimum Fragment Length

Fragment Extension Distance

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Fillet Radius

Specify a fillet radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead in (entry):

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Projection Flow


Flow

Flow is a finishing strategy which allows you to machine along the ISO parametric directions of selected surfaces. Flow is often used to machine outer fillets. Flow is a 3-axis strategy by default. Full multi-axis mode can be enabled by activating Use Multi-Axis. In multi-axis mode the tool will be machining normal to the surface. Additional lead/lag and sideways tilt can be applied to control the contact point on the tool.

Geometry selection of outer fillets and toolpath for flow strategy.

Flow multi-axis (left) and multi-axis tilt (right) toolpaths for shallow curved face.

Flow has support for 4-axis mode which is enabled by selecting Use 4-Axis set under Tool Orientation. This ensures that the 5th axis is not used.

A multi-axis license of HSMWorks is required to use the 4-axis and 5-axis multi-axis features.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Chaining Tolerance

Used when chaining a boundary or contour. Any gaps closer than the chaining tolerance are automatically merged.

Advanced parameter. Only shown when advanced mode is enabled

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Flow Mode

Cutting mode

The cutting mode specifies how to machine along the ISO parametric directions of selected surfaces.

Isometric direction:

Isometric Direction

Specifies whether to do the flow Along u (similar to the X-axis in the Cartesian coordinate system) or to flow Along v (similar to the Y-axis in the Cartesian coordinate system).

Along u

Along v

Number Of Stepovers

The number of roughing steps.

Pass Direction

Specifies the direction of the milling passes.

Pass Direction @ 0 degrees | Pass Direction @ 45 degrees

Direction:

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Tangential Fragment Extension Distance

Used on open contours to extend the beginning and end of the calculated toolpath. This creates a tangent linear extension based on the angle of the start and endpoints. This extension can be used in combination with the Geometry - Tangential Extension Distance.

No Extension | 12mm Extension

Overlaping extensions of a single chain, will not be trimmed.

Shown with Multiple Finish Passes set to 2 | Single pass Long extension

Note: You can use the Stock Contours option to force the toolpath past the defined Stock or a selected boundary. Great for irregular shapes. If you need a different extension for each end of the cut, you can use Geometry Tab - Tangential Extension Distance.

Forward Tilt

Specifies the number of degrees the tool should be tilted forward.

Sideways Tilt

Specifies the number of degrees the tool should be tilted sideways.

Minimum Tilt

Specifies the minimum allowed tilt from the selected operation tool axis.

Maximum Tilt

Specifies the maximum allowed tilt from the selected operation tool axis.

Maximum Fan Distance

Specifies the maximum distance over which to fan the tool axis.

Maximum Segment Length

Specifies the maximum length of a single segment for the generated toolpath.

Maximum Tool Axis Sweep

Specifies the maximum angle change in a single tool axis sweep for the generated toolpath.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead in (entry):

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead out (exit):

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Morphing Multi-Axis Milling


Multi-Axis Milling

  • Flow
  • Swarf
  • Multi-Axis Contour

Flow Flow


Flow

The flow strategy has support for multi-axis also. Please see Flow.

Swarf


Swarf

Multi-axis strategy for machining with the side of the tool. This strategy supports both machining from contours only and from surfaces. When machining from contours only you are required to manually synchronize the contours. Swarf supports several different modes which control how to machine down the sides.

Single pass.

From bottom. | Trim from Bottom.
From Top. | Trim from top.
Spiral. | Morph.

Swarf has support for 4-axis mode which is enabled by selecting Use 4-Axis set under Tool Orientation. This ensures that the 5-axis is not used.

A multi-axis license of HSMWorks is required to use the 4-axis and 5-axis multi-axis features.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Drive Mode

Determines if the toolpath will be driven by the Faces of the model or user selected Contours.

With Faces selected, the actual surface will drive the Swarf Toollpath. | With Contours selected, the selected edges will drive the Swarf Toolpath.

Machine Other Side

Forces the toolpath to the opposite side of the machining contour.
Most likely will be needed with Flip Top-Bottom parameter change.

Flip Top-Bottom

Changes the direction the tool points by switching the Lower Contour
and the Upper Contour. Only applies when Contours are selected.

Flips the Tool Vector 180 Degrees thru the Spindle Axis.

Chaining Tolerance

Used when chaining a boundary or contour. Any gaps closer than the chaining tolerance are automatically merged.

Advanced parameter. Only shown when advanced mode is enabled

Synchronization points:

Synchronization Mode

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Bottom:

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Cutting Mode

The cutting mode specifies how to machine down the sides.

Single Pass

From Bottom | Trim from Bottom
From Top | Trim from Top
Spiral | Morph

Manual Stepdowns

Number Of Stepdowns

Specifies the desired number of stepdowns.

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Multiple Passes

Enable to enter a stepover value.

Number Of Stepovers

The number of roughing steps.

Maximum Stepover

Specifies the maximum stepover for each cut.

Maximum Stepover
The amount to cut per pass.

Stock Thickness

Specifies the overall thickness of the stock.

Stock Height

Tool Offset

Specifies an extra offset along the tool axis relative to the bottom guide curve.

0.00 Tool Offset Extension | 0.20 Tool Offset Extension

Minimize Axial Motion

Along Stock

Pass Overlap

Specifies the distance to extend machining for a closed pass.

Sideways Tilt

Specifies the number of degrees the tool should be tilted sideways.

Maximum Fan Distance

Specifies the maximum distance over which to fan the tool axis.

Maximum Segment Length

Specifies the maximum length of a single segment for the generated toolpath.

Maximum Tool Axis Sweep

Specifies the maximum angle change in a single tool axis sweep for the generated toolpath.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Number Of Stepovers

The number of roughing steps.

Both Ways

Specifies that the operation uses both Climb and Conventional milling to machine open profiles.

Unselected | Selected

NOTE: This option only controls how muliple depth cuts are taken on a single open contour. It does not optimize the cut direction for multiple open contours.

Tangential Fragment Extension Distance

Extends the cut tangentially at both ends of the pass.

Tangent Extension at both ends of the cut

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Lead-In (Entry)

Enable to generate a lead-in.

Lead-In

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Lead-In Sweep Angle

Specifies the sweep of the lead-in arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Linear Lead-In Length

Specifies the length of the linear lead-in move for which to activate radius compensation in the controller.

Linear Lead-In Length

Perpendicular

Replaces tangential extensions of lead-in/lead-out arcs with a move perpendicular to the arc.

Shown with Perpendicular Entry/Exit

Example A bore that has lead arcs that are as large as possible (the larger the arc the less chance of dwell mark), and where a tangent linear lead is not possible because it would extend into the side of the bore.

Lead-Out (Exit)

Enable to generate a lead-out.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Lead-Out Sweep Angle

Specifies the sweep of the lead-out arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Linear Lead-Out Distance

Specifies the length of the linear Lead-Out move for which to deactivate radius compensation in the controller.

Linear Lead-Out Distance

Perpendicular

Replaces tangential extensions of lead-in/lead-out arcs with a move perpendicular to the arc.

Shown with Perpendicular entry/exit

Example A bore that has lead arcs that are as large as possible (the larger the arc the less chance of dwell mark), and where a tangent linear lead is not possible because it would extend into the side of the bore.

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Flow Selecting Open Edges for Surface Driven Mode


Selecting Open Edges for Surface Driven Mode

When the Swarf strategy is used in the Surface driven (Automatic) mode, on an open surface, the direction and orientation of the tool is not determined until the toolpath is generated, and there is no preview of the tool position.

Swarf preview with only surfaces selected.

To make sure that the direction and tool orientation is correct, you can manually select the open edges on the selected faces, so that the closed (red) contour is split in two contours. The blue contour is the bottom contour, while the yellow is the top contour. This enables full preview of tool direction and orientation.

Swarf preview with both surfaces and open edges selected.

Multi-Axis Contour


Multi-Axis Contour

Multi-axis strategy for machining with the tip of the tool along a given contact curve. By default the tool will be normal to the surface but lead/lag and sideways tilt can be applied when desired to control the contact point on the tool. The strategy allows center, left, and right compensation.

Multi-Axis Contour has support for 4-axis mode which is enabled by selecting Use 4-Axis set under Tool Orientation. This ensures that the 5-axis is not used.

A multi-axis license of HSMWorks is required to use the 4-axis and 5-axis multi-axis features.

Tool

Coolant:

Coolant

The type of coolant used with the tool.

Shaft and holder mode:

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Geometry

Chaining Tolerance

Used when chaining a boundary or contour. Any gaps closer than the chaining tolerance are automatically merged.

Advanced parameter. Only shown when advanced mode is enabled

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Heights

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Passes

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Cutting Mode

The cutting mode specifies how to machine along a given contact curve.

Compensation direction:

Sideways Compensation

This setting determines the side of the toopath from which the tool center is offset. Choose between Left (climb milling) sideways compensation or Right (conventional milling) sideways compensation.

Climb Milling | Conventional Milling

Climb vs. Conventional Milling

Climb milling can be thought of as the cutter rolling along the surface that it is cutting. This generally gives a better finish in most metals, but requires good machine rigidity. Using this method, chips start at maximum thickness and get thinner towards the end of the cut, meaning more heat in the chip and less in the part.

With conventional milling, the cutter is rotating away from the surface it is cutting. This method is more commonly used with manual or less rigid machines. It does have some advantages, and can even give a better finish when machining certain materials including some woods.

Axial Offset

Specifies an axial offset value for the toolpath for the chosen contour.

Pass Overlap

Specifies the distance to extend machining for a closed pass.

Forward Tilt

Specifies the number of degrees the tool should be tilted forward.

Sideways Tilt

Specifies the number of degrees the tool should be tilted sideways.

Minimum Tilt

Specifies the minimum allowed tilt from the selected operation tool axis.

Maximum Tilt

Specifies the maximum allowed tilt from the selected operation tool axis.

Maximum Fan Distance

Specifies the maximum distance over which to fan the tool axis.

Maximum Segment Length

Specifies the maximum length of a single segment for the generated toolpath.

Maximum Tool Axis Sweep

Specifies the maximum angle change in a single tool axis sweep for the generated toolpath.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Both Ways

Specifies that the operation uses both Climb and Conventional milling to machine open profiles.

Unselected | Selected

NOTE: This option only controls how muliple depth cuts are taken on a single open contour. It does not optimize the cut direction for multiple open contours.

Tangential Fragment Extension Distance

Used on open contours to extend the beginning and end of the calculated toolpath. This creates a tangent linear extension based on the angle of the start and endpoints. This extension can be used in combination with the Geometry - Tangential Extension Distance.

No Extension | 12mm Extension

Overlaping extensions of a single chain, will not be trimmed.

Shown with Multiple Finish Passes set to 2 | Single pass Long extension

Note: You can use the Stock Contours option to force the toolpath past the defined Stock or a selected boundary. Great for irregular shapes. If you need a different extension for each end of the cut, you can use Geometry Tab - Tangential Extension Distance.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Linking

Retraction policy:

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Lead in (entry):

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Lead out (exit):

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Transition method:

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Selecting Open Edges for Surface Driven Mode Multi-Axis Contour with Side Compensation


Multi-Axis Contour with Side Compensation

Multi-axis Contour allows you to compensate the tool to the left and right side of the selected contours.

Compensation direction.

This works exactly like the compensation direction available on the 2D Contour strategy, and offsets the tool to the left or right of the selected geometry.

Left/Center/Right compensated Multi-Axis Contour toolpaths.

Turning


Turning

  • Turning Profiling
  • Turning Profile Grooving
  • Turning Facing
  • Turning Grooving
  • Turning Chamfering
  • Turning Parting
  • Turning Threading
  • Turning Stock Transfer

Multi-Axis Contour with Side Compensation Turning Profiling


Turning Profiling

The turning profile strategy is used for both roughing and finishing of the part using general turning tools.

Coolant:

Coolant

The type of coolant used with the tool.

Tool Clearance Back

Specifies an angle that is added to the tool angle to provide clearance behind the cutting edge.

Shown with 20 deg Back Clearance and 30 deg Front Clearance

Sets the amount of relief between the part and the back edge of the cutting tool. Allows for a more gradual entry into the part and exerts less pressure on the tool.

Tool Clearance Front

Specifies an angle that is added to the tool angle to provide clearance in front of the cutting edge.

Shown with 30 deg Front Clearance and 20 deg Back Clearance

Sets the amount of relief between the part and the front edge of the cutting tool. Allows for a less dragging of the insert against the tools leading edge.

Machine Inside (Boring)

Specifies that the operation should machine the ID of the workpiece.

Disabled | Enabled

Illustrated with Turning Profile

NOTE: Typically this also means switching from an OD turning tool to a boring tool.

Use Tailstock

A tailstock is used to apply support to the longitudinal rotary axis of the workpiece being machined. This is particularly useful when the workpiece is relatively long and slender. Failing to use a tailstock can cause the workpiece to bend excessively while being cut and cause "chatter".

For this option to take effect, your machine needs a programmable tailstock and your post processor has to be configured to write the code your machine needs.

Once configured, you would typically see M21 (tailstock forward) at the beginning of the operation and M22 (tailstock backward) at the end with this option enabled.

Go Home

The Home position is a known Z value relative to the WCS and is defined within the Work Coordinate System (WCS) section on the Setup tab of the Setup strategy dialog.

You can force the tool to move to the Home position prior to starting the operation, or once the operation has finished. The tool will always pull out of the stock in the X axis until it reaches the Clearance height, then move to the Home position in the Z.

Don't Go Home | Go Home At Beginning

Go Home At End | Go Home At Beginning And End

Note: The Home position referred to here is different from the G28 or G53 home position defined in the Post Processor dialog with some posts. Setting both values simultaneously could create unexpected results if you are unfamiliar with your post processor and machine.

Use Constant Surface Speed

Automatically adjusts the spindle RPM to maintain a constant surface speed between the tool and the workpiece as the radial distance of the tool tip changes. Constant Surface Speed (CSS) is specified using G96 on most machines.

Spindle Speed

Displays the spindle speed in rpm for each machining operation.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Use Feed Per Revolution

Automatically adjusts the feed rate based on the RPM of the spindle to maintain a constant chip load.

Cutting Feedrate

Feed used in cutting moves.

Cutting Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle once the tool is fully engaged.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-In Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool approaches and initially enters the material.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Lead-Out Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool exits the material.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ 45 degrees

Frontside Stock Offset

Specifies the distance to machine beyond the frontside of the model.

Confinement using offsets

Negative frontside offset

Positive frontside offset

NOTE: This offset applies to the frontside of the model or containment region, and can be used at the same time as a backside offset.

Backside Stock Offset

Specifies the distance to machine beyond the backside of the model.

Confinement using offsets

Negative backside offset

Positive backside offset

NOTE: This offset applies to the backside of the model or containment region, and can be used at the same time as a frontside offset.

Rest machining from all the previous operations within all dependent jobs.

For inside turning the clearance and retract heights must be lower than the bottom.

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom Height

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Pass Direction

Specifies the direction of the turning passes.

Pass Direction @ 0 degrees | Pass Direction @ 30 degrees

Allow Grooving

Allows the tool to move towards the center of the stock in narrow areas. If disabled, the tool can only begin cuts on the front open face of the stock. When enabled, the tool can plunge into the stock in narrow areas to create grooves.

Allow Grooving disabled | Allow Grooving enabled

Roughing Passes

Enabling roughing passes provides you with the ability to fine tune your grooving toolpath. Options such as grooving stepover, pecking, and additional finishing controls become available; as well as additional settings within the Roughing Passes group.

Roughing Passes disabled | Roughing Passes enabled with a 1mm Maximum Grooving Stepover

Note: With Roughing Passes disabled, the stepover for both Full & Partial Stepdown is automatically calculated based on the groove width value of the insert.

Maximum Roughing Stepdown

Controls the aggressiveness of the roughing cuts. By increasing the value, the cutter removes more material with each roughing pass.

Comparison between smaller (left) and larger (right) Maximum Roughing Stepdown values.

Roughing Overlap

Specifies at the end of a roughing pass how far the tool should move past the previous pass before it begins any lead-out or retract.

Roughing Overlap at 0mm | Roughing Overlap set at 5mm

Finishing Passes

Enable this option to perform the specified number of finishing passes.

Finishing Passes disabled | Finishing Passes enabled

Number Of Stepovers

The number of roughing steps.

Maximum Stepover

Specifies the maximum stepover for each cut.

Maximum Stepover
The amount to cut per pass.

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Note that control compensation (including Wear and Inverse wear) is only done on finishing passes.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Direction:

Direction

In conjunction with the turning mode, this setting determines the tool direction when cutting.

Front to Back | Back to Front | Both Ways

Front to Back - Select this option to cut from the front side of the stock towards the back side, i.e. towards the main chuck.

Back to Front - Cuts from the back side, toward the front side. Away from the chuck. For tools with special geometry where chip thinning control is important. See the Use Back Cutting option shown on the Passes tab.

Both Ways - This option allows the tool to cut in both directions. The result is a back and forth cutting motion. Ensure that you are using an appropriate tool that can cut in both directions when selecting this option.

Radial Stock To Leave

Controls the amount of material to leave in the radial direction.
Used for leaving stock on the ID or OD of the part.

Radial Stock 1mm | Radial Stock 1mm

Radial Stock 0.0

Radial and Axial Stock -1mm

For surfaces that are not exactly horizontal, the program interpolates between the Axial Stock value (wall) and the Radial Stock values. The stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the Radial Stock to Leave value automatically sets the Axial Stock to Leave to the same amount. You can manually enter a different Axial Stock value.

If you plan on roughing and finishing with different tools, set the rough operation to the amount of stock to leave for the next finishing operation.

Negative Stock to Leave You may use a negative value. This will cause the tool to machine material beyond the edge of your model shape.

NOTE: - Maximum negative stock to leave must be less than the tool nose radius.
With an insert nose radius of .032, the largest negative stock would be -.032
You can not compensate past the theoretical tip of the tool.

Axial Stock To Leave

Controls the amount of material to leave on the vertical faces being turned.

Axial Stock 1mm | Axial Stock 1mm

Axial Stock 0.0

Radial and Axial Stock -1mm

For surfaces that are not exactly vertical, the program interpolates between the Axial Stock value (wall) and the Radial Stock values. The stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the Radial Stock to Leave value automatically sets the Axial Stock to Leave to the same amount. You can manually enter a different Axial Stock value.

If you plan on roughing and finishing with different tools, set the rough operation to the amount of stock to leave for the next finishing operation.

Negative Stock to Leave You may use a negative value. This will cause the tool to machine material beyond the edge of your model shape.

NOTE: - Maximum negative stock to leave must be less than the tool nose radius.
With an insert nose radius of .032, the largest negative stock would be -.032
You can not compensate past the theoretical tip of the tool.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Retract policy:

Retraction Policy

Controls whether the tool should retract to the clearance diameter after every cutting pass, or just retract a short distance away from the job. The distance is determined by the Safe Distance value.

Full Retraction | Minimum Retraction

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Lead mode:

Lead Mode

The lead mode settings provide very specific control of the leads. There are five options available.

Fail - Results in a failure if it is not possible to do the lead in/outs without causing a gouge. User intervention is then required to make the leads fit.

Discard passes - Discards any passes that cannot be reached with the given settings. This option leaves rest material for any following operations.

Move lead - Moves the lead position to a different location along the part until there is room, but keeps the lead as specified.

Turn lead - Changes the lead angle until there is room.

Retract lead - Is the most automatic lead mode and also the default setting. It allows linking of all parts and, in some cases, does radial retracts when there is no other alternative. This is the recommended setting.

Lead-In (Entry)

Controls how the tool enters the cutting path. The radius, distance, and angle can be specified.

Lead-In

Linear Lead-In Angle

Specifies the angle of the lead-in move at the start of a cutting pass. Note that the angle reference depends on the Use fixed lead direction setting.

Lead-In Angle @ 0 degrees | Lead-In Angle @ 45 degrees

Linear Lead-In Length

Specifies the distance (length) of the lead-in move at the start of a cutting pass.

Linear Lead-In Length set to 0mm | Linear Lead-In Length set to 2mm

Lead-In Radius

Specifies the radius of the lead-in move at the start of a cutting pass.

Lead-In Radius @ 0mm | Lead-In Radius @ 3mm

Lead-In Extension

Specifies the lead-in extension value which has the effect of leading in before the point at which the cutting movement starts by the specified distance.

Lead-In Extension set to 0mm | Lead-In Extension set to 1mm

Lead-Out (Exit)

Controls how the tool exits the cutting path. The radius, distance, and angle can be specified.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Linear Lead-Out Angle

Specifies the angle of the lead-out move at the end of a cutting pass. Note that the angle reference depends on the Use fixed lead direction setting.

Lead-Out Angle @ 45 degrees | Lead-Out Angle @ 90 degrees

Linear Lead-Out Distance

Specifies the distance (length) of the lead-out move at the end of a cutting pass.

Linear Lead-Out Distance set to 1 mm | Linear Lead-Out Distance set to 5 mm

Lead-Out Radius

Specifies the radius of the lead-out move at the end of a cutting pass.

Lead-Out Radius @ 0mm | Lead-Out Radius @ 3mm

Lead-Out Extension

This setting has the effect of delaying the point at which the cutter begins to lead out by the specified distance.

Lead-Out Extension set to 0mm | Lead-Out Extension set to 1mm

Use Fixed Lead Direction

Specifies that the given lead directions are always relative to the XZ coordinate system. When disabled, the leads are relative to the front/back cutting direction of the individual pass.

Tool Clearance Angle


Tool Clearance Angle

Tool Clearance Angle allows you to specify an additional angle by which the tool sides should clear the material.

Tool with 5 deg side and end angles:

Tool with 5 deg side and end angles,
and 2deg tool clearance:

The toolpath is grooving at 5 degrees. | The toolpath is grooving at 3 degrees.
Tool sides keeps touching the stock material. | Tool sides are clear of the stock material by 2 degrees - the tool clearance angle.
Turning Profile Grooving


Turning Profile Grooving

The turning profile groove strategy is used for both roughing and finishing of the part using groove tools.

Coolant:

Coolant

The type of coolant used with the tool.

Machine Inside (Boring)

Specifies that the operation should machine the ID of the workpiece.

Disabled | Enabled

Illustrated with Turning Profile

NOTE: Typically this also means switching from an OD turning tool to a boring tool.

Use Tailstock

A tailstock is used to apply support to the longitudinal rotary axis of the workpiece being machined. This is particularly useful when the workpiece is relatively long and slender. Failing to use a tailstock can cause the workpiece to bend excessively while being cut and cause "chatter".

For this option to take effect, your machine needs a programmable tailstock and your post processor has to be configured to write the code your machine needs.

Once configured, you would typically see M21 (tailstock forward) at the beginning of the operation and M22 (tailstock backward) at the end with this option enabled.

Go Home

The Home position is a known Z value relative to the WCS and is defined within the Work Coordinate System (WCS) section on the Setup tab of the Setup strategy dialog.

You can force the tool to move to the Home position prior to starting the operation, or once the operation has finished. The tool will always pull out of the stock in the X axis until it reaches the Clearance height, then move to the Home position in the Z.

Don't Go Home | Go Home At Beginning

Go Home At End | Go Home At Beginning And End

Note: The Home position referred to here is different from the G28 or G53 home position defined in the Post Processor dialog with some posts. Setting both values simultaneously could create unexpected results if you are unfamiliar with your post processor and machine.

Use Constant Surface Speed

Automatically adjusts the spindle RPM to maintain a constant surface speed between the tool and the workpiece as the radial distance of the tool tip changes. Constant Surface Speed (CSS) is specified using G96 on most machines.

Spindle Speed

Displays the spindle speed in rpm for each machining operation.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Use Feed Per Revolution

Automatically adjusts the feed rate based on the RPM of the spindle to maintain a constant chip load.

Cutting Feedrate

Feed used in cutting moves.

Cutting Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle once the tool is fully engaged.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-In Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool approaches and initially enters the material.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Lead-Out Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool exits the material.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Frontside Stock Offset

Specifies the distance to machine beyond the frontside of the model.

Confinement using offsets

Negative frontside offset

Positive frontside offset

NOTE: This offset applies to the frontside of the model or containment region, and can be used at the same time as a backside offset.

Backside Stock Offset

Specifies the distance to machine beyond the backside of the model.

Confinement using offsets

Negative backside offset

Positive backside offset

NOTE: This offset applies to the backside of the model or containment region, and can be used at the same time as a frontside offset.

Rest machining from all the previous operations within all dependent jobs.

For inside turning the clearance and retract heights must be lower than the bottom.

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom Height

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Roughing Passes

Enabling roughing passes provides you with the ability to fine tune your grooving toolpath. Options such as grooving stepover, pecking, and additional finishing controls become available; as well as additional settings within the Roughing Passes group.

Roughing Passes disabled | Roughing Passes enabled with a 1mm Maximum Grooving Stepover

Note: With Roughing Passes disabled, the stepover for both Full & Partial Stepdown is automatically calculated based on the groove width value of the insert.

Maximum Grooving Stepover

Specifies the maximum grooving stepover. The final stepover is less than this value to account for the radius on the tools insert, ensuring that no cusp is left on the surface. In the image below, the Maximum Grooving Stepover value is set to 10mm so the axial distance between passes will always be as close to 10mm as possible.

Maximum Grooving Stepover set at 10mm

Backoff Distance

Specifies the distance to back off from the stock before retracting.

Use Pecking

Pecking creates multiple steps across the length of the cutting direction. Between Pecking Depths the tool retracts along its path by the specified Pecking retract distance. Use this if your material creates long strings of chips or to improve coolant flow to the tool tip.

Use Pecking disabled. Single cut along the path. | 8 mm Pecking Depth. 3 mm Retract between Pecks.

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Peck Depth

Specifies the step distance per Peck along the length of the cutting direction. The distance to feed along the cut, between retracts.

Red arrows indicate Peck Depth segment

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Peck Retract

Specifies the Retract distance between Pecks along the cutting direction.

Red arrows indicate Peck Retract segment

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Finishing Passes

This option is only available when Roughing Passes is enabled. The images below also have Roughing Clearing Pass enabled, creating the impression that there are two finishing passes. Tip: Using this technique can remove the requirement of a secondary finishing operation.

Finishing Passes disabled | 0.75mm Finishing Pass

Number Of Stepovers

Controls the number of finishing stepovers to apply. If Roughing Clearing Pass is enabled in the Roughing Passes group, it can appear as though more stepovers have been applied than specified.

Two Stepovers | Two Stepovers + Roughing Clearing Pass

Maximum Stepover

Specifies the maximum stepover for each cut.

Maximum Stepover
The amount to cut per pass.

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Note that control compensation (including Wear and Inverse wear) is only done on finishing passes.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Direction:

Direction

In conjunction with the turning mode, this setting determines the tool direction when cutting.

Front to Back | Back to Front | Both Ways

Front to Back - Select this option to cut from the front side of the stock towards the back side, i.e. towards the main chuck.

Back to Front - Cuts from the back side, toward the front side. Away from the chuck. For tools with special geometry where chip thinning control is important. See the Use Back Cutting option shown on the Passes tab.

Both Ways - This option allows the tool to cut in both directions. The result is a back and forth cutting motion. Ensure that you are using an appropriate tool that can cut in both directions when selecting this option.

Up/Down Direction:

Up/Down Direction

Options that control the direction of the finishing passes.

Up and Down | Only Down | Only Up

Notice how the Only Down and Only Up options result in a discontinuous finish pass; with the tool either exiting or entering the finish pass from the center of the groove.

Radial Stock To Leave

Controls the amount of material to leave in the radial direction.
Used for leaving stock on the ID or OD of the part.

Radial Stock 1mm | Radial Stock 1mm

Radial Stock 0.0

Radial and Axial Stock -1mm

For surfaces that are not exactly horizontal, the program interpolates between the Axial Stock value (wall) and the Radial Stock values. The stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the Radial Stock to Leave value automatically sets the Axial Stock to Leave to the same amount. You can manually enter a different Axial Stock value.

If you plan on roughing and finishing with different tools, set the rough operation to the amount of stock to leave for the next finishing operation.

Negative Stock to Leave You may use a negative value. This will cause the tool to machine material beyond the edge of your model shape.

NOTE: - Maximum negative stock to leave must be less than the tool nose radius.
With an insert nose radius of .032, the largest negative stock would be -.032
You can not compensate past the theoretical tip of the tool.

Axial Stock To Leave

Controls the amount of material to leave on the vertical faces being turned.

Axial Stock 1mm | Axial Stock 1mm

Axial Stock 0.0

Radial and Axial Stock -1mm

For surfaces that are not exactly vertical, the program interpolates between the Axial Stock value (wall) and the Radial Stock values. The stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the Radial Stock to Leave value automatically sets the Axial Stock to Leave to the same amount. You can manually enter a different Axial Stock value.

If you plan on roughing and finishing with different tools, set the rough operation to the amount of stock to leave for the next finishing operation.

Negative Stock to Leave You may use a negative value. This will cause the tool to machine material beyond the edge of your model shape.

NOTE: - Maximum negative stock to leave must be less than the tool nose radius.
With an insert nose radius of .032, the largest negative stock would be -.032
You can not compensate past the theoretical tip of the tool.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Retract policy:

Retraction Policy

Controls whether the tool should retract to the clearance diameter after every cutting pass, or just retract a short distance away from the job. The distance is determined by the Safe Distance value.

Full Retraction | Minimum Retraction

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

Lead-In (Entry)

Controls how the tool enters the cutting path. The radius, distance, and angle can be specified.

Lead-In

Linear Lead-In Angle

Specifies the angle of the lead-in move at the start of a cutting pass. Note that the angle reference depends on the Use fixed lead direction setting.

Lead-In Angle @ 0 degrees | Lead-In Angle @ 45 degrees

Linear Lead-In Length

Specifies the distance (length) of the lead-in move at the start of a cutting pass.

Linear Lead-In Length set to 0mm | Linear Lead-In Length set to 2mm

Lead-In Radius

Specifies the radius of the lead-in move at the start of a cutting pass.

Lead-In Radius @ 0mm | Lead-In Radius @ 3mm

Lead-In Extension

Specifies the lead-in extension value which has the effect of leading in before the point at which the cutting movement starts by the specified distance.

Lead-In Extension set to 0mm | Lead-In Extension set to 1mm

Lead-Out (Exit)

Controls how the tool exits the cutting path. The radius, distance, and angle can be specified.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Linear Lead-Out Angle

Specifies the angle of the lead-out move at the end of a cutting pass. Note that the angle reference depends on the Use fixed lead direction setting.

Lead-Out Angle @ 45 degrees | Lead-Out Angle @ 90 degrees

Linear Lead-Out Distance

Specifies the distance (length) of the lead-out move at the end of a cutting pass.

Linear Lead-Out Distance set to 1 mm | Linear Lead-Out Distance set to 5 mm

Lead-Out Radius

Specifies the radius of the lead-out move at the end of a cutting pass.

Lead-Out Radius @ 0mm | Lead-Out Radius @ 3mm

Lead-Out Extension

This setting has the effect of delaying the point at which the cutter begins to lead out by the specified distance.

Lead-Out Extension set to 0mm | Lead-Out Extension set to 1mm

Use Fixed Lead Direction

Specifies that the given lead directions are always relative to the XZ coordinate system. When disabled, the leads are relative to the front/back cutting direction of the individual pass.

Tool Clearance Angle Up/Down Machining


Up/Down Machining

In Turning Profile Grooving, the up/down setting controls the direction of the finishing passes and can be either Up and Down, Up Only or Down Only.

The Turning Profile Grooving
Up/Down Direction setting.

Often, when using a grooving tool, it will be beneficial to use the "Down only" option. The following example shows the same toolpath in the three different cases.

Direction "Up and Down".

Direction "Down Only".

Direction "Up Only".

Turning Facing


Turning Facing

The face strategy is used for machining the front side of the part.

Coolant:

Coolant

The type of coolant used with the tool.

Go Home

The Home position is a known Z value relative to the WCS and is defined within the Work Coordinate System (WCS) section on the Setup tab of the Setup strategy dialog.

You can force the tool to move to the Home position prior to starting the operation, or once the operation has finished. The tool will always pull out of the stock in the X axis until it reaches the Clearance height, then move to the Home position in the Z.

Don't Go Home | Go Home At Beginning

Go Home At End | Go Home At Beginning And End

Note: The Home position referred to here is different from the G28 or G53 home position defined in the Post Processor dialog with some posts. Setting both values simultaneously could create unexpected results if you are unfamiliar with your post processor and machine.

Use Constant Surface Speed

Automatically adjusts the spindle RPM to maintain a constant surface speed between the tool and the workpiece as the radial distance of the tool tip changes. Constant Surface Speed (CSS) is specified using G96 on most machines.

Spindle Speed

Displays the spindle speed in rpm for each machining operation.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Use Feed Per Revolution

Automatically adjusts the feed rate based on the RPM of the spindle to maintain a constant chip load.

Cutting Feedrate

Feed used in cutting moves.

Cutting Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle once the tool is fully engaged.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-In Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool approaches and initially enters the material.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Lead-Out Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool exits the material.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Frontside Stock Offset

Specifies the distance to machine beyond the frontside of the model.

Confinement using offsets

Negative frontside offset

Positive frontside offset

NOTE: This offset applies to the frontside of the model or containment region, and can be used at the same time as a backside offset.

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom Height

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Multiple Passes

Enable to enter a stepover value.

Number Of Stepovers

The number of roughing steps.

Stepover

This distance determines the amount of material initial toolpaths leave for the first finishing pass and for any subsequent finishing stepovers.

0.5mm Stepover | 2mm Stepover

Finishing Passes

Enable this option to perform the specified number of finishing passes.

Finishing Passes disabled | Finishing Passes enabled

Stepover

Specifies the maximum stepover for each cut, when taking multiple finishing passes.

Finishing Stepover
The amount to cut per pass.

Multiple Finishing Passes

Enable to specify more than one finishing pass. If Finishing Passes is enabled, but Multiple Finishing Passes is disabled, then only one finishing pass is performed.

Multiple Finishing Passes ON | Multiple Finishing Passes OFF

Number Of Finishing Passes

Specifies the number of finishing passes.

Shown with three finishing passes

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Note that control compensation (including Wear and Inverse wear) is only done on finishing passes.

Retract policy:

Retraction Policy

Controls whether the tool should retract to the clearance diameter after every cutting pass, or just retract a short distance away from the job. The distance is determined by the Safe Distance value.

Full Retraction | Minimum Retraction

Lead-In (Entry)

Controls how the tool enters the cutting path. The radius, distance, and angle can be specified.

Lead-In

Linear Lead-In Angle

Specifies the angle of the lead-in move at the start of a cutting pass. Note that the angle reference depends on the Use fixed lead direction setting.

Lead-In Angle @ 0 degrees | Lead-In Angle @ 45 degrees

Linear Lead-In Length

Specifies the distance (length) of the lead-in move at the start of a cutting pass.

Linear Lead-In Length set to 0mm | Linear Lead-In Length set to 2mm

Lead-In Radius

Specifies the radius of the lead-in move at the start of a cutting pass.

Lead-In Radius @ 0mm | Lead-In Radius @ 3mm

Lead-Out (Exit)

Controls how the tool exits the cutting path. The radius, distance, and angle can be specified.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Linear Lead-Out Angle

Specifies the angle of the lead-out move at the end of a cutting pass. Note that the angle reference depends on the Use fixed lead direction setting.

Lead-Out Angle @ 45 degrees | Lead-Out Angle @ 90 degrees

Linear Lead-Out Distance

Specifies the distance (length) of the lead-out move at the end of a cutting pass.

Linear Lead-Out Distance set to 1 mm | Linear Lead-Out Distance set to 5 mm

Lead-Out Radius

Specifies the radius of the lead-out move at the end of a cutting pass.

Lead-Out Radius @ 0mm | Lead-Out Radius @ 3mm

Up/Down Machining Turning Grooving


Turning Grooving

The turning groove strategy is used for grooving at selected positions only. This can for instance be used to make a groove on the backside before threading.

Coolant:

Coolant

The type of coolant used with the tool.

Machine Inside (Boring)

Specifies that the operation should machine the ID of the workpiece.

Disabled | Enabled

Illustrated with Turning Profile

NOTE: Typically this also means switching from an OD turning tool to a boring tool.

Use Tailstock

A tailstock is used to apply support to the longitudinal rotary axis of the workpiece being machined. This is particularly useful when the workpiece is relatively long and slender. Failing to use a tailstock can cause the workpiece to bend excessively while being cut and cause "chatter".

For this option to take effect, your machine needs a programmable tailstock and your post processor has to be configured to write the code your machine needs.

Once configured, you would typically see M21 (tailstock forward) at the beginning of the operation and M22 (tailstock backward) at the end with this option enabled.

Go Home

The Home position is a known Z value relative to the WCS and is defined within the Work Coordinate System (WCS) section on the Setup tab of the Setup strategy dialog.

You can force the tool to move to the Home position prior to starting the operation, or once the operation has finished. The tool will always pull out of the stock in the X axis until it reaches the Clearance height, then move to the Home position in the Z.

Don't Go Home | Go Home At Beginning

Go Home At End | Go Home At Beginning And End

Note: The Home position referred to here is different from the G28 or G53 home position defined in the Post Processor dialog with some posts. Setting both values simultaneously could create unexpected results if you are unfamiliar with your post processor and machine.

Use Constant Surface Speed

Automatically adjusts the spindle RPM to maintain a constant surface speed between the tool and the workpiece as the radial distance of the tool tip changes. Constant Surface Speed (CSS) is specified using G96 on most machines.

Spindle Speed

Displays the spindle speed in rpm for each machining operation.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Use Feed Per Revolution

Automatically adjusts the feed rate based on the RPM of the spindle to maintain a constant chip load.

Cutting Feedrate

Feed used in cutting moves.

Cutting Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle once the tool is fully engaged.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-In Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool approaches and initially enters the material.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Lead-Out Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool exits the material.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Side alignment:

Groove Side Alignment

Back - Offsets the tool from the selected groove geometry in the negative Z direction (toward the backside of the stock).

Middle - Centers the tool on the selected groove geometry.

Front - Offsets the tool from the selected groove geometry in the positive Z direction (toward the frontside of the stock).

Tip alignment:

Groove Tip Alignment

Cut-through - The tool tip extends past the selected radial distance in the negative radial direction for outside grooving, and in the positive radial direction for inside grooving.

IMPORTANT: The choice between inside/outside grooving appears on the Tool tab - not the Geometry tab.

Tip - The tool tip stops at the selected radial distance.

For inside turning the clearance and retract heights must be lower than the bottom.

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom Height

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Use Pecking

Pecking creates multiple steps across the length of the cutting direction. Between Pecking Depths the tool retracts along its path by the specified Pecking retract distance. Use this if your material creates long strings of chips.

Use Pecking disabled. Single cut along the path. | 18 mm Pecking Depth. 3 mm Retract between Pecks.

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Pecking Depth

Specifies the maximum distance the tool cuts into the material before retracting to clear or break the chips. The red arrows in the image show where the tool is cutting down in increments equal to, or less than this value.

Pecking Depth

Pecking Retract

Specifies the distance the tool retracts from its pecking depth to clear or break the chips. The green arrow in the image shows where the tool is pulling out inbetween each peck.

Pecking Retract

Note: The tool retracts using the cutting feedrate.

Radial Stock To Leave

Controls the amount of material to leave in the radial direction.
Used for leaving stock on the ID or OD of the part.

Radial Stock 1mm | Radial Stock 1mm

Radial Stock 0.0

Radial and Axial Stock -1mm

For surfaces that are not exactly horizontal, the program interpolates between the Axial Stock value (wall) and the Radial Stock values. The stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the Radial Stock to Leave value automatically sets the Axial Stock to Leave to the same amount. You can manually enter a different Axial Stock value.

If you plan on roughing and finishing with different tools, set the rough operation to the amount of stock to leave for the next finishing operation.

Negative Stock to Leave You may use a negative value. This will cause the tool to machine material beyond the edge of your model shape.

NOTE: - Maximum negative stock to leave must be less than the tool nose radius.
With an insert nose radius of .032, the largest negative stock would be -.032
You can not compensate past the theoretical tip of the tool.

Retract policy:

Retraction Policy

Controls whether the tool should retract to the clearance diameter after every cutting pass, or just retract a short distance away from the job. The distance is determined by the Safe Distance value.

Full Retraction | Minimum Retraction

Turning Facing Turning Chamfering


Turning Chamfering

The turning chamfer strategy is used for chamfering sharp corners that have not been chamfered in the design.

When selecting the corner point to define the chamfer, use the Flip button to reverse the side of the chamfer to adapt the toolpath to the corner orientation.

Coolant:

Coolant

The type of coolant used with the tool.

Machine Inside (Boring)

Specifies that the operation should machine the ID of the workpiece.

Disabled | Enabled

Illustrated with Turning Profile

NOTE: Typically this also means switching from an OD turning tool to a boring tool.

Use Tailstock

A tailstock is used to apply support to the longitudinal rotary axis of the workpiece being machined. This is particularly useful when the workpiece is relatively long and slender. Failing to use a tailstock can cause the workpiece to bend excessively while being cut and cause "chatter".

For this option to take effect, your machine needs a programmable tailstock and your post processor has to be configured to write the code your machine needs.

Once configured, you would typically see M21 (tailstock forward) at the beginning of the operation and M22 (tailstock backward) at the end with this option enabled.

Go Home

The Home position is a known Z value relative to the WCS and is defined within the Work Coordinate System (WCS) section on the Setup tab of the Setup strategy dialog.

You can force the tool to move to the Home position prior to starting the operation, or once the operation has finished. The tool will always pull out of the stock in the X axis until it reaches the Clearance height, then move to the Home position in the Z.

Don't Go Home | Go Home At Beginning

Go Home At End | Go Home At Beginning And End

Note: The Home position referred to here is different from the G28 or G53 home position defined in the Post Processor dialog with some posts. Setting both values simultaneously could create unexpected results if you are unfamiliar with your post processor and machine.

Use Constant Surface Speed

Automatically adjusts the spindle RPM to maintain a constant surface speed between the tool and the workpiece as the radial distance of the tool tip changes. Constant Surface Speed (CSS) is specified using G96 on most machines.

Spindle Speed

Displays the spindle speed in rpm for each machining operation.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Use Feed Per Revolution

Automatically adjusts the feed rate based on the RPM of the spindle to maintain a constant chip load.

Cutting Feedrate

Feed used in cutting moves.

Cutting Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle once the tool is fully engaged.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-In Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool approaches and initially enters the material.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Lead-Out Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool exits the material.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ 45 degrees

For inside turning the clearance and retract heights must be lower than the bottom.

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Chamfer Width

The distance across the chamfer flat.

The amount to break the selected edge. Shown below in the center illustration.

Chamfer Extension - Chamfer Width - Chamfer Angle

Chamfer Angle

The angle of the chamfered face.

The angle is referenced from the Z axis. Shown below in the right illustration.

Chamfer Extension - Chamfer Width - Chamfer Angle

Chamfer Extension

The distance to extend the tool past the chamfer.

Provides additional clearance past the chamfer edge. Shown below in the left illustration.

Chamfer Extension - Chamfer Width - Chamfer Angle

Radial Stock To Leave

Controls the amount of material to leave in the radial direction.
Used for leaving stock on the ID or OD of the part.

Radial Stock 1mm | Radial Stock 1mm

Radial Stock 0.0

Radial and Axial Stock -1mm

For surfaces that are not exactly horizontal, the program interpolates between the Axial Stock value (wall) and the Radial Stock values. The stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the Radial Stock to Leave value automatically sets the Axial Stock to Leave to the same amount. You can manually enter a different Axial Stock value.

If you plan on roughing and finishing with different tools, set the rough operation to the amount of stock to leave for the next finishing operation.

Negative Stock to Leave You may use a negative value. This will cause the tool to machine material beyond the edge of your model shape.

NOTE: - Maximum negative stock to leave must be less than the tool nose radius.
With an insert nose radius of .032, the largest negative stock would be -.032
You can not compensate past the theoretical tip of the tool.

Axial Stock To Leave

Controls the amount of material to leave on the vertical faces being turned.

Axial Stock 1mm | Axial Stock 1mm

Axial Stock 0.0

Radial and Axial Stock -1mm

For surfaces that are not exactly vertical, the program interpolates between the Axial Stock value (wall) and the Radial Stock values. The stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the Radial Stock to Leave value automatically sets the Axial Stock to Leave to the same amount. You can manually enter a different Axial Stock value.

If you plan on roughing and finishing with different tools, set the rough operation to the amount of stock to leave for the next finishing operation.

Negative Stock to Leave You may use a negative value. This will cause the tool to machine material beyond the edge of your model shape.

NOTE: - Maximum negative stock to leave must be less than the tool nose radius.
With an insert nose radius of .032, the largest negative stock would be -.032
You can not compensate past the theoretical tip of the tool.

Retract policy:

Retraction Policy

Controls whether the tool should retract to the clearance diameter after every cutting pass, or just retract a short distance away from the job. The distance is determined by the Safe Distance value.

Full Retraction | Minimum Retraction

Turning Grooving Turning Parting


Turning Parting

This strategy is used for cutting off the part for machining on another spindle or once the part has been fully machined.

Coolant:

Coolant

The type of coolant used with the tool.

Go Home

The Home position is a known Z value relative to the WCS and is defined within the Work Coordinate System (WCS) section on the Setup tab of the Setup strategy dialog.

You can force the tool to move to the Home position prior to starting the operation, or once the operation has finished. The tool will always pull out of the stock in the X axis until it reaches the Clearance height, then move to the Home position in the Z.

Don't Go Home | Go Home At Beginning

Go Home At End | Go Home At Beginning And End

Note: The Home position referred to here is different from the G28 or G53 home position defined in the Post Processor dialog with some posts. Setting both values simultaneously could create unexpected results if you are unfamiliar with your post processor and machine.

Use Constant Surface Speed

Automatically adjusts the spindle RPM to maintain a constant surface speed between the tool and the workpiece as the radial distance of the tool tip changes. Constant Surface Speed (CSS) is specified using G96 on most machines.

Spindle Speed

Displays the spindle speed in rpm for each machining operation.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Use Feed Per Revolution

Automatically adjusts the feed rate based on the RPM of the spindle to maintain a constant chip load.

Cutting Feedrate

Feed used in cutting moves.

Cutting Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle once the tool is fully engaged.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-In Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool approaches and initially enters the material.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Lead-Out Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool exits the material.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Backside Stock Offset

Specifies the distance to machine beyond the backside of the model.

Confinement using offsets

Negative backside offset

Positive backside offset

NOTE: This offset applies to the backside of the model or containment region, and can be used at the same time as a frontside offset.

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom:

Bottom Height

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Use Pecking

Pecking creates multiple steps across the length of the cutting direction. Between Pecking Depths the tool retracts along its path by the specified Pecking retract distance. Use this if your material creates long strings of chips.

Use Pecking disabled. Single cut along the path. | 18 mm Pecking Depth. 3 mm Retract between Pecks.

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Pecking Depth

Specifies the maximum distance the tool cuts into the material before retracting to clear or break the chips. The red arrows in the image show where the tool is cutting down in increments equal to, or less than this value.

Pecking Depth

Pecking Retract

Specifies the distance the tool retracts from its pecking depth to clear or break the chips. The green arrow in the image shows where the tool is pulling out inbetween each peck.

Pecking Retract

Note: The tool retracts using the cutting feedrate.

Transfer Stock

Specifies that the stock should be clamped for use on the other spindle.

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Note that control compensation (including Wear and Inverse wear) is only done on finishing passes.

Retract policy:

Retraction Policy

Controls whether the tool should retract to the clearance diameter after every cutting pass, or just retract a short distance away from the job. The distance is determined by the Safe Distance value.

Full Retraction | Minimum Retraction

Turning Chamfering Turning Threading


Turning Threading

This strategy is used for turning threads. Both cylindrical and conical threads are supported. The CNC control must have built-in support for synchronizing the spindle and feed.

Coolant:

Coolant

The type of coolant used with the tool.

Machine Inside (Boring)

Specifies that the operation should machine the ID of the workpiece.

Disabled | Enabled

Illustrated with Turning Profile

NOTE: Typically this also means switching from an OD turning tool to a boring tool.

Use Tailstock

A tailstock is used to apply support to the longitudinal rotary axis of the workpiece being machined. This is particularly useful when the workpiece is relatively long and slender. Failing to use a tailstock can cause the workpiece to bend excessively while being cut and cause "chatter".

For this option to take effect, your machine needs a programmable tailstock and your post processor has to be configured to write the code your machine needs.

Once configured, you would typically see M21 (tailstock forward) at the beginning of the operation and M22 (tailstock backward) at the end with this option enabled.

Go Home

The Home position is a known Z value relative to the WCS and is defined within the Work Coordinate System (WCS) section on the Setup tab of the Setup strategy dialog.

You can force the tool to move to the Home position prior to starting the operation, or once the operation has finished. The tool will always pull out of the stock in the X axis until it reaches the Clearance height, then move to the Home position in the Z.

Don't Go Home | Go Home At Beginning

Go Home At End | Go Home At Beginning And End

Note: The Home position referred to here is different from the G28 or G53 home position defined in the Post Processor dialog with some posts. Setting both values simultaneously could create unexpected results if you are unfamiliar with your post processor and machine.

Use Constant Surface Speed

Automatically adjusts the spindle RPM to maintain a constant surface speed between the tool and the workpiece as the radial distance of the tool tip changes. Constant Surface Speed (CSS) is specified using G96 on most machines.

Spindle Speed

Displays the spindle speed in rpm for each machining operation.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Use Feed Per Revolution

Automatically adjusts the feed rate based on the RPM of the spindle to maintain a constant chip load.

Cutting Feedrate

Feed used in cutting moves.

Cutting Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle once the tool is fully engaged.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-In Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool approaches and initially enters the material.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Lead-Out Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool exits the material.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Frontside Stock Offset

Specifies the distance to machine beyond the frontside of the model.

Confinement using offsets

Negative frontside offset

Positive frontside offset

NOTE: This offset applies to the frontside of the model or containment region, and can be used at the same time as a backside offset.

Backside Stock Offset

Specifies the distance to machine beyond the backside of the model.

Confinement using offsets

Negative backside offset

Positive backside offset

NOTE: This offset applies to the backside of the model or containment region, and can be used at the same time as a frontside offset.

Apply Back From Front

Makes the stock backside offset apply from the front side.

For inside turning the clearance and retract heights must be lower than the bottom.

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Retract height:

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Thread Type:

Threading Hand

Right handed | Left handed

Thread Depth

Specifies the thread depth.

Thread Depth = T

Shown as T in the illustration, it's the difference between the Major D and Minor d diameters.

Number Of Stepdowns

Specifies the desired number of stepdowns.

Thread Pitch

Specifies the thread pitch.

Thread Pitch = P

Shown as P in the illustration, it's the distance traversed for 1 complete thread. 1/Threads Per Inch (TPI) or or the actual pitch for metric threads.

Do Multiple Threads

Enable to enter the number of threads.

Number Of Threads

Specifies the number of threads.

Infeed Mode:

Infeed Mode

The infeed is the depth of cut per pass and is critical in threading. Each successive pass engages a larger portion of the cutting edge of the insert. There are three infeed mode options.

Constant infeed - With this option, the cutting force and metal removal rate can increase dramatically from one pass to the next. Example - When producing a 60 degree thread form using a constant 0.010 inch infeed per pass, the second pass removes three times the amount of metal as the first pass. The amount of metal removed continues to grow exponentially with each subsequent pass.

Reduced infeed - This option maintains more realistic cutting forces and reduces the depth of cut with each pass. Because it avoids the increased metal removal rate of constant infeed, it is the recommended setting.

Alternate infeed - Similar to the Reduced infeed, but this method alternates between feeding in from the left and right sides of the thread profile.

Constant Equal Plunges | Reduced Set To 29.5 Degrees
Alternating side feed | Alternating side feed

Infeed Angle

Specifies the infeed angle of the tool. Sometimes set to half of the included thread angle
of the insert, minus .5 degrees for clearance. Example: (60 deg. / 2) -.5 = 29.5

Infeed Set To 0 Degrees | Infeed Set To 29.5 Degrees

Feeding in on the angle reduces the load on the front edge of the tool.

Fade Thread End

Enable this setting to fade out the thread at the end.

Spring Pass

Enable to perform the final finishing pass twice to remove stock left due to tool deflection.

Use Cycle

Enable to request output as canned cycle.

Retract policy:

Retraction Policy

Controls whether the tool should retract to the clearance diameter after every cutting pass, or just retract a short distance away from the job. The distance is determined by the Safe Distance value.

Full Retraction | Minimum Retraction

Turning Parting Turning Stock Transfer


Turning Stock Transfer

The stock transfer strategy is intended for automatic stock transfer between the two spindles. No toolpath is associated with strategy. The post is responsible for outputting the desired NC code.

Frontside Stock Offset

Specifies the distance to machine beyond the frontside of the model.

Confinement using offsets

Negative frontside offset

Positive frontside offset

NOTE: This offset applies to the frontside of the model or containment region, and can be used at the same time as a backside offset.

Clearance height:

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Top:

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Stock in Chuck

Specifies the amount of stock in the chuck.

Eject Stock

Specifies the amount of stock to eject from the current chuck.

Turning Threading Common Milling Features


Common Milling Features

  • Axial Offset Passes
  • Boundaries Confine the Tool Contact Points
  • Check Surfaces
  • Contact Only
  • Feed Height
  • Feed Optimization
  • Flat Area Detection
  • Heights
  • High Feedrate Mapping
  • Lift Height
  • Property Page
  • Machining Individual Faces
  • Minimum Cutting Radius
  • Rest From Stock Solid
  • Shaft and Holder
  • Shallow Areas
  • Slope Confinement
  • Smoothing
  • Stay-Down Distance
  • Stock to Leave
  • Toolpath Fillets
  • Transitions
  • Up/Down Milling

Turning Stock Transfer Axial Offset Passes


Axial Offset Passes

HSMWorks supports Axial Offset Passes which allows you to repeat the calculated toolpath in steps in the Z direction.

Axial offset passes work much like multiple finishing stepdowns in the 2D operations and is useful for removing a fixed amount of stock in several steps. If you, for example, have 1mm of stock left you can remove this in 5 passes of 0.2mm using parallel finishing:

Axial offset passes settings.

Without axial offset passes. | With 3 axial offset passes.
Boundaries Confine the Tool Contact Points


Boundaries Confine the Tool Contact Points

Selecting a face (or multiple faces) as the boundary for a 3D finishing operation provides an efficient way for limiting where the tool will be machining.

By default, the boundaries confine the tool center points (ie. the tool center must be inside the boundaries). If the slope of the selected face(s) vary around the edges this will result in either left over material or machining extending outside the face(s) around the edges.

To avoid the problem you need to enable the setting Boundaries Confine the Tool Contact Points which tells the strategy that the boundaries limit the tool contact points rather than the tool center points.

Selecting a face as the machining boundary.

The difference is illustrated below on a parallel toolpath using a ball end mill.

Without boundary. | With boundary selected. | With boundary selected. "Boundaries confine the tool contact points" enabled.

When seen from the side, you can clearly see the contact point of the tool:

The tool at the extreme contact points.

Axial Offset Passes Check Surfaces


Check Surfaces

Sometimes you want to avoid touching specific surfaces while still gouge-checking against them. You can use the Check Surface feature for this purpose. Check surface are often preferred to machining boundaries as the boundaries only confine the machining in 2D and not 3D as is the case for check surfaces. Gouge checking for linking is still done against the entire specified model so the option is safe to use.

You should generally not attempt to avoid machining of specific surfaces by not selecting them as Model. Any unselected surfaces will also be ignored during toolpath generation which can result in gouges/collisions.

You can specify check surfaces for most 3D finishing strategies, by enabling Check Surfaces on the Geometry tab.

The check surface selection box lets you select the surfaces to stay away from.

The [image] Check surface clearance sets the closest distance allowed from the tool to any check surface.

The following shows an example of using check surfaces.

Toolpath without check surfaces. With machining boundary to tool center. | Same toolpath, but with check surfaces added. Checked surfaces are blue.

You can invert the meaning of the check surface by enabling the Touch check surfaces setting. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces will be avoided.

The Touch check surfaces option (disabled by default).

Touch check surfaces disabled. | Touch check surfaces enabled.
Boundaries Confine the Tool Contact Points Contact Only


Contact Only

In HSMWorks most of the finishing strategies (Contour, Parallel etc.) have a setting called Contact only in the Confinement group:

The "Contact only" setting.

Contact only controls whether or not toolpath should be generated where the tool is not in contact with the machining surface. By default the option is enabled and this produces a toolpath like below:

A parallel toolpath with default settings:
Contact only enabled
Machining boundary = Silhouette
Depth is automatic.

If, however, it is desirable to continue the toolpath over the open pocket in the middle we can disable contact only, along with changing the machining boundary to the bounding box. Additionally we set the depth manually to match the top of the cylinder:

The parallel toolpath with the following changes:
Contact only disabled
Machining boundary = Bounding Box
Depth is set manually.

Check Surfaces Feed Height


Feed Height

For 2D contour and 2D pocket you have the option to disable the feed height, which causes the tool to rapid down to the lead-in. Simply pick the Disabled option from the Feed height drop down.

Disabling the feed height.

Left toolpath: 2D contour with feed height set 5mm from model top.
Right toolpath: 2D contour with feed height disabled.

Contact Only Feed Optimization


Feed Optimization

HSMWorks provides various methods for handling sharp corners within the toolpath. One of these features is called Feed Optimization and allows you to reduce the feedrate in sharp corners.

To enable feed optimization, enable the Feed Optimization option on the "Passes" tab.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

A Contour toolpath with Feed Optimization enabled for inner corners.
The reduced feed is highlighted with a dark yellow color.

Feed Height Flat Area Detection


Flat Area Detection

The 3D Clearing strategies (Pocket Clearing and Adaptive Clearing) as well as the Contour finishing strategy have a setting called Flat Area Detection. When enabled, the strategy will detect all the flat areas and adjust the stepdowns to ensure that the axial stock to leave is left on these flat areas.

The Flat Area Detection setting on the Passes tab.

In the image below, the stepdown is set to 1mm and with a stock to leave of 0.3mm. Since the stepdowns do not follow the heights of the flat areas, the actual amount of stock left on the flat areas will be more than the requested stock to leave.

Flat Area Detection disabled.

With Flat Area Detection enabled, each stepdown will be adjusted to match the flat areas such that the requested axial stock to leave is also the stock left in these areas.

Flat Area Detection enabled.

Feed Optimization Heights


Heights

You can control the machining area by depth of most machining strategies on the Heights tab. The machining area is defined by the Top and Bottom heights. On the Heights tab you can also control the retracts by setting the Clearance, Retract, and Feed heights. Each height is defined by an offset amount and a mode which tells from which other height the offset applies. The absolute heights are always in relation to the operation origin which defaults to the WCS set in the job.

The Heights Tab.

The currently selected height is automatically previewed as shown in the image below. The plane dimensions are derived from the bounding box of the selected geometry.

Top plane preview.

Each height (level), supports a subset of the following modes:

  • From Retract Height
  • From Feed Height
  • From Top
  • From Bottom
  • From Model Top
  • From Model Bottom
  • From Stock Top
  • From Stock Bottom
  • From Contour
  • From Selection
  • Absolute (From Origin)

Each of these modes puts the associated height in a relative mode where the height is in relation to the selected height.

E.g. if you select "From Retract Height" in the clearance height mode box and the clearance height offset is 5mm, the actual clearance height will be 5mm above the retract height.

  • From Model Top / From Model Bottom

    These modes set the associated height relative to the extends of selected model.

  • From Stock Top / From Stock Bottom

    These modes set the associated height relative to the extends of the stock defined in the job.

  • From Contour

    When using From Contour, the height will be relative to the selected contour(s).

  • From Selection

    Choosing this option shows a selection field that allows you to pick any point/vertex, skech segment, edge and face on the model.

  • Absolute (From Origin)

    Choosing Absolute allows you to manually control the associated height by entering a fixed value in relation to the operation origin.

All height modes are fully associative and hence the heights update automatically when the model and stock changes.

The heights can be set relative to any selectable point, edge or face on the model by using the From Selection setting. As a shortcut to setting a height from an element, it is not necessary to select "From Selection" first. Instead, just move focus to the height you wish to set, by clicking on the height offset field and then pick an element on the model.

Picking a face on the model as the bottom height for a contour finishing strategy.

By default, the bottom field has focus, so picking a selectable element right after activating the Heights tab will set the bottom depth.

Flat Area Detection High Feedrate Mapping


High Feedrate Mapping

The High Feedrate feature found on the linking tab allows you to map rapid movements (G0s) into feed moves (G1s).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements which moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving only in one axis (X, Y or Z).
  • Always use high feed - No rapids.

The High Feedrate Mode setting is usually set to make the CNC machine run more smoothly or to avoid collisions at rapids on CNC machines which perform "dog-leg" movements at rapid. The post processor configuration can also be customized to do the high feed mapping automatically.

Preserve rapid movement. | Preserve radial rapid movement.
Preserve axial and radial rapid movement. | Preserve single axis rapid movement.
Preserve axial rapid movement. | Always use high feed.
Heights Lift Height


Lift Height

Some of the machining strategies in HSMWorks perform stay-down movements when transitioning between cutting toolpaths. These transitions are done at the same Z-level as the cutting passes. By setting Lift Height you can move the tool away from the stock during the transitions. Lifting the tool helps to avoid witness marks and allows higher feedrates.

The Lift Height setting is available for the 2D and 3D Pocket and Adaptive Clearing and Horizontal Clearing strategies on the Linking tab:

The Lift Height setting.

The following image shows an example of a 2D Adaptive toolpath with stay-down moves connecting each machining pass.

A 2D Adaptive toolpath with stay-down moves.

By default, these stay-down moves are done at the same Z-level as shown in the following image.

Side view of the toolpath with Lift Height set to 0mm.

With the Lift Height set the toolpath will look like this instead:

Side view of the toolpath with Lift Height set to 2mm.

High Feedrate Mapping Property Page


Property Page

The property pages for all milling operations share a similar layout. The machining settings are grouped into five tabs that provide a quick way to navigate between the settings and greatly reduces the amount of scrolling required.

The Geometry tab on the property page for a Contour finishing operation.

    Tool

    This tab lets you select a tool for the operation. You can also edit the tool in the tool library and you can set the feeds and speeds for the operation.

    Geometry

    This tab contains all of the primary geometry selections and defines what to machine and where. Depending on the type of operation you will have the following groups available here: Geometry, Machining Boundary, Slope, Rest Machining, Tool Orientation, Model and Check Surfaces.

    Levels

    This tab controls the heights at which the operation operates. In general this controls the primary Z-levels of the machining and depending on the operation lets you select the following levels: Clearance Height, Retract Height, Feed Height, Top and Bottom.

    Passes

    This tab controls how the actual cutting toolpaths should be generated. The parameters on this tab include: Tolerance, Stepover, Stepdown, Stock to Leave, Fillets and Smoothing.

    Linking

    This tab controls how all of the non-cutting toolpaths should be generated. The parameters on this tab include: Retraction Policy, Safe Distance, Lead-in and Lead-out, Ramping, Transitions and Entry Position(s).

HSMWorks will remember which tab was last active, and automatically activate this tab when editing another similar operation. This makes it faster to review parameters when switching between them.

Lift Height Machining Individual Faces


Machining Individual Faces

For most 3D machining jobs, you only need to select the model you want to machine once in the Job. The model and stock defined in the job will be used by the milling operations by default. Using the entire model for machining will work as desired in most cases and is also the recommended approach.

Sometimes, you might need to override the default model and select specific solids and faces. For instance if you have patched some pockets with surfaces that only apply to specific operations.

You can override the job model by enabling the Model group and then select the desired solids and faces:

Solid bodies are selected by default when you click on the model. If you want to select individual faces you can do so by changing the SolidWorks selection filter. The selection filter toolbar can be shown at any time by pressing F5:

Pressing X will enable or disable face selection regardless of whether the selection filter dialog is shown.

Property Page Minimum Cutting Radius


Minimum Cutting Radius

The Adaptive Clearing, Pocket Clearing, Horizontal Clearing, and Contour strategies will produce toolpath which goes fully into into sharp corners which will bury the tool and force you to run at lower feedrates than otherwise possible. The Minimum Cutting Radius setting allows you to avoid the sharp corners by specifying the minimum allowed radius to be machined.

Adaptive clearing toolpath with Minimum Cutting Radius set to 0.

By setting Minimum Cutting Radius, the toolpath becomes much smoother and a higher feedrate can be maintained.

Adaptive clearing toolpath with Minimum Cutting Radius set to 1mm.

Adaptive clearing toolpath with Minimum Cutting Radius set to 4mm.

Using Minimum Cutting Radius will leave additional stock radially on the part which you then need to machine with alternative strategies.

Machining Individual Faces Rest From Stock Solid


Rest From Stock Solid

In HSMWorks most of the 3D strategies support rest machining from a solid, an STL, or the job stock. The following is an example of how to choose a solid as your Job stock, and then create a Pocket Clearing operation which uses the job stock as the rest source.

  • Set up a machining assembly, adding both the stock part and the model part. It is often a good idea to show the stock part transparent or in wireframe. Both these options are available when right-clicking the stock component.
  • In the Job setup, choose the stock and model components in the Stock and Surfaces groups, respectively:

  • Create a new operation, e.g. 3D Pocket Clearing, set up the appropriate machining parameters, and then in the Rest Machining group, choose From Job Stock. Alternatively you can skip step 2, and then select the stock component directly here by choosing From Solid instead. Setting up the stock in the job, however has the benefit that it is also used when simulating.

  • Press OK to generate the toolpath:

Minimum Cutting Radius Shaft and Holder


Shaft and Holder

The 3D strategies in HSMWorks have full support for user-defined shafts and holders. When using a tool with a holder, you can choose between one of five different shaft and holder modes depending on the machining strategy. Collision handling can be done for both the tool shaft and holder and they can be given separate clearances.

  • Don't care - Ignores any shaft/holder collisions.
  • Trimmed - Removes any toolpath where the shaft/holder would otherwise collide.
  • Pull away - Either lifts the tool or moves it sideways depending on the strategy to avoid collision.
  • Detect tool length - Automatically updates the tool length to avoid the holder collision.
  • Fail on collision - If a collision occur, the calculation will fail and an error will be output.

The first four options produce different toolpaths which can be seen in the following table:

Don't care. | Pull away.
Trimmed. | Detect tool length.

Detect Tool Length

With "Detect tool length" selected, HSMWorks will automatically calculate the minimum tool length required to keep the holder free of the part with a given Holder Clearance. When the toolpath is calculated, the "Body Length" of the tool definition will be updated to the minimum length required.

Enabling "Detect tool length" with a
Holder Clearance distance of 5.0mm.

The following warning will be output to the log when generating the toolpath with "Detect tool length" active and the tool is too short:

    Warning: The tool length has been updated from 25mm to 35.9453mm to ensure that the holder doesn't collide with the part.

At the same time, the tool has been updated.

The original tool.

The updated tool.

The following example shows the difference on the model with a simple toolpath:

Before tool length detection. | After tool length detection with a holder clearance of 5.0mm.
Rest From Stock Solid Shallow Areas


Shallow Areas

On fixed Z-levels strategies such as the Pocket Clearing and Contour Finishing, you will find the option "Machine shallow areas":

Machine shallow areas option.

This option is useful on parts which have both steep walls as well as areas or pockets which are almost flat (shallow areas).

On parts like the following, enabling the option will insert extra Z-levels where necessary to reach a desired finish:

Normal Contour finishing. | Contour finishing with Machine shallow areas enabled.

Enabling the "Machine shallow areas" check box will reveal the two controlling parameters:

Shallow area settings.

Minimum Shallow Stepdown

This parameter controls the minimum allowed stepdown between the extra Z-levels. It takes precedence over the Maximum Shallow Stepover.

Maximum Shallow Stepover

This parameter controls the stepover used to detect areas where extra Z-levels should be inserted. If the normal stepdown results in a stepover of more than this value, extra levels are inserted until the stepover or the minimum stepdown is reached.

Shaft and Holder Slope Confinement


Slope Confinement

In HSMWorks, most of the 3D finishing strategies support slope confinement. This feature is useful because some strategies are better for shallow areas (e.g. parallel finishing) while others are more suited for steep areas (e.g. contour finishing).

The slope confinement is specified by setting the From Slope Angle and To Slope Angle parameters, found on the Slope group under the Geometry tab:

Specifying the slope.

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Contour Finishing. Slope Angle: From 45˚ to 90˚. | Parallel Finishing. Slope Angle: From 0˚ to 45˚.
Shallow Areas Smoothing


Smoothing

The various machining strategies will often produce toolpath consisting of mainly linear moves for the primary cutting toolpath. When enabled, Smoothing will try to replace the linear moves with arcs (G2/G3s) within a given tolerance. This feature serves to compress the toolpath size, to improve part quality, and to make CNC machines run more smoothly and is supported for most 2D and 3D strategies. The smoothing process automatically fits arcs in all planes which make sense for the selected machining strategy. Unsupported arcs on the CNC control will always by linearized by the post processor.

There are currently only 2 settings which control the smoothing. You can enable/disable smoothing and you can set the tolerance used. The smoothing is always disabled by default. The total tolerance of an operation is given by the machining tolerance + the smoothing tolerance when the smoothing filter is enabled. The default tolerance is derived from the machining strategy and tolerance. For finishing operations, the filter tolerance will normally be in the range from 50% to 200% of the specified machining tolerance where 100% will likely give a good result. For roughing operations, the filter tolerance will normally be in the range 5% to 20% where 10% should give good results.

The smoothing settings.

The pictures below show the toolpath with and without smoothing activated for a parallel and contour toolpath, respectively. The black dots are the end-points of the arc- and linear-moves in the toolpath.

Parallel without filter. | Parallel with filter.
Contour without filter. | Contour with filter.
Slope Confinement Stay-Down Distance


Stay-Down Distance

HSMWorks allows you to control when you want to keep the tool down by setting Stay-Down Distance and thereby reduce the number of retracts. The setting is located on the Linking tab:

Stay-Down Distance.

Enabling Keep tool down and regenerating the toolpath operation shown above, gives the following result:

A 2D Pocket toolpath with a "short" and a "longer" stay-down distance.

For 2D Contor and 2D Pocket you have to enable the Keep tool down to see Stay-Down Distance. For the remaining strategies, keep tool down is always active but you can set Stay-Down distance to 0 to force retracts always.

Smoothing Stock to Leave


Stock to Leave

Stock to leave is the amount of material that must remain on the part after machining. Note that more stock might can remain on the part due to many other settings. E.g. because the tool used does not fit in some pockets or ramping settings prevent the tool from going into pockets.

Axial Stock to Leave is the amount to leave along the tool axis, ie. on the floors of the part.

Radial Stock to Leave is the amount to leave perpendicular to the tool axis, ie. on the walls of the part. By default, the radial stock to leave follows the set axial stock to leave.

Both radial and axial stock to leave can be set to negative numbers in which case the machining operation will remove extra material from the part (ie. the tool will machine the negative amount into the part). This is normally used for machining electrodes to be used Electric Discharge Machining (EDM). The spark gap will correspond to the negative stock to leave.

When using negative stock to leave, the amount can not exceed the corner radius of the tool (for rounded tools) or the tool radius (for flat end tools).

Only radial stock to leave. | Only axial stock to leave. | Equal axial and radial stock to leave.
Stay-Down Distance Toolpath Fillets


Toolpath Fillets

HSMWorks provides a toolpath filleting function, which is useful for avoiding sharp corners in 3D finishing toolpaths. With fillets applied, sharp turns in the toolpath can be reduced so that the CNC control can maintain a higher feedrate and/or prevent marks on the machined part.

The Fillets group and Fillet Radius parameter is located on
the Passes tab between Stock to Leave and Smoothing.

The following screenshots show an example of a Parallel Finishing toolpath using a 10mm ball end mill.

Fillets disabled.

Fillets enabled. Fillet radius is 10mm - twice the tool radius.

Fillets disabled, but the model has fillet geometry features applied.

Enabling fillets on a parallel finishing toolpath will primarily affect corners perpendicular to passes:

Parallel toolpath without toolpath fillets.

Parallel toolpath with toolpath fillets radius of 4mm.

Similarly, for a contour finishing operation, the fillets vertical corners:

Contour toolpath without toolpath fillets.

Contour toolpath with toolpath fillets radius of 4mm.

When using Toolpath Fillet you will leave more stock than specified by the "Radial Stock To Leave" and "Axial Stock To Leave" settings. You should therefore keep the fillet radius fairly small and remember to machine the left over stock with a following operation.

Stock to Leave Transitions


Transitions

HSMWorks supports three types of transitions between the cutting passes depending on the machining strategy:

  • No Contact - Avoid contact on the part.
  • Straight Line - Simple linear transition.
  • Smooth - A smooth tangential transition.

The transition type can be set on the Linking tab:

Choosing the transition.

The No Contact method moves the tool away from the model so that no marks are left on the surface.

No contact.

The Straight Line method moves along the surface at a constant angle which creates a straight line when seen from the side.

Straight line transitions.

The Smooth method avoids abrupt changes in Z by gradually ramping down along the surface. The ramp will never exceed the specified ramp angle when applicable.

Smooth transitions.

Toolpath Fillets Up/Down Milling


Up/Down Milling

Machining strategies like Pencil, Scallop, Parallel, Radial, and Spiral produce toolpath which moves up and down in Z. Depending on the tools used you might prefer to only do down milling or up milling. In HSMWorks you can control this on this Passes tab by setting the Up/Down milling setting.

Controlling up/down milling.

Up/Down Milling = Don't Care (default).

The default setting is "Don't care" and means that HSMWorks will do both up and down milling. This is the most efficient approach since it minimizes the amount of linking and machining time.

Up/Down Milling = Down.

Down milling is useful if you are using a long thin tool and are machining near steep walls.

Up/Down Milling = Up.

Up milling is useful if you are using a tool which can not cut with the bottom.

When using either up or down milling, you can set the additional Up/Down Milling Shallow Angle.

The Up/Down Milling Shallow Angle [image] specifies the smallest wall angle to do up/down milling on. Any surface with an angle less than this will be machined as if "Don't Care" was selected, that is either up or down depending on the direction the tool is already moving.

Transitions Common Turning Features


Common Turning Features

  • Turning Stock Preview
  • Turning Confinement
  • Turning/4-axis Radii from Selection

Up/Down Milling Turning Stock Preview


Turning Stock Preview

When creating or editing a turning operation, the stock left over by the previous operation(s) is automatically shown with an orange highlight.

Stock preview shows stock left over from previous operation.

After creating the operation, and with the operation selected in the Operation Manager, the stock preview is updated to show the stock after the operation.

Stock preview from operation manager.

If there are no previous operations, you can see the job stock highlighted with a dashed grey outline.

Job stock preview for first operation.

Turning Confinement


Turning Confinement

HSMWorks Turning operations attempt to remove all the remaining stock possible with the selected operation type. Using geometry confinement the toolpath can be containing within a specific region of the part.

To use geometry confinement:

  • Create or Edit a Turning operation.
  • Select the geometry tab.
  • Activate confinement.
  • Select the faces/edges that define the beginning and end of the region you want to contain the toolpath within.

The Front- and Backside Offset parameters can be used to extend the toolpath outside of the containment regions or restrict the toolpath further within the region.

No Front- and Backside Offset.

Positive Front- and Backside Offset.

Negative Front- and Backside Offset.

Turning Stock Preview Turning/4-axis Radii from Selection


Turning/4-axis Radii from Selection

For turning and 4-axis milling operations you can set the radius limits by picking faces, edges or points just as you can select faces and points for 3D milling heights.

Choose From Selection in the drop down for either of the radius settings, and pick a suitable face, edge or point on the model.

Selecting a Face for bottom radius on a Turning Profile operation.

The resulting toolpath.

If a selected face or edge is not concentric about the turning axis, the maximum radius is used.

Turning Confinement SolidWorks Customization and Integration


SolidWorks Customization and Integration

  • Assemblies for Production Work
  • Auto-Saving
  • Expanding/Collapsing CAM Tab Flyouts
  • Machining Assemblies
  • Machining Different Component Configurations
  • Product Data Management (PDM)
  • Resetting the CAM Tab
  • Saving During Toolpath Generation
  • Selecting Chains
  • Selecting Features for Machining
  • Simple Toolbars
  • Stock and Part Configurations
  • Units
  • Views (Top/Front/Isometric etc.)
  • Virtual Components for Stock, Fixtures, and Rest Material

HSMWorks has been designed to work seemlessly with SolidWorks.

    1. - Command Manager.

    2. - Feature Manager.

    3. - Task pane.

    4. - Main menu.

    5. - Model viewport.

    6. - CAM tab.

    7. - Tools menu, under which the CAM menu can be found.

    8. - CAM Operation Manager.

Turning/4-axis Radii from Selection Assemblies for Production Work


Assemblies for Production Work

If you program many similar parts from time to time, re-using an existing machining assembly with a set of toolpaths can save you a lot of time.

To create your initial machining assembly, follow these steps:

  • Open the part file which you want to machine.
  • From the File menu choose [image] Make Assembly from Part. This will create a new assembly file, and preselect the already opened part document as the component to insert.
  • Click [image] at the top of the property manager.
  • Save the new assembly.
  • Optional: Add stock, clamp and fixture components to the assembly, adding mates as necessary.
  • Set up the tool table to correspond with your machine.
  • Add a set of toolpaths to the assembly, sufficient to machine the part.

The following screenshot shows a simple example of a fully configured machining assembly:

Machining assembly with one version of a file

Now, the next time you are to machine a part similar to this, you can use the assembly as a template:

  • Open your "template" assembly.
  • Right-click the old part in the feature tree.
  • Choose [image] Replace Components (to see this option, you may have to expand the menu by pressing the arrow at the bottom of the menu).
  • Press Browse... and locate the new part (Part2.SLDPRT) in this example.
  • Use [image] Save As to save a new copy of the assembly with a different name (so you don't change the original).

If you get mating errors, it's fairly quick to use the [image] Replace Mate Entities feature to it up to date.

Depending on how similar the geometry of your parts are, you may have to re-select some geometry and add-or remove toolpath operations. In many cases, however, simply regenerating the toolpaths is sufficient:

The machining assembly after the toolpaths have been regenerated on a different part

Auto-Saving


Auto-Saving

To get full auto-save functionality in HSMWorks, all you have to do is enable SolidWorks' Auto-recover feature:

  • Go to the Tools menu and choose Options.
  • On the System Options tab choose Backup/Recover.
  • Enable the "Save auto-recover info every:" option.
  • Choose "minutes" from the dropdown.

    Notice: Changes made in HSMWorks are not counted by SolidWorks, so make sure to use minutes.

  • Press OK.

SolidWorks Backup/Recover options.

Now, if you experience a crash, computer failure or similar, your SolidWorks document, including any HSMWorks data, will be stored in the Auto-recover folder.

The next time you start SolidWorks, you can recover your documents from the Document Recovery tab in the Task Pane.

SolidWorks Document Recovery.

Assemblies for Production Work Expanding/Collapsing CAM Tab Flyouts


Expanding/Collapsing CAM Tab Flyouts

HSMWorks allows you to expand and collapse the menu flyouts available in the CAM tab. The options are located in the HSMWorks Preferences dialog under "User interface".

CAM tab expansion options.

For each expand option that is enabled, the associated flyout will be expanded.

CAM tab with no expand options enabled.

CAM tab with Drilling, 2D, 3D, Multi-Axis, and Turning expand options enabled.

With this setup, you can use all the screen space on even the widest of monitors.

Auto-Saving Machining Assemblies


Machining Assemblies

HSMWorks allows you to program both from single SolidWorks parts and composite SolidWorks assemblies. All machining data will be stored directly in your SolidWorks files for maximum ease of use. This reduces the amount of files you need to manager and allows direct integration with your SolidWorks PDM (Product Data Management).

Programming from part files is suggested when working on small projects and provides maximum ease-of-use for engineers doing both design and machining.

Programming from assemblies is recommended whenever you are planning to machine parts from third parties, such as a customer or a separate design department. Using assemblies will leave the part files completely unchanged while still retaining full associativity between machining and design. If the third party supplies a newer version of the design, HSMWorks will automatically detect the changes and only a toolpath recalculation is normally required. You can also use SolidWorks assemblies to define your machining setup with fixtures/clamps etc.

Whenever you have a part, or some other model which you do not want to change when adding machining operations, you can use machining assemblies.

The following steps represent the fastest way to create an assembly from a part:

  • Open the part file which you want to machine.
  • From the File menu choose [image] Make Assembly from Part. This will create a new assembly file, and preselect the already opened part document as the component to insert.
  • Click [image] at the top of the property manager.
    Alternatively, you can click in the model viewport, but simply clicking OK lines up the origin of the part and the assembly.
  • Save the new assembly, giving it a name indicating that it has machining in it.

It is almost always better to use a machining assembly to store the machining. Apart from leaving the original part unchanged, it also improves the associativity such that if you later replace the part with a newer version, or a different part altogether, it is possible to re-use the machining assembly.

For an example of using machining assemblies, see Tutorial 5 in the HSMWorks help.

Expanding/Collapsing CAM Tab Flyouts Machining Different Component Configurations


Machining Different Component Configurations

A very flexible way to machine different configurations of a part is to insert the part in an assembly in multiple configurations.

One of the ways this can be used is when machining core and cavity parts, where the core and cavity is often in the same part file. If you add a "Core" and a "Cavity" configuration, where the unrelated solid and surface bodies are suppressed, you can easily set up a job in an assembly containing both core and cavity parts. To do this, follow these steps:

  • Make an assembly from the core/cavity part.
  • Make a copy the initial component.
  • Right-click on the copy and choose Configure Component.

  • Choose the configuration that you want to use from the "Modify Configurations" dialog.

Using this method you can set up machining jobs on parts with different configurations.

Machining parts with different configurations.

Machining Assemblies Product Data Management (PDM)


Product Data Management (PDM)

HSMWorks stores all the CAM data directly within your SolidWorks assembly and part files. This allows direct integration with your Product Data Management system (PDM for short).

If you want to keep your design separate from the machining you only need make a new SolidWorks assembly which links to your design. All your toolpath will still be associative to the design.

Since the generated toolpath can make your files much bigger than normal you might prefer to clear the toolpath for all the CAM operations before storing it within your PDM system. You would need to regenerate the toolpath again when you extract the files from PDM, though. However, our Distributed CAM™ solution would allow you to reduce the calculation time to a minimum.

PDM will keep track of many parameters, like versioning, automatically which are often relevant in your NC programs. The HSMWorks Post Processor can be customized to include all the relevant information from the PDM system in the generated NC programs automatically so you avoid introducing manual edit errors. Common parameters being design version, contact information, ISO document management (e.g. ISO 19005-2:2011), and general design notes. PDM provides a common framework for managing all this meta information.

You can also add machining relevant information in your SolidWorks files which can be used within your PDM system for quickly locating specific programming files.

Machining Different Component Configurations Resetting the CAM Tab


Resetting the CAM Tab

If you wish to reset the CAM tab on the Command Manager to it's default layout you can do so by deleting the tab and then restarting HSMWorks/SolidWorks:

  • Right-click on one of the command tabs and choose Customize CommandManager.

  • While the Customize dialog is open, right-click on the CAM tab and choose Delete.

  • Restart HSMWorks/SolidWorks.
Product Data Management (PDM) Saving During Toolpath Generation


Saving During Toolpath Generation

All HSMWorks toolpath information is stored within your SolidWorks files. You can save parts and assemblies while toolpaths are being generated.

When saving, all operations and the toolpaths of those operations that have been fully generated will be stored. Any operations that are still being generated will be automatically excluded.

Resetting the CAM Tab Selecting Chains


Selecting Chains

Most strategies allow you to select contours/boundaries for defining the machining. Depending on their particular purpose these chains can be either open or closed. The chains can be selected from either edges, faces, sketches, or sketch segments - including splines.

  • Closed chains are commonly used for both boundaries and driving machining.
  • Open chains are commonly used for driving machining.

Using Chain Propagation

When a suitable sketch or face does not exist, 2D geometry is normally selected from edges or sketch segments. You can select each edge/sketch segment manually one item at a time. As this can be time consuming for more complex geometry, HSMWorks lets you automatically "select" connected items by propagating along the geometry starting with the items you have selected.

1. Starting a chain from an edge. Depending on which end of the edge is clicked, the direction is set to start from that end.

2. Checking Tangent Propagation continues the chain around the rounded corners.

3. Checking Propagate along Z continues the chain around the entire feature, in turn closing the chain.

Most of the time Propagate along Z is all that is required but for geometry that is not entirely flat you can use Tangent propagation to propagate along edges that differ in Z.

Selecting Partial Chains

The chain propagation feature continues around the edges for as long as possible. Sometimes this results in a chain being longer than desired in which case you can stop the propagation, thus creating a partial chain.

To stop the propagation, simply select the opposite end of the edge or sketch segment where you want the propagation to stop, as illustrated by the following example.

1. Start the automatic chaining.

2. Forced stop of the automatic chaining.

Saving During Toolpath Generation Selecting Features for Machining


Selecting Features for Machining

HSMWorks allows you to select SolidWorks features from the feature tree as the machining geometry (e.g. contours).

This is useful when for example machining a fill pattern:

Selecting a cut and pattern feature as the geometry for a 2D pocket operation.

Selecting Chains Simple Toolbars


Simple Toolbars

HSMWorks by default makes use of fly-out menus in the Command Manager for presenting the primary functions.

HSMWorks fly-out menus.

While this allows more functionality to fit in the Command Manager and makes it easier for new users to distinguish the strategies, it does require an extra click. For this reason, experienced users may want to show the individual strategy toolbars to save a click.

Right-click on the Command Manager and click on one of the HSMWorks toolbar names.

CommandManager right-click menu.

This will show the toolbar as a floating toolbar.

Floating toolbar.

By dragging the toolbar to either side of the main window, the toolbar can be docked in place.

Docked toolbar.

Selecting Features for Machining Stock and Part Configurations


Stock and Part Configurations

Often you will find that the early stages of a part corresponds to the actual stock of your part. In such cases, it can be useful to make a configuration called "Before" (or "Stock" or similar) and one called "After" (or "Final" or similar). You can then suppress all the features to be cut from the Before configuration, and use that as the stock for your machining operations.

  • Add the configurations to your part with the appropriate features suppressed in the Before configuration.

Before configuration.

After configuration.

  • Insert the part into a new (or existing assembly), for example using the Make Assembly From Part option on the File menu.
  • Insert or make a second copy of the part in the assembly, for example by using Ctrl+C, Ctrl+V on the first part instance.

  • Right-click on one of the instances, and choose Configure Component.
  • From the Modify Configurations dialog, choose the opposite configuration from the drop-down.

Modify configuration.

  • Set the display mode of the Before instance to Wireframe, or Transparent.

Both configurations in the same assembly. The Before instance is set to display in Wireframe mode.

  • In HSMWorks, create a new Job.
  • By default both the Before and After instance will be selected as the model. Remove the Before instance from the Model selection box.

  • Choose From Solid in the Stock Mode drop down.
  • Select the Before instance in the Stock selection field.

  • Make sure that the WCS is setup with the correct orientation.
  • Choose OK to close the property page and create the Job.
  • Create a new Adaptive Clearing operation, with a tool and parameters of your choice, but be sure to leave the Rest Machining mode at From Job Stock.

  • Press OK to generate the operation.

The resulting toolpath.

Simple Toolbars Units


Units

Within HSMWorks and SolidWorks, the units in which values are presented and entered do not depend on the internal representation of parameters, geometry, and toolpaths. This allows you to change units on the fly without any conversion of parameters, geometry, or toolpath.

The display units can be changed by changing the unit of the SolidWorks document.

  • Open the Tools menu.
  • Choose Options.
  • Go to the Document Properties tab.
  • Choose Units.
  • Select the Unit System and individual units you wish to use.

Setting the units for a SolidWorks document.

HSMWorks only uses two unit modes - metric and imperial/ich. If either of the SolidWorks metric unit systems - MKS, CGS or MMGS is selected, HSMWorks uses the metric mode. And if the IPS system is selected, HSMWorks uses the inch mode. For custom unit systems, HSMWorks chooses the mode based on the Length unit.

In each of the modes, the unit HSMWorks displays depend on the unit typically used for a given parameter. E.g. in metric mode all lengths are displayed in mm, feeds in mm/min, and surface speeds are shown in m/min. In inch mode, lengths are in inches, feeds in in/min, and surface speeds in ft/min.

As a special feature, each tool carries its own unit so it is possible to use a metric tool in an inch based part, and vice versa. The tool unit is chosen with the Unit drop down in the tool editing dialog:

Tool unit.

Additionally, it is possible to override the document unit when post processing:

Post processing unit.

You can always enter a value in a different unit as long as it is compatible with the current one. E.g. entering "1in" in a metric field results in the value "25.4mm" being displayed.

Stock and Part Configurations Views (Top/Front/Isometric etc.)


Views (Top/Front/Isometric etc.)

In SolidWorks and other CAD systems, it is customary to design parts with the Z-axis facing outwards from the screen. The orientation of the standard views (Top, Front, Isometric etc.) in SolidWorks are set up with this assumption, which means that for CAM-oriented parts (which typically have Z pointing upwards) the standard views do not behave as expected.

Fortunately, it is quite easy to change the standard views:

  • Orientate the part so that you are looking down on the part from it's top. This can be done by selecting a flat face or plane at the top of the part and choosing the Normal To view (or pressing Ctrl+8).

  • Press the Spacebar to bring up the Orientation menu.
  • Single click on *Top.
  • Click on the Update Standard Views toolbar button in the Orientation dialog box.

  • Click Yes in the confirmation dialog box.

This will update all the standard view of the part so that the following view-hotkeys (Ctrl+1 through Ctrl+8) and the "Four View" behave as expected.

If you want to put things back the way they were:

  • Press the Spacebar.
  • Click on the Reset Standard Views toolbar button in the Orientation dialog box.
Units Virtual Components for Stock, Fixtures, and Rest Material


Virtual Components for Stock, Fixtures, and Rest Material

When using HSMWorks in an assembly, you have a great deal of flexibility in defining stock, fixtures, and rest material since you can take advantage of all the SolidWorks modeling facilities to construct these as individual components in assembly mode.

Normally each component is saved as a separate file. This is fine if you are using the component in multiple assemblies, but adds a bit of unnecessary work if the component is only used in a single assembly.

Fortunately, in SolidWorks 2008 SP0 and later, you don't have to save each component separately since you can now store the parts inside the assembly file as virtual components.

To create a virtual component, follow these steps:

  • In your assembly, choose Insert -> Component -> New Part, or click the corresponding button on the command tab:

  • Select the face or plane on which to position the new part.
  • A new sketch will automatically be created on the selected face or plane.
  • Construct the stock, fixture or rest material. In this example we are using a Revolved Boss/Base feature:

  • Press Edit Component to return to the assembly:

  • For stock or rest material components you may want to make the component transparent.

    To do this, right-click the component and choose Change Transparency:

  • This new component can now be chosen as HSMWorks stock, fixture or rest material by selecting the component in the feature manager from the respective selection boxes.
  • When saving the assembly, you will be prompted to save internally or externally. Choosing save internally will save the new virtual component inside the assembly, without creating a separate file.

If you later on wish to save it in an external file, simply right-click on the component an choose Save Part (in External File):

Views (Top/Front/Isometric etc.) Job Setup


Job Setup

  • Machining STL Files
  • Setting the X-Axis for Turning Jobs
  • Continue Machining from Previous Job
  • Job WCS from Model & Orientation

Common job parameters are configured on the job specification property page which is accessible from the right-click menu of the root of the operation manager.

Job

The machining job can be described specifying the machining method and with a comment. These parameters are made available to the post processor.

Type:

Operation Type

Specifies the machining method.

Milling
All types of Milling machines.

Turning
2x Lathes, Lathes with mill/turn configurations.

Comment:

Job comment.

Workpiece

The model specified for the job is used by default for all 3D surface machining operations. The selected model will also be used during the simulation of a toolpath.

Model unit:

Model Unit

Scale

Specifies the scale of the model.

Stock

The shape of the stock the machining starts from is by default determined automatically from the model and the toolpath. Alternatively it can be specified by selecting a solid or a sketch.

The specified stock and fixture are used when simulating the generated toolpath, and can also be used by some machining strategies.

It is recommended that the stock solid and clamps are put into a separate SolidWorks part and that the component display for stock solids should be set to wireframe so the solid doesn't interfere with the normal part selection.

Stock Mode

Specifies the size and shape of the stock.

Fixed Size Box - Creates a rectangular stock body of a specific (fixed) size. Relative Size Box - Creates a rectangular stock body larger than the model by a given set of values. Can be rounded up to the nearest specified increment. | Fixed Size Cylinder - Creates a cylindrical stock body of a specific (fixed) size. Relative Size Cylinder - Creates a cylindrical stock body larger than the model by a given set ofvalues. Can be rounded up to the nearest specified increment.
Fixed Size Tube - Creates a tube stock body of a specific (fixed) size. Relative Size Tube - Creates a tube stock body larger than the model by a given set of values. Can be rounded up to the nearest specified increment. | From Solid - Creates a stock by selecting a solid body in a multi-body part or from a part file in an assembly.

Reverse Direction

Specifies which direction of the extrusion from sketch to be reversed.

Stock offset mode

Specifies how stock is added to the model.

Stock Offset Mode

No additional stock | Add stock to sides and top-bottom | Add stock to all sides

No additional stock - No offset values are added to the stock size.

Add stock to sides and top-bottom - Symmetrical stock offset for all sides. Unique values for top and bottom offsets.

Add stock to all sides - Unique values for all offset directions.

Stock side offset

Specifies the additional stock on the sides.

Stock top offset

Specifies the additional stock on the top.

Stock bottom offset

Specifies the additional stock on the bottom.

Stock +X offset

Specifies the offset of the stock.

Stock -X offset

Specifies the offset of the stock.

Stock +Y offset

Specifies the offset of the stock.

Stock -Y offset

Specifies the offset of the stock.

Stock +Z offset

Specifies the offset of the stock.

Stock -Z offset

Specifies the offset of the stock.

Use Stock Radius

Specifies the radius of cylindrical stock instead of using an offset value.

This option is helpful when working with bar stock that is ordered at a given diameter or radius.

Stock radius

Specifies the radius of the stock.

Radial stock offset

Specifies the radial offset of the stock.

Continue Machining From Previous Setup

Stock in Chuck

Specifies the amount of stock in the chuck.

Chuck Model

Clamp From inside

WCS Origin

Specifies the location of the Work Coordinate System (datum) for the job relative to the stock.

WCS Origin Selection

The orientation of the WCS above is defined with the WCS orientation selection box.

Home Position

Specifies the home position along the Z axis.

Spindle

Specifies the spindle to use.

Primary spindle

Secondary spindle

Work Offset

Identifies the desired workpiece coordinate system (WCS) for the setup. It is the responsibility of the post processor configuration to map this number to the actual WCS on the machine.

WCS Offset Increment

Specifies the work offset increment used for workpiece duplication.

Multiple WCS Offsets

Enable to specify that the workpiece is to be duplicated.

Work duplicates

Specifies the number of workpiece duplicates. This is the total number of instances.

Operation Order

Specifies the ordering of the individual operations.

Preserve order - Specifies that features are machined in the order in which they were selected.

Order by operation - Specifies the ordering of the individual operations.

Order by tool - Specifies the ordering of operations by tool. For example, all operations that use a 3/4" diameter flat mill are machined first. Then the next set of operations that use another identical tool, a 1/4" diameter flat mill for example, are machined next.

Stock side offset

Specifies the additional stock on the sides.

Stock top offset

Specifies the additional stock on the top.

Stock bottom offset

Specifies the additional stock on the bottom.

Stock +X offset

Specifies the offset of the stock.

Stock -X offset

Specifies the offset of the stock.

Stock +Y offset

Specifies the offset of the stock.

Stock -Y offset

Specifies the offset of the stock.

Stock +Z offset

Specifies the offset of the stock.

Stock -Z offset

Specifies the offset of the stock.

Stock Offset

Specifies the distance to offset the stock contour outwards.

Stock Offset

Use Stock Radius

Specifies the radius of cylindrical stock instead of using an offset value.

This option is helpful when working with bar stock that is ordered at a given diameter or radius.

Stock radius

Specifies the radius of the stock.

Radial stock offset

Specifies the radial offset of the stock.

Frontside Stock Offset

Specifies the distance to machine beyond the frontside of the model.

Confinement using offsets

Negative frontside offset

Positive frontside offset

NOTE: This offset applies to the frontside of the model or containment region, and can be used at the same time as a backside offset.

Backside Stock Offset

Specifies the distance to machine beyond the backside of the model.

Confinement using offsets

Negative backside offset

Positive backside offset

NOTE: This offset applies to the backside of the model or containment region, and can be used at the same time as a frontside offset.

Stock Thickness

Specifies the overall thickness of the stock.

Stock Height

Continue Machining From Previous Setup

Fixture (Miling) / Chuck (Turning)

Select any fixtures that should be included for collision detection when verifying toolpaths during stock simulation (milling).

Define the chuck jaw that should be included for collision detection when verifying toolpaths during stock simulation (turning).

Stock in chuck:

Stock in Chuck

Specifies the amount of stock in the chuck.

Clamp From inside

Work Coordinate System (WCS)

The Work Coordinate System (WCS) specifies the global coordinate system in which the post processed toolpath will be output. The WCS defaults to the front plane.

When editing and simulating the coordinates will also be presented in the WCS by default.

Read more about using Work Coordinate Systems in the CNC Handbook.

Tool Orientation Selection

Specifies how the workpiece coordinate system is specified.

Origin & Orientation | Coordinate System | Stock & Orientation

Use Origin & Orientation - A sketch point or stock vertex is used to define the location of the WCS, and a plane or planar face is used to define the orientation of the WCS.

Use Coordinate System - An existing user coordinate system (UCS) is used to define both the location and orientation of the WCS.

Use Stock & Orientation - A location on the stock (Example: Top Center) is used to define the location of the WCS, and a plane or planar face is used to define the orientation of the WCS.

WSC Origin

Workpiece coordinate system (WCS) origin.

WSC Orientation

Workpiece coordinate system (WCS) orientation.

X-Axis:

Specifies the X-axis direction.

WCS origin:

WCS Origin

Specifies the location of the Work Coordinate System (datum) for the job relative to the stock.

WCS Origin Selection

The orientation of the WCS above is defined with the WCS orientation selection box.

Home position:

Home Position

Specifies the home position along the Z axis.

Machine

Post Processing

Default post processing parameters like the program name, program comment, and work offset can also be provided.

The work offset will be mapped by the post processor configuration to the corresponding zero table index (e.g. G54-G59) on the CNC control. A value of 1 would normally be setup to be the first available zero index on the CNC control (e.g. G54). The WCS and work offset will generally be setup to match one another on a one-to-one basis.

Program name:

Specifies the program name.

Program comment:

Specifies the program comment.

Work Offset

Identifies the desired workpiece coordinate system (WCS) for the setup. It is the responsibility of the post processor configuration to map this number to the actual WCS on the machine.

Multiple WCS Offsets

Enable to specify that the workpiece is to be duplicated.

Work duplicates

Specifies the number of workpiece duplicates. This is the total number of instances.

WCS Offset Increment

Specifies the work offset increment used for workpiece duplication.

Operation Order

Specifies the ordering of the individual operations.

Preserve order - Specifies that features are machined in the order in which they were selected.

Order by operation - Specifies the ordering of the individual operations.

Order by tool - Specifies the ordering of operations by tool. For example, all operations that use a 3/4" diameter flat mill are machined first. Then the next set of operations that use another identical tool, a 1/4" diameter flat mill for example, are machined next.

Using Multiple Job Work Offsets

HSMWorks supports patterning of entire jobs using the multiple work offset feature which essentially duplicates the entire jobs using different work offsets. This feature is generally used when the individual position of each instance is not known precisely.

Once you enable Multiple WCS offsets you can specify the total number of instances and the work offset increment to be used. You can also choose the order of the duplicated toolpath (by job, by operation, or by tool).

Enabling multiple work offsets.

The setting for the "Work offset" field depends on the post processor, in this case we are using a Fanuc post, so specifying 1 will use the first work offset (G54), the next field is the number of duplications, in this case 4, and the last is the increment, in this case 1, i.e. the next offsets will be G55, G56 and G57.

Using multiple work offsets in the same NC program might require special attention in the post configuration with respect to machine retracts and similar.

If the physical setups of each instance are evenly spaced it is sometimes possible to use a normal pattern feature instead. This will allow you to fully simulate the duplicated toolpath. However, this approach requires you to add toolpath to align the stock for each instance.

The multiple work offset feature only applies to the post processing and setup sheet features. It is not possible to simulate the duplicated toolpath as the relative positions of each instance are not known inside HSMWorks (e.g. G54 in relation to G55). So to see the multiple work offsets we must look at the posted file, so first we must set the work offsets in the editor before backplotting.

Setting work offsets in the editor.

Multiple work offsets in the posted file.

Virtual Components for Stock, Fixtures, and Rest Material Machining STL Files


Machining STL Files

SolidWorks supports importing STL files, but only for display purposes. HSMWorks supports machining directly off STL files by using the Load model function in the Job setup.

Load model button.

Pressing the Load model button will let you browse for a Stereolithography (*.STL) file to be imported. When the SolidWorks part or assembly is saved, the STL data is saved internally in the part or assembly.

With an STL loaded you can press the Unload model to remove the STL data and load a different file if you wish to.

Since STLs are saved in different units depending on the generating software, it may be necessary to scale the STL. To do this you can specify the scale by selecting one of the available units or entering a custom scale.

A scale of 0.001 converts from millimeters to meters.

With an STL model loaded, a preview of the STL is shown in the model window and the automatic stock feature works.

Automatic Stock on an STL.

Heights "From Model Top/Bottom" and "From Stock Top/Bottom".

Parallel toolpath on an STL.

Setting the X-Axis for Turning Jobs


Setting the X-Axis for Turning Jobs

When creating a new turning job, the X-Axis is oriented according to the model view.

The default X-Axis orientation after selecting front circular face for the Z-axis orientation.

Often it is beneficial to have the X-Axis oriented along an existing sketch or other geometry so selecting points and sketch segments lie in the ZX-plane.

To set the X-Axis, simply click on the X-Axis selection box in the WCS selection group and pick any point or vertex on the model or from a Sketch to point the X-axis towards that point.

The manually oriented X-Axis. Notice that the preview of the spindle is updated accordingly.

Note that the direction of the X-Axis also determine where the model is sliced to produce the profile for the toolpath generation.

Machining STL Files Continue Machining from Previous Job


Continue Machining from Previous Job

When using multiple jobs from different orientations, you can perform rest machining between the jobs.

To do so, follow these steps:

  • Create two jobs with two different tool views, in this example called Job1 and Job2.
  • Create operation(s) in Job1 that removes stock that is also reachable in Job2.

Job1 roughing.

  • In the setup of Job2, enable Continue machining from previous job.

Enable Continue machining from previous job in Job2.

  • Create operation(s) in Job2 that have Rest Machining enabled and set to From Previous Operation(s).

Job2 roughing considers the material removed in Job1.

Setting the X-Axis for Turning Jobs Job WCS from Model & Orientation


Job WCS from Model & Orientation

Model & Orientation is similar to Stock & Orientation but the WCS origin will be associative to the model rather than the stock.

While the distinction between the two modes is fairly subtle, it can be very handy in some situations.

WCS with Use Stock & Orientation.

WCS with Use Model & Orientation.

Continue Machining from Previous Job Licensing


Licensing

HSMWorks is activated using the Autodesk licensing system, as part of Autodesk's Product Design & Manufacturing Collection.

  • License Types
  • Add & Remove Users
  • Managing User Permissions

Job WCS from Model & Orientation License Types


License Types

There are two types of Autodesk licenses available for HSMWorks.

A stand-alone license is a single-user license. It is linked to a user's credentials and can be used on any device at any location, as long as the device is connected to the internet at least once every thirty days for license validation.

A network license is a multi-user 'floating' license. There is no limit to the number of users assigned to this license, but there is a limited number of seats for active users.

Depending on when your organization purchased a Product Design & Manufacturing Collection subscription, license management is performed using different systems. Purchases before December 2, 2016 employ the Classic system, which performs management with the Contract Manager and Software Coordinator roles. Purchases after this date use the New system, which performs management with the Primary Administrator and Secondary Administrator roles.

All license management functionality is accessed through https://accounts.autodesk.com/

Add & Remove Users


Add & Remove Users

To give users access to HSMWorks, managers must first add the user to their license. This is done differently for Classic and New license management systems. Under both systems, all users require a first name, last name, and email.

Classic

For Classic license owners, Contract Managers and Software Coordinators are able to add and remove users. Under the Users menu in the Management pane, a list of users is available for editing.

By clicking Add and filling in the aforementioned fields, a new user profile can be created.

Before removing a user in the Classic system, all permissions should be removed first. Once this is done, a user's profile can be removed by selecting the X button on their record and confirming removal.

A video walkthrough for this functionality is available at https://knowledge.autodesk.com/customer-service/account-management/users-software/add-remove-users/add-remove-users-classic-view

New

In the New system, Primary Administrators and Secondary Administrators can manage users. This functionality is available under the Users menu in the Management pane.

First name, last name, and email must be filled out as comma-separated values. As many users as desired can be added with one command in this fashion.

Adding a user with the New system sends an invitation to their email address, and access displays 'pending' until they respond to this invitation.

License Types Managing User Permissions


Managing User Permissions

Under both systems, users cannot use Autodesk products until their permissions are enabled. Each Autodesk product has a corresponding permission, so access to Autodesk's Product Design & Manufacturing Collection must be granted before the user can access HSMWorks.

Classic

To manage a user's permissions under the Classic system as a Contract Manager or Software Coordinator, the Edit Access link on a user is used. Multiple users can be selected to batch-edit permissions.

Under Products & Services, the products available under your organization's license are shown, along with the remaining seats available. Permission to use each product can be granted individually using the Assign column.

New

In the New system, user permissions are available in their profile for Primary Administrators and Secondary Administrators. The highlighted number indicates the number of seats available for this product. Access to individual services of a product can also be modified.

Add & Remove Users Manual NC


Manual NC

HSMWorks allows you to insert special manual NC entries in the operation manager. These entries can be used to directly control the generated NC code within the NC program. For instance, by forcing a tool change that would otherwise not be required. It is fully up to the post processor configuration to make use of these commands in the desired manner.

The currently supported types of manual NC are:

  • Action - Send generic command to the post processor to trigger post specific behavior.
  • Alert - Request an alert event on the CNC control. Similar to alarm but would not result in a failure.
  • Alarm - Request an alarm event on the CNC control. Would trigger a program failure.
  • Calibrate - Request calibration of the CNC machine.
  • Call Program - Call subprogram.
  • Clean - Request an cleaning cycle.
  • Close Door - Requests the door to be closed on the CNC machine.
  • Comment - Write a comment in the NC program.
  • Force Tool Change - Forces a tool change for the next operation.
  • Display Message - Display a message on the CNC control.
  • Dwell - Dwell for the given period.
  • Measure Tool - Request the selected tool to be measured.
  • Open Door - Requests the door to be opened on the CNC machine.
  • Optional Stop - Requests an optional stop command (M1 on most ISO controls).
  • Pass Through - Passes literal NC code directly through. This is considered unsafe.
  • Print Message - Print a message to the output (e.g. serial connection).
  • Start Chip Transport - Requests the chip transport to be started.
  • Stop - Requests an stop command (M0 on most ISO controls).
  • Stop Chip Transport - Requests the chip transport to be stopped.
  • Tool Break Control - Request the CNC machine to check if the tool is broken or not.
  • Verify - Verify integrity of CNC machine.

To insert any one of these entries, simply pick Manual NC from the New Operation menu, and choose the appropriate type of NC entry from the drop down.

Editing two types of Manual NC entries: Comment and Dwell.

Manual NC example.

Managing User Permissions Operation Manager


Operation Manager

  • Jobs
  • Folders
  • Notes
  • Job Stock Preview
  • Stock Preview
  • Toolpath Preview
  • Splitting the Operation Manager
  • Compare and Edit
  • Derived Operations
  • Optional Operations
  • Protect Operations
  • Suppress Operations
  • View Toolpath
  • Machining Time
  • Drag and Drop

The Operation Manager is the placeholder for all your toolpath. All toolpath is organized in job folders which describe the physical setup (e.g. your work coordinate system). A complete program is composed of one or more individual operations which contain the actual generated toolpath (cutter location information). For more complex jobs it can be useful to organize the operations into subfolders.

The ordering of the jobs and operations within the Operation Manager is also the ordering that will generally be reflected in the final NC program or when simulating the toolpath. Toolpath patterning and tool reordering are the only features that can influence the listed order.

The operation manager.

Operation Warnings

After generating at toolpath in HSMWorks, the operation may sometimes be marked with an orange check mark:

The orange mark indicates that a toolpath was generated successfully but with one or more warnings.

To see what the warning is, right-click the operation and choose Show Log:

In the picture below, the 2D Pocket operation cannot clear all selected areas because there is not enough room for a ramp with the given settings:

This gives the following warning:

Inline Information

Additional information can be shown in the operation manager alongside the name. Please reffer to Operation Manager Inline Information to know more about operation manager preferences.

Inline information.

Keyboard Shortcuts

Many of the actions that are used often have keyboard shortcuts associated with them. The most common ones are the actions on the right-click menu in the operation manager. These include:

Shortcut keys available in the operation manager
Shortcut | Description
Ctrl+C | Copy selected operation(s)
Ctrl+V | Paste copied operation(s)
Ctrl+D | Duplicate selected operation(s)
Ctrl+G | Regenerate selected operations
Ctrl+L | Show operation log
Ctrl+T | Show machining time
Ctrl+A | Select All (items of same type)
Delete | Delete operations/folders/job
F2 | Rename operation
Alt+Arrow Up | Move selected operation(s) up
Alt+Arrow Down | Move selected operation(s) down
Enter | Edit selected item

Note that these shortcut keys only work when the operation manager has focus. To make sure that this is the case, click somewhere in the operation manager first.

When editing parameter values, the following shortcuts can be useful:

Shortcut | Description
Enter | Save and recalculate parameter
Ctrl+Enter | Same as pressing OK on the property page
Arrow Up | Increment numerical value at cursor
Arrow Down | Decrement numerical value at cursor

In addition to these common keyboard shortcuts, there are also a number of places in HSMWorks where holding Shift, Alt or Ctrl modifies the normal behavior.

  • Holding Shift while clicking OK in a strategy property page will skip the automatic regeneration of the operation.
  • Holding Shift while creating a new operation adds a new operation with default parameters, but does not open the property page or start regeneration.
  • Holding Shift while opening a document allows you to skip loading of toolpaths. Note that when saving, the previously generated toolpaths will be lost.
  • Holding Shift while starting regeneration will start regeneration in the background - without showing the task manager.
  • Holding Shift while hovering over a parameter field will show an extended tooltip that lists the formulas used for the parameter.
  • Holding Alt while double-clicking on an item in the operation manager will edit the clicked item.
Manual NC Jobs


Jobs

A job defines a number of general properties for a set of machining operations - including the work coordinate system (WCS), the stock geometry, fixtures and the machining surfaces.

Every job is represented as a separate item in the operation manager using the job icon: . Any operations located under this item, will use job settings by default.

To create operations in HSMWorks, you will need at least one job. You create a job manually, by pressing [image] New Job on the HSMWorks toolbar, or from the operation manager right-click menu. If you do not create a job manually before adding your first operation, a job with default parameters will be created automatically.

A 3+2 part with a job for each side to be machined.

Folders


Folders

Unlike Jobs, folders do not affect the operations that they contain, but are useful for grouping of operations. For example a common scenario is to create folders for roughing, semi-finishing, and finishing operations:

A 3D part with folders for each group of operations.

You can create a new folder in two ways:

  • Select a number of operations, holding Shift or Ctrl while clicking on them. Then right-click one of them and choose [image] Add to New Folder.
  • Create a new folder by right-clicking in the operation manager, and choosing [image] New Folder. Then add or move operations to this folder.

When using jobs or folders, new operations are by default added to the newest folder or job. If you want to add operations to a different folder or job, you can either make that folder the default folder by right-clicking on it and choosing Make Default Folder. The default folder is highlighted in bold.

If you just want to add an operation to a specific folder quickly, you can do so without making it the default folder first. Simply create the operation by right-clicking on a specific folder and choose New Operation or Create from Template. This will add the new operation(s) to the focused folder rather than the default folder.

Jobs Notes


Notes

You can add notes for each operation by choosing Edit Notes from the right-click menu in the Operation Manager. The notes can be output in the generated setup sheets or NC programs. The notes will generally be used to convey important information to the CNC operator. The HTML setup sheet will include notes by default. Most generic posts need to be udpated to include notes.

Choosing Edit Notes from the menu.

Editing a note for an operation.

Folders Job Stock Preview


Job Stock Preview

You can quickly preview the stock for a job by selecting it from the operation manager. The stock preview shown in the operation manger is automatically hidden when the operation manager is made inactive. This feature allows you to immediately verify that the stock has been set up properly without editing the Job or entering Stock Simulation.

Previewing the stock for a selected job.

Notes Stock Preview


Stock Preview

The Stock Preview feature allows you to see the stock as it looks after the selected operations have been run directly from the operation manager. Stock Preview provides a convenient and quick overview of the remaining stock that needs to be machined without entering the simulation. Stock preview is automatically recalculated whenever you select new operations within the Operation Manager. The preview calculation is done in the background without blocking the user interface and the preview is updated progressively on the screen.

The stock preview is hidden by default but can be turned on from the View fly-out menu.

Enabling Stock Preview.

Stock preview for multiple 3D operations.

Job Stock Preview Toolpath Preview


Toolpath Preview

In HSMWorks you can preview and simulate toolpaths while they are being calculated. If you have a toolpath that is taking some time to calculate, you have the option to continue working by pressing "Hide" on the Task Manager (if it is visible).

If you select a calculating operation, the preview will show the toolpath generated up to this point. This can be very useful for spotting incorrect parameters early in the process - like an incorrect machining boundary - without having to wait for the calculation to complete.

Preview for a partially generated Scallop toolpath.

Similarly, you can simulate calculating toolpaths by simply pressing the Simulate button. HSMWorks will warn that the toolpath is invalid, but if you press Yes to continue it will be simulated anyway.

Simulation of a partially generated Scallop toolpath.

Note that only the cutting passes are simulated, as linking passes are not available until the end of the calculation. The ordering of the unlinked passes may also deviate from the ordering once the toolpath has been fully linked.

Stock Preview Splitting the Operation Manager


Splitting the Operation Manager

HSMWorks fully supports splitting the SolidWorks Feature Manager. This allows you to see two different views of the operation manager at the same time - one at the bottom and one at the top part of the Feature Manager. This feature opens up for new ways to manage operations, since you are allowed to see the top operation manager while editing an operation in the bottom (which is normally locked).

To show the top operation manager, either drag the splitter located just above the tabs, or simply click the operation manager tab:

The extra operation manager let's you manage the operations as usual - except for the actions that conflict with the operation being edited (e.g. delete, edit, and move). Most useful is probably Duplicate (or Copy/Paste), since this allows you to create a copy of the operation you are currently editing:

This effectively lets you keep two copies of the operation - one before and one after the editing.

Using the splitter also allows you to highlight a model feature (e.g. a sketch) while showing the toolpath of one or more operations. This can be useful for quick comparisons of a toolpath against specific geometry.

Toolpath Preview Compare and Edit


Compare and Edit

HSMWorks allows you to compare and edit multiple operations simultaneously from a single dialog even when the operations are of different machining strategies.

To edit multiple operations, simply select two or more operations by holding Ctrl while clicking each of the operations within the Operation Manager. You can also select a range of operations by holding Shift, or by dragging a box around the operations.

With multiple operations selected, right-click one of the selected operations and choose Compare and Edit as shown on the following image:

"Compare and Edit" on the right-click menu with multiple operations selected.

This will bring up the Compare and Edit dialog which lists all the parameters available in separate lines and each of the selected operations in their own column. In addition there is an "Edit All" column which allows you to set the same value for a parameter in all of the operations.

The Compare and Edit dialog.

By clicking on any of the values in the column for an operation or in the "Edit All" column, you can change the value provided that it is editable.

Pressing OK will ask you to confirm your changes and then save all of the changed parameter values and invalidate the affected operation(s).

If you need to change tool settings, you can do so by accessing the Tool Library via the "Tool Library" button.

The Compare and Edit dialog provides an overview of the settings in all of the selected operations, and since many operations have a lot of parameters, it is possible to filter which are shown in the list by using the filtering controls at the bottom of the dialog.

The filtering controls in the "Compare and Edit" dialog.

Entering text in the filter text box will show only the parameters with names matching the text. For example, entering "tool" will show all the tool related parameters. Partial names are allowed, and entering "slo" will show the "Slope", "From Slope Angle" and "To Slope Angle" parameters.

Filter by State

The filter drop down (which defaults to "All") will filter the shown parameters based on their state.

  • Different
    Only parameters where the value for an operation differs from one or more of the other operations.
  • Non-default
    Parameters where the values have been changed from the default value.
  • Warnings and errors
    Parameters where the entered value has caused a warning or error. In addition, pressing OK will show any error messages.
  • Editable
    Parameters which can currently be changed, i.e. not parameters that are disabled or read-only.
  • Modified
    Parameters for which you have changed their value inside the "Compare and Edit" dialog.

Finally, clicking [image] will clear the current filter text and revert to the "All" filter.

Colors and Highlights

To make it easier to distinguish the different parameters states, the parameter values and rows are colored and highlighted depending on their state. The following table shows the various states and how they are highlighted:

Value is default - Text is colored green.

Value is non-default - Text is colored black.

Modified - Bold and colored blue.

Disabled or read-only - Grey.

Difference - Orange hash (stripes). The "Edit all" column shows <different>.

Warning - Text is colored orange.

Error - Text is colored red.

Note that the individual highlights may be combined. E.g. a parameter can be both changed (bold) and different (orange hashed background).

Splitting the Operation Manager Derived Operations


Derived Operations

Using the Create Derived Operation feature, you can create a new operation based on an existing operation.

If you for example wish to follow a parallel by a contour, using most of the same settings (stock to leave, tolerance, stepover, boundaries...), it is easier to use a derived operation instead of an entirely new operation.

Essentially the derived operation is a duplicate of the original operation, but with the strategy type changed. Note that parameter values are copied and are therefore not associative when using a derived operation, i.e. if you change the stepover in one operation, it will not be changed in the other.

Creating a derived operation.

You create a derived operation by right-clicking on an operation, choosing Create Derived Operation, and then choosing the type of the new operation as illustrated on the screenshot above.

Compare and Edit Optional Operations


Optional Operations

HSMWorks allows you to mark operations optional. The only difference for an optional operation is that the post processor will be able to mark the corresponding NC code optional which in turn allows you to optionally skip the corresponding toolpath on the CNC control. The post processor configuration has to be customized to support optional blocks.

To make an operation optional you right-click the operation and choose Optional. You can make the operation non-optional again by choosing Optional once more.

Making an operation optional.

Derived Operations Protect Operations


Protect Operations

HSMWorks allows you protect individual operations from getting invalidated when changing the model. This is useful if you have operations that have already been run on the machine and want to do rest machining from these operations while accommodating changes to the model.

To protect an operation you simply right-click the operation and choose Protect. Likewise, you choose Protect once more to un-protect it. Upon un-protection the operation is automatically marked invalid and must be regenerated.

Protecting an operation.

Once protected, operations are shown overlayed with a padlock icon.

The 2D Contour1 operation is protected
as shown by the padlock icon.

When the model is changed, all un-protected operations are invalidated as normal, while the protected operations remain unaffected and you can continue to use the toolpath as if it is up-to-date.

The toolpath for a protected operation after a change to the model.

Optional Operations Suppress Operations


Suppress Operations

HSMWorks supports switching between different configurations in a part or assembly. This is useful if you have different sized variations of the same part. In some cases you may also have different features in the different configurations which again require different toolpath operations. In these cases the ability to suppress operations can be useful.

Use of the suppress feature is best illustrated with an example. The following screenshot shows a part with two configurations:

A part with two different configurations.

The configuration Default has a number of stairs with slots which again has holes at the bottom. The configuration NoHoles, on the other hand, does not have the holes and hence the drilling operations are not necessary.

Switching to the NoHoles configuration updates the model with the hole geometry now suppressed. All toolpaths are invalidated and require regeneration.

The part with the "NoHoles" configuration active.

When regenerating the operations, the drilling operations will fail to regenerate (since the associated hole geometry does not exist in this configuration). To prevent HSMWorks from trying to regenerate the operations again in this configuration you can now suppress them:

  • Right-click the operations.
  • Choose Suppress.

The toolpath will be cleared, and you will receive a warning about this. Now the suppressed operations will be shown in the tree using a dimmed gray color:

Suppressed operations Drill1 and Drill2 are shown dimmed.

Note that suppressed operations are always ignored when simulating, post processing, and generating toolpath. This can be helpful if you have different copies of operations in your operation manager that are currently not in use but wish to keeep them for possible later use. Suppressing them will allow you to keep them around without getting error and warnings.

Protect Operations View Toolpath


View Toolpath

View Toolpath provides low-level information about the toolpath in a list format which can be more convenient than simulating the toolpath in some cases. View Toolpath is available from the right-click menu of the toolpath item of an operation in the operation manager.

The View Toolpath dialog shows information about the individual moves like feeds and speeds, movement types, tool compensation, and movement coordinates.

The View Toolpath dialog.

Suppress Operations Machining Time


Machining Time

Calculate the machining time for an operation is an important aspect in the manufacturing proccess. HSMWorks measures and calculates the machining time for a selected operation with a high accuracy. Machining Time is available from the right-click menu of the toolpath subitem of an operation in the operation manager, or through the shortcut Ctrl+T.

Show the Machining Time for the selected toolpath.

The Machining Time dialog shows information about the total machining time, determined as the sum of feed time, rapid time, and tool change time. This values are calculated using the feed and speed data of the current tool, the length of the calculated toolpath, and the rapid feed and tool change time that can be entered through the dialog.

The Machinig Time dialog.

You can also show total machining time for the complete job by selecting the Job folder on the operation manager and then hitting the keyboard shortcut Ctrl+T to open the Machining Time dialog.

View Toolpath Drag and Drop


Drag and Drop

The HSMWorks Operation Manager supports dragging and dropping of operations, tools, and geometry.

Dragging operations allows you to reorder operations within a job or folder, as well as moving operations to a different job or folder.

To drag an operation, press and hold the left mouse button on the operation you want to move. Drag the mouse towards a different location in the operation manager. Release the mouse button to drop the operation at folder or job underneath the mouse pointer, or at the position indicated by the insert marker.

Moving an operation to a different position in the operation manager.
The black line indicate the position where the operation will be moved to.

You can also drag tools between operations.

Dragging a tool from one operation to another will update
the target operation to use the tool that was dragged.

Finally you can hold down Shift while dragging an operation. Upon dropping the operation on a different operation, you will be given the option to copy compatible geometry:

Copying geometry between operations by holding Shift
while dropping an operation on a different operation.

Machining Time Pattern


Pattern

When the same geometry instances reoccur multiple times in the model you can take advantage of the toolpath patterning feature. This allows you to only generate toolpath for a single instance and then duplicate it for the remaining instances. Making use of patterning can speed up the entire programming process since all changes to a pattern take effect immediately and no toolpath has to be recalculated or updated.

To create a new toolpath pattern you first need to select the operations to be patterned/duplicated and then click the Pattern button on the CAM tab or right-click and choose Make Pattern.

Make pattern.

This creates a new folder containing the operations and then create the pattern on that folder.

If you already have the operations to pattern in a folder, you can right-click on the folder and choose Add Pattern instead.

Adding a pattern to an existing folder.

Either method will bring up the Pattern property page, which has the following modes:

  • Linear Pattern
  • Circular Pattern
  • Mirror Pattern
  • Duplication Pattern
  • Component Pattern

You configure the linear and circular pattern much like the Linear Pattern and Circular Pattern features in SolidWorks.

The Duplication pattern mode is slightly different in that you simply choose a number of points where the toolpaths should be instantiated (from the origin of the original toolpath). This is a bit like the Sketch Driven Pattern Feature in SolidWorks.

Circular Pattern toolpath example. | Linear Pattern toolpath example. | Duplication Pattern toolpath example.

Each of the patterns are described in detail in the following sections.

Patterns can be nested by putting the patterns into other pattern folders.

Pattern Ordering

The ordering of the operations within the pattern may be controlled by setting the 'Operation order'. The available ordering options are:

  • Preserve order - Machine each pattern instance at a time.
  • Order by operation - Machine each operation at a time across all instances.
  • Order by tool - Minimize number of tool changes.

Simulating Patterns

Once the pattern has been created you need to select the pattern folder to simulate or post process the entire pattern with all the duplicated toolpath. If you only select the operations contained within the pattern folder only these will be simulated disregarding any pattern.

Drag and Drop Linear Pattern


Linear Pattern

Linear Pattern toolpath example.

Creating a Linear Pattern

To create a linear operation pattern, follow these steps:

  • Start by creating the operation(s) for a single feature or the part that you want to pattern.
  • Add the operation(s) to a new folder, e.g. by right-clicking and selecting "Add to New Folder".
  • Right-click on the newly created folder and choose Add Pattern. This will bring up the Pattern property page.
  • Select "Linear pattern" in the pattern type drop-down (this is the default).
  • In the Direction 1 selection field, select a straight edge or sketch line in the direction that the operations should be patterned:

  • In the [image] Spacing 1 field, either enter the distance for the pattern manually, or right-click in the field and choose Measure to measure the distance between the features or parts in the

  • In the [image] Number of Instances 1 field, enter the number of times the operations should be patterned in this direction.

  • Repeat steps 6-7 for Direction 2, if necessary.

  • Finally, choose whether the pattern should re-order the operations according to tool or operation, or preserve the order of the operations within the pattern.
Circular Pattern


Circular Pattern

Circular Pattern toolpath example

Creating a Circular Pattern

To create a circular operation pattern, follow these steps:

  • Start by creating the operation(s) for a single feature or the part that you want to pattern.
  • Add the operation(s) to a new folder, e.g. by right-clicking and selecting "Add to New Folder".
  • Right-click on the newly created folder and choose Add Pattern. This will bring up the Pattern property page.
  • Select "Circular pattern" in the pattern type drop-down.
  • In the Axis selection field, select an axis feature around which the operations should be patterned. If the axis is not visible you may have to select it from the feature manager tree.

  • In the [image] Angle field, either enter 360 degrees, and enable the option "Even Spacing". This will distribute the pattern instances over the specified angle range. Alternatively measure the angle between two of the features and enter this angle here.
  • In the [image] Number of Instances field, enter 5. This will update the preview to show the toolpath on every instance:
  • Finally, choose whether the pattern should re-order the operations according to tool or operation, or preserve the order of the operations within the pattern.
Linear Pattern Mirror Pattern


Mirror Pattern

Creating a Mirror Pattern

To create a mirror pattern, follow these steps:

  • Start by creating the operation(s) for the part that you want to pattern.

  • Add the operation(s) to a new folder, e.g. by right-clicking and selecting "Add to New Folder".
  • Right-click on the newly created folder and choose Add Pattern. This will bring up the Pattern property page.
  • Select "Mirror pattern" in the pattern type drop-down.
  • In the Mirror plane selection field, select the Top plane from the feature tree.

  • Finally, choose whether the pattern should re-order the operations according to tool or operation, or preserve the order of the operations within the pattern.
Circular Pattern Duplication Pattern


Duplication Pattern

Duplication Pattern toolpath example.

Creating a Duplication Pattern

To create a duplication operation pattern, follow these steps:

  • Start by creating the operation(s) for a single feature or the part that you want to pattern.
  • Add the operation(s) to a new folder, e.g. by right-clicking and selecting "Add to New Folder".
  • Right-click on the newly created folder and choose Add Pattern. This will bring up the Pattern property page.
  • Select "Duplication pattern" in the pattern type drop-down.
  • In the Seed selection field, select a point, face or coordinate system feature. The selection should be on, or close to the geometry of the operation(s) you are patterning.

    Note that selecting a face or coordinate system is recommended, and required if all instances are not in the same rotation or tool view.

  • In the Instances field, select the corresponding point, face or coordinate system feature for each instance of the operation(s) that you want. It is important that you select the point, face or coordinate system that is equivalent to the selected seed since this is the basis for the location of the instances.

Selecting points.

Selecting faces. Note that two of the parts are rotated.

  • Finally, choose whether the pattern should re-order the operations according to tool or operation, or preserve the order of the operations within the pattern.

Duplication Pattern from Sketch with Points

In some cases it can be useful to pattern a set of toolpaths without relying on features in the design model. In such cases, using a sketch containing a point for each instance can be a quick way to create the pattern.

  • Create a toolpath for a single instance.

  • Create a Sketch with a point for each instance, e.g. using the Linear sketch pattern.

  • Create a HSMWorks pattern feature, and select a single point as the seed, and the sketch containing the remaining points for the remaining instances.

Mirror Pattern Component Pattern


Component Pattern

Creating a Component Pattern

To create a component pattern, follow these steps:

  • Start by creating the operation(s) for the part that you want to pattern.

  • Add the operation(s) to a new folder, e.g. by right-clicking and selecting "Add to New Folder".
  • Right-click on the newly created folder and choose Add Pattern. This will bring up the Pattern property page.
  • Select "Component pattern" in the pattern type drop-down.
  • In the Seed selection field, select the component for the part.
  • Enable the "Auto-select instances" option. This will automatically pattern the toolpaths to all instances of the seed component.
  • If there are any of the auto-selected instances that should be skipped, you can do so by selecting them in the Instances selection field.

  • Finally, choose whether the pattern should re-order the operations according to tool or operation, or preserve the order of the operations within the pattern.
Duplication Pattern PC Performance


PC Performance

As long as you only do 2D milling or turning your PC performance is not critical and HSMWorks will run fine on most hardware. However, if you do a lot of 3D or multi-axis machining then your PC performance will be important. Your system performance is important because it will directly relate to how fast you can generate and simulate toolpath. We recommend that you use a recent multi-core based PC with 8Gb or more system memory. Besides the hardware, there are many settings that impact your system performance.

Setting the Windows power settings in the Control Panel to High Performance can increase performance significantly.

To get the best possible HSMWorks performance on your PC, we recommend that you use the following settings in your PC's BIOS.

Changing your PC's BIOS settings can render your PC unuseable and should only be done by experienced users. Ask your IT administrator for help if you are unsure.

  • Enable Intel Turbo Boost Technology

    Our tests show ~5% performance gain when Intel Turbo Boost is enabled. Intel Turbo Boost Technology is a new feature in the latest Intel Nehalem processor.

    Click here for more information about Intel Turbo Boost Technology

  • Enable Hyper-Threading

    Tests show up to 20% performance gain when hyper threading is enabled for Intel I7 processors. For earlier processsor architectures you can keep Hyper-Threading disabled.

    Click here fore more information about Hyper-Threading

  • Power Management Settings

    Some power management like SpeedStep can dramatically influence the performance of the PC. Some settings can only be controlled from the BIOS, so we recommend that you check you BIOS power management settings.

Please note that the performance gains can vary depending on CPU architecture, the part, machining strategy, and other machining settings.

We recommend that you use the HSMWorks Performance Rating utility to test the effect of any changes that you make.

If you do a lot of 3D and multi-axis machining your system rating should not be lower than index 400. Recent high-end workstations will exceed ratings of index 700.

Component Pattern Post Processing


Post Processing

  • My Posts
  • Feed Table in NC Programs
  • Interaction During Post Processing

Post processing is the process used to convert the machine independent cutter location data into machine specific NC code which can be run directly on CNC machines.

When post processing operations, the cutter location data and associated meta-data like the job description and operation comment will be transferred into the post processor. It is full responsibility of the post configuration to convert all this data into meaningful NC code. The configuration is free to ignore any of the input data or to output extra data not directly derived from the cutter location data.

HSMWorks ships with customizable post processor configurations for all the commonly available CNC controls/machines. Generic post processors include Fanuc, Heidenhain, Haas, Hurco, Mazak, MillPlus, Okuma, Siemens, Yasnak, and many more. The post processor configurations can be updated to fit your exact requirements.

HSMWorks includes a highly flexible and fast post processor based on the JavaScript programming language to perform this critical task. JavaScript should not be confused with Java which is a very different programming language. The post processor is used for both NC program as well as setup sheet generation.

The post processor has been designed primarily for the purpose of text-based output so whenever you need to interchange data with other applications you should choose a text-based format to simplify the post development when possible.

The post processor has been highly optimized for performance and you should generally see your NC programs being generated within seconds (with the output commonly exceeding 6-7Mb/s). The actual performance naturally depends highly on the individual post configuration.

Ask your reseller about customization of the setup sheets and post processors.

Post processing dialog.

The generated NC code must be verified before use on CNC machines.

Usage

To post process toolpath first select the desired operations in the CAM operation manager and then choose Post Process from the Command Manager or operation manager right-click menu. This will bring up the post processor dialog which allows configuration of the post processor.

By default HSMWorks is configured to use the generic post configurations which are installed with HSMWorks. It is recommended that you create a dedicated folder at an appropriate place for the customized post configurations to ensure that the configurations are not lost when upgrading HSMWorks at a later time.

When the post processor dialog is first opened it will scan the folder containing the post configurations for default properties and make all working post configurations available to you.

To post process, you must first choose the desired post configuration, enter an appropriate program name and comment, setup the user-defined properties if required, and finally choose post. Modified user-defined properties will be highlighted in bold and blue. The entered post processing properties will be preserved between posting sessions so you only need to set your preferences once. However, if a post configuration is modified some parameters may have to be reentered.

Please note that the post processing time can vary greatly depending on the complexity of the post configuration and the size of the toolpath. Generally, post processing should complete within a few seconds. The post processor runs as a background task making it possible to keep working while the NC code is being generated. The post processor task is listed in the CAM task manager. When the post processing fails (e.g. if the program name is not supported) the error message can be viewed from the task manager by opening the task log.

If the Open NC in editor option is activated the generated NC code will be opened in the preferred editor defined in the CAM preferences. Alternatively, on failure the post processing log will be opened in the selected editor. The NC editor installed with HSMWorks is used as the editor by default.

When posting multiple jobs the jobs will be executed in the order given in the operation manager. You can enable Allow tool sorting to tell the post processor to reorder the operations to minimize the number of tool changes.

Configurations

HSMWorks comes with many different general purpose post processor configurations which can be modified to fit the individual requirements of the users. Due to the great diversity of the CNC machines the general purpose configurations can often not be used directly.

HSMWorks makes use of a fully customizable and fast post processor. This allows users to configure the post processor for their individual needs. For additional information on development of post processing configurations please consult the post processing documentation which accompanies HSMWorks.

PC Performance My Posts


My Posts

Your post configurations are normally customized and delivered by your reseller. The configurations are commonly sent by E-mail and are usually single files which are easy to install for use with HSMWorks. Even though this process is simple you still need to make sure that you are using the latest version of a particular post configuration which can be error-prone especially when multiple programmers share the same PC and change the settings freely.

HSMWorks includes a built-in post management feature which helps to avoid management problems. It is fully optional if you and your reseller choose to make use of this feature. The post management feature ensures that your post configurations are delivered thought out your organization and allows you to easily confirm the version you are using.

If your reseller has assigned post configurations to your organization they will be listed in the My Posts dialog which you can enter from the post dialog Setup menu.

Opening My Posts.

From the My Posts dialog you can make sure that you are using the latest version of your assigned posts and you can update your posts if required.

The My Posts manager.

HSMWorks will also let you know when new versions of your post configurations are available.

Feed Table in NC Programs


Feed Table in NC Programs

The generic posts included with HSMWorks have many features built into them. Some features are disabled by default because they may not be supported for all versions of a given CNC control or change the NC program code from how most programmers expect it to look. The feed parameter feature is one example of such a feature.

The generated NC programs should generally be ready for machining immediately after post processing and not require further editing by hand. Choosing the best feedrates for a given setup can be quite difficult at programming time unless the setup remains consistent considering machining time, tool wear, part quality, and more. Only once the NC program is run on the CNC machine you can see if the feedrates are appropriate or need adjustment. The CNC operator often needs to prove-in the NC program, in particular for lager production batches, which makes it more convenient if the NC program allows easy editing during the process. The new found feedrates could then be updated within HSMWorks and a new NC program could be re-posted if required.

The generic Heidenhain post includes a feed parameter feature which allows the CNC operator to modify feedrates in the NC program itself with minimum changes. The Heidenhain post will output feedrate tables using Q-values for each operation which can be easily modified. The feedrate tables are disabled by default but can be enabled by setting the useFeedQ property during posting. The feature can be added for any CNC control which supports parameters.

Note that only feedrates actually used for a given operation are being output. HSMWorks supports many different movement types for increased flexibility but a comment describes each feedrate so the user knows it's purpose. Not all feedrates apply to all machining strategies so the feedrate tables will likely be different for each operation. Feedrates not put into the feedrate table are output directly as values.

The program below shows an NC fragment for a pocket operation. First the feeds are setup using "FN0" and they are hereafter referenced using "FQ55" or similar.

    ... 10 * - #01: Pocket 32mm R1.25 / STEP 0.5 / TOL 0.05
    11 L Z+0 R0 FMAX M91
    12 TOOL CALL 6 Z S6000
    13 TOOL DEF 5
    14 M3
    15 L X-4.741 Y-2.744 R0 FMAX
    16 L Z+100 R0 FMAX
    17 M8
    18 FN0: Q50=7000 ; Cutting
    19 FN0: Q52=6000 ; Entry
    20 FN0: Q53=7500 ; Exit
    21 FN0: Q55=4500 ; Ramping
    22 FN0: Q56=600 ; Plunge
    23 L Z+70.099 FMAX
    24 L X-4.739 Y-2.734 Z+69.96 FQ55
    25 CC X-18.483 Y+0
    26 CP IPA+0.119 Z+69.824 DR+
    27 CC X-18.483 Y+0
    28 CP IPA+0.195 Z+69.693 DR+.
    ...

My Posts Interaction During Post Processing


Interaction During Post Processing

Sometimes it is desired to make specific decisions every time toolpath is post processed. This could be to make sure that the CNC control operates in the correct mode appropriate for the given toolpath. The HSMWorks post processor has built-in functions to allow simple interaction like asking simple questions in sequential order. However, if many questions/settings must be considered then a conventional user interface approach is preferred.

The post processor doesn't directly support customization of user interfaces. However, it does allow third-party applications to be run which in turn can present the user interface and return the settings to the post processor. It is fully up to the post developer to choose his preferred development platform to fit the requirements (commonly known platforms would be C++/MFC, C#, Java, and Python).

However, there is a good alternative to the above platforms called HTML applications (HTA) supported through Internet Explorer. An HTA style application is almost identical to a normal HTML web page with minor changes in the accessible API. The user interface possible for HTA is the same as for normal web pages ensuring a great flexibility in user interface design and dynamic content. When relevant, we recommend that you develop user interfaces in HTA and use JScript (similar to JaveScript) for consistency with the post processor. An HTA application is just a normal HTML file with a special HTA tag and which uses the extension "hta". You can use the "interactive.hta" file as a template for your own post customization. Furthermore, you can find all the information required for developing user interfaces based on HTML on the Internet.

The interactive.cps (Interactive Fanuc) post included with the HSMWorks installation demonstrates how the start an HTA application and read back the settings from the user interface using some simple file I/O.

An example of a simple user interface for a Fanuc style post processor.

The example shows how you can use the common controls like text boxes, radio buttons, check boxes, drop-down controls, and buttons. Note that the error shown in red in the above picture is dynamically shown when the user clicks the "Accept" button since the tolerance was set to an invalid value.

Since the post processor runs in the background any executed application during posting will not block the main HSMWorks user interface. The user can see in the task manager that the post is in fact waiting for an application to complete. In this particular example, that is until the user clicks either "Cancel" or "Accept". You can always abort the post processing immediately from the HSMWorks task manager in case the third-party application should get stuck.

Post processor waiting for application to complete.

All in all the HTA approach will simplify user interface customization and allow you to easily maintain it just like the remaining post customization. In most cases a single HTA text file will be sufficient for your user interface requirements.

Feed Table in NC Programs NC Editor


NC Editor

After post processing, the resulting NC program is automatically opened in Autodesk HSM Edit.

From the editor you can edit, inspect, and transfer your NC program to your CNC machine. The editor provides a number of CNC code specific functions including line numbering/renumbering, XYZ range finder, and file comparison. Autodesk HSM Edit features a DNC link for reliable RS-232 communications with a variety of CNC controls.

The NC-Assistant makes editing NC code faster and easier than ever.
Point at any M or G code and the NC-Assistant will identify the code.

Interaction During Post Processing Preferences


Preferences

The Preferences dialog allows you to tweak various behavior within HSMWorks.

Accessing the Preferences from the CAM menu.

The preferences.

The settings that you might want to change often are available directly from the Operation Manager.

The visualization and behavioral settings.
NC Editor Operation Manager Inline Information


Operation Manager Inline Information

HSMWorks can show additional information in the operation manager alongside the name.

To show the additional information, open the Preferences dialog from the CAM menu, and select Operation manager from the list.

The operation manager options in the Preferences dialog.

Each of the options will show additional information in square brackets alongside the operation name.

Inline information shown for a Job, and various operations.

Setup Sheet


Setup Sheet

  • Selecting the Default Setup Sheet
  • Adding Operation Pictures
  • Setup Sheet as Spreadsheet

The setup sheet feature allows you to generate an overview of the NC program for the CNC operator. The setup sheet is generated by the post processing system and is fully customizable. HSMWorks includes several setup sheets of which the HTML setup sheet is the default.

Ask your reseller about customization of the setup sheets and post processors.

Making a Setup Sheet

To automatically create a setup sheet follow these steps:

  • Orient/zoom the model viewport so it presents your part and WCS clearly.
  • Select the operations which you want to include in the setup sheet or clear the selection to include all operations.
  • Press the Setup Sheet button on the CAM toolbar or choose Generate Setup Sheet from the operation manager right-click menu.
  • You will be asked for a folder in which to save the setup sheet. You can use the default temporary folder if you just want to print the setup sheet. If you wish to save the setup sheet for later, you should locate or create a suitable folder.
  • The setup sheet will be generated and automatically opened in your Internet browser.
  • You can then print the setup sheet from the Internet browser.

Most setup sheets have common settings which can be used to tweak their behavior. The settings can be set in the post processor dialog. For instance, you can set the tool change time in seconds by setting toolChangeTime in the lower right property list when selecting the HTML Setup Sheet called "setup-sheet.cps".

Example setup sheet.

Operation Manager Inline Information Selecting the Default Setup Sheet


Selecting the Default Setup Sheet

You can at any time change your default setup sheet by following this steps:

  • Right-click in a blank area of the operation manager.
  • Choose Options.
  • Choose Select Default Setup Sheet.

  • Select the post configuration file (.cps extension) that should be used. The default is setup-sheet.cps.

Now, when pressing the "Setup Sheet" button on the HSMWorks command tab, or choosing "Setup Sheet" from the menus, the selected setup sheet will be used.

If you want to use the Microsoft Excel Setup Sheet, you don't need to change the default. If you hold down the Shift key while pressing Setup Sheet, "setup-sheet-excel.cps" will be used instead.

Adding Operation Pictures


Adding Operation Pictures

A picture of the current model viewport will be automatically included in the setup sheet. Additional pictures can be included on a per operation basis by making use of the Setup Sheet Picture feature. Notes added to the operations using the Edit Notes feature can be included in the setup sheet.

Selecting the Default Setup Sheet Setup Sheet as Spreadsheet


Setup Sheet as Spreadsheet

The HTML setup sheet is the default. However, you might prefer different formats than HTML. HSMWorks includes a setup sheet for outputting the Microsoft Excel 2003 format.

The Microsoft Excel setup sheet and its accompanying layout/style template are named "setup-sheet-excel.cps" and "setup-sheet-excel-template.xls", respectively. The post will automatically open Microsoft Excel after posting to allow you to print the setup sheet. For more accurate cycle time you need to specify the rapid feed ("rapidFeed") and the tool change time ("toolChangeTime") in the post dialog under properties.

The post will automatically translate any texts in the template into the active language using the normal post translation rules. However, you are still free to write text in the template in any language. The default layout is composed of 3 worksheets: an overview, an operation list, and a tool list. The layout has already been setup to fit properly on a page when loaded.

The operations worksheet.

The tools worksheet.

The generated file also can be opened in OpenOffice Calc. You have to choose "Microsoft Excel 2003 XML" to open the file. If you want to customize the default layout remember to store the template specifically in the Microsoft Excel 2003 XML format and not any of the other available formats.

Adding Operation Pictures Simulation


Simulation

  • Measurement
  • Bookmarks
  • Show Stock

The Simulation feature allows you to verify that the generated toolpath is as intended. The simulation context is started by first choosing the operations of interest from the Operation Manager and then clicking Simulate on the CAM Command Manager or from the right-click menu. Alternatively, it is possible to double-click on a single toolpath item in the operation manager to simulate the corresponding toolpath. The operations will be simulated in the original order within the operation manager. Once started, a simulation property page will be opened and the active model viewport will be changed into a dedicated simulation view.

Simulation.

You can control the current tool position on the position slider located at the bottom of the simulation view. The position slider is divided into sections corresponding to each individual operation being simulated where each section is colorized according to the operation color. The colors are defined from the CAM preferences dialog.

Property Page

The property page provides numerous simulation options and contains information about the current tool position.

Navigate Group

The navigate group contains the animation control.

The tool animation mode is first entered by clicking the play button. The animation can hereafter be stopped and paused by clicking the play and pause button, respectively.

The animating speed can be adjusted using the feedrate slider located in the lower part of the group. Positioning the slider in the middle will stop the animation. Positioning the slider to the left and right will make the animation run backwards and forwards, respectively.

Show Tool

This group defines how the tool is shown during the simulation. You can specify here which parts of the tool are visible, and how these ones are shown.

Show Toolpath

The toolpath group contains various options for controlling the toolpath visualization.

The visualized section of the toolpath during animation is controlled by the simulation style drop down box. The entire toolpath will always be shown in non-animation mode. The current options allow the entire toolpath, all toolpath before or after the current tool position, all toolpath since the last tool change, toolpath tail until the current tool position, toolpath in the same Z-level and toolpath to or from a fixed position to be shown during animation.

You can also control the thickness and color of the toolpath, as well as which elements should be shown.

Show Stock

The show stock group allows you to specify if the stock is shown or not, and contains various options for controlling the stock visualization, such as transparency, cut colors, visualization quality, and more.

Position Group

The position group contains information about the current tool position. The information includes the current position, spindle speed, and feedrate. In non-animation mode the information applies to the currently highlighted position if active and otherwise the current tool position whereas in animation mode the current tool position will always be shown.

Operation Group

The operation specific information for the operation containing the current tool position or highlighted position is shown in the operation group. The operation description given in the operation manager of the operation and the active tool are shown.

Machine Group

This group shows information about the machine the simulation is generated for.

Machining Statistics

The statistics group contains information about the entire toolpath being simulated. The current information is the total machining time, the total machining distance and the number of operations performed. Please note that the machining time is a rough estimate which can be far from the actual machining time after post processing.

Simulation View

The coordinate system orientation is shown in the lower left corner of the view. However, the tool orientation of the active operation is also indicated using a coordinate system located at the tool orientation origin.

The mouse allows control of the simulation view similar to the normal behavior of the model viewport. End-points within the toolpath can be highlighted by moving the mouse pointer over the point. The toolpath direction will be indicated at the highlighted position using an arrow. Left-clicking on a highlighted toolpath end-point will make the highlighted position the current tool position. Rotation around the model center is done using the middle mouse button. Rotation around a toolpath end-point is possible by clicking the middle button twice slowly while not moving the mouse and holding down the button on the second click. If the mouse is equipped with an extra mouse button this can be used to fit the model and toolpath to the current view.

Measurement between points is possible by holding down the SHIFT key while pressing the left mouse button.

Tool, Toolpath, and Stock Visibility

In addition to the ordinary Stock Simulation, you can use the Show Stock function inside the normal Simulation. From within the Simulate, it is possible to show the tool, toolpath, and stock individually or together, by enabling or disabling the respective Show Tool, Show Toolpath, and Show Stock settings.

Simulate with tool and stock shown.

Simulate with tool and toolpath shown.

Single Stepping Through Toolpath

In Simulation, it is possible to single-step through the toolpath by clicking the Next and Previous buttons while the simulation is paused, each click will jump to the next or previous point in the toolpath.

A faster shortcut is to hold down the Shift key while scrolling the mouse wheel. Scrolling up will move to the next point and scrolling down will move to the previous point.

Single stepping in Simulation.

Setup Sheet as Spreadsheet Measurement


Measurement

You can measure distances between toolpath positions by following these steps:

  • Click the point from which you want to start the measurement. You might want to hide the tool beforehand as the tool will move to the picked position.
  • Press and hold the Shift key.
  • Move the mouse over any other points on the toolpath. A tooltip will show the coordinates, delta distance (X,Y,Z), distance in space, and machining distance.

Bookmarks


Bookmarks

You can add, view, and remove bookmarks by right-clicking in the model viewport during Simulation mode and then navigating to the Bookmarks menu. Any added bookmarks are automatically cleared when you regenerate an operation.

The Bookmarks menu in Simulation.
The three yellow circles on the toolpath indicate existing bookmarks.

Choosing Add Bookmark will add a bookmark at the current toolpath position.

Choosing an existing bookmark from the list will navigate to the corresponding position in the toolpath.

Choosing Remove Bookmark will remove the current bookmark.

Choosing Remove All Bookmarks will remove all the bookmarks.

Adding Bookmarks to a toolpath can be very helpful before submitting feedback to HSMWorks, so we highly appreciate that you do this if you have a question regarding a specific part of a toolpath.

Measurement Show Stock


Show Stock

You can enable Show Stock to see the stock at the current toolpath position during Simulation. This stock simulation uses an extremely fast simulation engine with full multi-core/CPU support which allows you to quickly see the stock as is looks at any given position. The engine is even fast enough to allow backwards stock simulation on recent workstations. You should generally see huge 3D programs exceeding 100Mb of NC code being simulated within seconds. The engine is only intended for 3D simulation and undercutting and indexed machining is not supported. For undercutting and multi-axis toolpath you should use the primary Stock Simulation feature (not available with HSMXpress).

Simulating the stock.

This stock simulation engine simulates the stock using the exact tool geometry. This is different than for the primary Stock Simulation feature which uses an approximation. By using the exact tool, it is possible to zoom into the stock to see the actual cusps left on the machined part at any desired level of detail. The stock is updated in the background such that it doesn't block the user interface and the stock is updated progressively. To zoom into a stock region, click the [image] Zoom button and then select the region in the model viewport by holding down the left mouse button. You can also zoom by holding down CTRL and SHIFT while you select the region with the mouse.

Zoom into a selected stock region.

Close-up of cusps.

The stock simulation allows you to colorize the stock according to several different machining criteria like up/down milling and cutting direction. This allows you to visualize potential machining problems before actually machining the part. Colorization of the stock often gives a quick and good overview of potential machining issues relevant for both part quality and cutting performance.

The stock colorization options.

In the below picture the machining direction of the offset passes to either side of the pencil pass are clearly shown in different colors indicating opposite machining directions which can degrade part quality. The toolpath of interest would be the indicated by abrupt changes in color.

Transparent stock colored by direction for an adaptive and pencil toolpath.

Stock colorization close-up.

Colorization by slope showing up and down milling as blue and red, respectively.

Colorization by flow.

Bookmarks Machine Simulation


Machine Simulation

  • Machine Simulation Assembly
  • Running Machine Simulation

HSMWorks provides support for simulating the entire machine motion as opposed to the normal simulation which only moves the tool relative the workpiece. The machine simulation allows you to check if a given workpiece can be machined on the machine and catch any placement issues before setup on the physical machine. This is especially helpful for multi-axis machines where the actual machine motion is not always immediately obvious to the programmer. The machine simulation is fully integrated in SolidWorks and relies on a normal SolidWorks assembly containing information about the machine besides the machine model.

The machine simulation requires SolidWorks assembly support to run.

The machine simulation.

Show Stock Machine Simulation Assembly


Machine Simulation Assembly

The machine simulation uses an ordinary SolidWorks assembly to define the machine which greatly simplifies the workflow for setting up a machine.

To make a new machine assembly you start by modeling your machine in the desired detail. Generally you should keep the model simple and only include what is relevant for you to verify the toolpath. Small details and the main body of the CNC machine can generally be excluded. You can make the components in the machine assembly virtual so the entire setup will be contained in a single SolidWorks assembly file without any external references. This simplifies sharing of the machine setup.

Once you have modeled the machine you need to add the coordinate systems which tell HSMWorks where to place/attach the workpiece and tool.

Add the machine frame coordinate system and align all axes so they are positioned in their respective zero positions. In some cases you may prefer to position the axes in a non-zero position. For instance, to move the spindle away from the table so it doesn't obstruct the view of the machine. This is allowed but you must make sure to enter the same zero displacement in the machine simulation property page for the corresponding axis.

The tool coordinate system tells HSMWorks where to attach the tools on the spindle. The Z-axis must point down from the spindle. If no tool frame is specified the tool will be automatically attached to the workpiece and your will see the tool detaching from the spindle during machine retracts.

You can add additional coordinates systems in the machine assembly which correspond to your preferred work coordinate systems (fixture positions). By convention the coordinate system must use the WCS prefix followed by the corresponding work offset number. E.g. WCS3 would bind to work offset 3 when initiating the machine simulation. If no WCS coordinate system exists HSMWorks will use the machine frame coordinate system as a basis for workpiece placement. HSMWorks provides the option to add an XYZ fixture displacement in the machine configuration under simulation which will be used when no predefined WCS is given in the machine assembly.

You are now ready to define the binding between the machine model and the machine axes. This is done by right-clicking on the root item in the CAM operation manager and choosing Machine Simulation. This will open a new property page which allows you to select/setup your machine configuration and then choose the individual SolidWorks components to move for each available machine axis.

Entering the machine simulation configuration.

The machine simulation configuration.

Make sure that your machine axes are defined in the correct order or the machine model will not move correctly. You can see the order of your machine axis with respect to the workpiece on the Linear axes page of the machine configuration.

You can verify that you have correctly defined your machine using the Machine Control feature. This allows you to move each machine axes directly and verify that all the components move appropriately.

Manual machine axis control.

Note that the machine simulation does not simulate the NC program but rather uses the intermediate toolpath. The machine simulation does simulate tool changes, machine retracts, and machine indexing using the same behavior as built into most posts. You can set the home position used for retracts and tool changes by setting the home coordinate for each axis. If no home position is given the machine will simply retract to the highest known allowed Z coordinate without moving in X and Y.

You may prefer to include saved SolidWorks views in the assembly which can be helpful for some machine types.

As a final step you should orient the model viewport in the desired default view before saving it to the appropriate location.

Running Machine Simulation


Running Machine Simulation

To start the machine simulation simply select your toolpath in the CAM operation manager and choose Machine Simulation from the right-click menu. You may prefer to bind a shortcut key to the machine simulation using the SolidWorks customization dialog. HSMWorks will ask for a machine assembly if non has been provided in the machine configuration under simulation as set in the job.

Starting machine simulation from the right-click menu.

Once started the machine assembly will be automatically opened and your workpiece will be placed at the appropriate location using either the machine coordinate system and fixture offset or matching WCS. Note that you at any time may exit the machine simulation mode and move the workpiece around within the machine assembly to quickly experiment with different fixture locations. You are NOT required to close the machine assembly and restart it. The workpiece is inserted as a floating component in the machine assembly so you can easily move the component by drag and drop. For exact placement you can use the SolidWorks mate feature. The workpiece position is persistent so you do not need to reset the position every time you restart the machine simulation. To restore all machine simulation settings simply close the machine assembly and it will automatically be reopened on the next machine simulation session.

Note that all simulation settings can not be changed when the machine simulation is running but you can at any time pause the machine simulation by clicking the stop button and then restart it by clicking the start button. You also exit the entire machine simulation property page by clicking the escape (ESC) key.

When running the machine simulation it can be difficult to track the details since the axes can be moving around significantly on the screen when zooming in. HSMWorks allows you fix any axes or the tool to keep the relevant components on the screen from the right-click menu of the model viewport. By default all machine axes move relative to the machine body/global frame.

The machine axis information.

HSMWorks will highlight axis components which go out of the supported operating range for the machine (e.g. when an axis tilts more than supported). Collision detect between the machine components is disabled by default but you can enable collision detection in the right-click menu of the model viewport.

Model viewport right-click menu for machine simulation.

By default the machine simulation will simulate machine retract and tool changes using generic rules. This machine motion can be disabled from the right-click menu of the model viewport.

Machine Simulation Assembly Machine Configuration


Machine Configuration

You can specify machine specific settings in the machine configuration dialog. The machine configuration is the placeholder for all relevant information about the CNC machine/CNC control like machine axes, dimensions, and supported features. The machine configuration may be set independently for each job and can be fully edited inside HSMWorks from the job property page. Each job can only be assigned a single active machine but you can switch the machine at any time.

Machine setup in the job.

Description page for the machine configuration.

The machine configurations can be shared between PCs using the import and export functionality available from the machine configuration dialog. The configuration is always embedded inside the SolidWorks assembly/part files when used for programming so no additional files need to accompany the SolidWorks files.

The post processor can be setup to utilize the machine configuration defined in the HSMWorks job or use its own embedded machine configuration. Most generic posts will use the machine configuration from the job by default if available. Once a post is customized for a specific machine the machine configuration will most likely be embeded in the post configuration.

Generally you should select the machine when creating a new job although this is not required. However, having the machine selected provides immediate feedback when programming the toolpath like an unsupported machining orientation.

Dimensions page for the machine configuration.

The capabilities page describes supported features for the machine (like tooling).

Capabilities page for the machine configuration.

Workpiece page for the machine configuration.

Spindle page for the machine configuration.

The linear page describe the linear axes (X, Y, and Z). This includes whether the axis is attached to the table or head (spindle), the limit and resolution, and maximum feed.

Linear axes page for the machine configuration.

For multi-axis machines you can define the rotary axes on the rotary axes page. Like for a linear axis you can specific whether the axis is attached to the table or head (spindle) and give the limits and resolution. For rotary axes you can also specify the preferred rotary tilt/turn. The orientation is the vector of the axis and must be specified.

By default the axis will be presented using the names A, B, and C, respectively. However, you can provide a custom axis name when relevant.

Rotary axes page for the machine configuration.

The machining time page allows you to adjust the presented machining time calculation for the machine.

Machining time page for the machine configuration.

The coolant page specifies the supported coolant options.

Coolant page for the machine configuration.

The post page specifies settings relevant for post processing. You can specify the default post processor to be used for the machine.

Post page for the machine configuration.

The setup sheet page allows you to specify the default setup sheet to be used for the machine.

Setup sheet page for the machine configuration.

The last page allows you to specify the machine assembly used for machine simulation. If no machine assembly is provided you will be asked for the machine assembly upon running the machine simulation. You can also specify a fixture offset which specifies the workpiece placement relative to the machine frame in the machine assembly. Finally, you can tell HSMWorks whether to do full machine retracts on machine indexing and whether to do shortest angular rotations.

Simulation page for the machine configuration.

Running Machine Simulation Stock Simulation


Stock Simulation

  • Stock Simulation Modes
  • Stock Collision Checking
  • Stock Comparison
  • Stock Sectioning
  • Stock Slicing
  • Model as Stock
  • Manual Stock Removal

When a toolpath has been successfully generated it may be verified using the Stock Simulation feature. This feature allows you to see the actual stock removed at any given position in the toolpath and to check for shaft and holder collisions. The Stock Simulation is started by first selecting the desired operations and then clicking Stock Simulation on the CAM Command Manager tab or from the right-click menu of the Operation Manager.

When started, the stock simulation property page will be displayed and the stock will be visualized in the model viewport. The toolpath will be simulated in the order of the corresponding operations within the Operation Manager.

The verification will show the stock, model, and clamps specified in the Job setup. The model and the clamps can be hidden using the Show model and Show fixture buttons, respectively. The stock can be made transparent using the Transparent stock button.

The stock removal animation is started by clicking on the Play button. In animation mode the stock will be progressively removed as the tool moves through the stock. The animation can be paused using the Pause button. The stock simulation only supports forward animation. The animation automatically stops once the end of the toolpath has been reached. The final stock at the end of the toolpath can be generated without animation by clicking on the Jump to end button. Please note that the stock simulation can take quite some time to complete. The verification can be restarted using the Jump to beginning button. The animation is stopped automatically when a collision occurs if the Stop on clash button is enabled. A collision is defined as an attempt to cut during rapid traversal, to cut with either the shaft or holder, or to cut the fixture.

The stock can only be updated progressively. If you move the position backwards the stock will be recalculated from the start. If you need to analyze the stock engagement carefully you can use the Show Stock feature available in the Simulation which allows you to move both forward and backwards while updating the stock live.

The cuts are colorized according to the color of the corresponding tool. However, all cuts resulting from a collision are highlighted in red.

Stock simulation.

Tool visibility is controlled using the Show tool button. Hiding the tool only has a visual effect, the simulation of stock removal will not change. Shaft and holder can be enabled and disabled using the dedicated buttons. The shaft and holder will be fully ignored during cutting when disabled.

Information

Stock Group

Points on the stock can be measured by moving the mouse cursor over the point of interest. The distance field shows the signed minimum distance between the stock and the model surface with a negative value indicating a gouge. The position and slope of the point are also shown, as well as the cut movement that removed the material.

Toolpath Group

Information for the current toolpath motion is shown in the Toolpath group of the property page. The current toolpath motion is the motion at the current toolpath position during animation and the motion for the currently highlighted stock position when animation is either paused or not running.

The information includes the current position, spindle speed, and feedrate.

Operation Group

The Operation group of the property page lists the operation and tool for the current toolpath motion.

Statistics Group

The Statistics group contains information about the entire stock being simulated. The current information is the total machining time, the total machining distance and the stock volume before being machined. Please note that the machining time is a rough estimate which can be far from the actual machining time after post processing.

Simulation Menu

The simulation menu is opened by right-clicking on the stock simulation view.

The current stock (Save Stock As...) and model (Save Model As...) can be exported to a file from the right-click menu of the verification view when the animation isn't running.

The initial stock can be loaded from a STL file (Load Stock...). Note, however that the STL must be closed (i.e. not have any gaps), and it must not be self-intersecting.

The current stock can be exported to a file from the stock simulation view.

Stock Removal Information

HSMWorks will show the amount of stock removed by each operation and each tool. The stock removal information will be presented in the simulation log once the simulation reaches the end of the toolpath. The information includes the removed stock per operation as well as removed stock per tool.

To show the log window, right-click in the Stock Simulation viewport and choose Show Log.

Removed stock per operation and tool.

Machine Configuration Stock Simulation Modes


Stock Simulation Modes

HSMWorks has four different main operating modes for stock simulation. Each mode has different features available and the speed and quality of simulation depends on the mode chosen and the type of operation simulated. Choosing the right mode can thus greatly affect your simulation experience.

When entering the Stock Simulation, HSMWorks automatically tries to determine the best mode for you. Specifically, the Fast 3D mode is chosen for larger milling operations if the operations are all 3D and in the same machining orientation. In all other cases the Solid Mode is the default.

The desired mode is selected by clicking the appropriate button on the Stock Simulation property page.

When switching mode, the simulation is automatically recalculated for the current toolpath position. This makes it easy to find a position in the Fast 3D mode and then switch to the Solid mode to get better stock quality.

Mode buttons in the Stock Simulation property page.

Fast 3D Mode

The fastest simulation mode. Simulation is done to a limited resolution controlled by the quality slider. This mode is only available when simulating 3-axis milling operations in the same tool orientation. Undercutting cannot be simulated for this mode.

Solid Mode

This is the most flexible mode. The stock quality is better than for the Fast 3D mode but done to a tolerance controlled by the Quality slider. This mode gives the best result for turning. This mode supports multi-core/CPU for fast simulation.

High Quality Mode

The High Quality mode can in some cases give better visualization of the stock and can also be faster to update than the other modes. However, the stock has to be updated whenever you zoom and rotate in the model viewport.

Fast Mode

The Fast mode will often provide good results for milling toolpath. For turning you should still prefer the Solid mode. This mode also supports multi-core/CPU for fast simulation and the mode will often give a result faster than possible with Solid mode.

Stock Collision Checking


Stock Collision Checking

Stock Simulation will automatically detect collisions due to rapid/high feed motion through stock, collisions with the fixture [image], and collisions with the shaft and holder. You must enable the shaft [image] and holder [image] buttons for the shaft and holder collision to be active. Shaft and holder collision detection is enabled by default.

Any collision will be written in the simulation log but the simulation will keep running until the end is reached. All cuts resulting from a collision are highlighted in red. You can make the simulation stop on the next collision by enabling the Stop on Clash button [image].

Detected collision with holder due to too short tool.

Detected rapid/high feed collision.

Detected collision with fixture.

Stock Simulation Modes Stock Comparison


Stock Comparison

HSMWorks provides support for comparing the model and stock visually (also known as STL Compare) from Stock Simulation.

To show the stock comparison press the comparison button [image].

In stock comparison mode, the stock is colored according to the amount of material left in relation to the model. The stock will be colored gray where the stock and model coincide. Red indicates that stock has been removed from the model which for instance happens when you are using negative stock to leave. Blue indicates that additional stock remain on the part which normally happens in tights corners where the tools do not fit.

Stock and model comparison.
Grey indicate that there is no stock left while blue indicate that there is more stock left.

Stock comparison provides a quick overview of the unmachined stock. Additionally, HSMWorks allows you to move to mouse cursor over the stock and will list the measured stock and model distance in the Stock group. This value represents the shortest distance between the stock and the model at the position under the cursor.

In the example above, moving the mouse over a blue area
shows that there is about 1mm of material left at that position.

Stock Collision Checking Stock Sectioning


Stock Sectioning

Stock Sectioning allows you do to look into the stock. This feature is quite handy when you have deep pockets and want to look closly at the remaining stock on their walls. You can use the sectioning controls to choose the sectioned region. You can sectioning from up to 2 orientations at the same time. You must click the sectioning button [image] to turn on/off stock sectioning.

The sectioning controls.

Sectioning of the stock.

Stock Comparison Stock Slicing


Stock Slicing

The Stock Slicing feature allows you to see the stock as horizontal planes. You can use the slicing controls to move the slicing position. You must click the slicing button [image] to turn on/off stock slicing.

The slicing controls.

Slicing of the stock in a single plane. Dark area is the part and the brighter area is the stock.

Stock Sectioning Model as Stock


Model as Stock

By default the Stock Simulation will use the stock defined in the job. If you just want to check if your part is gouged, the fastest solution is to use the job model as the initial stock. HSMWorks allows you to do this without changing any settings by simply choosing Load Model as Stock from right-click menu in the model viewport. You can revert to the job stock by choosing Restore Stock from the same menu.

Enabling Load Model as Stock.

Holder collision due to too short tool.

Stock Slicing Manual Stock Removal


Manual Stock Removal

When the stock is split in Stock Simulation, you can remove individual stock pieces by right-clicking in the simulation viewport and choosing Manual Removal. This will bring up the following screen where you can control which stock to keep and which to discard.

In this example, you can either click each of the three small pieces and press Remove part, or even easier, clicking the center piece and pressing Keep part. Accept your selection by pressing Continue.

Model as Stock Support


Support

For HSMWorks, your primary support channel is your reseller. Your reseller will help you with licensing issues, post and setup sheet customization, and general support. In some cases you can also mail HSMWorks directly for support at cam.support@autodesk.com. Please make sure to provide your company/organization name in the mail to allow us to keep your reseller informed.

HSMWorks hosts a dedicated forum at https://cam.autodesk.com/fwlink?id=hsmforum which allows you to reach out to the English speaking HSMWorks community. The forum allows you to ask support questions, make suggestions, and talk about other related machining matters. The forum is actively monitored by HSMWorks, resellers, and other end-users. Please note that you might not always get immediate answers to your posts on the forum. If you need help as soon as possible it is best to contact your reseller directly.

Please note that, if you are an HSMXpress user then your only channel of support is the forum. If you have licensing issues then you can mail cam.support@autodesk.com directly for help.

Manual Stock Removal Submitting Problems


Submitting Problems

To help our development team quickly identify and fix problems, it is important that you submit all the relevant information and at the same time keep the problem as simple as possible.

Example: If you find a problem generating a specific toolpath on a part belonging to a larger assembly, please try to open the part directly, so you don't have to submit the entire assembly. Delete all irrelavent operations. Reduce the steopever etc. to create the smallest possible toolpath that clearly shows the problem.

Once you have simplified the problem, zoom into the relevant area in the model viewport, and use the Send Feedback option available from the CAM menu to automatically submit a problem report. When you select the Send Feedback option, the current part including all operations and a screenshot is submitted.

Send Feedback dialog.

After the report has been evaluated by the HSMWorks development team, you will receive an e-mail with a Ticket Number used to track the status of the problem. If you have any questions regarding the status of a submitted request, please contact cam.support@autodesk.com and include the Ticket Number.

Please note that the reports will be sent directly to HSMWorks when using the feedback feature. You should therefore consider contacting your reseller beforehand for initial support.

Distributed CAM™


Distributed CAM

Autodesk Distributed CAM (DCS) is a technology feature which allows you to offload your toolpath calculations to other unused workstations on your local network for significantly reduced calculation time. HSMWorks has full support for the latest multi-core technologies which gives you exceptional toolpath calculation performance on the individual workstation. However, when machining complex parts with hundreds of operations the toolpath calculation can still take some time to complete. Distributed CAM allows you to automatically utilize any available workstation resources on your network when generating your toolpath. Everything happens in the background without any additional setup on the workstations running HSMWorks. You will still be able to see the toolpath progressively updating as it is being generated with Distributed CAM.

The significantly reduced calculation time allows you spend time on making design changes and toolpath improvements that you would otherwise not be considering.

Distributed CAM requires a floating license which enables Distributed CAM. Ask your reseller for more information about Distributed CAM.

Distributed CAM allows you to utilize your workstations more efficiently. You can use Distributed CAM in different configurations as illustrated below.

Utilizing a single powerful workstation to speed up calculations on 4 other workstations.

Sharing all workstations to speed up calculations.

HSMWorks Task Manager with the "Server" column enabled showing which workstations are being utilized.
In this case the toolpath calculations are running on 4 different workstations plus the local workstation.

Distributed CAM will automatically be used when available. You can turn on/off Distributed CAM manually from the HSMWorks Task Manager right-click menu if required. Distributed CAM keeps track of all the available processing resources which allows it to choose the best workstation on which to offload the toolpath calculations.

The Distributed CAM menu.

Distributed CAM only requires a small installation on the workstations that should host the offloaded calculations. The installation is available as a separate download. Distributed CAM has a tiny resource footprint when running on a workstation and no calculations are active. Additionally, Distributed CAM will automatically be turned off temporarily if you are using the workstation locally for other purposes.

Note that, while Distributed CAM can be run in console mode, it is recommended to use it as a service. When trying to find the cause of a problem it may be more simple to run DCS in console mode and keep track of the output messages. Regardless of mode, there can only be one DCS instance on a host at any time. DCS will be listed under the entry "Autodesk Distributed CAM" in the Services administrative tool when installed as a Windows service. The service should be set to start automatically (the default) whenever the machine is restarted.

Distributed CAM monitor status.

Distributed CAM monitor menu.

If you are experiencing problems, turn off any firewall that is running on the host. Note that you may have to configure the firewall on both the host running DCS as well as the hosts running the Autodesk CAM product. DCS uses port 7387 (TCP) and port 7388 (UDP). You must run DCS on a host for which these ports are not occupied by other applications. DCS will not run properly if either port is used by another application.

Submitting Problems Task Manager


Task Manager

Calculating Toolpath in the Background

HSMWorks allows you to continue working inside SolidWorks while generating toolpaths in the background.

The main interface for controlling toolpath generation is the HSMWorks Task Manager:

The Task Manager with multiple operations running simultaneously on a quad-core system.

By default, the Task Manager is blocking the rest of the user interface, this allows all CPU resources to be used by the kernel, since the rest of HSMWorks and SolidWorks is inactive. However, if you do not wish to wait for the generation to complete, simply press the Hide button. This will allow you to continue working while the toolpath is still being calculated in the background.

You can monitor the generation directly from the operation manager, which shows the status and progress of the operations that are being recalculated in square brackets after their name:

Progress in the operation manager.

Notice that the toolpath preview on the model is update while the toolpath is being generated. This allows you to abort an operation early on if something is set up incorrectly (such as a wrong tool view, stepdown or boundaries), instead of waiting for the entire toolpath to generate only to realize that you have to start over.

You can abort a generating operation by right-clicking the operation and choosing Abort Generation:

Aborting a task.

You can always show the Task Manager as in non-modal (or modeless) mode, by pressing Task Manager on the HSMWorks toolbar or in the HSMWorks menu.

When the Task Manager is shown in this way, regeneration tasks are automatically started in the background, and you never have to press the Hide button to continue working.

Simultaneous Tasks (Concurrency)

When regenerating multiple tasks, HSMWorks automatically starts a number of jobs simultaneously, corresponding to the number of CPU cores in your system, since this normally gives the best performance. Should you wish to change this behavior, you can do so by right-clicking on the task list and choosing a different Concurrency setting:

Changing the number of simultaneous tasks.

HSMWorks will obey this limit when starting tasks automatically, but you can always start additional tasks manually, by pressing the Resume button on the task manager dialog. This is useful, if you have a number of larger tasks running, but have created additional tasks that you wish to calculate right away - without waiting for the already running tasks to complete:

Forcing a pending task to start.

The 2D Contour task is completed ahead of the 3D tasks.

Notice on the screenshots, that additional columns are visible - "Processing Time" and "Peak Memory". These and more can be enabled by right-clicking on one of the already visible column headers:

Selecting visible columns in the task list.

Elapsed Time vs. Processing Time

The elapsed time is the time between a task starts calculating and it completes. This is also known as the wall clock time. Note that this time can vary quite a bit depending on what other tasks the PC is performing - including tasks in other applications.

The processing time - also known as CPU time - is a measure of how much time was actually spend on the task by the CPU(s). The time is in relation to a single CPU core, and as a result - if you have multiple CPU cores, you can see processing times higher than the actual elapsed time. On a dual-core system, the theoretical maximum is thus a processing time twice as high as the elapse time. In practice, this maximum is seldom reached, since the processing time does not include time spent in other tasks (including preparing the task, and time spent in the HSMWorks/SolidWorks main application). For the same reason the processing time will always be lower than the elapsed time on a single core system.

Distributed CAM™ Templates


Templates

Operation Templates allow you to define multiple operations in a single template, which in turn can be used to create new operations with the appropriate default settings.

To create a new template you first need to select one or more operations in the Operation Manager and then choose Store as Template from the right-click menu. All operations will be stored in a single composite template document if multiple operations are selected.

A new operation is created from a template using the Create from Template menu entry also available in the Operation Manager right-click menu. All templates stored in the last selected template folder are automatically listed under this menu entry. Composite templates are listed as submenus allowing you to easily create either operations for all operation templates ("Create All Templates") or from individual operation templates.

The templates are stored as separate files which can be directly shared between PCs. The filename of the template is used as it's description. All value are stored as expressions to provide the maximum flexibility.

Selecting an Operation Template.

Task Manager Tool Library


Tool Library

  • Mill Tool Edit Dialog
  • Mill Holder Edit Dialog
  • Turn Tool Edit Dialog
  • Sorting Tools
  • Renumbering Tools
  • Filtering Tools
  • Removing Unused Tools
  • Search Folders
  • Show Operations
  • Adding a Tool Library Folder
  • Tool Preview
  • Custom Shaped Tools
  • Creating Library from Document Tool Table
  • Editing Tools in Microsoft Excel

The tool library lets you manage tools for your individual documents and operations, as well as libraries of predefined tools.

The Tool Library dialog.

Templates Mill Tool Edit Dialog


Mill Tool Edit Dialog

The Mill Tool Edit dialog lets you edit an individual tool, and is divided into six tabs:

  • General - Number, offsets, description etc.
  • Cutter - The shape of the cutting part of the tool.
  • Shaft - The shape of the non-cutting part of the tool.
  • Holder - Selection of holder.
  • Holder Geometry - Definition of holder shape.
  • Feed & Speed - Parameters for cutting and non-cutting feedrates and spindle speed.

The preview on the right side of the dialog shows the shape of the tool and is automatically updated to reflect changes to the tool.

General Tab

Number

The number used to select the tool on the CNC machine.

Length Offset

The index of the tool length offset.
This parameter is normally set when using tools with multiple tips indexed by length.

Diameter Offset

The index of the tool diameter offset.

Manual Tool Change

Enable to force a manual tool change on machines with an automatic tool changer.

Break Control

Enable to check for tool breakage after use.

Coolant

The type of coolant used with the tool.

Material

The tool material.

Description

A textual description of the tool.
This description is included in the tool name shown throughout the program.

Comment

A textual comment for the tool.
The comment is typically included in the post-processed output.

Vendor

The vendor of the tool.
Use this to identify the specific tool used.

Product ID

The vendors' identifier (ID) for the tool.
Use this to identify the specific tool used.

Cutter Tab

Type

The type of the tool.

Unit

The tool unit.

Diameter

The diameter of the cutter.

Tip Diameter

The tip diameter of the cutter.

Corner Radius

The corner radius of the cutter.

Taper Angle

The taper angle.

Tip Angle

The angle of the tool tip.
This angle is used to calculate the extra depth needed to break the tool through the material.

Flute Length

The tool flute length.

Shoulder Length

The tool shoulder length.

Body Length

The tool body length.

Overall Length

Specifies the entire length of the tool.

Shaft Diameter

The tool shaft/arbor diameter.

Thread Pitch

The pitch of the tap thread, specified as the vertical distance between the teeth of the tap.

Shaft Tab

Segment Height

The height of the selected tool shaft segment.

Upper Diameter

The upper diameter of the selected tool shaft segment.

Lower Diameter

The lower diameter of the selected tool shaft segment.

Holder Tab

Holder Description

A text describing the tool holder.

Holder Comment

A text comment for the tool holder.

Holder Vendor

The vendor of the tool holder.

Holder Product ID

The vendors identifier (ID) for the tool holder.

Holder Library

The library where the tool holder is stored.

Holder Geometry

Segment Height

The height of the selected tool holder segment.

Upper Diameter

The upper diameter of the selected tool holder segment.

Lower Diameter

The lower diameter of the selected tool holder segment.

Feed & Speed Tab

Speed

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutter

Number of Flutes

The number of cutting flutes on the tool.

Thread Pitch

The pitch of the tap thread, specified as the vertical distance between the teeth of the tap.

Feedrates

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Vertical Feedrates

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Spindle Rotation

Clockwise

This option is selected by default. All tools (except left-handed taps) rotate clockwise (M3).

Counter-Clockwise

If selected, spindle rotation is reversed.

When Are the Different Feedrates Used?


When Are the Different Feedrates Used?

HSMWorks provides several different feedrates that can be defined for each tool and the individual machining operations. Having all these feedrates available gives you added flexibility for reducing tool wear and machining time and increasing part quality. This list describes when the different feedrates are used:

Cutting feedrate

The primary feedrate used when machining. Colored blue in preview and simulation.

Lead-in (entry) feedrate

For milling strategies, this is the feedrate used when engaging the stock from a linking move. In drilling, this is used used for the plunge - and hence cutting - movement. Colored green.

Lead-out (exit) feedrate

For milling strategies, this feedrate is used when leaving the stock for a linking move. Also colored green.

Ramp feedrate

The feedrate used when entering the stock with a ramp. Colored green. Ramping motion is used for the constant Z-level based machining strategies Adaptive Clearing, Pocket, Horizontal Clearing, and Contour.

Plunge feedrate

Used for vertical movements entering the stock. These only occur if Plunge has been selected as the ramp type. Colored red. Plunge motion is used for the constant Z-level based machining strategies Adaptive Clearing, Pocket, Horizontal Clearing, and Contour.

High feedrate

A yellow toolpath in preview and simulation indicate rapid movements and are output as G0, FMAX or equivalent depending on the post processor configuration.

Sometimes, you may prefer to use high feed movements rather than rapid movements. In these cases you can set the High Feed Mode on the linking tab.

Changing rapid movements to
high feed movements at 5000mm/min.

Additional feedrates

For 2D Contour and Face you can set a separate finishing feedrate which controls the feed for the last machining pass.

Adaptive Clearing allows you to set a feedrate for the non-engaging moves during stay down linking.

Many strategies also provide a Feed Optimization feature which allows you to reduce the feedrate in the sharp corners.

Mill Holder Edit Dialog


Mill Holder Edit Dialog

The Mill Holder Edit dialog lets you edit an individual mill holder, and is divided into two tabs:

  • Holder - Description of holder.
  • Holder Geometry - Definition of holder shape.

The preview on the right side of the dialog shows the shape of the holder and is automatically updated to reflect changes to the holder.

Holder Tab

Holder Description

A text describing the tool holder.

Holder Comment

A text comment for the tool holder.

Holder Vendor

The vendor of the tool holder.

Holder Product ID

The vendors identifier (ID) for the tool holder.

Holder Geometry

Segment Height

The height of the selected tool holder segment.

Upper Diameter

The upper diameter of the selected tool holder segment.

Lower Diameter

The lower diameter of the selected tool holder segment.

When Are the Different Feedrates Used? Turn Tool Edit Dialog


Turn Tool Edit Dialog

The Turn Tool Edit dialog lets you edit an individual turning tool, and is divided into five tabs:

  • General - Number, offsets, description etc.
  • Insert - The shape of the cutting part of the tool.
  • Holder - Definition of holder shape.
  • Setup - Setup parameters.
  • Feed & Speed - Parameters for cutting and non-cutting feedrates and spindle speed.

The preview on the right side of the dialog shows the shape of the tool and is automatically updated to reflect changes to the tool.

General Tab

Number

The number used to select the tool on the CNC machine.

Compensation Offset

The index of the tool compensation offset used for turning.

Turret

Specifies the turret of the tool.

Manual Tool Change

Enable to force a manual tool change on machines with an automatic tool changer.

Break Control

Enable to check for tool breakage after use.

Coolant

The type of coolant used with the tool.

Material

The tool material.

Description

A textual description of the tool.
This description is included in the tool name shown throughout the program.

Comment

A textual comment for the tool.
The comment is typically included in the post-processed output.

Vendor

The vendor of the tool.
Use this to identify the specific tool used.

Product ID

The vendors' identifier (ID) for the tool.
Use this to identify the specific tool used.

Insert Tab

Type

The type of the tool.

Unit

The tool unit.

Shape

Specifies the shape of the insert.

Name

Coding system of numbers and letters to describe the insert shape, dimensions and important parameters.

Size

The size of the insert.

Corner radius

The corner radius of the insert.

Cross Section

Specifies the hole and chip breaker shape of the insert.

Tolerance

This is how much variation is allowed in the dimensional size of the insert.

Relief angle

Specifies the draft on the face(s) of the insert that contact material during machining.

Thickness

The thickness of the insert.

Overall Length

Specifies the entire length of the tool.

Groove Width

Specifies the nose diameter of the grooving tool.

Width

Specifies the width of the tool.

Thread Pitch

The pitch of the tap thread, specified as the vertical distance between the teeth of the tap.

Internal Thread

This option enables the machining of internal threads.

Holder Tab

Type

The type of the tool.

Unit

The tool unit.

Style

Specifies the shape of the holder.

Hand

The side of the tool respect to the part.

Clamping

Specifies how the insert is fixed to the holder.

Cutting Width

The width of the holder head.

Head Length

The length of the holder head.

Overall Length

Specifies the entire length of the holder.

Shank Height

The height of the holder shank.

Shank Width

The width of the holder shank.

Round Shank

This option specifies a cilindrical shank for the holder.

Setup Tab

Holder Angle

Tool Angle

The angle of the tool respect the cutting direction.

Compensation

Compensation

Specifies the compensation type for the tool.

Spindle Rotation

Forward (M3)

The spindle rotates clockwise.

Reverse (M4)

If selected, spindle rotation is reversed.

Feed & Speed Tab

Speed

Use Constant Surface Speed

Automatically adjusts the spindle RPM to maintain a constant surface speed between the tool and the workpiece as the radial distance of the tool tip changes. Constant Surface Speed (CSS) is specified using G96 on most machines.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Feedrates

Use Feed Per Revolution

Automatically adjusts the feed rate based on the RPM of the spindle to maintain a constant chip load.

Cutting Feedrate

Feed used in cutting moves.

Cutting Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle once the tool is fully engaged.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-In Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool approaches and initially enters the material.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Lead-Out Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool exits the material.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Diameter

The diameter of the cutter.

Mill Holder Edit Dialog Turning Feed & Speeds


Turning Feed & Speeds

For turning, it is common to use Constant Surface Speed (CSS) such that the spindle speed depends on the diameter of the stock (for milling tools the surface speed only depends on the RPM and tool diameter).

When using Constant Surface Speed, HSMWorks will present the feedrates for the given stock diameter.

Example diameter used for calculating spindle speed and feedrates when using CSS (Constant Surface Speed).

The surface speed and the feedrate parameters are automatically updated when the stock diameter is changed.

Sorting Tools


Sorting Tools

You can sort the listed tools within the tool library by clicking on the field columns. If you want the listed tools sorted by Diameter you only need to click the Diameter column. Clicking the same column twice will switch between ascending and descending order.

Tools sorted by diameter.

Turning Feed & Speeds Renumbering Tools


Renumbering Tools

You can update the tool numbers to be sequential within a library by right-clicking the library or tool list and choosing Renumber Tools.

The tools will be numbered sequentially beginning with 1 and in the order they are currently being used from the Operation Manager.

You can use the renumbering function if you want to populate the tool magazine with just the tools required for a particular job.

Example part before renumbering.

Tool Renumbering dialog.

Example part after renumbering.

Sorting Tools Filtering Tools


Filtering Tools

The fastest way to locate a tool within the HSMWorks Tool Library is often to make use of the built-in filtering function located at the top of the tool library dialog.

The filter drop down allows you to choose between different filtering options and the search field on the right allows you to enter the corresponding text or number to be listed.

The different search options.

The default is to search in all text fields, including the description field.

The other options can be used should you wish to limit the search to a specific field. For example, to find all tools with diameter 5mm, choose Diameter is and then enter 5 in the search field.

Searching for tools with a diameter of 5mm.

The filtering is always done on all the tools shown in the tool list. The filtering can be combined with the Search Folder feature described below to limit the listed tool further.

Renumbering Tools Removing Unused Tools


Removing Unused Tools

When working on a job, it is common to define several tools to test them in order to get the desired result for the selected operation. After finishing all the operations for machining the part, we can find many tools in the tool library for the open document that are not asigned to any operation (unused tools).

HSMWorks lets you easily remove all the unused tools by right-clicking the library or tool list and choosing Remove Unused Tools.

Example part before removing unused tools.

Remove unused tools prompt dialog.

Example part after removing unused tools.

Filtering Tools Search Folders


Search Folders

HSMWorks allows your to quickly list all tools of interest using special search folders.

By selecting the "All Tools" search folder from the top of the Tool Library tree all your tools from all libraries will be presented in the tool list on the right side. If you choose any of the search folders below "All Tools", the list is immediately updated to showing only the tools matching the selected search folder.

For example, by selecting the By Type -> Bull-nose Mill only the bull-nose tools will be shown.

Showing only bull-nose tools.

To exclude the tools from certain libraries, you can suppress these libraries from filter and search results by unchecking the checkbox in front of the libraries.

Excluding the tools in inches and the "Sample Tools" library.

Note that you can still view and select tools in suppressed libraries by selecting the library directly.

When using the Search Folder function, you may want to open the corresponding library in which a given tool is stored.

Simple right-click the tool and choose Locate in Library.

The Locate in Library function.

This will select the library in the tree and locate the tool.

Removing Unused Tools Show Operations


Show Operations

When listing tools for an open document in the Tool Library, the tool list also includes all the operations by default.

This lets you easily see which operations are using a particular tool and in addition lets you see the different feeds and speeds for each operation (assuming feed and speed columns are visible).

On documents with a lot of operations you have the option to hide the operations by un-checking the Show Operations checkbox.

Tool Library with Show Operations enabled, showing both tools and operations in the tool list.

With the option disabled, the operations are not longer shown, and you get a clear view of the tools in the document.

Tool Library with Show Operations disabled, showing only the tools.

Regardless of whether operations are shown or not, the tools that are in use in any operation are displayed in bold.

Tools highlighted in orange indicates that the tools have conflicting tool numbers, which may potentially be a problem when posting to the CNC control/machine.

Search Folders Adding a Tool Library Folder


Adding a Tool Library Folder

By default, the HSMWorks Tool Library contains two library folders: My Libraries which is automatically created in your My Documents folder and Sample Libraries which is located in the HSMWorks installation folder and contain the sample tool libraries shipped with HSMWorks.

If you wish to keep your tool libraries in a different folder on your PC or on a network share, you can add additional library folders by right-clicking in the library tree and choosing Add Library Folder:

Adding a library folder.

You will be presented with at standard "Browse for Folder" dialog, which lets you select an existing folder or create a new one.

After adding the folder, you can give the folder the appropriate name. In the picture below the new library folder has been given the name "Tool Libraries on Server" to indicate that the tool libraries reside on the server:

The resulting library folder with a selection of tool libraries.

You can open the location of a library folder by right-clicking the folder and choosing Open in Windows Explorer.

Show Operations Tool Preview


Tool Preview

  • Turning Tool Preview

The tools are previewed within the tool library when selected.

The distance between the gridlines is fixed and allows you to quickly get a rough estimate of the tool size.

2.5mm drill. | 8mm drill.

For metric tools, the distance between the thin gridlines is 1.0 mm and 10mm between the tick lines. For inch tools, the distances are 1/16" inch and 1.0 inch, respectively.

By moving the pointer over the image, a zoom is applied to the tool preview focusing on the cutter and fitting it to the preview area.

2.5mm drill. | 8mm drill.
Adding a Tool Library Folder Turning Tool Preview


Turning Tool Preview

When selecting a tool for a turning operation, the tool is previewed both in the tool library and on the model while editing the operation.

The preview in the tool library is always shown as if you were holding the tool in your hand, looking down on the tool.

The preview in the model viewport rotates with the view, but corresponds to the preview in the tool library when the Z-axis (blue) points to the right, and the X-axis (red) points down.

Turning tool preview. Spindle rotation is forward.

Turning tool preview. Spindle rotation is reverse.

Note that the tool is flipped when the spindle is set to reverse.

Custom Shaped Tools


Custom Shaped Tools

Custom shaped mills are collectively know as Form Mill tools and can be created in the Tool Library from a sketch or revolved solid body saved in a separate SolidWorks part file.

Form Mill is only supported for 2D Contour, Trace, and Swarf.

To create a form mill, follow these steps:

  • Create a new SolidWorks part.
  • Create a sketch with a single closed contour that represents the cross section of the tool.
  • Create a Revolved Boss/Base feature from the sketch.

A revolved boss/base feature in a SolidWorks part, suitable for creating a Form Mill tool.

  • Optional: Create a reference point feature from the Reference Geometry menu.

Creating a reference point feature at position that can be used for compensating the toolpath.

  • Save the part file.
  • Open the HSMWorks Tool Library.
  • Create a new mill tool by pressing the New Mill Tool button.
  • Choose Form Mill from the Type drop down menu.
  • Press Import File...
  • Browse to and select the tool file you saved before. The sketch profile will be loaded as the profile for the form mill, and previewed as shown here.

The Form Mill dialog with preview. The dotted lines show the toolpath compensation point,
which is controlled by the diameter and tip offset.

Using the tool is done similarly to all other tools, keeping in mind that the toolpath is created in relation to the compensation point defined by the diameter and tip offset.

Selected geometry for a 2D Contour using the tool with compensation point as shown above.

Simulating with form mill tool.

Stock simulation with form mill tool.

Turning Tool Preview Creating Library from Document Tool Table


Creating Library from Document Tool Table

In HSMWorks you can export the tool tables from open documents to regular tool libraries. This can be useful if you have set up a document tool table for your machine and want to re-use in other documents.

To export a document tool table to a library file, simply right-click the document and choose export:

Exporting a tool table.

Next, choose a location and name for the new library. If you export the library to one of your existing tool library folders, the new library will be visible immediately:

The new library is now visible.

Note that if you export to a different folder then the library will not be visible from the Tool Library Dialog unless you add that folder in the library dialog. You can still import tools from the library using the Import Tools from Library.

Custom Shaped Tools Editing Tools in Microsoft Excel


Editing Tools in Microsoft Excel

When copying a selection of tools in the HSMWorks Tool Library, it is possible to paste these into Microsoft Excel (or any other program that supports editing of tabbed text).

  • Select some tools that you want to edit.

Select tools to copy.

  • Copy these to the clipboard by right-clicking and choosing Copy or by pressing Ctrl+C.
  • Open Microsoft Excel and make sure you have a blank document open.
  • Paste the tool data into the Microsoft Excel sheet by choosing Paste or by pressing Ctrl+V.

Tools in Microsoft Excel.

    All the tool data is now available in separate columns in the Microsoft Excel sheet.

  • Edit the tool data, but do not change the column names (type, unit, description etc.) and also make sure that text fields such as type, coolant and material only contain valid id's. If you are in doubt of what id to use, simply create a tool with the needed setting in the tool library dialog, and paste it to Microsoft Excel.
  • Select the rows of the tools that you want to copy back to the Tool Library, but always include the header line with the column names - otherwise the paste operation will not succeed.
  • In the tool library dialog, right-click and choose Paste, or press Ctrl+V. The tools from the clipboard will be added to the current library, but never replace existing tools. If you want to replace tools, you need to delete them first.

This functionality is intended for power users only. There are currently no warnings or errors presented if the pasted data is not imported correctly.

Creating Library from Document Tool Table Toolpath Analysis


Toolpath Analysis

The Toolpath Analysis feature provides a quick way to see the primary toolpath statitics for a given operation. To analyze a toolpath, simply navigate to the toolpath item of an operation in the Operation Manager, right-click on it and choose Analyze.... The statistics will be presented in your default Internet browser.

Analyzing toolpath.

The statistics include information about the length of the toolpath, minimum and maximum radii, and similar.

Example of statistics.

Editing Tools in Microsoft Excel Toolpath Trimming


Toolpath Trimming

HSMWorks provides many different ways to confine the areas being machined (e.g. check surfaces, rest machining, slope, boundaries, and more).

HSMWorks also provides an alternative approach called "Toolpath Trimming" which allows you to remove unwanted cutting passes from the generated toolpath by directly selecting them.

Toolpath Trimming is available for most 3D strategies.

To trim a toolpath, follow these steps:

  • Right-click on the operation you wish to trim.

Opening Toolpath Trimming for an operation.

  • Select the regions to trim away by dragging one or more rectangles on the model viewport.

Overlapping regions remove all the passes that are touched by the rectangle.

Contained regions remove only the passes that are contained within the rectangle.

Dragging left-to-right creates an overlapping region, while dragging right-to-left creates a contained region.

Trimming passes for a selected region.

  • Click [image] at the top of the property manager. The selected toolpath segments are removed and the toolpath is relinked automatically.

Toolpath before and after trimming.

The Toolpath Trimming feature in HSMWorks is designed such that you do not loose your trimming when changing settings and regenerating the toolpath.

Toolpath Analysis Translation


Translation

HSMWorks is available in multiple languages. HSMWorks will automatically choose the language depending on your system systems. You can at any time switch language from the CAM menu.

Choosing the translation to use.

The translation dialog provides a simple user inferface for translating HSMWorks to any language. The translation is represented as a single text file for each language.

You cannot use this dialog for translating post configurations. Instead, please refer to the included Post Processor Manual for how to translate your post configurations.

The Translation dialog should only be used by translators of HSMWorks. End-users do not need to use this dialog.

The translation dialog.

Toolpath Trimming Utilities


Utilities

  • Create Stroke Text
  • Creating Fixed Planes
  • Edit Expression

Translation Create Stroke Text


Create Stroke Text

HSMWorks allows you to create stroke text using the Create Stroke Text function.

  • To create a stroke text sketch, first select the face or plane on which you want the stroke text placed:

  • Next, select Create Stroke Text from Utilities in the CAM tab:

  • This will show the Create Stroke Text property page where you can define the text:

  • Pressing OK will create the sketch on the selected face or plane:

  • To move the text, edit the sketch and drag the text sketch block around. With the sketch block selected you can scale and move it from the property page:

Creating Fixed Planes


Creating Fixed Planes

HSMWorks allows you to easily create fixed planes from the current view. This feature is often convenient if you have to apply multi-axis indexed toolpath to a model and the exact tool orientation is not important when machining.

The feature is called Plane From Current View and is found under Utilities in the CAM command manager tab.

If you use this feature often, you might prefer to bind a key combination to the command from the customization dialog available from the Tools menu.

The user interface customization.

Under the Keyboard tab, the Search function locates this command with ease.

The keyboard setup in the customization dialog.

Once you have bound a key combination to the command you only have to orient the view appropriately and then hit the key combination to create the fixed plane. The fixed plane will be added to the feature tree and works as normal planes created so you can use them for constructing new geometry or to specify the tool orientation for multi-axis indexed toolpath.

Note that the fixed plane created doesn't move when you modify the part/assembly geometry. Also keep in mind that you can add fixed planes even while editing an operation which can then be selected immediately as the tool orientation. Just select the fixed plane from the feature tree in the model viewport once it has been created. Any fixed planes created during edit of an operation will not be removed again automatically if you cancel the edit.

Create Stroke Text Edit Expression


Edit Expression

Most of the parameters in HSMWorks has default values based on expressions involving other parameters, such as the tool diameter (referenced by tool_diameter in an expression). You can enter a new expression directly in a parameter field or you can modify an existing expression by using the Edit Expression option.

To edit an expression, right-click in the parameter field and choose Edit Expression, or simply press F2 while the parameter field has focus.

Edit Expression menu.

Expression Edit Dialog.

The names for referencing other parameters can be determined by holding down shift while hovering your mouse over a parameter field.

Parameter names are shown in the tool tip when holding Shift.

Creating Fixed Planes All Parameters


All Parameters

Library...

Opens the Tool Library dialog box where you can select an existing tool, or create a new one to use.

Coolant

The type of coolant used with the tool.

Shaft & Holder

Enable to specify how the shaft and/or holder of the tool is used to avoid collisions with the workpiece.

Disabled | Enabled

Shaft And Holder Mode

Specifies how the toolpath should handle a collision between the shaft and/or holder and the workpiece.

Disabled | Trimmed

Pull away | Detect tool length

Trimmed - Sections of the toolpath that result in safe distances between the shaft and/or holder being violated are trimmed away.

Pull away - The toolpath pulls away from the workpiece to maintain a safe distance between the shaft and/or holder.

Detect tool length - The tool is automatically extended further out of the holder to maintain the specified safe distance between the shaft and/or holder and the workpiece. A message indicating how far the tool is extended out of the holder is logged.

Fail on collision - The toolpath calculation is aborted and an error message logged when the safe distance is violated.

Use Shaft

Specifies that the shaft of the selected tool will be used in the toolpath calculation to avoid collisions.

Shaft Clearance

The tool shaft always stays this distance from the part.

Use Holder

Specifies that the holder of the selected tool will be used in the toolpath calculation to avoid collisions.

Holder Clearance

The tool holder always stays this distance from the part.

Spindle Speed

The rotational speed of the spindle.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Ramp Spindle Speed

The rotational speed of the spindle when performing ramp movements.

Cutting Feedrate

Feed used in cutting moves.

Feed Per Tooth

The cutting feedrate expressed as the feed per tooth.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Ramp Feedrate

Feed used when doing helical ramps into stock.

Plunge Feedrate

Feed used when plunging into stock.

Feed Per Revolution

The plunge feedrate expressed as the feed per revolution.

Retract Feedrate

Feed used when retracting and not using rapid (G0) moves.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ 45 degrees

Type

The type of the tool.

Unit

The tool unit.

Vendor

The vendor of the tool.
Use this to identify the specific tool used.

Product ID

The vendors' identifier (ID) for the tool.
Use this to identify the specific tool used.

Description

A textual description of the tool.
This description is included in the tool name shown throughout the program.

Comment

A textual comment for the tool.
The comment is typically included in the post-processed output.

Number

The number used to select the tool on the CNC machine.

Diameter Offset

The index of the tool diameter offset.

Length Offset

The index of the tool length offset.
This parameter is normally set when using tools with multiple tips indexed by length.

Material

The tool material.

Break Control

Enable to check for tool breakage after use.

Manual Tool Change

Enable to force a manual tool change on machines with an automatic tool changer.

Diameter

The diameter of the cutter.

Tip Diameter

The tip diameter of the cutter.

Corner Radius

The corner radius of the cutter.

Taper Angle

The taper angle.

Tip Angle

The angle of the tool tip.
This angle is used to calculate the extra depth needed to break the tool through the material.

Flute Length

The tool flute length.

Shoulder Length

The tool shoulder length.

Body Length

The tool body length.

Shaft Diameter

The tool shaft/arbor diameter.

Number of Flutes

The number of cutting flutes on the tool.

Thread Pitch

The pitch of the tap thread, specified as the vertical distance between the teeth of the tap.

Spindle Rotation

Overall Length

Tip Length

Tip Offset

Turret

Tool Clearance Back

Specifies an angle that is added to the tool angle to provide clearance behind the cutting edge.

Shown with 20 deg Back Clearance and 30 deg Front Clearance

Sets the amount of relief between the part and the back edge of the cutting tool. Allows for a more gradual entry into the part and exerts less pressure on the tool.

Tool Clearance Front

Specifies an angle that is added to the tool angle to provide clearance in front of the cutting edge.

Shown with 30 deg Front Clearance and 20 deg Back Clearance

Sets the amount of relief between the part and the front edge of the cutting tool. Allows for a less dragging of the insert against the tools leading edge.

Compensation Offset

The index of the tool compensation offset used for turning.

Machine Inside (Boring)

Specifies that the operation should machine the ID of the workpiece.

Disabled | Enabled

Illustrated with Turning Profile

NOTE: Typically this also means switching from an OD turning tool to a boring tool.

Use Tailstock

A tailstock is used to apply support to the longitudinal rotary axis of the workpiece being machined. This is particularly useful when the workpiece is relatively long and slender. Failing to use a tailstock can cause the workpiece to bend excessively while being cut and cause "chatter".

For this option to take effect, your machine needs a programmable tailstock and your post processor has to be configured to write the code your machine needs.

Once configured, you would typically see M21 (tailstock forward) at the beginning of the operation and M22 (tailstock backward) at the end with this option enabled.

Go Home

The Home position is a known Z value relative to the WCS and is defined within the Work Coordinate System (WCS) section on the Setup tab of the Setup strategy dialog.

You can force the tool to move to the Home position prior to starting the operation, or once the operation has finished. The tool will always pull out of the stock in the X axis until it reaches the Clearance height, then move to the Home position in the Z.

Don't Go Home | Go Home At Beginning

Go Home At End | Go Home At Beginning And End

Note: The Home position referred to here is different from the G28 or G53 home position defined in the Post Processor dialog with some posts. Setting both values simultaneously could create unexpected results if you are unfamiliar with your post processor and machine.

Spindle Speed

Displays the spindle speed in rpm for each machining operation.

Surface Speed

The spindle speed expressed as the speed of the tool on the surface.

Use Constant Surface Speed

Automatically adjusts the spindle RPM to maintain a constant surface speed between the tool and the workpiece as the radial distance of the tool tip changes. Constant Surface Speed (CSS) is specified using G96 on most machines.

Use Feed Per Revolution

Automatically adjusts the feed rate based on the RPM of the spindle to maintain a constant chip load.

Cutting Feedrate

Feed used in cutting moves.

Cutting Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle once the tool is fully engaged.

Lead-In Feedrate

Feed used when leading in to a cutting move.

Lead-In Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool approaches and initially enters the material.

Lead-Out Feedrate

Feed used when leading out from a cutting move.

Lead-Out Feedrate Per Revolution

Sets the distance the tool cuts into the material for each 360 degree rotation of the spindle as the tool exits the material.

Tool Orientation

Use this option if your lathe turret has a programmable B axis. Your post processor will need to support posting from this value. The toolpath pass direction is automatically rotated to suit this value to avoid tool breakage or deflection.

Tool Orientation @ 0 degrees | Tool Orientation @ -15 degrees

Geometry

Select any sketch feature, or chain edges from the model to form open or closed contours for machining.

Geometry

You can specify specific target part surfaces here.

  • Job Model uses all available geometry in the part or assembly, or as specified in the setup of a job.
  • Selection uses only the bodies, faces or surfaces that is selected.

Note that bodies are selected by default.

If you want to select individual faces instead, you need to use either Select Other or by changing the selection filter to select only faces. You can show the Selection Filter toolbar by pressing F5.

Probe Mode

You can select faces from the part Model or the Stock.
Face selection options will change based on your choice.
Some examples are shown below:

Model Corner 2 Face Selection | Stock Center Top Face Selection
Model Boss Cylinder Face Selection | Stock Boss Top Face Selection

Note: If you're using a model for your stock definition, then you need to choose Model and not Stock in this drop-down menu.

Probe Type

Shows the available Probe Cycles based on your selection.
Probe Mode and your Face selection determines the type of probing that can be performed.

  • X/Y/Z Single Surface - Measure the X, Y, or Z coordinate of a wall.
  • X/Y Pocket - Measure the distance between two internal walls.
  • X/Y Pocket With Island - Measure the distance between two internal walls with an island between them.
  • X/Y Web - Measure the distance between two external walls.
  • X/Y Single Surface Angle - Measure the angle of a surface with reference to the X or Y axis.
  • Internal Corner - Measure the angle between two internal perpendicular walls.
  • Outer Corner - Measure the angle between two external perpendicular walls.
  • Circular Bore - Measure the diameter of the inside of a circular bore hole.
  • Circular Bore With Island - Measure the diameter of the inside of a circular bore hole with an island.
  • Circular Boss - Measure the diameter of the outside of a circular boss.
  • Rectangular Pocket - Measure the X and Y dimensions of a rectangular hole.
  • Rectangular Pocket With Island - Measure the X and Y dimensions of a rectangular hole with an island.
  • Rectangular Boss - Measure the X and Y dimensions of a rectangular extrusion.

Clearance

The distance the probe is to stay clear of the feature before probing.

Overtravel

The distance the probe is allowed to move beyond the expected strike point.

Comparison Tolerance

Used when comparing if two entities are the same, e.g. if two holes have the same diameter.

Advanced parameter. Only shown when advanced mode is enabled

Model

Enable to override the model geometry (surfaces/bodies) defined in the job.

Contact Only

Controls whether or not toolpaths are generated where the tool is not in contact with the machining surface. When disabled, toolpaths are extended to the limits of the containment boundary and across openings in the workpiece.

Enabled | Disabled

Stock Contours

Specifies the perimeter of the stock that needs to be faced.

Disabled | Enabled

Disabled - The perimeter of the stock as defined in the Setup is used.

Enabled - Selected faces or edges are projected to the model top.

Stock Contours

When checked, the toolpath is calculated to consider the boundaries of the defined Stock or a Selected boundary. This provides additional clearance for the Lead in and Lead out moves.

Toolpath is calculated against the Stock boundary, shown in yellow | Toolpath is calculated against a Selected boundary, shown in yellow

In the above example, a single edge is selected for a Contour and additional Roughing Passes are defined. Stock Contours extends the toolpath to clear the edges of the stock area. It can also limit the number of Roughing passes within that area.

Stock Selections

Select an edge or a sketch boundary. The toolpath will start outside the selected boundary. This allows you to create a toolpath that closely fits the contour of the part.

Toolpath is calculated
against a Selected boundary,
shown in yellow

In the above example, a single edge is selected for a Contour and additional Roughing Passes are defined. Stock Contours extends the toolpath to clear the edges of the stock area. It can also limit the number of Roughing passes within that area.

Stock Contours

When checked, the toolpath is calculated to consider the boundaries of the defined Stock or a selected boundary. The default boundary is the Stock box specified in the Setup. You can also select Edges from the model or a Sketch boundary. This provides additional clearance for the Lead in and Lead out moves. This can limit or extend the stock machining area. Leave unchecked for closed boundary pockets.

Calculated from the Stock

A Sketch larger than the Stock

The selected area can be any size or shape

NOTE: This is not a containment boundary, since the tool will approach from outside the selected area.

Stock Selections

Select a closed boundary to define the machining area. You can select any Edges from the model or a Sketch boundary. This can limit or extend the stock machining area. No selection is needed to machine the Stock box specified in the Setup. Selectcting a boundary larger than the stock extends the cutting area. This can be useful for irregular stock sizes. The selected machining boundary can be any shape.

Calculated from the Stock - No selection required

A Sketch larger than the Stock

The selected area can be any size or shape

NOTE: This is not a containment boundary, since the tool will approach from outside the selected area.

Stock Contours

When checked, the toolpath is calculated to consider the boundaries of the defined Stock or a selected boundary. The default boundary is the Stock box specified in the Setup. You can also select Edges from the model or a Sketch boundary. This provides additional clearance for the Lead in and Lead out moves. This can limit or extend the stock machining area. Leave unchecked for closed boundary pockets.

Calculated from the Stock

A Sketch larger than the Stock

The selected area can be any size or shape

NOTE: This is not a containment boundary, since the tool will approach from outside the selected area.

Stock Selections

Select a closed boundary to define the machining area. You can select any Edges from the model or a Sketch boundary. This can limit or extend the stock machining area. No selection is needed to machine the Stock box specified in the Setup. Selectcting a boundary larger than the stock extends the cutting area. This can be useful for irregular stock sizes. The selected machining boundary can be any shape.

Calculated from the Stock - No selection required

A Sketch larger than the Stock

The selected area can be any size or shape

NOTE: This is not a containment boundary, since the tool will approach from outside the selected area.

Drive Mode

Determines if the toolpath will be driven by the Faces of the model or user selected Contours.

With Faces selected, the actual surface will drive the Swarf Toollpath. | With Contours selected, the selected edges will drive the Swarf Toolpath.

Other side

Machine Other Side

Forces the toolpath to the opposite side of the machining contour.
Most likely will be needed with Flip Top-Bottom parameter change.

Flip top-bottom

Flip Top-Bottom

Changes the direction the tool points by switching the Lower Contour
and the Upper Contour. Only applies when Contours are selected.

Flips the Tool Vector 180 Degrees thru the Spindle Axis.

Chaining Tolerance

Used when chaining a boundary or contour. Any gaps closer than the chaining tolerance are automatically merged.

Advanced parameter. Only shown when advanced mode is enabled

Stock Offset

Specifies the distance the machining boundary extends beyond the stock boundary in both X & Y.

Stock Offset

Geometry

Allows you to select the drill positions from points (vertices, sketch points, etc.), sketches containing points, arcs (sketch or solid edges), or cylindrical faces.

Silhouette Aperture

Same Diameter

Check to select all holes with the same diameter as the currently select feature.

Example: If you activate this option, select a single 6mm hole and a single 12mm hole, every 6mm and 12mm hole on the part will automatically be selected.

A single selection can detect matching holes.

Note: This option is associative to the model. If additional holes with the same diameter are added to the model, regenerating the operation automatically includes the new holes.

Same Depth

Check to select all the holes that share the same top to bottom distance as the currently select feature.

Example: You can use this as a way to distinguish between 6mm tapped holes and 6mm drilled holes of different depths.

Short Depth 6mm Holes Selected

Short Depth ISO View | Short Depth Front View

Long Depth 6mm Holes Selected

Long Depth ISO View | Long Depth Front View

Only Same Z Top Height

Check to select all the holes that share the same Z top height as the currently select feature.

Arrow indicates the selected hole feature.

All Short Depth Holes at the Mid Level Height. | All Short Depth Holes at the Mid Level Height and All Long Depth Holes at the Lower Level Height.

Containment Boundary

Use this with Select Same Diameter and Diameter Range to include similar items inside the containment areas. Select any Edge or Sketch boundary to contain the drilling locations. Use multiple boundaries or nested boundaries, to include or exclude groups of holes. The toolpath will be inside the selected boundary unless the boundaries are nested. You can nest several boundaries inside each other.

In the examples below the selected boundaries are shown in blue.

Sketch Boundaries | Holes inside are included
Nested Boundaries | Inside areas are excluded
Selecting the rim area only | Excluding the rim area

Remove Duplicate Holes

Specifies that duplicate holes should be removed.

Order By Depth

Specifies that the passes should be ordered top down.

Disabled | Enabled

Order By Depth

For holes with multiple Z start heights.

Changes the order from the highest to lowest, or lowest to highest. Unchecked, the order will start with the holes at the highest Z level and progressively move down. Check to reverse the order.

When Unchecked First hole is at the highest Z. | When Checked First hole is at the lowest Z.

Geometry for Thread Milling

Select any cylindrical or conical faces for Thread Milling.

Thread Mill Geometry Selection

Select any cylindrical or conical face from the model. This can be a boss for OD thread milling or a hole for ID thread milling. Diameter, Starting height and Bottom depth is all derived from this selection.

Pocket Selections

Select any Face, Edge or Sketch to define the machining boundary. Use Edge selection for areas with holes or pockets inside of pockets. For standing bosses select the outer boundary of the boss and check the Stock Contours option shown below. The toolpath will be calculated between the selected boundary and the outer stock area.

Closed Pocket Face Selection | Closed Pocket Toolpath
Open Pocket Face Selection | Open Pocket Toolpath
Boss Edge Selection with Stock | Area Cleared with Boss Standing

If you select Faces with holes or pockets, Pocket will assume those openings are already cleared and avoid machining them. Use Edge or Sketch to select the machining area.

Pocket Selections

Select any Face, Edge or Sketch to define the machining boundary. Use Edge selection for areas with holes or pockets inside of pockets. For standing bosses select the outer boundary of the boss and check the Stock Contours option shown below. The toolpath will be calculated between the selected boundary and the outer stock area.

Closed Pocket Face Selection | Closed Pocket Toolpath
Open Pocket Face Selection | Open Pocket Toolpath
Boss Edge Selection with Stock | Area Cleared with Boss Standing

If you select Faces with holes or pockets, Adaptive will assume those openings are already cleared and avoid machining them. Use Edge or Sketch to select the machining area.

Geometry

Closed or open boundaries can be machined by selecting Faces, Edges or Sketches. You can remove stock from the inside of a pocket or the outside of a standing boss.

Closed area Pocket

Open area Pocket

Standing Boss

If you select Faces that have holes or pockets, Pocket will assume those openings are already cleared and avoid machining them. Use Edge selection for pockets with holes or pockets inside of the pocket. For standing bosses select the outer boundary of the boss and check the Stock Contours option shown below. The toolpath will be calculated between the selected boundary and the outer stock area.

Geometry for Thread Milling

You can Thread Mill cylindrical or conical faces.

Thread Mill Geometry Selection

Select any cylindrical or conical face from the model. This can be a boss for OD thread milling or a hole for ID thread milling. Diameter, Starting height and Bottom depth is all derived from this selection.

Geometry

Closed or open boundaries can be machined by selecting Faces, Edges or Sketches. You can remove stock from the inside of a pocket or the outside of a standing boss.

Closed area Pocket

Open area Pocket

Standing Boss

If you select Faces that have holes or pockets, Adaptive will assume those openings are already cleared and avoid machining them. Use Edge selection for pockets with holes or pockets inside of the pocket. For standing bosses select the outer boundary of the boss and check the Stock Contours option shown below. The toolpath will be calculated between the selected boundary and the outer stock area.

Drill Location Selections

You can select drilling locations by Model Face, Hole Edge, Sketch Point, Sketch Circle or a Diameter Size Range.

Face Selection | Edge Selection
Sketch Point Selection | Sketch Circle Selection

Hole Mode

Determines what you can select for your hole locations.

Selected Faces - Model based selection.

Cylinder Face Selection | Chamfer Face Selection

Selected Points - Geometry based selection.

Feature Edge Selection | Sketch Point Selection | Sketch Circle Selection

Diameter Range - Size based selection.

The system will evaluate the model based on the Minimum and Maximum Diameter values. Use this range to include or exclude hole sizes.
Example: Select all .250 - .2501 diameter holes for drilling and all .2505 - .2506 diameter holes for reaming.

Using Model based selections insures associativity to any future changes of the feature.

Note: Spot Drilling Options
* If you select the modeled chamfered face of a hole. The Bottom Height (depth) will automatically be determined to the theoretical tip.
* If you select by Diameter Range to includes all holes. Set the Bottom Height from Chamfer Width and set the Chamfer Width value.

Hole Faces

Shows the number of Faces selected for drilling.

Selected Faces - Model based selection.

Cylinder Face Selection | Chamfer Face Selection

Note: To select geometry, switch the Hole Mode to Selected Points.

Hole Points

Shows the number of Points, Circles or Edges selected for drilling.

Selected Points - Geometry based selection.

Feature Edge Selection | Sketch Point Selection | Sketch Circle Selection

Note: To select Model Features, switch the Hole Mode to Selected Faces.
Using Model based selections insures associativity to any future changes of the feature.

Optimize Order

When checked the path between holes is optimized for the shortest distance to reduce cycle time.

Preserve Order

When Selected, the chains/features are machined in the order they were selected.
When unselected, the program optimizes the cut order.

Order Inside-Out

Check to change the order of the toolpath to start at the inner most position of the part. Unchecked and the toolpath will start from an outside edge and work it's way across the part.

When Checked
First hole is at the inner most location.

Select Same Diameter

Check this to automatically select all holes with the same diameter as the hole currently selected in the selection box.

Example: To drill a single 6mm / 1/4" hole and all 12mm / 1/2" holes, first select the 6mm / 1/4" hole, then select one of the 12mm / 1/2" holes, and then check the Select same diameter option.

Using this option is associative to the model, so if additional holes with the same diameter are added later, regenerating the operation automatically includes the added holes in the drilling cycle.

Merge Hole Segments

Auto-Merge Hole Segments

Check to merge multiple hole segments. When enable all hole segments are included to determine the starting height for drilling.

Example: If a hole was Spot Drilled or Counter Bored first, you may want to start drilling from a clearance above that machined area. Enabling Auto-Merge will start the drilling from above the highest hole segment.

Left: Auto-Merge Disabled - Right: Auto-Merge Enabled
Blue line indicates the starting height for drilling.

Limit Angle

Minimum Angle

The smallest angle (from the tool orientation Z-axis) of the holes to machine.

Maximum Angle

The largest angle (from the tool orientation Z-axis) of the holes to machine.

Minimum Depth

Maximum Depth

Limit Diameter

Minimum Diameter

The diameter of the smallest holes to machine.

Maximum Diameter

The diameter of the largest holes to machine.

Include Drilled Holes

When enabled all blind holes with conical termination are detected.

Include Bored Holes

When enabled all blind holes with flat termination are detected.

Include Through Holes

When enabled all holes which are open at both ends are detected.

Include Split Holes

Include fillets

Minimize Tool Axis Changes

Minimize Tool Changes

Minimize Distance

Additional Offset

The additional offset is applied to the selected boundary/boundaries and tool containment.

A positive value offsets the boundary outwards unless the tool containment is Inside, in which case a positive value offsets inwards.

Negative offset Tool center on boundary option | No offset Tool center on boundary option | Positive offset Tool center on boundary option

To ensure that the edge of the tool overlaps the boundary, select the Outside tool containment method and specify a small positive value.

To ensure that the edge of the tool is completely clear of the boundary, select the Inside tool containment method and specify a small positive value.

Tangential Extension Distance

Used on open contours to extend the beginning and end of the selected chain or multiple chains. This creates a tangent linear extension based on the angle of the start and endpoints. This is an extension of the selected geometry.

No Extension | 12mm Extension

If the extension distance causes an overlap of a single chain, the intersection will be trimmed into a closed boundary.

Shown with Multiple Finish Passes set to 2 | Single pass Long extension

Tangential Extension has options for creating a different length on each end of the chain.

Note: You can use the Stock Contours option to force the toolpath past the defined Stock or a selected boundary. Great for irregular shapes. For an additional extenstion to the toolpath, go to the Passes Tab and use the Tangential Fragment Extension Distance.

Separate Tangential End Extension

Select this option to enter a different end extension length value.

16mm Start Extension
5mm End Extension

Machining Boundary

Boundaries mode specifies how the toolpath boundary is defined.

Example 1 | Example 2

Illustrated using a 3D Radial toolpath

Containment modes:

Bounding box | Silhouette | Selection

None - The toolpaths machine all stock without limitation. NOTE: The None option is not available for all machining strategies.

Bounding box - Contains toolpaths within a box defined by the maximum extents of the part as viewed from the WCS.

Silhouette - Contains toolpaths within a boundary defined by the part shadow as viewed from the WCS.

Selection - Contains toolpaths within a region specified by a selected boundary.

Machining Boundary Selection

Tool Containment

Use tool containment to control the tools' position in relation to the selected boundary or boundaries.

Tool inside boundary

The entire tool stays inside the boundary. As a result, the entire surface contained by the boundary might not be machined.

Tool center on boundary

The boundary limits the center of the tool. This setting ensures that the entire surface inside the boundary is machined. However, areas outside the boundary or boundaries might also be machined.

Tool outside boundary

The toolpath is created inside the boundary, but the tool edge can move on the outside edge of the boundary.

Inside | Center | Outside

To offset the boundary containment, use the Additional Offset parameter.

Boundaries Confine the Tool Contact Points

When enabled, extends the Machining boundary limits of the cut position to where the tool touches the part, rather than the tools center position. In the illustration below the red line indicates the machining boundary edge selection, as viewed thru the tool plane. The blue line indicates the tool contact point.

Disabled Center point determines the end of the cut. | Enabled Contact point determines the end of the cut.

Can be used to restrict roll over on the top edge of a cut. The difference is illustrated below on a Parallel toolpath.

Disabled | Enabled

Slope

Contains toolpaths based on a range of specified angles.

0 deg - 90 deg | 0 deg - 45 deg | 45 deg - 90 deg

Slope angle confinement is specified by the From Slope and To Slope Angle parameters on the Geometry tab. Angles are defined from 0 deg (horizontal) to 90 deg (vertical).

Only areas equal to or greater than the values in the From Slope and To Slope areas are machined.

Most 3D finishing strategies supports slope angle confinement. One use of slope confinement is to confine a selected toolpath strategy to angles where it works best. For example, Parallel Finish is better suited to shallow areas while Contour Finish is better suited to steep areas.

From Slope Angle

From Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or greater than this value are machined.

Slope Angle From 0 deg

To Slope Angle

To Slope angle is defined from the 0 deg (horizontal) plane. Only areas equal to or less than this value are machined.

Slope Angle To 90 deg

Synchronization Mode

Rest Machining

Limits the operation to just remove material that a previous tool or operation could not remove.

Rest Machining ON | Rest Machining OFF

Rest Machining

Limits the operation to just remove material that a previous tool or operation could not remove.

Use Rest Machining ON | Use Rest Machining OFF

Rest Material Source

Specifies the source from which the rest machining is to be calculated.

  • From previous operation(s)
  • From operation(s)
  • From tool
  • From file
  • From solid(s)
  • From setup stock

Rest Material File

From Setup Stock

Rest Material Operation

Rest material operation.

Union Of All Dependent Operations

Union of all dependent operations.

Include All Previous Operations

Include all previous operations.

Rest Material Tool Taper Angle

Rest Material Tool Shoulder Length

Rest Material Resolution

Specifies the rest material resolution.

Rest Material Tool Corner Radius

Specifies the corner radius of the rest material tool.

Rest Material Stock To Leave

Specifies the rest material stock to leave.

Rest Material Adjustment

Selects the rest material adjustment for respectively ignoring or ensuring milling of small cusps.

  • Use as computed
  • Ignore cusps
  • Machine cusps

Rest Material Adjustment Offset

This parameter specifies the amount of stock to be ignored, or additionally removed, depending on the Rest Material Adjustment setting.

The parameter is primarily used to avoid machining of minor rest material with the Ignore cusps setting.

Rest Material Tool Diameter

Specifies the diameter of the rest material tool.

Tool Orientation

Override the tool orientation defined in the setup.

Works with all 2D and 3D operations to control 3 + 2 Axis programming.

Tool Orientation enabled | Tool Orientation disabled

Tool Orientation Selection

Specifies how the tool orientation is specified.

  • Use Origin & Orientation sets a specific tool orientation for this operation from any selected point and plane as the origin and orientation, respectively.
  • Use Coordinate System sets a specific tool orientation for this operation from any coordinate system feature in the model. This uses both the origin and orientation of the coordinate system feature. Use this if your model does not contain a suitable point & plane for your operation.
  • Use Z-Axis and X-Axis Select a face or an edge to define the Z axis and another face or edge to define the X axis. Both the Z and X axes can be flipped 180 degrees.
  • Use Z-Axis and Y-Axis Select a face or an edge to define the Z axis and another face or edge to define the Y axis. Both the Z and Y axes can be flipped 180 degrees.
  • Use X-Axis and Y-Axis Select a face or an edge to define the X axis and another face or edge to define the Y axis. Both the X and Y axes can be flipped 180 degrees.

Origin

Select any point or vertex as the origin of the tool orientation.

Orientation

Select any face, sketch, or plane as the orientation of the tool orientation.

Override Setup WCS

Specifies that the workpiece coordinate system (WCS) should be different from the WCS given for the setup.

Tool Orientation Selection

Specifies how the workpiece coordinate system is specified.

Origin & Orientation | Coordinate System | Stock & Orientation

Use Origin & Orientation - A sketch point or stock vertex is used to define the location of the WCS, and a plane or planar face is used to define the orientation of the WCS.

Use Coordinate System - An existing user coordinate system (UCS) is used to define both the location and orientation of the WCS.

Use Stock & Orientation - A location on the stock (Example: Top Center) is used to define the location of the WCS, and a plane or planar face is used to define the orientation of the WCS.

Tool Orientation Mode

  • 3 + 2 axis - This mode will allow the Drill Wizard to hunt for holes in all orientations and automatically set a custom Tool orientation for each hole.
  • Tool orientation only - Whereas this mode will only find holes inline with the currently active tool orientation. This may be the setup Z, or a specified Tool orientation set within the Drill Wizard Geometry tab.

Reverse X-Axis

Selecting this checkbox will flip the current coordinate system's X axis 180 degrees.

Reverse Y-Axis

Selecting this checkbox will flip the current coordinate system's Y axis 180 degrees.

Reverse Z-Axis

Selecting this checkbox will flip the current coordinate system's Z axis 180 degrees.

Origin

The Origin drop-down menu offers the following options for locating the triad origin:

Setup WCS origin - Uses the workpiece coordinate system (WCS) origin of the current setup for the tool origin.
Model origin - Uses the coordinate system (WCS) origin of the current part for the tool origin.
Selected point - Select a vertex or an edge for the triad origin.

Model

Enable to override the model geometry (surfaces/bodies) defined in the setup.

Wrap Toolpath

Wraps the toolpath around a cylinder.

The resulting toolpath can be output using axis substitution around a rotary axis, or as full multi-axis moves.

NOTE: Wrap Toolpath introduces a skewing that affects the precision of the result. Specifically any wall below the Wrap Radius will be overcut. To finish walls in a true 4-axis fashion, use Swarf with the Limit to 4-axis option enabled.

Wrap Radius Offset

When performing the wrapping, the toolpath can only be accurate at one radius, the Wrap Radius, which defaults to the radius of the selected wrap cylinder. This offset allows you to adjust the wrap radius.

Wrap Radius

When performing the wrapping, the toolpath can only be accurate at one radius. This is the radius at which the wrapping is performed, and the radius at which it will be accurate.

Any wall below this radius will be overcut, and any wall above this radius will be undercut.

Check Surfaces

Specifies surfaces to avoid. When enabled, toolpaths stay away from the selected surfaces by a specified amount.

Disabled | Enabled | Touch Check Surfaces

NOTE: Touch check surfaces inverts the meaning of the Check Surface setting. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Avoid/Touch Surfaces

Select the surfaces to avoid. Toolpaths stay away from the selected surfaces by the Surface Amount.

No Selection | Domes Selected | Base Surface Selected

NOTE: Touch surfaces inverts the meaning of the Avoid Surfaces selection. When enabled, the avoid surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Avoid/Touch Surface Clearance

Clearance distance from the selected surfaces.

Touch Check Surfaces

This setting inverts the meaning for check surfaces. When enabled, the check surfaces are the ones that must be touched within the given clearance while the remaining surfaces are avoided.

Check Surfaces | Disabled | Enabled

Groove Side Alignment

Back - Offsets the tool from the selected groove geometry in the negative Z direction (toward the backside of the stock).

Middle - Centers the tool on the selected groove geometry.

Front - Offsets the tool from the selected groove geometry in the positive Z direction (toward the frontside of the stock).

Groove Tip Alignment

Cut-through - The tool tip extends past the selected radial distance in the negative radial direction for outside grooving, and in the positive radial direction for inside grooving.

IMPORTANT: The choice between inside/outside grooving appears on the Tool tab - not the Geometry tab.

Tip - The tool tip stops at the selected radial distance.

Confinement

Turning operations attempt to remove all the remaining stock possible with the selected operation type. The toolpath can be contained within a specific region using confinement boundaries.

Confinement enabled | Confinement disabled

Illustrated with Turning Profile

Confinement

Confinement regions can be defined with a combination of edges, surfaces, and/or sketch points as shown below.

Geometry sections | Resulting toolpath

Illustrated with Turning Groove

Frontside Stock Offset

Specifies the distance to machine beyond the frontside of the model.

Confinement using offsets

Negative frontside offset

Positive frontside offset

NOTE: This offset applies to the frontside of the model or containment region, and can be used at the same time as a backside offset.

Backside Stock Offset

Specifies the distance to machine beyond the backside of the model.

Confinement using offsets

Negative backside offset

Positive backside offset

NOTE: This offset applies to the backside of the model or containment region, and can be used at the same time as a frontside offset.

Apply Back From Front

Makes the stock backside offset apply from the front side.

Tangent Propagation

Automatically chain edges tangentially from the selected edges.

Propagate Along Z

Automatically chain edges along the same Z-depth as the selected edges.

Rest Machining

Specifies that only stock left after previous operations should be machined.

Disabled | Enabled

Dwelling Period

Dwelling time in seconds.

Specifying a dwell time halts all axis movement for a specified time while the spindle continues revolving at the specified rpm. This can be used to ensure that chips are cleared before retracting from a hole, and will typically improve the finish of a hole.

Typically a dwelling time between 1/4 second and 1 second is sufficient.

Example: To dwell for 1/4 second, specify 0.25 or 1/4 in this field.

When post processing a drill cycle, the dwell time is specified as one of the drill cycle parameters (typically P), and in most cases it is output in milliseconds (ms).

250ms dwell time in G82

When posting using expanded cycles, the dwell time is output as a regular dwell command (G4).

To calculate the minimum dwell time that will ensure at least one complete revolution, use a value of 60 divided by the spindle speed.

Example: At 350 RPM the minimum dwell time should be 60 / 350 = 0.171s which could be rounded to 0.2s.

Notice: If the operator is running the program with a speed override, then the spindle speed is slower, but the dwell time is constant. To ensure one complete revolution when using a speed override of eg. 50%, the dwell time must be doubled.

Clearance Height

This parameter specifies the clearance plane.

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Hole Bottom: incremental offset from the Hole Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Height

The height position is the first height the probe rapids to on its way to the start of the probing and the point it returns to after the process is finished.

Probe Clearance Height Reference
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Clearance height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Clearance height offset

The Clearance height offset is applied and is relative to the Clearance height mode selection in the above pull down list.

Clearance Height Offset

The Clearance height offset is an adjustment to the relative position specified in the above drop-down list.

Retract Height

This parameter specifies the retract plane.

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Feed Height: incremental offset from Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Hole Bottom: incremental offset from the Hole Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract Height

Retract height position sets an intermediate height between the Clearance and the Bottom height positions.

Probe Retract Height Reference
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Retract height offset

Retract height offset is applied and is relative to the Retract height mode selection in the above pull down list.

Retract Height Offset

Retract height offset is an adjustment to the relative position specified in the above drop-down list.

Feed Height

This parameter specifies the feed plane.

Feed height mode

Feed height mode set the height that the tool rapids to before changing to the feed/plunge rate to enter the part. Feed height mode should be set above the Top. Drilling operation will use this height as the initial feed height and the retract peck height. Feed height mode is used together with the subsequent offset to establish the height.

Feed Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Feed height mode

Feed height mode set the height that the tool rapids to before changing to the feed/plunge rate to enter the part. Feed height mode should be set above the Top. Drilling operation will use this height as the initial feed height and the retract peck height. Feed height mode is used together with the subsequent offset to establish the height.

Feed Height
  • Disabled:
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Hole Bottom: incremental offset from the Hole Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Feed height reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Feed height offset

Feed height offset is applied and is relative to the Feed height mode selection in the above pull down list.

Top

Specifies the top of the stock.

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Top offset

Top offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom

The maximum cutting depth.

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom mode

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Hole Top: incremental offset from the Hole Top.
  • From Hole Bottom: incremental offset from the Hole Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.
  • To Chamfer Width: drills just deep enough to make the Chamfer Width match the specified chamfer width for the selected tool.
  • To Chamfer Diameter: drills just deep enough to make the Chamfer Diameter match the specified chamfer diameter for the selected tool.

Bottom Height

The Bottom height position determines the reference for the final probing depth. This reference and the Offset value establish the true probing depth. This position is to the contact point of the probe.

Probe Bottom Height Reference
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom reference

Select an object in the graphics area to use as a reference for this height plane. For each selection type, the plane will position itself at the maximum Z solution while remaining parallel to the active XY plane. Valid selections are:

  • Faces
  • Model Edges
  • Vertex or Points

Note: If you select a straight edge or a spline, the plane will intersect the midpoint of the edge. If you select an arc, the plane will intersect the center point.

Bottom offset

Bottom offset is applied and is relative to the Bottom mode selection in the above pull down list.

Bottom Offset

Bottom height offset is an adjustment to the relative position specified in the above drop-down list. This position represents the tip, not the contact point (side) of the probe.

Drill Tip Through Bottom

When Enabled the tool tip will drill past the bottom of the hole. It positions the lip of the drill to the full diameter at the bottom of the hole.

Depth is to the Tip - Depth is to the Lip.
Left Side: Unchecked - Right Side: Checked

Note: When drilling through the bottom of the part, be aware of the fixture or material below the part.

Break-Through Depth

Specifies how far the lip of the tool drills past the bottom of the hole, to ensure a clean cut through the part. This must be a positive value.

Left: Break Through 0.0 - Right: Break Through 0.06

Note: When drilling through the bottom of the part, be aware of the fixture or material below the part.

Clearance height mode

The Clearance Height is the first height the tool rapids to on its way to the start of the tool path.

Clearance Heights
  • From Retract Height: incremental offset from the Retract Height.
  • From Feed Height: incremental offset from the Feed Height.
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Retract height mode

Retract height mode sets the height that the tool moves up to before the next cutting pass. Retract height mode should be set above the Feed height and Top. Retract height mode is used together with the subsequent offset to establish the height.

Retract Height
  • From Top: incremental offset from the Top.
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Top mode

Top mode sets the height that describes the top of the cut. Top mode should be set above the Bottom. Top mode is used together with the subsequent offset to establish the height.

Top Height
  • From Bottom: incremental offset from the Bottom.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Contour: incremental offset from a Contour selected on the model.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Bottom Height

Bottom mode determines the final machining height/depth and the lowest depth that the tool descends into the stock. Bottom mode needs to be set below the Top. Bottom mode is used together with the subsequent offset to establish the height.

Bottom Height
  • From Top: incremental offset from the Top.
  • From Model Top: incremental offset from the Model Top.
  • From Model Bottom: incremental offset from the Model Bottom.
  • From Stock Top: incremental offset from the Stock Top.
  • From Stock Bottom: incremental offset from the Stock Bottom.
  • From Selection: incremental offset from a Point (vertex), Edge or Face selected on the model.
  • Absolute (From Origin): absolute offset from the Origin that is defined in either the Job or in Tool Orientation within the specific operation.

Sideways Compensation

This setting determines the side of the toopath from which the tool center is offset. Choose between Left (climb milling) sideways compensation or Right (conventional milling) sideways compensation.

Climb Milling | Conventional Milling

Climb vs. Conventional Milling

Climb milling can be thought of as the cutter rolling along the surface that it is cutting. This generally gives a better finish in most metals, but requires good machine rigidity. Using this method, chips start at maximum thickness and get thinner towards the end of the cut, meaning more heat in the chip and less in the part.

With conventional milling, the cutter is rotating away from the surface it is cutting. This method is more commonly used with manual or less rigid machines. It does have some advantages, and can even give a better finish when machining certain materials including some woods.

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Note that control compensation (including Wear and Inverse wear) is only done on finishing passes.

Compensation Type

Specifies the compensation type.

  • In computer - Tool compensation is calculated automatically by the program, based on the selected tool diameter. The post-processed output contains the compensated path directly, instead of G41/G42 codes.
  • In control - Tool compensation is not calculated, but rather G41/G42 codes are output to allow the operator to set the compensation amount and wear on the machine tool control.
  • Wear - Works as if In computer was selected, but also outputs the G41/G42 codes. This lets the machine tool operator adjust for tool wear at the machine tool control by entering the difference in tool size as a negative number.
  • Inverse wear - Identical to the Wear option, except that the wear adjustment is entered as a positive number.

Boring Shift

Sets the distance that a boring bar tool moves away from the wall of the toolpath before approaching or retracting to prevent gouging. This option only applies to bore bar drill cycles.

Boring Shift applied for back boring cycle scenario

Spindle Shift Orientation

The spindle orientation to use when shifting during boring. Note that not all CNC controls have full support for controlling the spindle orientation.

Compensation Radius Allowance

This parameter specifies a range of tool diameters that can be safely used, instead of only the tool selected for the operation.

The allowed range of tool radii start from the selected tool radius and goes up to the selected tool radius, plus the given allowance.

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Tolerance

The machining tolerance is the sum of the tolerances used for toolpath generation and geometry triangulation. Any additional filtering tolerances must be added to this tolerance to get the total tolerance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Flow Mode

Cutting Mode

The cutting mode specifies how to machine down the sides.

Single Pass

From Bottom | Trim from Bottom
From Top | Trim from Top
Spiral | Morph

Isometric Direction

Specifies whether to do the flow Along u (similar to the X-axis in the Cartesian coordinate system) or to flow Along v (similar to the Y-axis in the Cartesian coordinate system).

Along u

Along v

Multiple Passes

Enable to enter a stepover value.

Multiple Passes

Enable to enter a value for multiple depth cuts when Thread Milling.

Multiple Passes
Uses Multiple cuts to achieve the full thread milling depth

Cutting Mode

The cutting mode specifies how to machine along a given contact curve.

Cutting mode

The cutting mode specifies how to machine along the ISO parametric directions of selected surfaces.

Manual Stepdowns

Stock Thickness

Specifies the overall thickness of the stock.

Stock Height

Tool Offset

Specifies an extra offset along the tool axis relative to the bottom guide curve.

0.00 Tool Offset Extension | 0.20 Tool Offset Extension

Minimize Axial Motion

Along Stock

Pass Overlap

Specifies the distance to extend machining for a closed pass.

Maximum Fan Distance

Specifies the maximum distance over which to fan the tool axis.

Order By Islands

Specifies the order in which depth cuts are taken when there are multiple profiles.

Disabled | Enabled

Disabled - Depth cuts are ordered by depth.

Enabled - Depth cuts are ordered by profile.

NOTE: Ordering cuts by island minimizes the number of rapid moves.

Optimal Load

Specifies the amount of engagement the adaptive strategies should maintain.

NOTE: Legacy clearing toolpaths produce uneven cutter engagement throughout the clearing operation. Using an Adaptive Clearing strategy results in 40% faster material removal rates because larger depth cuts can be taken with full confidence that the cutter will never see spikes in tool engagement that would break cutters.

High Speed Clearing Toolpath | Legacy Clearing Toolpath

Load Deviation

The maximum deviation of the optimal tool load. The load is never higher than the optimal load plus the deviation.

Minimum Cutting Radius

With Minimum Cutting Radius Set

With Minimum Cutting Radius Set - Sharp corners in the toolpath are avoided minimizing chatter in finished parts.

Without Minimum Cutting Radius Set

Without Minimum Cutting Radius Set - The toolpath attempts to remove material anywhere the selected tool can reach. This produces sharp corners in the tool path that often leads to chatter in the machined part.

NOTE: Setting this parameter leaves more material in internal corners, requiring subsequent rest machining operations with a smaller tool.

Fine Stepdown

Specifies the fine stepdown for intermediate steps. These steps are upwards in the direction of the tool axis.

Round Walls

Enable to round the extruded walls.

Manual Stepover

Enable to set the stepover manually.

Use Stepover

Enable to enter a Maximum Stepover value.

Minimum Stepover

Specifies the minimum stepover.

Prevent Full-Width Cuts

Specifies that full-width cuts should be avoided.

Maximum Tool Engagement

Specifies the maximum tool engagement for full-width cuts.

Maximum Trochoidal Radius

Specifies the maximum trochoidal radius.

Machine Shallow Areas

Specifies that extra Z-level passes should be taken in shallow areas to remove excessive cusps.

Disabled | Enabled

Illustrated with 3D Contour

Minimum Shallow Stepdown

This parameter controls the minimum allowed stepdown between the extra Z-levels. It takes precedence over the Maximum Shallow Stepover.

Maximum Shallow Stepover

This parameter controls the stepover used to detect areas where extra Z-levels should be inserted. If the normal stepdown results in a stepover of more than this value, extra levels are inserted until the stepover or the minimum stepdown is reached.

Flat Area Detection

If enabled, the strategy attempts to detect the heights of flat areas and peaks, and machine at these levels.

If disabled, the strategy machines at exactly the specified stepdowns.

Important: Enabling this feature may increase calculation time considerably.

Machine Cavities

If enabled, the strategy ramps into pockets and machines these.

If disabled, the strategy only machines from the outside-in and leaves pockets unmachined.

Machine Cavities

Enable to machine on the inside of the selected closed contours.

Disable to machine on the outside of the selected closed contours.

Open contours may only be specified when this option is enabled.

Machine Cavities Enabled | Machine Cavities Disabled

Machine Cavities

If enabled, the strategy will ramp into pockets and machine these.

If disabled, the strategy will only machine from the outside-in, and leave pockets unmachined.

Minimum Stepdown

Used when detecting flat areas. This is the smallest allowable stepdown to make.

Axial Offset Passes

Enable to do multiple depth cuts.

Disabled | Three Axial Offset Passes

Illustrated with 3D Parallel

Axial offset passes are used to create multiple incremental Z offset passes in many of the 3D finishing strategies.

Axial offset passes work much like multiple finishing stepdowns in the 2D operations and are useful for removing a fixed amount of stock using several passes.

Number Of Stepdowns

Specifies the desired number of stepdowns.

Up/Down Milling

Use this option to break each pass into segments so that each piece is machined using either downward or upward moves only. This is useful when using insert cutters that are restricted to a specific cutting direction.

'''Don't Care''' | Down Milling

Up/Down Shallow Angle

Smooth Ramps

When enabled, ramps are started and ended tangentially in all three axes.

Ramping is done without discontinuities in the first order derivative so that smooth curves are used instead of the usual kinks in the path.

Order Bottom-Up

Contour passes are usually ordered from top to bottom. Enable this check box to specify that passes should be ordered bottom-up (bottom to top).

Ordering is done so that the passes with the smallest Z-level tool orientation are done first in one operation for multiple contours. This method is very useful for machining fragile materials like graphite.

Order By Step

When enabled, each roughing and finishing step is machined to the full depth before moving to the next step.

Disabled | Enabled

Add Perpendicular Passes

This setting adds a set of passes perpendicular to the specified machining direction to reduce machining cusps.

Disabled | Enabled

Machine Straight On

Avoids machining along the steep areas by automatically choosing the best direction for the parallel passes.

Machine Areas Using Boundaries

When enabled, passes are generated from the confinement boundaries defined by all confinement features (machining boundaries, slope, heights, etc.). When disabled, passes are generated from the machining boundaries resulting in passes normally not following the surface.

Boundary Overlap

When using slope confinement and/or rest machining for a Scallop operation, you can enable the Machine Areas Using Boundaries check box to start offsetting the toolpath from the boundaries created by the slope and/or rest material detection.

You can specify a boundary overlap so that the boundary of the detected slope range or rest area is extended by the specified overlap amount.

Area Smoothing

Spiral Mode

Spiral | Spiral with circles | Concentric circles

Spiral creates a path that spirals out from the center point until it reaches the containment boundary or max radius.

Spiral with circles adds a circular toolpath at the minimum radius and at the maximum radius. The circular toolpath is only added if the minimum radius is larger than 0 and the maximum radius is smaller than the radius of the containment boundary.

Concentric circles produces concentric circle paths that are linked. The resulting paths form a circular pattern rather than a spiral pattern.

Morphed spiral spirals from a shape that is not round.

Number Of Offset Stepovers

Contour Offset

This value is used to offset the center of the tool from the generated toolpath by a specified distance.

Morph Mode

Simple - Linear interpolation between points.

Closest - End-point-to-end-point.

Automatic - Automatic morph between points.

Maximum Segment Length

Specifies the maximum length of a single segment for the generated toolpath.

Maximum Tool Axis Sweep

Specifies the maximum angle change in a single tool axis sweep for the generated toolpath.

Allow Relinking

Overthickness

Additional thickness which is applied to the tool to detect passes.

The amount between the actual part radius and the actual tool radius.

Bitangency Angle

An angle in degrees, that is used to determine the number of passes along a wall or fold.

An angle representing the contact points for the tool.

Cutter paths are created along all the contact areas where it would make two simultaneous contacts with the part, at more than this angular difference.

Limit Number Of Stepovers

When disabled, the number of steps is unlimited, and the result is a collapsed pencil finish of the entire surface.

Multiple Finishing Passes

Enable to perform multiple finishing passes.

Roughing Clearing Pass

Specifies that cusps left by the initial roughing passes should be cleared. Enable this setting to avoid the tool loading up with a greater than expected amount of material during the final profile pass. This can become particularly relevant with some geometries when cusps are left on the groove wall.

Roughing Clearing Pass disabled | Roughing Clearing Pass enabled with a 1mm Finishing Stepover

The red shaded area at the left represents the stock that would be removed by Roughing Clearing Pass once enabled.

Note: The clearing pass itself is applied in the Down direction only, irrespective of the Up/Down Direction setting.

Smoothing Deviation

The maximum amount of smoothing applied to the roughing passes. Use this parameter to avoid sharp corners in the toolpath.

Corner Deviation

The maximum corner deviation. Use this parameter to avoid sharp corners in the toolpath.

Smoothing Deviation

The maximum amount of smoothing applied to the roughing passes. Use this parameter to avoid sharp corners in the toolpath.

Finishing Smoothing Deviation

The maximum amount of smoothing applied to the finishing passes. Use this parameter to avoid sharp corners in the toolpath. Setting this parameter leaves more stock than requested at the contour corners.

Roughing Passes

Can be used to take multiple cuts around the selected profile. This activates additional parameters for controlling the Stepover and Number of cuts.

Roughing Passes disabled | Roughing Passes enabled with a 3mm Maximum Stepover

Stepover

Specifies horizontal stepover between passes.

Horizontal Stepover

By default, this value is 95% of the cutter diameter less the tool corner radius.

Stepover

Specifies the stepover amount between passes.

The amount per each cut, when Multiple passes is activated.

Stepover

Spiral Stepover specifies the radial stepover between passes.

Spiral Stepover

The system default is based on 50% of the cutter diameter.

Stepover

The stepover between passes measured along the surface.

Stepover

The stepover between passes measured along the surface.

Number Of Stepovers

The number of roughing steps.

Number Of Stepovers

The number of cutting steps.

Uses Multiple cuts to achieve the full thread milling depth.
This illustration shows 2 Stepovers.

Number Of Stepovers

The number of additional steps to each side of the pencil seed.

Cusp Height

Cusp Height is the theoretical surface finish produced by successive toolpaths left by the radius of the cutter. A smaller tool diameter or a larger stepover produces a larger cusp height.

Cusp Height

Inside/Outside Direction

Specifies if the toolpath moves inside-out or outside-in. Selecting the Don't care option minimizes the ordering by distance.

Outside -> in | Inside -> out

Link From Inside To Outside

Enable to specify whether the linking between passes should be done without particular ordering or linking should be done by ordering from inside passes to outside passes.

Link from inside to outside

specifies whether the moves inside of the part then outward or outside-in.

'''Don't care''' | Inside -> Out | Outside -> In

Angular Step

The angular step in degrees between radial passes.

Angle From

The Radial starting angle in degrees measured from the X axis as viewed from the WCS.

From Angle

Angle To

The Radial ending angle in degrees measured from the X axis as viewed from the WCS.

To Angle

Inner Limit

Sets the minimum inner radius.

No inner Radius | Inner Radius

Illustrated with 3D Spiral

Outer Limit

Sets the maximum outer radius.

No outer Radius | Outer Radius

Illustrated with 3D Spiral

Manual Center

The center of the radial passes.

Clockwise

Specifies that the spiral is clockwise.

Machine Steep Areas

Specifies extra passes will be added where the surface is steep perpendicular to the machining direction. This is important for plastic injection molds where the cutting direction needs to be consistent to avoid marks on the parts.

Disabled | Enabled

Minimum Steep Stepover

Defines the minimum stepover that is used when Machine Steep Areas is enabled, regardless of the stepdown amount.

Maximum Steep Stepdown

Defines the maximum steep stepdown value.

Finishing Overlap

The finishing overlap is the distance that the tool passes beyond the entry point before leading out.

Specifying a Finishing Overlap ensures that the material at the entry point is properly cleared.

No finishing overlap | 0.25" finishing overlap

NOTE: The finishing overlap follows the selected contour, so it is safe to specify a large overlap.

Use Thin Wall

When milling part features with wall thicknesses comparable to sheet metal stock, or even thinner, the stock is subjected to the forces generated by metal removal. This can result in the delicate structure of thin walls moving relative to the tool, making it difficult to maintain dimensional accuracy and impart the specified surface finish.

This option can be used to reduce the vibration and chatter by ensuring that both sides of a thinwall are machined at the same time.

Thin Wall Width

The width of walls that should be considered thin walls.

Any wall with this width or thinner is machined on both sides at the same time to reduce vibration and chatter.

Pass Direction

Specifies the direction of the milling passes.

Pass Direction @ 0 degrees | Pass Direction @ 45 degrees

Maximum Stepover

Specifies the maximum stepover for each cut.

Maximum Stepover
The amount to cut per pass.

Maximum Stepover

Specifies the maximum horizontal stepover between passes.

NOTE: This is NOT the same as optimal load settings with adaptive clearing paths. With legacy 2D roughing, the tool still sees full cutter engagement when transitioning from one pass to the next.

Adaptive Clearing | Legacy 2D Clearing

Allow Stepover Cusps

When programming flat faces with a tool that has a radius in the corner, a cusp (or scallop) can be produced between stepovers.

By default, the Maximum Stepover value is overridden to insure that no stepover cusps are produced.

Allow Stepover Cusps Disabled | Allow Stepover Cusps Enabled

Above - Pocket machined with a 3/8" bullnose end mill @ .25" Maximum Stepover.

Finishing Passes

With Finishing Passes | Without Finishing Passes

Enable to perform finishing passes using the side of the tool.

NOTE: This option is typically used when roughing and finishing is being done with the same tool.

Stepover

Specifies the maximum stepover for each cut, when taking multiple finishing passes.

Finishing Stepover
The amount to cut per pass.

Number Of Finishing Passes

Specifies the number of finishing passes.

Shown with three finishing passes

Leads On All Finishing Passes

Forces a full lead in and out on every finishing pass.

Enabled | Disabled

NOTE: Lead parameters are set on the Linking tab of the Operations dialog box.

Repeat Finishing Pass

Enable to perform an additional finishing pass with zero (0.0) stock.
Clears the stock left over from tool deflection.
Also referred to as a Spring Pass.

Finish Feedrate

Feedrate used for the final finishing pass.

Outer Corner Mode

When machining outer corners, it may be necessary to avoid rolling around the corner in order to leave the corner perfectly sharp. The Outer corner mode setting lets you machine outer corners in three different ways.

Roll around corner - Keeps contact with the corner throughout the motion.

Keep sharp corner - Continues the toolpath to a single point corner, losing contact with the material temporarily.

Keep sharp corner with loop - Similar to Keep sharp corner, but also performs a horizontal lead-out and lead-in at the corner.

Roll Around Corners

Make Sharp Corners

Specifies that sharp corners must be forced.

Caution: Using a smaller tool on the machine can cause a gouge when using this feature.

Multiple Depths

Specifies that multiple depths should be taken.

With Multiple Depth cuts | Without Multiple Depth cuts

NOTE: Adaptive clearing strategies allow for much more aggressive depth cuts than legacy 2D pockets.

Use Slot Clearing

Enable this setting to start pocket clearing with a slot along its middle, before continuing with a spiral motion towards the pocket wall.

This feature can be used to reduce linking motion at corners for some pockets.

Enabled | Disabled

Slot Clearing Width

The width of the initial clearing slot along the middle of the pocket before continuing with a spiral motion towards the pocket wall.

Slot Clearing Width

Maximum Roughing Stepdown

Specifies the maximum stepdown between Z-levels for roughing.

Maximum Roughing Stepdown
Shown without Finishing Stepdowns

NOTE: Sequential Z-level stepdowns are taken at the Maximum Roughing Stepdown value. The Final Roughing stepdown takes the remaining stock, once the remaining stock is less than the Maximum Roughing Stepdown value.

Maximum Stepdown

Specifies the maximum stepdown between Z-levels.

Maximum Stepdown

Specifies the maximum stepdown between Z-levels.

Finishing Stepdowns

The number of finishing passes using the bottom of the tool.

Shown with three Finishing Passes

Finishing Stepdown

The size of each stepdown in the finishing passes.

Finishing Stepdown

Wall Taper Angle

Specifies the taper angle of the walls.

Defining a slope angle can be used to machine features with a 2D strategy that would have otherwise required a 3D strategy.

NOTE: - The slope angle is NOT driven by model geometry, so it is possible that an error entering the slope angle can affect the finished machined part.

Slope Angle @ 0 deg | Slope Angle @ 45 deg

Geometry Selection

Bottom Selection | Top Selection

NOTE: When using a slope angle with the Adaptive Clearing strategy, geometry must be selected at the top of the pocket.

Finish Only At Final Depth

Perform finishing passes only at the final depth to avoid leaving marks on the walls.

Disabled | Enabled

Use Even Stepdowns

Enable to create equal distances between machining passes.

Example: Suppose you are machining a profile with a depth of 23 mm and a maximum stepdown = 10 mm.

With Use even stepdowns enabled - you get three passes with the first value at -7.666 mm, the second at 15.3333 mm, and the third at -23 mm.

With Use even stepdowns disabled - again you get three passes, the first at -10 mm, the second at -20 mm, and the third at -23 mm.

Minimum Axial Engagement

Specifies the minimum allowed axial engagement for the intermediate steps.

This feature is commonly used to keep at least one flute constantly engaged as it turns and hence can reduce tool wear and chatter.

NOTE: - Skipping intermediate steps will leave extra stock for the following semi-roughing operation.

Finishing Step

Specifies that a finishing step should be taken

Finishing Step

From Other Side

Specifies that the toolpath starts on the other side of the part.

Unselected | Selected

Chamfer

Specifies that the contouring operation will be used to create a chamfer.

Geometry Selection Tips:

Sharp Corners | Chamfered Edges

Sharp Corners - Select the sharp corner and define the size of the chamfer using the Chamfer Width Setting.

Chamfered Edges - Select the bottom edge of the chamfer. The chamfer width is calculated automatically.

Important: All edges selected must be either the bottom edge of a chamfered face or unchamfered edges. If both edge types are selected, then the edges that already have the chamfers modeled end up with chamfers that are twice the size they should be.

Chamfer Width

Chamfer Depth

Chamfer Width

The width of the chamfer.

The amount to break the selected edge. This is the distance across the flat edge of the Chamfer.

Chamfer Width

Chamfer Width

The (additional) width of the chamfer.

For edges that are not already chamfered, this is the final width of the chamfer.

For chamfered edges, this is an additional offset; similar to using negative radial stock to leave.

Chamfer Tip Offset

This is added to the toolpath depth, while keeping the tool in contact with the selected edge by adjusting the toolpath radial offset.

Chamfer Tip Offset
Tool Tip Clearance Extension

NOTE: Allows you to cut past the bottom of the Chamfer edge. Keeps you from cutting with the bottom tool edge.

Chamfer Angle

The angle of the chamfer measured from the Z-axis.

Chamfer Extension

Distance by which to extend the chamfer cutting pass.

Chamfer Clearance

This value specifies how far the tool needs to stay away from model geometry that is not being chamfered.

Chamfer Clearance
Collision Avoidance Distance

NOTE: Allows you to cut the Chamfer to a blended edge, while avoiding collisions with intersecting walls.

Pass Extension

Distance to extend the passes beyond the machining boundary.

Pass Extension

Tangential Fragment Extension Distance

Used on open contours to extend the beginning and end of the calculated toolpath. This creates a tangent linear extension based on the angle of the start and endpoints. This extension can be used in combination with the Geometry - Tangential Extension Distance.

No Extension | 12mm Extension

Overlaping extensions of a single chain, will not be trimmed.

Shown with Multiple Finish Passes set to 2 | Single pass Long extension

Note: You can use the Stock Contours option to force the toolpath past the defined Stock or a selected boundary. Great for irregular shapes. If you need a different extension for each end of the cut, you can use Geometry Tab - Tangential Extension Distance.

Tangential Fragment Extension Distance

Extends the cut tangentially at both ends of the pass.

Tangent Extension at both ends of the cut

Tangential End Extension Distance

Specifies the distance to extend the end position.

16mm Start Extension
5mm End Extension

Direction

The direction option lets you control whether the program should try to maintain either climb or conventional milling.

Notice: Depending on the geometry, it is not always possible to maintain climb or conventional milling throughout the entire toolpath.

One way | Both ways

One way

Select One way to machine all the passes in a single direction. When One way is used, the program tries to use climb milling relative to the selected boundaries.

Other way

This reverses the direction of the toolpath compared to the One way setting to generate a conventional milling toolpath.

Both ways

When Both ways is selected, the program disregards the machining direction and links passes with the directions that result in the shortest toolpath.

Direction

Which way to probe along the selected axis.

Direction

Specifies if material is removed using Conventional Milling or Climb Milling, or a combination of both.

Conventional Milling | Climb Milling

Climb vs. Conventional Milling

Milling tools advance through the material so that the cutting flutes engage the material at maximum thickness and then decreases to zero. This is called Climb Milling.

Cutting in the opposite direction causes the tool to scoop up the material, starting at zero thickness and increasing to maximum. This is called Conventional Milling.

Conventional milling is used often on manual machines because backlash in the machine lead screws causes the tool to lurch when climb cutting. This is not a problem on CNC machines because they use ball screws.

Conventional milling causes the tool to rub against the cutting surface, work hardening the material, generating heat, and increasing tool wear. Raking chips across the finished surface also produces a poorer surface finish.

Unless specifically recommended by the tool manufacturer for the material being milled, always use climb milling on a CNC. Climb milling produces far less cutting pressure and heat, leaves a better surface finish, and results in longer tool life.

NOTE: When working with brittle materials, like acrylics, climb milling may be used so material does not "blow out" along edges.

Direction

Specifies the way the machining is done.

  • Climb milling
  • Conventional milling

Direction

Lets you specify whether the program should climb or conventional mill the thread.

Conventional Milling | Climb Milling

Other Considerations. The cut direction, the type of hole (OD or ID) and the threading hand direction (left or right) have an effect on where the thread milling starts. It's possible to cut from top to bottom or bottom to top, depending on these settings.
Examples:
A right hand thread on an OD (boss), with a climb cut will mill from the top to the bottom.
A right hand thread on an ID (hole), with a climb cut will mill from the bottom to the top.

Use the Climb or Conventional Direction parameter to control Top to Bottom or Bottom to Top cut direction.

Both Ways

Specifies that the operation uses both Climb and Conventional milling to machine open profiles.

Unselected | Selected

NOTE: This option only controls how muliple depth cuts are taken on a single open contour. It does not optimize the cut direction for multiple open contours.

Tilt Mode

Forward Tilt

Specifies the number of degrees the tool should be tilted forward.

Sideways Tilt

Specifies the number of degrees the tool should be tilted sideways.

Minimum Tilt

Specifies the minimum allowed tilt from the selected operation tool axis.

Maximum Tilt

Specifies the maximum allowed tilt from the selected operation tool axis.

Stock To Leave

Positive | None | Negative

Positive Stock Value - The amount of stock left for subsequent roughing or finishing operations.

No Stock to Leave - Remove all material up to the selected geometry or part model.

'Negative Stock Value - Removes material beyond the selected geometry or part model. This technique is often used in Electrode Machining to allow for a spark gap or to meet tolerance requirements of a part.

Radial (Wall) Stock To Leave

The radial stock to leave parameter controls the amount of material to leave in the radial (perpendicular to the tool axis) direction, i.e. at the side of the tool.

Radial stock to leave | Radial and Axial stock to leave

Specifying a positive radial stock to leave results in material being left on the vertical walls and steep areas of the part.

For surfaces that are not exactly vertical, the program interpolates between the axial (floor) and radial stock to leave values, so the stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers. However, the negative radial stock to leave must be less than the tool radius.

When using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial (Floor) Stock To Leave

The axial stock to leave parameter controls the amount of material to leave in the axial (along the Z-axis) direction, i.e. at the end of the tool.

Axial Stock to Leave | Both Radial and Axial Stock to Leave

Specifying a positive axial stock to leave results in material being left on the shallow areas of the part.

For surfaces that are not exactly horizontal, the program interpolates between the axial and radial (wall) stock to leave values, so the stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the radial stock to leave automatically sets the axial stock to leave to the same amount, unless you manually enter the axial stock to leave.

For finishing operations, the default value is 0 mm/0 in, i.e. no material is left.

For roughing operations, the default is to leave a small amount of material that can then be removed later by one or more finishing operations.

Negative Stock to Leave

When using a negative stock to leave, the machining operation removes more material from your stock than your model shape. This can be used to machine electrodes with a spark gap, where the size of the spark gap is equal to the negative stock to leave.

Both the radial and axial stock to leave can be negative numbers, however when using a ball or radius cutter with a negative radial stock to leave that is greater than the corner radius, the negative axial stock to leave must be less than or equal to the corner radius.

Axial Offset

Specifies an axial offset value for the toolpath for the chosen contour.

Minimum Diameter

Minimum Fragment Length

Fragment Extension Distance

Threading Hand

Right handed | Left handed

Threading Hand

Create a Right or Left handed thread direction.

Thread Pitch

The distance between threads.

The distance traversed for 1 complete thread.
1/Threads Per Inch (TPI) or or the actual pitch for metric threads.

Pitch

Specifies the distance per 360° step as the tool feeds to depth.
For straight walls this value is generally larger, than with tapered walls.
A finer Pitch on a Tapered wall creates a smoother surface finish.

Depth Per. Revolution

Fillet Radius

Specify a fillet radius.

Smoothing Filter

Smooths the toolpath by removing excessive points and fitting arcs where possible within the given filtering tolerance.

Smoothing Off | Smoothing On

Smoothing is used to reduce code size without sacrificing accuracy. Smoothing works by replacing collinear lines with one line and tangent arcs to replace multiple lines in curved areas.

The effects of smoothing can be dramatic. G-code file size may be reduced by as much as 50% or more. The machine will run faster and more smoothly and surface finish improves. The amount of code reduction depends on how well the toolpath lends itself to smoothing. Toolpaths that lay primarily in a major plane (XY, XZ, YZ), like parallel paths, filter well. Those that do not, such as 3D Scallop, are reduced less.

Smoothing Tolerance

Specifies the smoothing tolerance.

Smoothing works best when the tolerance (the accuracy with which the original linearized path is generated) is equal to or greater than the Smoothing (line arc fitting) tolerance.

NOTE: Total tolerance, or the distance the toolpath can stray from the ideal spline or surface shape, is the sum of the cut Tolerance and Smoothing Tolerance. For example, setting a cut Tolerance of .0004 in. and Smoothing Tolerance of .0004 in. means the toolpath can vary from the original spline or surface by as much as .0008 in. from the ideal path.

Maximum Directional Change

Specifies the maximum angular change allowed before the feedrate is reduced.

Reduced Feed Radius

Specifies the minimum radius allowed before the feed is reduced.

Reduced Feed Distance

Specifies the distance to reduce the feed before a corner.

Reduced Feed

Specifies a slower feedrate to be used when the tool is moving in the X direction while cutting material.

Only Inner Corners

Only reduce the feedrate on inner corners.

Incremental Depth

The depth of cut per pass.

Pitch

Specifies the distance per 360° step as the tool feeds to depth.
For straight walls this value is generally larger, than with tapered walls.
A finer Pitch on a Tapered wall creates a smoother surface finish.

Depth Per. Revolution

Pitch Diameter Offset

Creates a positive or negative diameter offset from the selected geometry.

Pitch Diameter Offset

The difference between the Major and Minor thread diameters.

The difference between the Major "D" and the Minor "d" diameters.
This is the thread depth and the value is always positive.

NOTE: Required if the hole is drawn to the Minor size,
or if the Boss/Cylinder is drawn to the Major size.

Chip Break Distance

With a chip breaking operation, the drill withdraws a specified distance after advancing into the hole to prevent the binding of chips.

Back Boring Distance

Manually enter the length of the undercut bore. This will determine the distance the boring bar moves up from the bottom of the selected hole, before shifting back by the Boring Shift value to retract out of the hole.

Consider the "flute length" of your boring bar when setting this value

Diameter

Because this toolpath will output a cycle at the selected hole center point coordinates, it ignores the diameter of the selected hole. Instead you must manually enter the diameter of the hole you would like to machine with your tool. The benefit of this approach, if your post processor & CNC controller supports it, is the machine operator can change the diameter variable in the canned cycle at the machine control.

Dwelling Period

Dwelling time in seconds.

Specifying a dwell time halts all axis movement for a specified time while the spindle continues revolving at the specified rpm. This can be used to ensure that chips are cleared before retracting from a hole, and will typically improve the finish of a hole.

Typically a dwelling time between 1/4 second and 1 second is sufficient.

Example: To dwell for 1/4 second, specify 0.25 or 1/4 in this field.

When post processing a drill cycle, the dwell time is specified as one of the drill cycle parameters (typically P), and in most cases it is output in milliseconds (ms).

250ms dwell time in G82

When posting using expanded cycles, the dwell time is output as a regular dwell command (G4).

To calculate the minimum dwell time that will ensure at least one complete revolution, use a value of 60 divided by the spindle speed.

Example: At 350 RPM the minimum dwell time should be 60 / 350 = 0.171s which could be rounded to 0.2s.

Notice: If the operator is running the program with a speed override, then the spindle speed is slower, but the dwell time is constant. To ensure one complete revolution when using a speed override of eg. 50%, the dwell time must be doubled.

Cycle Type

Selecting the type of drilling cycle changes which parameters can be used for the drilling operation. Shown with the common industry G-Code.

  • Drilling: Feed to Depth & Rapid Out - For holes with depths of less than 3x the tool diameter. (G81)
  • Counterboring: Feed to Depth, Dwell, Rapid Out - A dwell is used to improve the bottom finish of a hole. (G82)
  • Chip breaking: Uses multiple pecks that periodically retracting the tool to break the chips and/or allow coolant to enter the hole. For holes with depths more than three times the tool diameter. (G73)
  • Deep drilling: Similar to Chip breaking, but retracts completely out of the hole to clear chips and/or flood the hole with coolant. Also known as Peck drilling. (G83)
  • Break through: Allows for reduced feed and speed before breaking through a hole.
  • Guided deep drilling: A gun drill has a single cutting edge. Guide pads burnish the hole to produces a straight, deep hole with a precision diameter.
  • Tapping: Taps right or left handed threads depending on the selected tool.
  • Left tapping: Feed to Depth, Reverse the spindle, Feed Out - Rotates counterclockwise as it enters the hole to cut a thread. (G74)
  • Right tapping: Feed to Depth, Reverse the spindle, Feed Out - Rotates clockwise as it enters the hole to cut a thread. (G84)
  • Tapping with chip breaking: Feeds in and out multiple times, going deeper each time, until it reaches the final depth.
  • Reaming: Feed to Depth and immediately Feed Out upon reaching the final depth. (G85)
  • Boring: Feed to Depth, Dwell, Feed Out. (G86)
  • Stop boring: Feed to Depth, Stop the spindle, Rapid Out. (G87)
  • Fine boring: Feed to Depth, Stop the spindle, Shift from the wall, Rapid Out. (G76)
  • Back-boring: Boring from the back of an existing hole. (G77)
  • Circular pocket milling: This can be used to call a custom cycle for circular pocketing.
  • Bore milling: This can be used to call a custom cycle for helical bore milling.
  • Thread milling: This can be used to call a custom cycle for helical thread milling.
  • Probe: Used to call a probe tool macro from the machine. Requires a custom post processors. See the advanced Probing function, under the Setup pull down.

Pecking Depth

Sets the depth for the first peck move, which plunges in and out of the material to clear and break chips.

Pecking Depth Reduction

The amount by which the pecking depth is reduced per peck.

Minimum Pecking Depth

The minimum allowed pecking depth.

Accumulated Pecking Depth

Specifies the pecking depth which forces a full retract.

Break Through Distance

The starting distance above the bottom to switch to the break through feeds & speed.

Break Through Feedrate

Feedrate used during break through.

Break Through Spindle Speed

Spindle speed used during break through.

Starting Depth

This value is relative to the top of the selected hole (including any merged segments). The normal programmed feeds & speeds will commence from this position.

Positioning Feedrate

This feedrate is used from the Feed Height until the drill reaches the specified Starting Depth. At which point the feedrate specified on the Tool tab will commence.

Stop Spindle

Enabling this stops the spindle during positioning. The spindle is then started once the tool reaches the Starting Depth.

Note: You may need your post processor to be modified for this to work correctly for your machine.

Positioning Spindle Speed

This spindle speed is used until the drill reaches the specified Starting Depth. At which point the spindle speed specified on the Tool tab will commence.

Dwell Depth

Direction

This setting determines the side of the toolpath from which the tool center is offset. Choose between Left (climb milling) sideways compensation or Right (conventional milling) sideways compensation.

Climb Milling | Conventional Milling

Climb Vs. Conventional Milling

Climb milling can be thought of as the cutter rolling along the surface that it is cutting. This generally gives a better finish in most metals, but requires good machine rigidity. Using this method, chips start at maximum thickness and get thinner towards the end of the cut, meaning more heat in the chip and less in the part.

With conventional milling, the cutter is rotating away from the surface it is cutting. This method is more commonly used with manual or less rigid machines. It does have some advantages, and can even give a better finish when machining certain materials including some woods.

Repeat Pass

This setting has no impact on your toolpath,
unless it is supported by a canned cycle in your post processor.

Use Multiple Steps

Specifies that multiple radial stepovers should be taken.

Without Use multiple steps | With Use multiple steps

Number Of Steps

Specifies the number of radial steps.

3 Radial Steps

Stepover

The radial distance between each step over.

Tolerance

The tolerance used when linearizing geometry such as splines and ellipses. The tolerance is taken as the maximum chord distance.

Loose Tolerance .100 | Tight Tolerance .001

CNC machine contouring motion is controlled using line G1 and arc G2 G3 commands. To accommodate this, CAM approximates spline and surface toolpaths by linearizing them; creating many short line segments to approximate the desired shape. How accurately the toolpath matches the desired shape depends largely on the number of lines used. More lines result in a toolpath that more closely approximates the nominal shape of the spline or surface.

Data Starving

It is tempting to always use very tight tolerances, but there are trade-offs including longer toolpath calculation times, large G-code files, and very short line moves. The first two are not much of a problem because the program calculates very quickly and most modern controls have at least 1MB of RAM. However, short line moves, coupled with high feedrates, may result in a phenomenon known as data starving.

Data starving occurs when the control becomes so overwhelmed with data that it cannot keep up. CNC controls can only process a finite number of lines of code (blocks) per second. That can be as few as 40 blocks/second on older machines and 1,000 blocks/second or more on a newer machine like the Haas Automation control. Short line moves and high feedrates can force the processing rate beyond what the control can handle. When that happens, the machine must pause after each move and wait for the next servo command from the control.

Direction

In conjunction with the turning mode, this setting determines the tool direction when cutting.

Front to Back | Back to Front | Both Ways

Front to Back - Select this option to cut from the front side of the stock towards the back side, i.e. towards the main chuck.

Back to Front - Cuts from the back side, toward the front side. Away from the chuck. For tools with special geometry where chip thinning control is important. See the Use Back Cutting option shown on the Passes tab.

Both Ways - This option allows the tool to cut in both directions. The result is a back and forth cutting motion. Ensure that you are using an appropriate tool that can cut in both directions when selecting this option.

Chamfer Width

The distance across the chamfer flat.

The amount to break the selected edge. Shown below in the center illustration.

Chamfer Extension - Chamfer Width - Chamfer Angle

Chamfer Extension

The distance to extend the tool past the chamfer.

Provides additional clearance past the chamfer edge. Shown below in the left illustration.

Chamfer Extension - Chamfer Width - Chamfer Angle

Chamfer Angle

The angle of the chamfered face.

The angle is referenced from the Z axis. Shown below in the right illustration.

Chamfer Extension - Chamfer Width - Chamfer Angle

Pass Direction

Specifies the direction of the turning passes.

Pass Direction @ 0 degrees | Pass Direction @ 30 degrees

Grooving

Use this to allow or restrict undercut toolpath motion. Can be used to keep the tool from dipping into channels along the diameter, face or end of the part.

'''Don't allow grooving''' | Allow Radial grooving
Allow Axial grooving | Allow Radial and Axial Grooving

Note - Tool geometry will determine the effectiveness of clearing an area.

Back Cutting

For tools with special geometry where chip thinning control is important. This activates additional controls to set the Back Cutting Radius blend and Back Cutting Exit Distance. Only available when the cutting mode direction is set from Back to Front.

C = Cut direction - Away from the Chuck
R = Radius for Back Cutting entry
D = Distance for feed reduction

Starting the toolpath closest to the chuck side, the Radius blends onto the cut and feeds in the positive direction. At a distance before the end of the cut, the feedrate is reduced to prevent chipping of the part or the tool.

Back Cutting Radius

This radius is used for the initial blend onto the cut. Consult your tooling supplier for their recommendation on the best blend size. Generally a size equal to, or larger than the Maximum Roughing Stepdown will work as a starting point.

R = Radius for Back Cutting entry

Back Cutting Exit Distance

Specifies the distance before the end of the cut to slow down the feedrate.

D = Distance before the end of the cut

Reducing the feedrate before the end of the cut helps to prevent chipping of the part or the tool. This uses the Lead-Out Feedrate shown on the Tools Tab. Consult your tooling supplier for their recommendation on the best distance and feedrate to use

Maximum Roughing Stepdown

Controls the aggressiveness of the roughing cuts. By increasing the value, the cutter removes more material with each roughing pass.

Comparison between smaller (left) and larger (right) Maximum Roughing Stepdown values.

Roughing Overlap

Specifies at the end of a roughing pass how far the tool should move past the previous pass before it begins any lead-out or retract.

Roughing Overlap at 0mm | Roughing Overlap set at 5mm

Finishing Passes

Enable this option to perform the specified number of finishing passes.

Finishing Passes disabled | Finishing Passes enabled

Finishing Passes

Enable this option to perform the specified number of finishing passes.

Finishing Passes disabled | Finishing Passes enabled

Finishing Passes

This option is only available when Roughing Passes is enabled. The images below also have Roughing Clearing Pass enabled, creating the impression that there are two finishing passes. Tip: Using this technique can remove the requirement of a secondary finishing operation.

Finishing Passes disabled | 0.75mm Finishing Pass

Allow Grooving

Allows the tool to move towards the center of the stock in narrow areas. If disabled, the tool can only begin cuts on the front open face of the stock. When enabled, the tool can plunge into the stock in narrow areas to create grooves.

Allow Grooving disabled | Allow Grooving enabled

Up/Down Direction

Options that control the direction of the finishing passes.

Up and Down | Only Down | Only Up

Notice how the Only Down and Only Up options result in a discontinuous finish pass; with the tool either exiting or entering the finish pass from the center of the groove.

Pass Overlap

Specifies the overlap distance used for finish passes split due to Only Up and Only Down machining directions.

Pass Overlap at 0mm | Pass Overlap set at 3mm

Lead Mode

The lead mode settings provide very specific control of the leads. There are five options available.

Fail - Results in a failure if it is not possible to do the lead in/outs without causing a gouge. User intervention is then required to make the leads fit.

Discard passes - Discards any passes that cannot be reached with the given settings. This option leaves rest material for any following operations.

Move lead - Moves the lead position to a different location along the part until there is room, but keeps the lead as specified.

Turn lead - Changes the lead angle until there is room.

Retract lead - Is the most automatic lead mode and also the default setting. It allows linking of all parts and, in some cases, does radial retracts when there is no other alternative. This is the recommended setting.

Maximum Grooving Stepover

Specifies the maximum grooving stepover. The final stepover is less than this value to account for the radius on the tools insert, ensuring that no cusp is left on the surface. In the image below, the Maximum Grooving Stepover value is set to 10mm so the axial distance between passes will always be as close to 10mm as possible.

Maximum Grooving Stepover set at 10mm

Backoff Distance

Specifies the distance to back off from the stock before retracting.

Grooving Pattern

Specifies the strategy used to create the groove toolpath. The geometry you are turning, the material from which your part is made, and the type of grooving insert and holder you want to use determines which option is best to use.

Full Stepdown | Partial Stepdown | Sideways With Partial Stepdown

Full Stepdown - Removes all the material radially, before moving along the spindle axis to remove the next amount. The amount the tool steps over each time is controlled by the Maximum Grooving Stepover value.

Partial Stepdown - Removes all the material along the spindle axis before starting to remove the material at the next depth specified by the Maximum Groove Stepdown value.

Sideways With Partial Stepdown - In some materials it is better to groove from side to side since it results in smaller chips and increased tool life. For example, if the groove is wider than it is deep, using this option can result in faster overall material removal rate than the Full Stepdown or Partial Stepdown options. Tip: In a case like this, use the Both Ways option in the Direction drop-down menu on the Tool tab, as shown in the above image.

Use Pecking

Pecking forces the tool to cut into the material by the specified Pecking depth distance, gradually progressing down to the finished depth required. The tool then retracts along its path by the specified Pecking retract distance.

Use Pecking disabled | 3mm Pecking Depth

Tip: You can easily see the points where the tool is pecking and retracting, by enabling Show points in the Toolpath group while in Simulation.

Use Pecking

Pecking creates multiple steps across the length of the cutting direction. Between Pecking Depths the tool retracts along its path by the specified Pecking retract distance. Use this if your material creates long strings of chips.

Use Pecking disabled. Single cut along the path. | 18 mm Pecking Depth. 3 mm Retract between Pecks.

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Use Pecking

Pecking creates multiple steps across the length of the cutting direction. Between Pecking Depths the tool retracts along its path by the specified Pecking retract distance. Use this if your material creates long strings of chips or to improve coolant flow to the tool tip.

Use Pecking disabled. Single cut along the path. | 8 mm Pecking Depth. 3 mm Retract between Pecks.

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Pecking Depth

Specifies the maximum distance the tool cuts into the material before retracting to clear or break the chips. The red arrows in the image show where the tool is cutting down in increments equal to, or less than this value.

Pecking Depth

Peck Depth

Specifies the step distance per Peck along the length of the cutting direction. The distance to feed along the cut, between retracts.

Red arrows indicate Peck Depth segment

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Peck Depth

Specifies the step distance per Peck along the length of the cutting direction. The distance to feed along the cut, between retracts.

Red arrows indicate Peck Depth segment

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Pecking Retract

Specifies the distance the tool retracts from its pecking depth to clear or break the chips. The green arrow in the image shows where the tool is pulling out inbetween each peck.

Pecking Retract

Note: The tool retracts using the cutting feedrate.

Peck Retract

Specifies the Retract distance between Pecks along the cutting direction.

Red arrows indicate Peck Retract segment

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Peck Retract

Specifies the Retract distance between Pecks along the cutting direction.

Red arrows indicate Peck Retract segment

Tip: To see the points where the tool is pecking and retracting. Go to Simulation and under the Show Toolpath group, enable the Show points icon.

Dwell Before Retract

Enables dwelling before pecking retracts to thin out chips. This can increase tool lift significantly depending on the material being machined.

Use Reduced Feedrate

Enable to reduce the feedrate when grooving along the X axis. Finish passes are still carried out using the original feedrate specified on the Tool tab.

The highlighted blue elements of the toolpath use the
reduced rate specified in the Reduced Feed field.

Transfer Stock

Specifies that the stock should be clamped for use on the other spindle.

Thread Depth

Specifies the thread depth.

Thread Depth = T

Shown as T in the illustration, it's the difference between the Major D and Minor d diameters.

Thread Pitch

Specifies the thread pitch.

Thread Pitch = P

Shown as P in the illustration, it's the distance traversed for 1 complete thread. 1/Threads Per Inch (TPI) or or the actual pitch for metric threads.

Do Multiple Threads

Enable to enter the number of threads.

Number Of Threads

Specifies the number of threads.

Multiple Finishing Passes

Enable to specify more than one finishing pass. If Finishing Passes is enabled, but Multiple Finishing Passes is disabled, then only one finishing pass is performed.

Multiple Finishing Passes ON | Multiple Finishing Passes OFF

Roughing Passes

Enabling roughing passes provides you with the ability to fine tune your grooving toolpath. Options such as grooving stepover, pecking, and additional finishing controls become available; as well as additional settings within the Roughing Passes group.

Roughing Passes disabled | Roughing Passes enabled with a 1mm Maximum Grooving Stepover

Note: With Roughing Passes disabled, the stepover for both Full & Partial Stepdown is automatically calculated based on the groove width value of the insert.

Roughing Passes

Enabling roughing passes provides you with the ability to fine tune your grooving toolpath. Options such as grooving stepover, pecking, and additional finishing controls become available; as well as additional settings within the Roughing Passes group.

Roughing Passes disabled | Roughing Passes enabled with a 1mm Maximum Grooving Stepover

Note: With Roughing Passes disabled, the stepover for both Full & Partial Stepdown is automatically calculated based on the groove width value of the insert.

Stepover

This distance determines the amount of material initial toolpaths leave for the first finishing pass and for any subsequent finishing stepovers.

0.5mm Stepover | 2mm Stepover

Stepover

This distance determines the amount of material initial toolpaths leave for the first finishing pass and for any subsequent finishing stepovers.

Two 0.75mm Stepovers

Number Of Stepovers

Controls the number of finishing stepovers to apply. If Roughing Clearing Pass is enabled in the Roughing Passes group, it can appear as though more stepovers have been applied than specified.

Two Stepovers | Two Stepovers + Roughing Clearing Pass

Infeed Mode

The infeed is the depth of cut per pass and is critical in threading. Each successive pass engages a larger portion of the cutting edge of the insert. There are three infeed mode options.

Constant infeed - With this option, the cutting force and metal removal rate can increase dramatically from one pass to the next. Example - When producing a 60 degree thread form using a constant 0.010 inch infeed per pass, the second pass removes three times the amount of metal as the first pass. The amount of metal removed continues to grow exponentially with each subsequent pass.

Reduced infeed - This option maintains more realistic cutting forces and reduces the depth of cut with each pass. Because it avoids the increased metal removal rate of constant infeed, it is the recommended setting.

Alternate infeed - Similar to the Reduced infeed, but this method alternates between feeding in from the left and right sides of the thread profile.

Constant Equal Plunges | Reduced Set To 29.5 Degrees
Alternating side feed | Alternating side feed

Infeed Angle

Specifies the infeed angle of the tool. Sometimes set to half of the included thread angle
of the insert, minus .5 degrees for clearance. Example: (60 deg. / 2) -.5 = 29.5

Infeed Set To 0 Degrees | Infeed Set To 29.5 Degrees

Feeding in on the angle reduces the load on the front edge of the tool.

Fade Thread End

Enable this setting to fade out the thread at the end.

Spring Pass

Enable to perform the final finishing pass twice to remove stock left due to tool deflection.

Use Cycle

Enable to request output as canned cycle.

Eject Stock

Specifies the amount of stock to eject from the current chuck.

Stock To Leave

Positive | None | Negative

Positive Stock Value - The amount of stock left for subsequent roughing or finishing operations.

No Stock to Leave - Remove all material up to the selected geometry or part model. This is the default.

Negative Stock Value - Removes material beyond the selected geometry or part model.

Radial Stock To Leave

Controls the amount of material to leave in the radial direction.
Used for leaving stock on the ID or OD of the part.

Radial Stock 1mm | Radial Stock 1mm

Radial Stock 0.0

Radial and Axial Stock -1mm

For surfaces that are not exactly horizontal, the program interpolates between the Axial Stock value (wall) and the Radial Stock values. The stock left in the radial direction on these surfaces might be different from the specified value, depending on surface slope and the axial stock to leave value.

Changing the Radial Stock to Leave value automatically sets the Axial Stock to Leave to the same amount. You can manually enter a different Axial Stock value.

If you plan on roughing and finishing with different tools, set the rough operation to the amount of stock to leave for the next finishing operation.

Negative Stock to Leave You may use a negative value. This will cause the tool to machine material beyond the edge of your model shape.

NOTE: - Maximum negative stock to leave must be less than the tool nose radius.
With an insert nose radius of .032, the largest negative stock would be -.032
You can not compensate past the theoretical tip of the tool.

Axial Stock To Leave

Controls the amount of material to leave on the vertical faces being turned.

Axial Stock 1mm | Axial Stock 1mm

Axial Stock 0.0

Radial and Axial Stock -1mm

For surfaces that are not exactly vertical, the program interpolates between the Axial Stock value (wall) and the Radial Stock values. The stock left in the axial direction on these surfaces might be different from the specified value, depending on surface slope and the radial stock to leave value.

Changing the Radial Stock to Leave value automatically sets the Axial Stock to Leave to the same amount. You can manually enter a different Axial Stock value.

If you plan on roughing and finishing with different tools, set the rough operation to the amount of stock to leave for the next finishing operation.

Negative Stock to Leave You may use a negative value. This will cause the tool to machine material beyond the edge of your model shape.

NOTE: - Maximum negative stock to leave must be less than the tool nose radius.
With an insert nose radius of .032, the largest negative stock would be -.032
You can not compensate past the theoretical tip of the tool.

Retraction Policy

Controls how the tool moves between cutting passes.

Full Retraction | Minimum Retraction | Shortest Path

Illustrated with Flow

Full retraction - Completely retracts the tool to the Retract Height at the end of the pass before moving above the start of the next pass.

Minimum retraction - Moves straight up to the lowest height where the tool clears the workpiece, plus any specified safe distance.

Shortest path - Moves the tool the shortest possible distance in a straight line between paths.

WARNING: Shortest path should not be used on machines that do not support linearized rapid movements where G0 moves are straight-line (versus G0 moves that drive all axes at maximum speed, sometimes referred to as "dogleg" moves). Failure to obey this rule will result in machine motion that cannot be properly simulated by the software, and may result in tool crashes.

For CNC machines that do not support linearized rapid moves, the post processor can be modified to convert all G0 moves to high-feed G1 moves. Contact technical support for more information or instructions on how to modify post processors as described.

Transition Type

Specifies the type of connection done between passes.

  • No contact - Sidesteps are not connected with each other on the same Z-level, but connected with a retract move.
  • Straight line - Simpler, direct connections using straight lines.
  • Shortest path - The shortest possible path between machining areas - typically a move in a straight line.
  • Smooth - Use smooth tangential movements using true arcs where appropriate.

Safe Distance

Minimum distance between the tool and the part surfaces during retract moves.

The distance is measured after stock to leave has been applied, so if a negative stock to leave is used, special care should be taken to ensure that safe distance is large enough to prevent any collisions.

High Feedrate Mode

Specifies when rapid movements should be output as true rapids (G0) and when they should be output as high feedrate movements (G1).

  • Preserve rapid movement - All rapid movements are preserved.
  • Preserve axial and radial rapid movement - Rapid movements moving only horizontally (radial) or vertically (axial) are output as true rapids.
  • Preserve axial rapid movement - Only rapid movements moving vertically.
  • Preserve radial rapid movement - Only rapid movements moving horizontally.
  • Preserve single axis rapid movement - Only rapid movements moving in one axis (X, Y or Z).
  • Always use high feed - Outputs rapid movements as (high feed moves) G01 moves instead of rapid movements (G0).

This parameter is usually set to avoid collisions at rapids on machines which perform "dogleg" movements at rapid.

High Feedrate

The feedrate to use for rapids movements output as G1 instead of G0.

Allow Rapid Retract

When enabled, retracts are done as rapid movements (G0). Disable to force retracts at lead-out feedrate.

Keep Tool Down

When enabled, the strategy avoids retracting when the distance to the next area is below the specified stay-down distance.

Maximum Stay-Down Distance

Specifies the maximum distance that is allowed for stay-down moves.

1" Maximum stay-down distance | 2" Maximum stay-down distance

Illustrated with 2D Adaptive Clearing

NOTE: Regardless of the stay-down distance, the tool retracts between passes if the rapid motion violates the workpiece.

Both Ways

When enabled, passes are done in both directions. Disable to force climb-only machining.

Lift Height

Specifies the lift distance during repositioning moves.

Lift Height 0 | Lift Height .1 in

No-Engagement Feedrate

Specifies the feedrate used for movements where the tool is not in engagement on the material, but is also not retracted.

Remove Spikes

Enable to remove spikes in the toolpath.

Maximum Spike Angle

Specifies the angle of the passes which triggers a spike.

Linear Lead-In Angle

Specifies the lead-in direction.

Lead-In Extension

Specifies the lead-in extension.

Linear Lead-Out Angle

Specifies the lead-out direction.

Lead-Out Extension

Specifies the lead-out extension.

Lead-In (Entry)

Enable to generate a lead-in.

Lead-In

Horizontal Lead-In Radius

Specifies the radius for horizontal lead-in moves.

Horizontal Lead-In Radius

Linear Lead Length

Specifies the length of the linear leads.

Lead-In Sweep Angle

Specifies the sweep of the lead-in arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Linear Lead-In Length

Specifies the length of the linear lead-in move for which to activate radius compensation in the controller.

Linear Lead-In Length

Perpendicular

Replaces tangential extensions of lead-in/lead-out arcs with a move perpendicular to the arc.

Shown with Perpendicular Entry/Exit

Example A bore that has lead arcs that are as large as possible (the larger the arc the less chance of dwell mark), and where a tangent linear lead is not possible because it would extend into the side of the bore.

Vertical Lead-In Radius

The radius of the vertical arc smoothing the entry move as it goes from the entry move to the toolpath itself.

Vertical Lead-In Radius

Lead-Out (Exit)

Enable to generate a lead-out.

Lead-Out

Same As Lead-In

If checked, the lead-out values be identical to the lead-in values.

Horizontal Lead-Out Radius

Specifies the radius for horizontal lead-out moves.

Horizontal Lead-Out Radius

Lead-Out Sweep Angle

Specifies the sweep of the lead-out arc.

Sweep Angle @ 90 degrees | Sweep Angle @ 45 degrees

Linear Lead-Out Distance

Specifies the length of the linear Lead-Out move for which to deactivate radius compensation in the controller.

Linear Lead-Out Distance

Perpendicular

Replaces tangential extensions of lead-in/lead-out arcs with a move perpendicular to the arc.

Shown with Perpendicular entry/exit

Example A bore that has lead arcs that are as large as possible (the larger the arc the less chance of dwell mark), and where a tangent linear lead is not possible because it would extend into the side of the bore.

Vertical Lead-Out Radius

Specifies the radius of the vertical lead-out.

Vertical Lead-Out Radius

Lead End Distance

Specifies the distance the leadout feed rate begins before the end of the selected geometry.

@ 0 in | @ .5 in

NOTE: This option is used when you desire to change the feedrate prior to breaking through at the end of the cut.

Lead To Center

Specifies that the lead in/out movement should be into the center of the geometry.

Ramp

Enable ramps.

Shown with a 15 degree Ramp angle

Ramp Type

Specfies how the cutter moves down for each depth cut.

Plunge Outside Stock

Predrill | Plunge

To use the Predrill option, Predrill location(s) must be defined.

Zig-Zag | Profile

Notice the smooth transitions on the Zig-Zag ramp type.

Smooth Profile | Helix

Ramping Angle (deg)

Controls the angle of the helix that leads into the cavity.

Shown with 2 Deg. Ramp

Ramp Taper Angle (deg)

Creates a cone shape entry cavity, to reduce tool load. Specified as an included angle.

Controls the starting and ending diameter of the helix that leads into the cavity.

Shown with 12 Deg. Taper

Maximum Angle (deg)

Specifies the maximum plunge angle for the passes.

Maximum Ramp Stepdown

Specifies the maximum stepdown per revolution on the ramping profile. This parameter allows the tool load to be constrained when doing full-width cuts during ramping.

Ramp Clearance Height

Clearance above the Top Height, where the Helix Ramp will start.

Clearance to start the Helix

Helical Ramp Diameter

The maximum diameter to use for a helical entry into the cavity.

An optimal value causes the tool to overlap it's center, while still creating the maximum helical bore for the entry into the cavity. The goal is for good chip evacuation. If the value is bigger than the diameter of the tool it can leave a boss standing in the center of the helix.

Value of 1.8 x the Dia. | Value of 0.8 x the Dia.

The system will determine the best location for the entry helix, unless and Entry Position is selected. (Entry Positions shown below). The complete area will always be cleared, regardless of the diameter. Note: The area width should be Tool Dia + Ramp Dia + Stock, or the helical entry will fail.

Minimum Ramp Diameter

The smallest Helix Ramp Diameter that is acceptable.

This value should always be smaller than the Helix Ramp Diameter, so the system can calculate a range that fits the available pocket or channel. Smaller diameters can reduce the chip evacuation, create jerking machine motion and can cause tool breakage.

Helical Ramp 0.100in - Min. Ramp 0.060in

Force Profile Ramp

Enable this to force a profile ramp on top of the selected contour(s).

Use this when cutting out holes, for example.

Trim Passes

Enable this to allow the passes to be trimmed back to fit the leads, where otherwise not possible, to allow the CNC machining to maintain a high feed. If disabled, forces the entire pass to be machined. This can result in sharp moves and the minimum corner radius may not be respected.

Manual Ramp Diameter

If checked, the minimum ramp diameter can be set.

Contact Ramp Angle

The maximum angle of contact ramps.

Smooth Contact Ramp

Specifies that the contact ramp should be smooth.

Ramp Radial Clearance

Specifies the minimum distance to the contour for the lead-in helix.

Set Minimum Profile Diameter

This allows a minimum profile diameter to be set. If a machining area is smaller than the specified minimum profile diameter, then it is not machined.

Minimum Profile Diameter

Specifies the minimum cavity to be cut.

Allow Plunging Outside Stock

Instead of machining the material inside the contour of a selected area, enabling this parameter allows you to remove the material outside the selected contour by picking an additional stock contour.

Disable this parameter to force ramping in stock.

Predrill Positions

Select points where holes have been drilled to provide clearance for the cutter to enter the material.

Entry Positions

Select geometry near the location where you want the tool to enter.

Retraction Policy

Controls whether the tool should retract to the clearance diameter after every cutting pass, or just retract a short distance away from the job. The distance is determined by the Safe Distance value.

Full Retraction | Minimum Retraction

Linear Lead-In Angle

Specifies the angle of the lead-in move at the start of a cutting pass. Note that the angle reference depends on the Use fixed lead direction setting.

Lead-In Angle @ 0 degrees | Lead-In Angle @ 45 degrees

Lead-In Extension

Specifies the lead-in extension value which has the effect of leading in before the point at which the cutting movement starts by the specified distance.

Lead-In Extension set to 0mm | Lead-In Extension set to 1mm

Linear Lead-Out Angle

Specifies the angle of the lead-out move at the end of a cutting pass. Note that the angle reference depends on the Use fixed lead direction setting.

Lead-Out Angle @ 45 degrees | Lead-Out Angle @ 90 degrees

Lead-Out Extension

This setting has the effect of delaying the point at which the cutter begins to lead out by the specified distance.

Lead-Out Extension set to 0mm | Lead-Out Extension set to 1mm

Lead-In (Entry)

Controls how the tool enters the cutting path. The radius, distance, and angle can be specified.

Lead-In

Lead-Out (Exit)

Controls how the tool exits the cutting path. The radius, distance, and angle can be specified.

Lead-Out

Lead-In Radius

Specifies the radius of the lead-in move at the start of a cutting pass.

Lead-In Radius @ 0mm | Lead-In Radius @ 3mm

Lead-Out Radius

Specifies the radius of the lead-out move at the end of a cutting pass.

Lead-Out Radius @ 0mm | Lead-Out Radius @ 3mm

Horizontal Lead-In/Out Radius

Creates an arc in the XY cutting plane for blending onto the part. The radius for horizontal lead moves.

Horizontal Lead Radius

Vertical Lead-In/Out Radius

Creates an arc in the vertical plane for blending down onto the part. The radius for vertical lead moves.

Vertical Lead-In/Out Radius

Linear Lead-In Length

Specifies the distance (length) of the lead-in move at the start of a cutting pass.

Linear Lead-In Length set to 0mm | Linear Lead-In Length set to 2mm

Linear Lead-Out Distance

Specifies the distance (length) of the lead-out move at the end of a cutting pass.

Linear Lead-Out Distance set to 1 mm | Linear Lead-Out Distance set to 5 mm

Use Helical Leads

Enable to use helical lead in/out movements instead of circular lead in/out movements.

Use Fixed Lead Direction

Specifies that the given lead directions are always relative to the XZ coordinate system. When disabled, the leads are relative to the front/back cutting direction of the individual pass.

Operation Type

Specifies the machining method.

Milling
All types of Milling machines.

Turning
2x Lathes, Lathes with mill/turn configurations.

Program Name/Number

Specifies the program name or number. This parameter is made available to the post processor.

Program Comment

Specifies the program comment. This parameter is made available to the post processor.

Use External Model

Model

Use this to specify the models/solids that are considered for the toolpath calculation.

Model Unit

Scale

Specifies the scale of the model.

Stock Mode

Specifies the size and shape of the stock.

Fixed Size Box - Creates a rectangular stock body of a specific (fixed) size. Relative Size Box - Creates a rectangular stock body larger than the model by a given set of values. Can be rounded up to the nearest specified increment. | Fixed Size Cylinder - Creates a cylindrical stock body of a specific (fixed) size. Relative Size Cylinder - Creates a cylindrical stock body larger than the model by a given set ofvalues. Can be rounded up to the nearest specified increment.
Fixed Size Tube - Creates a tube stock body of a specific (fixed) size. Relative Size Tube - Creates a tube stock body larger than the model by a given set of values. Can be rounded up to the nearest specified increment. | From Solid - Creates a stock by selecting a solid body in a multi-body part or from a part file in an assembly.

Stock Bottom Offset

Stock Width

Stock Depth

Stock Height

Stock Solid

Stock Sketch

Stock Offset

Specifies the distance to offset the stock contour outwards.

Stock Offset

Stock Height

Backside Stock Offset

Specifies the distance to machine beyond the backside of the model.

Frontside Stock Offset

Specifies the distance to machine beyond the frontside of the model.

Fixture

Select the geometry in the model that represents the fixture components.

Stock In Chuck

Specifies the amount of stock in the chuck.

Stock In Chuck Shifted Distance

Reverse Direction

Specifies which direction of the extrusion from sketch to be reversed.

Stock offset mode

Specifies how stock is added to the model.

Stock Offset Mode

No additional stock | Add stock to sides and top-bottom | Add stock to all sides

No additional stock - No offset values are added to the stock size.

Add stock to sides and top-bottom - Symmetrical stock offset for all sides. Unique values for top and bottom offsets.

Add stock to all sides - Unique values for all offset directions.

Stock side offset

Specifies the additional stock on the sides.

Stock top offset

Specifies the additional stock on the top.

Stock bottom offset

Specifies the additional stock on the bottom.

Stock +X offset

Specifies the offset of the stock.

Stock -X offset

Specifies the offset of the stock.

Stock +Y offset

Specifies the offset of the stock.

Stock -Y offset

Specifies the offset of the stock.

Stock +Z offset

Specifies the offset of the stock.

Stock -Z offset

Specifies the offset of the stock.

Use Stock Radius

Specifies the radius of cylindrical stock instead of using an offset value.

This option is helpful when working with bar stock that is ordered at a given diameter or radius.

Stock radius

Specifies the radius of the stock.

Radial stock offset

Specifies the radial offset of the stock.

Continue Machining From Previous Setup

Stock in Chuck

Specifies the amount of stock in the chuck.

Chuck Model

Clamp From inside

WCS Origin

Specifies the location of the Work Coordinate System (datum) for the job relative to the stock.

WCS Origin Selection

The orientation of the WCS above is defined with the WCS orientation selection box.

Home Position

Specifies the home position along the Z axis.

Spindle

Specifies the spindle to use.

Primary spindle

Secondary spindle

Work Offset

Identifies the desired workpiece coordinate system (WCS) for the setup. It is the responsibility of the post processor configuration to map this number to the actual WCS on the machine.

WCS Offset Increment

Specifies the work offset increment used for workpiece duplication.

Multiple WCS Offsets

Enable to specify that the workpiece is to be duplicated.

Work duplicates

Specifies the number of workpiece duplicates. This is the total number of instances.

Operation Order

Specifies the ordering of the individual operations.

Preserve order - Specifies that features are machined in the order in which they were selected.

Order by operation - Specifies the ordering of the individual operations.

Order by tool - Specifies the ordering of operations by tool. For example, all operations that use a 3/4" diameter flat mill are machined first. Then the next set of operations that use another identical tool, a 1/4" diameter flat mill for example, are machined next.

Fast 3D Mode

The fastest simulation mode. Simulation is done to a limited resolution controlled by the quality slider. This mode is only available when simulating 3-axis milling operations in the same tool orientation. Undercutting cannot be simulated for this mode.

Solid Mode

This is the most flexible mode. The stock quality is better than for the Fast 3D mode but done to a tolerance controlled by the Quality slider. This mode gives the best result for turning. This mode supports multi-core/CPU for fast simulation.

High Quality Mode

The High Quality mode can in some cases give better visualization of the stock and can also be faster to update than the other modes. However, the stock has to be updated whenever you zoom and rotate in the model viewport.

Fast Mode

The Fast mode will often provide good results for milling toolpath. For turning you should still prefer the Solid mode. This mode also supports multi-core/CPU for fast simulation and the mode will often give a result faster than possible with Solid mode.

Stock

Enable to show the stock during the simulation.

Tool

Toggles the on/off visibility of the tool.

Tool

Displays a tool description of the tool in use during the simulation.

Show Holder

Toggles the on/off visibility of the tool holder.

Show Shaft

Toggles the on/off visibility of the tool shaft.

Show Transparent

Enable to make both the tool shaft and tool holder transparent so that you can see through them.

Toolpath

Available visualization options allow the entire toolpath, all toolpath before or after the current tool position, toolpath for the operation, or toolpath tail until the current tool position to be shown during the simulation.

Show Points

When enabled, points along the toolpath are displayed. As you hover over each point, its XYZ position appears in the Position group.

Pattern Type

The pattern type to use for the folder.

Linear - Patterns operations/toolpaths in a straight line, or grid.

Circular - Patterns operations/toolpaths around a rotational center.

Mirror - Creates mirror-image operations/toolpaths that are flipped about a mirror plane.

Duplication - Creates a pattern using operations/toolpaths as the source and sketch points as the targets.

Component - Available in assemblies only, this option patterns operations/toolpaths from one component to multiple components in an assembly.

Operation Order

Specifies the ordering of the operations in the pattern.

Preserve order - Machines all operations in each instance of the pattern before moving to the next instance.

Order by operation - Machines all occurrences of each operation in the pattern before changing to the next operation.

Order by tool - Machines all operations in the pattern that use the current tool before changing tools.

Miscellaneous

Manual NC

Specifies the type of the Manual NC operation. These options can be used to directly control the generated NC code within the NC program. For instance, by forcing a tool change that would otherwise not be required. It is fully up to the post processor configuration to make use of these commands in the desired manner.

Note: press F1 to read the Manual NC page in the help file for more information.

Bottom

The maximum cutting depth.

Top

Specifies the top of the stock.

Rough final

Threading

Right handed | Left handed

Automatically create tools

Maximum tool depth

Default spot drill diameter

Chamfer size

Merge with spot drilling

Minimum pre-drill diameter

Increment pre-drill diameter

Stock per side remaining for finish tool

Normalization mode

Normalization reference

Normalization offset

Normalization

Edit Expression Frequently Asked Questions (FAQ)


Frequently Asked Questions (FAQ)

FAQ0001 Recommended system memory

The minimum recommended amount of system memory is 2Gb. If your system is running out of memory the toolpath generation will normally take significantly longer to complete.

FAQ0002 Recommended PC system

HSMWorks is designed for high performance computing (HPC). This means that HSMWorks can utilize multiple CPUs and cores simultaneously. Hence, for the best experience PC systems with as many CPUs/cores as possible is recommended. However, even with a dual CPU or dual cores system you will get very good performance.

FAQ0003 Recommended operating system

Only 64-bit Windows is now supported.

FAQ0004 All CPUs are not utilized during toolpath calculation

First verify in the Windows Task Manager that other processes are not using the available CPU resources. The toolpath calculation in HSMWorks is run at a lower priority by default to ensure that you can keep working with the HSMWorks user interface without experiencing long delays.

Furthermore, HSMWorks toolpath calculation consists of many different tasks which all depend many user-specified parameters. A task may in some cases not be able to utilize all available CPU resources due to constraints implied by these parameters.

FAQ0006 Floating licenses

Floating licenses are supported using the HSMWorks License Manager. The HSMWorks license must have been issued specifically for HSMWorks License Manager.

FAQ0009 I don't see the CAM menu, or the CAM toolbars!

The HSMWorks add-in may not be loaded

After completed installation the HSMWorks add-in should be immediately available from within SolidWorks in the Add-Ins dialog which is accessible from the Tools menu. Check the "HSMWorks" entry and choose OK to load the add-in. The add-in will now be started automatically every time SolidWorks is started. You can likewise prevent automatic loading by un-checking the same entry again. Once the add-in has been loaded a CAM menu will be added to the SolidWorks main menu.

FAQ0010 I don't see the CAM toolbars!

If the toolbars have become hidden, you can show them by right-clicking on a blank area of the toolbar pane. If the CAM toolbars are not in the list, you may have to click the arrow at the bottom of the menu first.

FAQ0012 The progress sometimes goes backwards

This may happen when calculating an adaptive clearing toolpath. Due to the nature of this strategy, the progress per layer is an estimate. In certain cases this estimate can be too low, and the progress will go beyond the segment that corresponds to that particular layer. When the next layer is machined, the progress is adjusted. This behavior is by design.

FAQ0013 HSMWorks hangs when loading a file

If HSMWorks hangs when loading a file this could be due to a problem with the graphics driver. You may be able to resolve the problem by updating the graphics driver and/or by disabling full hardware acceleration in the Windows control panel under display settings.

FAQ0014 HSMWorks License Manager or HSMWorks doesnt run anymore

If you install other software that overwrites the HASP driver installed by the HSMWorks installation application HSMWorks may not be able to see the connected HSMWorks dongle and hence cannot run. You can resolve the problem by reinstalling the HASP driver found on the installation DVD or CD.

FAQ0015 HSMWorks Crashes when Trying to Open a File

This problem may occur when using an incompatible video card driver. To check if the problem is related to the video card or driver, please try to enable the Use Software OpenGL option in the Tools, Options dialog, under Performance. Note that the setting can only be changed when no documents are open.

Additionally, try to enable the option No preview during open (faster). Lastly try to leave this option enabled while disabling Use Software OpenGL.

If enabling the Use Software OpenGL option resolves your problem, then the problem is most likely related to you video card and/or driver. Please make sure that you are using the latest recommended and/or certified (WHQL) drivers from the video card vendor.

If the problems persists, please contact HSMWorks Support.

FAQ0016 Failure to Send Feedback

The feedback option may fail to transfer big parts in some cases due to a network timeout. You can try to clear the toolpath of operations not relevant to the feedback to reduce the file size and then resend the feedback.

All Parameters